package com.sooka.sponest.mobile.appbigdata.domain.bo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.datascope.base.domain.BaseBusinessEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.ibatis.type.Alias;

import java.util.Date;

@Data
@Alias("ProjectsSchedule")
@ApiModel(description = "重点工程进度管理对象")
public class KeyProjectsScheduleBO extends BaseBusinessEntity {

    /**
     * 进度ID
     */
    @ApiModelProperty(value = "主键id")
    private String scheduleId;

    /**
     * 重点工程ID
     */
    @ApiModelProperty(value = "重点工程主键Id",required = true)
    private String keyProjectsId;

    /**
     * 进度图片
     */
    @ApiModelProperty(value = "图片路径",required = true)
    private String schedulePictures;

    /**
     * 所属部门id
     */
    @ApiModelProperty(value = "上传人所属部门id")
    private Long deptId;

    /**
     * 所属部门名称
     */
    @ApiModelProperty(value = "上传人所属部门名称")
    private String deptName;

    /**
     * 数据时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date scheduleTime;

    /**
     * 数据备注
     */
    private String scheduleRemark;


    /**
     * 查询开始时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private String startTime;

    /**
     * 查询结束时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private String endTime;
}
