package com.sooka.sponest.mobile.base.controller;

import com.alibaba.fastjson.JSONArray;
import com.ruoyi.common.core.constant.HttpStatus;
import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.common.core.web.page.TableDataInfo;
import com.sooka.sponest.mobile.base.domain.AppUserLocusVO;
import com.sooka.sponest.mobile.base.domain.CenterdataTHydraulicPatrolTask;
import com.sooka.sponest.mobile.base.domain.SysAttendance;
import com.sooka.sponest.mobile.base.service.AppAttendanceService;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.ArrayList;
import java.util.HashMap;

@RestController
@RequestMapping("AppAttendanceController")
public class AppAttendanceController {

    @Resource
    AppAttendanceService appAttendanceService;


    /**
     * 手机端新增考勤打卡
     *
     * @param vo
     * @return com.ruoyi.common.core.web.domain.AjaxResult
     * @author pengyu
     * @date 2023/2/21 15:52
     */
    @PutMapping("addAttendance")
    public AjaxResult addAttendance(@RequestBody SysAttendance vo) {
        return appAttendanceService.addAttendance(vo);
    }


    /**
     * 手机端查询考勤打卡
     *
     * @param userId
     * @return com.ruoyi.common.core.web.domain.AjaxResult
     * @author pengyu
     * @date 2023/2/21 15:53
     */
    @GetMapping("getAttendance")
    public AjaxResult getAttendance(Long userId) {
        return appAttendanceService.getAttendance(userId);
    }

    /**
     * 查询任务列表
     * @Version 1.0
     * @return
     * @author wang_xy
     * @since 2023/3/30 14:21
     */
    @GetMapping("/taskList")
    public AjaxResult taskList(CenterdataTHydraulicPatrolTask centerdataTHydraulicPatrolTask){
        TableDataInfo tableDataInfo = appAttendanceService.taskList(centerdataTHydraulicPatrolTask);
        if(HttpStatus.SUCCESS == tableDataInfo.getCode()){
            ArrayList<HashMap<String, Object>> rows = (ArrayList<HashMap<String, Object>>) tableDataInfo.getRows();
            for (HashMap<String, Object> row : rows) {
                String patrolTrajectory = String.valueOf(row.get("patrolTrajectory"));
                row.put("patrolTrajectory", "".equals(patrolTrajectory) ? new ArrayList<>() : JSONArray.parseArray(patrolTrajectory));
            }
            return AjaxResult.success(rows);
        }else{
            return AjaxResult.error(tableDataInfo.getCode(),tableDataInfo.getMsg());
        }
    }
    /**
     * 手机端新增各个可视化人员轨迹接口
     * @Version 1.0
     * @return com.ruoyi.common.core.web.domain.AjaxResult
     * @author wang_xy
     * @since 2023/3/30 9:59
     */
    @PostMapping("addAppUserLocus")
    public AjaxResult addAppUserLocus(@RequestBody AppUserLocusVO appUserLocusVO) {
        return appAttendanceService.addAppUserLocus(appUserLocusVO);
    }

    /**
     * 获取所有部门列表
     * @Version 1.0
     * @return com.ruoyi.common.core.web.domain.AjaxResult
     * @author wang_xy
     * @since 2023/4/24 9:59
     */
    @GetMapping("getDeptList")
    public AjaxResult getDeptList(String deptName) {
        return appAttendanceService.getDeptList(deptName);
    }

}
