package com.sooka.sponest.mobile.base.service;

import com.ruoyi.common.core.domain.R;
import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.common.core.web.page.TableDataInfo;
import com.ruoyi.system.api.domain.SysMenuEventType;
import com.sooka.sponest.mobile.base.domain.AppUserLocusVO;
import com.sooka.sponest.mobile.base.domain.CenterdataTHydraulicPatrolTask;
import com.sooka.sponest.mobile.base.domain.SysAttendance;

import java.util.Map;

public interface AppAttendanceService {

    /**
     * 手机端新增考勤打卡
     *
     * @param vo
     * @return com.ruoyi.common.core.web.domain.AjaxResult
     * @author pengyu
     * @date 2023/2/21 16:23
     */
    AjaxResult addAttendance(SysAttendance vo);

    /**
     * 手机端查询考勤打卡
     *
     * @param userId
     * @return com.ruoyi.common.core.web.domain.AjaxResult
     * @author pengyu
     * @date 2023/2/21 16:23
     */
    AjaxResult getAttendance(Long userId);

    TableDataInfo taskList(CenterdataTHydraulicPatrolTask centerdataTHydraulicPatrolTask);

    /**
     * 手机端新增各个可视化人员轨迹接口
     * @Version 1.0
     * @return com.ruoyi.common.core.web.domain.AjaxResult
     * @author wang_xy
     * @since 2023/3/30 9:59
     */
    AjaxResult addAppUserLocus(AppUserLocusVO appUserLocusVO);

    /**
     * 获取所有部门列表
     * @Version 1.0
     * @return com.ruoyi.common.core.web.domain.AjaxResult
     * @author wang_xy
     * @since 2023/4/24 9:59
     */
    AjaxResult getDeptList(String deptName);

    R<Map<String,String[]>> selectByMenuId(SysMenuEventType sysMenuEventType);


}
