package com.sooka.sponest.mobile.base.service.impl;

import com.alibaba.fastjson.JSONObject;
import com.ruoyi.common.core.domain.R;
import com.ruoyi.common.core.utils.DateUtils;
import com.ruoyi.common.core.utils.StringUtils;
import com.ruoyi.common.core.utils.uuid.IdUtils;
import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.common.core.web.page.TableDataInfo;
import com.ruoyi.system.api.domain.SysMenuEventType;
import com.sooka.sponest.mobile.base.domain.*;
import com.sooka.sponest.mobile.base.service.AppAttendanceService;
import com.sooka.sponest.mobile.remoteapi.RemoteDataBaseService;
import com.sooka.sponest.mobile.remoteapi.RemoteSystemBaseService;
import org.springframework.stereotype.Service;
import org.springframework.util.ObjectUtils;

import javax.annotation.Resource;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

@Service
public class AppAttendanceServiceImpl implements AppAttendanceService {

    @Resource
    RemoteSystemBaseService remoteSystemBaseService;

    @Resource
    RemoteDataBaseService remoteDataBaseService;

    /**
     * 手机端新增考勤打卡
     *
     * @param sys
     * @return com.ruoyi.common.core.web.domain.AjaxResult
     * @author pengyu
     * @date 2023/2/21 16:23
     */
    @Override
    public AjaxResult addAttendance(SysAttendance sys) {
        sys.setId(IdUtils.simpleUUID());
        sys.setCreateTime(DateUtils.getNowDate());
        return remoteSystemBaseService.addAttendance(sys);
    }

    /**
     * 手机端查询考勤打卡
     *
     * @param userId
     * @return com.ruoyi.common.core.web.domain.AjaxResult
     * @author pengyu
     * @date 2023/2/21 16:23
     */
    @Override
    public AjaxResult getAttendance(Long userId) {
        return remoteSystemBaseService.getAttendance(userId);
    }

    @Override
    public TableDataInfo taskList(CenterdataTHydraulicPatrolTask centerdataTHydraulicPatrolTask) {
        return remoteDataBaseService.taskList(centerdataTHydraulicPatrolTask.getPageNum(),centerdataTHydraulicPatrolTask.getPageSize(),centerdataTHydraulicPatrolTask);
    }

    @Override
    public AjaxResult addAppUserLocus(AppUserLocusVO appUserLocusVO) {
        if(StringUtils.isNotEmpty(appUserLocusVO.getDateFlag())){//不为空证明巡查开始或结束
            if("start".equals(appUserLocusVO.getDateFlag())){//start开始巡查
                JSONObject retJson = new JSONObject();
                CenterdataTHydraulicPatrolPlanRecord c = new CenterdataTHydraulicPatrolPlanRecord();
                c.setUserId(appUserLocusVO.getUserId());
                if(StringUtils.isNotEmpty(appUserLocusVO.getForestryId())){//林业关联id
                    c.setTaskId(appUserLocusVO.getForestryId());
                    c.setType("1");
                    String recoedId = remoteDataBaseService.startRecoed(c).get("msg").toString();
                    retJson.put("forestryRecoedId",recoedId);
                }
                if(StringUtils.isNotEmpty(appUserLocusVO.getWaterId())){//水利关联id
                    c.setTaskId(appUserLocusVO.getWaterId());
                    c.setType("2");
                    String recoedId = remoteDataBaseService.startRecoed(c).get("msg").toString();
                    retJson.put("waterRecoedId",recoedId);
                }
                if(StringUtils.isNotEmpty(appUserLocusVO.getResourcesId())){//资源关联id
                    c.setTaskId(appUserLocusVO.getResourcesId());
                    c.setType("6");
                    String recoedId = remoteDataBaseService.startRecoed(c).get("msg").toString();
                    retJson.put("resourcesRecoedId",recoedId);
                }
                if(StringUtils.isNotEmpty(appUserLocusVO.getEnvironmentId())){//环保关联id
                    c.setTaskId(appUserLocusVO.getEnvironmentId());
                    c.setType("4");
                    String recoedId = remoteDataBaseService.startRecoed(c).get("msg").toString();
                    retJson.put("environmentRecoedId",recoedId);
                }
                if(StringUtils.isNotEmpty(appUserLocusVO.getFireControlId())){//消防关联id
                    c.setTaskId(appUserLocusVO.getFireControlId());
                    c.setType("5");
                    String recoedId = remoteDataBaseService.startRecoed(c).get("msg").toString();
                    retJson.put("fireControlRecoedId",recoedId);
                }
                if(StringUtils.isNotEmpty(appUserLocusVO.getTrafficId())){//交通关联id
                    c.setTaskId(appUserLocusVO.getTrafficId());
                    c.setType("3");
                    String recoedId = remoteDataBaseService.startRecoed(c).get("msg").toString();
                    retJson.put("trafficRecoedId",recoedId);
                }
                return AjaxResult.success(retJson);
            }else{//end结束巡查
                CenterdataTHydraulicPatrolPlanRecord c = new CenterdataTHydraulicPatrolPlanRecord();
                c.setUserId(appUserLocusVO.getUserId());
                if(StringUtils.isNotEmpty(appUserLocusVO.getForestryRecoedId())){//林业关联id
                    c.setId(appUserLocusVO.getForestryRecoedId());
                    c.setType("1");
                    remoteDataBaseService.finishThisRecoed(c);
                }
                if(StringUtils.isNotEmpty(appUserLocusVO.getWaterRecoedId())){//水利关联id
                    c.setId(appUserLocusVO.getWaterRecoedId());
                    c.setType("2");
                    remoteDataBaseService.finishThisRecoed(c);
                }
                if(StringUtils.isNotEmpty(appUserLocusVO.getResourcesRecoedId())){//资源关联id
                    c.setId(appUserLocusVO.getResourcesRecoedId());
                    c.setType("6");
                    remoteDataBaseService.finishThisRecoed(c);
                }
                if(StringUtils.isNotEmpty(appUserLocusVO.getEnvironmentRecoedId())){//环保关联id
                    c.setId(appUserLocusVO.getEnvironmentRecoedId());
                    c.setType("4");
                    remoteDataBaseService.finishThisRecoed(c);
                }
                if(StringUtils.isNotEmpty(appUserLocusVO.getFireControlRecoedId())){//消防关联id
                    c.setId(appUserLocusVO.getFireControlRecoedId());
                    c.setType("5");
                    remoteDataBaseService.finishThisRecoed(c);
                }
                if(StringUtils.isNotEmpty(appUserLocusVO.getTrafficRecoedId())){//交通关联id
                    c.setId(appUserLocusVO.getTrafficRecoedId());
                    c.setType("3");
                    remoteDataBaseService.finishThisRecoed(c);
                }
                return AjaxResult.success();
            }
        }else{//为空证明巡查中
            CenterdataTHydraulicTrack track = new CenterdataTHydraulicTrack();
            track.setLongitude(appUserLocusVO.getLongitude());
            track.setLatitude(appUserLocusVO.getLatitude());
            if(StringUtils.isNotEmpty(appUserLocusVO.getForestryRecoedId())){//林业关联id
                track.setRecordId(appUserLocusVO.getForestryRecoedId());
                remoteDataBaseService.addTrack(track);
            }
            if(StringUtils.isNotEmpty(appUserLocusVO.getWaterRecoedId())){//水利关联id
                track.setRecordId(appUserLocusVO.getWaterRecoedId());
                remoteDataBaseService.addTrack(track);
            }
            if(StringUtils.isNotEmpty(appUserLocusVO.getResourcesRecoedId())){//资源关联id
                track.setRecordId(appUserLocusVO.getResourcesRecoedId());
                remoteDataBaseService.addTrack(track);
            }
            if(StringUtils.isNotEmpty(appUserLocusVO.getEnvironmentRecoedId())){//环保关联id
                track.setRecordId(appUserLocusVO.getEnvironmentRecoedId());
                remoteDataBaseService.addTrack(track);
            }
            if(StringUtils.isNotEmpty(appUserLocusVO.getFireControlRecoedId())){//消防关联id
                track.setRecordId(appUserLocusVO.getFireControlRecoedId());
                remoteDataBaseService.addTrack(track);
            }
            if(StringUtils.isNotEmpty(appUserLocusVO.getTrafficRecoedId())){//交通关联id
                track.setRecordId(appUserLocusVO.getTrafficRecoedId());
                remoteDataBaseService.addTrack(track);
            }
        }
        return null;
    }

    @Override
    public AjaxResult getDeptList(String deptName) {
        return remoteSystemBaseService.getDeptList(deptName);
    }

    @Override
    public R<Map<String, String[]>> selectByMenuId(SysMenuEventType sysMenuEventType) {
        List<SysMenuEventType> eventTypeList = remoteSystemBaseService.selectByMenuId(sysMenuEventType).getData();
        Map<String, String[]> map = new HashMap<>();
        List<String> eventType = new ArrayList<>();
        List<String> eventTypeDl = new ArrayList<>();
        if (ObjectUtils.isEmpty(eventTypeList)) {
            eventType.add("-1");
            eventTypeDl.add("-1");
        } else {
            eventTypeList.forEach(item -> {
                eventType.add(item.getEventTypeXl());
                eventTypeDl.add(item.getEventType());
            });
        }
        map.put("eventType", eventType.toArray(new String[eventType.size()]));
        map.put("eventTypeDl", eventTypeDl.toArray(new String[eventTypeDl.size()]));
        return R.ok(map);
    }
}
