package com.sooka.sponest.mobile.data.basicdatacontroller;

import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.common.core.web.page.PageDomain;
import com.ruoyi.common.core.web.page.TableSupport;
import com.sooka.sponest.data.api.basicdata.domain.Car;
import com.sooka.sponest.data.api.basicdata.service.RemoteCarService;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.List;


@RestController
@RequestMapping("AppCarController")
public class CarController {
    @Resource
    RemoteCarService remoteCarService;

    /**
     * 获取车辆管理
     *
     * @param centerdataTForestCar
     * @return
     */
    @GetMapping("/car/list")
    public AjaxResult carList(Car centerdataTForestCar) {
        PageDomain pageDomain = TableSupport.buildPageRequest();
        Integer pageNum = pageDomain.getPageNum();
        Integer pageSize = pageDomain.getPageSize();
        String licenseNum = centerdataTForestCar.getLicenseNum();
        return AjaxResult.success(remoteCarService.carList(pageNum, pageSize, licenseNum).getRows());

    }

    /**
     * 获取车辆管理详情
     *
     * @param
     * @return
     */
    @GetMapping("/car/edit")
    public AjaxResult carEdit(String id) {
        return remoteCarService.carEdit(id);
    }

    /**
     * 新增车辆管理
     *
     * @param
     * @return
     */
    @PostMapping("/car")
    public AjaxResult car(@RequestBody String json) {
        return remoteCarService.addCar(json);
    }

    /**
     * 修改车辆管理
     *
     * @param
     * @return
     */
    @PostMapping("/car/put")
    public AjaxResult putCar(@RequestBody String json) {
        return remoteCarService.putCar(json);
    }

    /**
     * 删除车辆管理
     *
     * @param
     * @return
     */
    @GetMapping("/car/del")
    public AjaxResult delCar(@RequestParam("id") List<String> id) {
        return remoteCarService.delCar(id.toArray(new String[0]));
    }

}
