package com.sooka.sponest.mobile.data.basicdatacontroller;

import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.common.core.web.page.PageDomain;
import com.ruoyi.common.core.web.page.TableSupport;
import com.sooka.sponest.data.api.basicdata.domain.Carrepair;
import com.sooka.sponest.data.api.basicdata.service.RemoteCarrepairService;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.Date;
import java.util.List;

@RestController
@RequestMapping("AppCarrepairController")
public class CarRepairController {
    @Resource
    RemoteCarrepairService remoteCarrepairService;

    /**
     * 获取车辆保养
     *
     * @param centerdataTForestCarrepair
     * @return
     */
    @GetMapping("/carrepair/list")
    public AjaxResult carrepairList(Carrepair centerdataTForestCarrepair) {
        PageDomain pageDomain = TableSupport.buildPageRequest();
        Integer pageNum = pageDomain.getPageNum();
        Integer pageSize = pageDomain.getPageSize();
        String licenseNum = centerdataTForestCarrepair.getLicenseNum();
        Date repairTime = centerdataTForestCarrepair.getRepairTime();
        String charger = centerdataTForestCarrepair.getCharger();
        return AjaxResult.success(remoteCarrepairService.carrepairList(pageNum, pageSize, licenseNum, repairTime, charger).getRows());
    }

    /**
     * 获取车辆保养详情
     *
     * @param
     * @return
     */
    @GetMapping("/carrepair/edit")
    public AjaxResult carrepairEdit(String id) {
        return remoteCarrepairService.carrepairEdit(id);
    }

    /**
     * 新增车辆保养
     *
     * @param json
     * @return
     */
    @PostMapping("/carrepair")
    public AjaxResult carrepair(@RequestBody String json) {
        return remoteCarrepairService.addCarrepair(json);
    }

    /**
     * 修改车辆保养
     *
     * @param json
     * @return
     */
    @PostMapping("/carrepair/put")
    public AjaxResult putCarrepair(@RequestBody String json) {
        return remoteCarrepairService.putCarrepair(json);
    }

    /**
     * 删除车辆保养
     *
     * @param
     * @return
     */
    @GetMapping("/carrepair/del")
    public AjaxResult delCarrepair(@RequestParam("id") List<String> id) {
        return remoteCarrepairService.delCarrepair(id.toArray(new String[0]));
    }

}
