package com.sooka.sponest.mobile.data.basicdatacontroller;

import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.common.core.web.page.PageDomain;
import com.ruoyi.common.core.web.page.TableSupport;
import com.sooka.sponest.data.api.basicdata.domain.Firehydrant;
import com.sooka.sponest.data.api.basicdata.service.RemoteFirehydrantService;
import com.sooka.sponest.mobile.system.camera.service.AppCameraService;
import com.sooka.sponest.mobile.utils.PictureReplaceAll;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.List;
import java.util.Map;

@RestController
@RequestMapping("AppFirehydrantController")
public class FireHydrantController {
    @Resource
    RemoteFirehydrantService remoteFirehydrantService;
    @Resource
    AppCameraService appCameraService;

    /**
     * 获取消火栓
     *
     * @param centerdataTForestFirehydrant
     * @return
     */
    @GetMapping("/firehydrant/list")
    public AjaxResult firehydrantList(Firehydrant centerdataTForestFirehydrant) {
        PageDomain pageDomain = TableSupport.buildPageRequest();
        Integer pageNum = pageDomain.getPageNum();
        Integer pageSize = pageDomain.getPageSize();
        String name = centerdataTForestFirehydrant.getName();
        return AjaxResult.success(remoteFirehydrantService.firehydrantList(pageNum, pageSize, name).getRows());
    }

    /**
     * 获取消火栓详情
     *
     * @param
     * @return
     */
    @GetMapping("/firehydrant/edit")
    public AjaxResult firehydrantEdit(String id) {
        AjaxResult ajaxResult = remoteFirehydrantService.firehydrantEdit(id);
        if("200".equals(ajaxResult.get("code").toString())){
            Map<String, Object> info = (Map<String, Object>) ajaxResult.get("data");
            PictureReplaceAll.StringToList(info);
            return appCameraService.selectCameraByIds(info);
        }else{
            return ajaxResult;
        }
    }

    /**
     * 新增消火栓
     *
     * @param json
     * @return
     */
    @PostMapping("/firehydrant")
    public AjaxResult firehydrant(@RequestBody String json) {
        return remoteFirehydrantService.addFirehydrant(json);
    }

    /**
     * 修改消火栓
     *
     * @param json
     * @return
     */
    @PostMapping("/firehydrant/put")
    public AjaxResult putFirehydrant(@RequestBody String json) {
        return remoteFirehydrantService.putFirehydrant(json);
    }

    /**
     * 删除消火栓
     *
     * @param
     * @return
     */
    @GetMapping("/firehydrant/del")
    public AjaxResult delFirehydrant(@RequestParam("id") List<String> id) {
        return remoteFirehydrantService.delFirehydrant(id.toArray(new String[0]));
    }
}
