package com.sooka.sponest.mobile.data.basicdatacontroller;


import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.common.core.web.page.PageDomain;
import com.ruoyi.common.core.web.page.TableSupport;
import com.sooka.sponest.data.api.basicdata.domain.Watercrane;
import com.sooka.sponest.data.api.basicdata.service.RemoteWatercraneService;
import com.sooka.sponest.mobile.system.camera.service.AppCameraService;
import com.sooka.sponest.mobile.utils.PictureReplaceAll;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.List;
import java.util.Map;

@RestController
@RequestMapping("AppWatercraneController")
public class WaterCraneController {
    @Resource
    RemoteWatercraneService remoteWatercraneService;

    @Resource
    AppCameraService appCameraService;

    /**
     * 获取水鹤管理
     *
     * @param centerdataTForestWatercrane
     * @return
     */
    @GetMapping("/watercrane/list")
    public AjaxResult watercraneList(Watercrane centerdataTForestWatercrane) {
        PageDomain pageDomain = TableSupport.buildPageRequest();
        Integer pageNum = pageDomain.getPageNum();
        Integer pageSize = pageDomain.getPageSize();
        String name = centerdataTForestWatercrane.getName();
        return AjaxResult.success(remoteWatercraneService.watercraneList(pageNum, pageSize, name).getRows());
    }

    /**
     * 获取水鹤管理详情
     *
     * @param
     * @return
     */
    @GetMapping("/watercrane/edit")
    public AjaxResult watercraneEdit(String id) {
        AjaxResult ajaxResult = remoteWatercraneService.watercraneEdit(id);
        if("200".equals(ajaxResult.get("code").toString())){
            Map<String, Object> info = (Map<String, Object>) ajaxResult.get("data");
            PictureReplaceAll.StringToList(info);
            return appCameraService.selectCameraByIds(info);
        }else{
            return ajaxResult;
        }
    }

    /**
     * 新增水鹤管理
     *
     * @param json
     * @return
     */
    @PostMapping("/watercrane")
    public AjaxResult watercrane(@RequestBody String json) {
        return remoteWatercraneService.addWatercrane(json);
    }

    /**
     * 修改水鹤管理
     *
     * @param json
     * @return
     */
    @PostMapping("/watercrane/put")
    public AjaxResult putWatercrane(@RequestBody String json) {
        return remoteWatercraneService.putWatercrane(json);
    }

    /**
     * 删除水鹤管理
     *
     * @param
     * @return
     */
    @GetMapping("/watercrane/del")
    public AjaxResult delWatercrane(@RequestParam("id") List<String> id) {
        return remoteWatercraneService.delWatercrane(id.toArray(new String[0]));
    }
}

