package com.sooka.sponest.mobile.data.basicdatacontroller;

import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.common.core.web.page.PageDomain;
import com.ruoyi.common.core.web.page.TableSupport;
import com.sooka.sponest.data.api.basicdata.domain.Waterintake;
import com.sooka.sponest.data.api.basicdata.service.RemoteWaterintakeService;
import com.sooka.sponest.mobile.system.camera.service.AppCameraService;
import com.sooka.sponest.mobile.utils.PictureReplaceAll;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.List;
import java.util.Map;

@RestController
@RequestMapping("AppWaterintakeController")
public class WaterIntakeController {
    @Resource
    RemoteWaterintakeService remoteWaterintakeService;
    @Resource
    AppCameraService appCameraService;

    /**
     * 获取取水口
     *
     * @param forestWaterintake
     * @return
     */
    @GetMapping("/waterintake/list")
    public AjaxResult waterintakeList(Waterintake forestWaterintake) {
        PageDomain pageDomain = TableSupport.buildPageRequest();
        Integer pageNum = pageDomain.getPageNum();
        Integer pageSize = pageDomain.getPageSize();
        String name = forestWaterintake.getName();
        String waterintakePerson = forestWaterintake.getWaterintakePerson();
        String waterintakeTel = forestWaterintake.getWaterintakeTel();
        return AjaxResult.success(remoteWaterintakeService.waterintakeList(pageNum, pageSize, name, waterintakePerson, waterintakeTel).getRows());
    }

    /**
     * 获取取水口详情
     *
     * @param
     * @return
     */
    @GetMapping("/waterintake/edit")
    public AjaxResult waterintakeEdit(String id) {
        AjaxResult ajaxResult = remoteWaterintakeService.waterintakeEdit(id);
        if("200".equals(ajaxResult.get("code").toString())){
            Map<String, Object> info = (Map<String, Object>) ajaxResult.get("data");
            PictureReplaceAll.StringToList(info);
            return appCameraService.selectCameraByIds(info);
        }else{
            return ajaxResult;
        }
    }

    /**
     * 新增取水口
     *
     * @param json
     * @return
     */
    @PostMapping("/waterintake")
    public AjaxResult waterintake(@RequestBody String json) {
        return remoteWaterintakeService.addWaterintake(json);
    }

    /**
     * 修改取水口
     *
     * @param json
     * @return
     */
    @PostMapping("/waterintake/put")
    public AjaxResult putWaterintake(@RequestBody String json) {
        return remoteWaterintakeService.putWaterintake(json);
    }

    /**
     * 删除取水口
     *
     * @param
     * @return
     */
    @GetMapping("/waterintake/del")
    public AjaxResult delWaterintake(@RequestParam("id") List<String> id) {
        return remoteWaterintakeService.delWaterintake(id.toArray(new String[0]));
    }
}
