package com.sooka.sponest.mobile.data.commoncontroller;

import com.alibaba.fastjson.JSONArray;
import com.ruoyi.common.core.web.domain.AjaxResult;
import com.sooka.sponest.mobile.data.commoncontroller.domain.AppDigitalForestVO;
import com.sooka.sponest.mobile.remoteapi.RemoteDataBaseService;
import com.sooka.sponest.mobile.remoteapi.domain.DataVO;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;

/**
 * 手机端公共接口
 */
@RestController
@RequestMapping("AppCommonController")
public class commonController {
    @Resource
    RemoteDataBaseService remoteDataBaseService;

    @ApiOperation(value = "手机端数据中心点位", notes = "林业数据中心点位")
    @PostMapping("pointList")
    public AjaxResult pointList(@RequestBody AppDigitalForestVO vo) {
//        vo.setRadius("5000");
        List<DataVO> list = new ArrayList<>();
        JSONArray jsonArray = new JSONArray();
        switch (vo.getAssort()) {
            case "linye":
                 List<Map<String,Object>> linyeList = (List<Map<String,Object>>)remoteDataBaseService.resourceList(vo.getLongitude(), vo.getLatitude(), vo.getType(),vo.getRadius()).get("data");
                 for (Map<String,Object> map : linyeList){
                     if (map.containsKey("specific_location")){
                         map.put("address",map.get("specific_location"));
                     }
                     if (map.containsKey("firehydrant_address")){
                         map.put("address",map.get("firehydrant_address"));
                     }
                     if (map.containsKey("landing_person")){
                         map.put("contacts",map.get("landing_person"));
                     }
                     if (map.containsKey("channel_person")){
                         map.put("contacts",map.get("channel_person"));
                     }
                     if (map.containsKey("channel_tel")){
                         map.put("phone",map.get("channel_tel"));
                     }
                     if (map.containsKey("administrative_position")){
                         map.put("address",map.get("administrative_position"));
                     }
                     if (map.containsKey("position")){
                         map.put("address",map.get("position"));
                     }
                 }
                jsonArray.addAll(linyeList);
                list = jsonArray.toJavaList(DataVO.class);
                break;
            case "nongye":
                List<Map<String,Object>> nongyeList = (List<Map<String,Object>>)remoteDataBaseService.getPointByDeptId(vo.getLongitude(), vo.getLatitude(), vo.getType(),vo.getRadius()).get("data");
                for (Map<String,Object> map : nongyeList){
                    if (map.containsKey("position")){
                        map.put("address",map.get("position"));
                    }
                }
                jsonArray.addAll(nongyeList);
                list = jsonArray.toJavaList(DataVO.class);
                break;
            case "shuili":
                List<Map<String,Object>> shuiliList = (List<Map<String,Object>>)remoteDataBaseService.FjPointwater(vo.getLongitude(), vo.getLatitude(), vo.getType(),vo.getRadius()).get("data");
                for (Map<String,Object> map : shuiliList){
                    if (map.containsKey("startpoint_longitude")){
                        map.put("longitude",map.get("startpoint_longitude"));
                    }
                    if (map.containsKey("startpoint_latitude")){
                        map.put("latitude",map.get("startpoint_latitude"));
                    }
                }
                jsonArray.addAll(shuiliList);
                list = jsonArray.toJavaList(DataVO.class);
                break;
            case "huanbao":
                List<Map<String,Object>> huanbaoList = (List<Map<String,Object>>)remoteDataBaseService.FjPointenvironment(vo.getLongitude(), vo.getLatitude(), vo.getType(),vo.getRadius()).get("data");
                jsonArray.addAll(huanbaoList);
                list = jsonArray.toJavaList(DataVO.class);
                break;
            case "jiaotong":
                List<Map<String,Object>> jiaotongList = (List<Map<String,Object>>)remoteDataBaseService.FjPointtraffic(vo.getLongitude(),vo.getLatitude(),vo.getType(),vo.getRadius()).get("data");
                jsonArray.addAll(jiaotongList);
                list = jsonArray.toJavaList(DataVO.class);
                break;
            case "yingji":
                List<Map<String,Object>> yingjiList = (List<Map<String,Object>>)remoteDataBaseService.FjPoint(vo.getLongitude(),vo.getLatitude(),vo.getType(),vo.getRadius()).get("data");
                for (Map<String,Object> map : yingjiList){
                    if (map.containsKey("specific_location")){
                        map.put("address",map.get("specific_location"));
                    }
                }
                jsonArray.addAll(yingjiList);
                list = jsonArray.toJavaList(DataVO.class);
                break;
            case "ziyuan":
                List<Map<String,Object>> ziyuanList = (List<Map<String,Object>>)remoteDataBaseService.FjPointresource(vo.getLongitude(),vo.getLatitude(),vo.getType(),vo.getRadius()).get("data");
                for (Map<String,Object> map : ziyuanList){
                    if (map.containsKey("person")){
                        map.put("contacts",map.get("person"));
                    }
                    if (map.containsKey("area")){
                        map.put("address",map.get("area"));
                    }
                }
                jsonArray.addAll(ziyuanList);
                list = jsonArray.toJavaList(DataVO.class);
                break;
            case "xiaofang":
                List<Map<String,Object>> xiaofangList = (List<Map<String,Object>>)remoteDataBaseService.FjPointNew(vo.getLongitude(),vo.getLatitude(),vo.getType(),vo.getRadius()).get("data");
                for (Map<String,Object> map : xiaofangList){
                    if (map.containsKey("specific_location")){
                        map.put("address",map.get("specific_location"));
                    }
                }
                jsonArray.addAll(xiaofangList);
                list = jsonArray.toJavaList(DataVO.class);
                break;
        }
        return AjaxResult.success(list);
    }
}
