package com.sooka.sponest.mobile.data.digitalagriculture.controller;

import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.common.core.web.page.PageDomain;
import com.ruoyi.common.core.web.page.TableSupport;
import com.sooka.sponest.data.api.digitalagriculture.domain.FarmAgriculturalMachineryInfo;
import com.sooka.sponest.data.api.digitalagriculture.service.RemoteAgriculturalMachineryInfoService;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.List;

/**
 * 农机技术推广部门信息
 */
@RestController
@RequestMapping("AppAgriculturalMachineryInfoController")
public class AgriculturalMachineryInfoController {
    @Resource
    RemoteAgriculturalMachineryInfoService remoteAgriculturalMachineryInfoService;

    /**
     * 新增农机技术推广部门信息
     * @param json
     * @return
     */
    @PostMapping("/AgriculturalMachineryInfo")
    public AjaxResult addAgriculturalMachineryInfo(@RequestBody String json) {
        return remoteAgriculturalMachineryInfoService.addAgriculturalMachineryInfo(json);
    }

    /**
     * 获取农机技术推广部门信息列表
     * @param farmAgriculturalMachineryInfo
     * @return
     */
    @GetMapping("/AgriculturalMachineryInfo/list")
    public AjaxResult agriculturalMachineryInfoList(FarmAgriculturalMachineryInfo farmAgriculturalMachineryInfo) {

        PageDomain pageDomain = TableSupport.buildPageRequest();
        Integer pageNum = pageDomain.getPageNum();
        Integer pageSize = pageDomain.getPageSize();
        return AjaxResult.success(remoteAgriculturalMachineryInfoService.agriculturalMachineryInfolist(pageNum, pageSize).getRows());
    }

    /**
     * 删除农机技术推广部门信息
     * @param
     * @return
     */
    @GetMapping("/AgriculturalMachineryInfo/del")
    public AjaxResult delAgriculturalMachineryInfo(@RequestParam("id") List<String> id) {
        return remoteAgriculturalMachineryInfoService.delAgriculturalMachineryInfo(id.toArray(new String[0]));
    }

    /**
     * 修改农机技术推广部门信息
     * @param json
     * @return
     */
    @PostMapping("/AgriculturalMachineryInfo/put")
    public AjaxResult putAgriculturalMachineryInfo(@RequestBody String json) {
        return remoteAgriculturalMachineryInfoService.putAgriculturalMachineryInfo(json);
    }

    /**
     * 获取农机技术推广部门信息
     * @param
     * @return
     */
    @GetMapping("/AgriculturalMachineryInfo/edit")
    public AjaxResult AgriculturalMachineryInfoEdit(String id) {
        return remoteAgriculturalMachineryInfoService.agriculturalMachineryInfoedit(id);
    }
}
