package com.sooka.sponest.mobile.data.digitalagriculture.controller;

import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.common.core.web.page.PageDomain;
import com.ruoyi.common.core.web.page.TableSupport;
import com.sooka.sponest.data.api.digitalagriculture.domain.FarmFoodstuffAlong;
import com.sooka.sponest.data.api.digitalagriculture.service.RemoteAlongService;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.List;

/**
 * 粮食作物长势
 */
@RestController
@RequestMapping("AppalongController")
public class AlongController {
    @Resource
    RemoteAlongService remoteAlongService;

    /**
     * 新增粮食作物长势
     * @param json
     * @return
     */
    @PostMapping("/along")
    public AjaxResult addAlong(@RequestBody String json) {
        return remoteAlongService.addAlong(json);
    }

    /**
     * 获取粮食作物长势列表
     * @param farmFoodstuffAlong
     * @return
     */
    @GetMapping("/along/list")
    public AjaxResult alongList(FarmFoodstuffAlong farmFoodstuffAlong) {

        PageDomain pageDomain = TableSupport.buildPageRequest();
        Integer pageNum = pageDomain.getPageNum();
        Integer pageSize = pageDomain.getPageSize();
        return AjaxResult.success(remoteAlongService.alongList(pageNum, pageSize).getRows());
    }

    /**
     * 删除粮食作物长势
     * @param
     * @return
     */
    @GetMapping("/along/del")
    public AjaxResult delAlong(@RequestParam("id") List<String> id) {
        return remoteAlongService.delAlong(id.toArray(new String[0]));
    }

    /**
     * 修改粮食作物长势
     * @param json
     * @return
     */
    @PostMapping("/along/put")
    public AjaxResult putAlong(@RequestBody String json) {
        return remoteAlongService.putAlong(json);
    }

    /**
     * 获取粮食作物长势
     * @param
     * @return
     */
    @GetMapping("/along/edit")
    public AjaxResult alongEdit(String id) {
        return remoteAlongService.alongEdit(id);
    }
}
