package com.sooka.sponest.mobile.data.digitalagriculture.controller;

import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.common.core.web.page.PageDomain;
import com.ruoyi.common.core.web.page.TableSupport;
import com.sooka.sponest.data.api.digitalagriculture.domain.FarmBotanyProtectInfo;
import com.sooka.sponest.data.api.digitalagriculture.service.RemoteBotanyProtectInfoService;
import com.sooka.sponest.mobile.system.camera.service.AppCameraService;
import com.sooka.sponest.mobile.utils.PictureReplaceAll;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.List;
import java.util.Map;

/**
 * 农业技术推广总站信息手机端
 */
@RestController
@RequestMapping("AppBotanyProtectInfoController")
public class BotanyProtectInfoController {
    @Resource
    RemoteBotanyProtectInfoService remoteBotanyProtectInfoService;
    @Resource
    AppCameraService appCameraService;

    /**
     * 新增农业技术推广总站信息
     * @param json
     * @return
     */
    @PostMapping("/BotanyProtectInfo")
    public AjaxResult stillField(@RequestBody String json) {
        return remoteBotanyProtectInfoService.addBotanyProtectInfo(json);
    }

    /**
     * 获取农业技术推广总站信息列表
     * @param farmBotanyProtectInfo
     * @return
     */
    @GetMapping("/BotanyProtectInfo/list")
    public AjaxResult stillFieldList(FarmBotanyProtectInfo farmBotanyProtectInfo) {

        PageDomain pageDomain = TableSupport.buildPageRequest();
        Integer pageNum = pageDomain.getPageNum();
        Integer pageSize = pageDomain.getPageSize();
        return AjaxResult.success(remoteBotanyProtectInfoService.botanyProtectInfoList(pageNum, pageSize).getRows());
    }

    /**
     * 删除农业技术推广总站信息
     * @param
     * @return
     */
    @GetMapping("/BotanyProtectInfo/del")
    public AjaxResult delStillField(@RequestParam("id") List<String> id) {
        return remoteBotanyProtectInfoService.delBotanyProtectInfo(id.toArray(new String[0]));
    }

    /**
     * 修改农业技术推广总站信息
     * @param json
     * @return
     */
    @PostMapping("/BotanyProtectInfo/put")
    public AjaxResult putStillField(@RequestBody String json) {
        return remoteBotanyProtectInfoService.putBotanyProtectInfo(json);
    }

    /**
     * 获取农业技术推广总站信息
     * @param
     * @return
     */
    @GetMapping("/BotanyProtectInfo/edit")
    public AjaxResult cooperativesEdit(String id) {
        AjaxResult ajaxResult = remoteBotanyProtectInfoService.botanyProtectInfoEdit(id);
        if("200".equals(ajaxResult.get("code").toString())){
            Map<String, Object> info = (Map<String, Object>) ajaxResult.get("data");
            PictureReplaceAll.StringToList(info);
            return appCameraService.selectCameraByIds(info);
        }else{
            return ajaxResult;
        }
    }
}
