package com.sooka.sponest.mobile.data.digitalagriculture.controller;

import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.common.core.web.page.PageDomain;
import com.ruoyi.common.core.web.page.TableSupport;
import com.sooka.sponest.data.api.digitalagriculture.domain.FarmBreedingFarm;
import com.sooka.sponest.data.api.digitalagriculture.service.RemoteBreedingFarmService;
import com.sooka.sponest.mobile.system.camera.service.AppCameraService;
import com.sooka.sponest.mobile.utils.PictureReplaceAll;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.List;
import java.util.Map;

/**
 * 养殖场Controller
 *
 * @author phy
 * @date 2023-04-30
 */
@RestController
@RequestMapping("AppBreedingFarmController")
public class BreedingFarmController{

    @Resource
    RemoteBreedingFarmService remoteBreedingFarmService;

    @Resource
    AppCameraService appCameraService;

    /**
     * 查询养殖场列表
     */
    @GetMapping("/BreedingFarm/list")
    public AjaxResult breedingFarmList(FarmBreedingFarm farmBreedingFarm) {
        PageDomain pageDomain = TableSupport.buildPageRequest();
        Integer pageNum = pageDomain.getPageNum();
        Integer pageSize = pageDomain.getPageSize();
        return AjaxResult.success(remoteBreedingFarmService.selectBreedingFarmList(pageNum, pageSize, farmBreedingFarm.getName()).getRows());
    }


    /**
     * 获取养殖场详细信息
     */
    @GetMapping("/BreedingFarm/edit")
    public AjaxResult breedingFarmEdit(String id) {
        AjaxResult ajaxResult = remoteBreedingFarmService.selectBreedingFarmById(id);
        if("200".equals(ajaxResult.get("code").toString())){
            Map<String, Object> info = (Map<String, Object>) ajaxResult.get("data");
            PictureReplaceAll.StringToList(info);
            return appCameraService.selectCameraByIds(info);
        }else{
            return ajaxResult;
        }
    }

    /**
     * 新增养殖场
     */
    @PostMapping("/BreedingFarm")
    public AjaxResult addBreedingFarm(@RequestBody String json) {
        return remoteBreedingFarmService.insertBreedingFarm(json);
    }
    /**
     * 修改养殖场
     */
    @PostMapping("/BreedingFarm/put")
    public AjaxResult putBreedingFarm(@RequestBody String json) {
        return remoteBreedingFarmService.updateBreedingFarm(json);
    }

    /**
     * 删除养殖场
     */
    @GetMapping("/BreedingFarm/del")
    public AjaxResult delBreedingFarm(@RequestParam("id") List<String> id) {
        return remoteBreedingFarmService.deleteBreedingFarmByIds(id.toArray(new String[0]));
    }
}
