package com.sooka.sponest.mobile.data.digitalagriculture.controller;

import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.common.core.web.page.PageDomain;
import com.ruoyi.common.core.web.page.TableSupport;
import com.sooka.sponest.data.api.digitalagriculture.domain.FarmCesspitCollect;
import com.sooka.sponest.data.api.digitalagriculture.service.RemoteCesspitCollectService;
import com.sooka.sponest.mobile.system.camera.service.AppCameraService;
import com.sooka.sponest.mobile.utils.PictureReplaceAll;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.List;
import java.util.Map;

/**
 * 粪污收集点Controller
 * @author zhaozhan
 * @date 2023/7/10
 */
@RestController
@RequestMapping("AppCesspitCollectController")
public class CesspitCollectController {
    @Resource
    RemoteCesspitCollectService remoteCesspitCollectService;

    @Resource
    AppCameraService appCameraService;

    /**
     * 查询粪污收集点列表
     */
    @GetMapping("/CesspitCollect/list")
    public AjaxResult cesspitCollectList(FarmCesspitCollect farmCesspitCollect) {
        PageDomain pageDomain = TableSupport.buildPageRequest();
        Integer pageNum = pageDomain.getPageNum();
        Integer pageSize = pageDomain.getPageSize();
        return AjaxResult.success(remoteCesspitCollectService.selectCesspitCollectList(pageNum, pageSize, farmCesspitCollect.getName()).getRows());
    }
    /**
     * 获取粪污收集点详细信息
     */
    @GetMapping("/CesspitCollect/edit")
    public AjaxResult cesspitCollectEdit(String id) {
        AjaxResult ajaxResult = remoteCesspitCollectService.selectCesspitCollectById(id);
        if("200".equals(ajaxResult.get("code").toString())){
            Map<String, Object> info = (Map<String, Object>) ajaxResult.get("data");
            PictureReplaceAll.StringToList(info);
            return appCameraService.selectCameraByIds(info);
        }else{
            return ajaxResult;
        }
    }

    /**
     * 新增粪污收集点
     */
    @PostMapping("/CesspitCollect")
    public AjaxResult addCesspitCollect(@RequestBody String json) {
        return remoteCesspitCollectService.insertCesspitCollect(json);
    }
    /**
     * 修改粪污收集点
     */
    @PostMapping("/CesspitCollect/put")
    public AjaxResult putCesspitCollect(@RequestBody String json) {
        return remoteCesspitCollectService.updateCesspitCollect(json);
    }

    /**
     * 删除粪污收集点
     */
    @GetMapping("/CesspitCollect/del")
    public AjaxResult delCesspitCollect(@RequestParam("id") List<String> id) {
        return remoteCesspitCollectService.deleteCesspitCollectByIds(id.toArray(new String[0]));
    }
}
