package com.sooka.sponest.mobile.data.digitalagriculture.controller;

import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.common.core.web.page.PageDomain;
import com.ruoyi.common.core.web.page.TableSupport;
import com.sooka.sponest.data.api.digitalagriculture.domain.FarmChemicalFertilizerInfo;
import com.sooka.sponest.data.api.digitalagriculture.service.RemoteChemicalFertilizerInfoService;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.List;

/**
 * 化肥信息
 */
@RestController
@RequestMapping("AppChemicalFertilizerInfoController")
public class ChemicalFertilizerInfoController {
    @Resource
    RemoteChemicalFertilizerInfoService remoteChemicalFertilizerInfoService;

    /**
     * 新增化肥信息
     * @param json
     * @return
     */
    @PostMapping("/ChemicalFertilizerInfo")
    public AjaxResult chemicalFertilizerInfo(@RequestBody String json) {
        return remoteChemicalFertilizerInfoService.addChemicalFertilizerInfo(json);
    }

    /**
     * 获取化肥信息列表
     * @param farmChemicalFertilizerInfo
     * @return
     */
    @GetMapping("/ChemicalFertilizerInfo/list")
    public AjaxResult chemicalFertilizerInfoList(FarmChemicalFertilizerInfo farmChemicalFertilizerInfo) {

        PageDomain pageDomain = TableSupport.buildPageRequest();
        Integer pageNum = pageDomain.getPageNum();
        Integer pageSize = pageDomain.getPageSize();
        return AjaxResult.success(remoteChemicalFertilizerInfoService.chemicalFertilizerInfoList(pageNum, pageSize).getRows());
    }

    /**
     * 删除化肥信息
     * @param
     * @return
     */
    @GetMapping("/ChemicalFertilizerInfo/del")
    public AjaxResult delChemicalFertilizerInfo(@RequestParam("id") List<String> id) {
        return remoteChemicalFertilizerInfoService.delChemicalFertilizerInfo(id.toArray(new String[0]));
    }

    /**
     * 修改化肥信息
     * @param json
     * @return
     */
    @PostMapping("/ChemicalFertilizerInfo/put")
    public AjaxResult putChemicalFertilizerInfo(@RequestBody  String json) {
        return remoteChemicalFertilizerInfoService.putChemicalFertilizerInfo(json);
    }

    /**
     * 获取化肥信息详情
     * @param
     * @return
     */
    @GetMapping("/ChemicalFertilizerInfo/edit")
    public AjaxResult chemicalFertilizerInfoEdit(String id) {
        return remoteChemicalFertilizerInfoService.chemicalFertilizerInfoEdit(id);
    }
}
