package com.sooka.sponest.mobile.data.digitalagriculture.controller;

import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.common.core.web.page.PageDomain;
import com.ruoyi.common.core.web.page.TableSupport;
import com.sooka.sponest.data.api.digitalagriculture.domain.FarmContractManagement;
import com.sooka.sponest.data.api.digitalagriculture.service.RemoteContractManagementService;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.List;

/**
 * 合同模板使用记录
 */
@RestController
@RequestMapping("AppContractManagementController")
public class ContractManagementController {
    @Resource
    RemoteContractManagementService remoteContractManagementService;

    /**
     * 新增合同模板使用记录
     * @param json
     * @return
     */
    @PostMapping("/ContractManagement")
    public AjaxResult contractManagement(@RequestBody String json) {
        return remoteContractManagementService.addContractManagement(json);
    }

    /**
     * 获取合同模板使用记录
     * @param farmContractManagement
     * @return
     */
    @GetMapping("/ContractManagement/list")
    public AjaxResult contractManagementList(FarmContractManagement farmContractManagement) {

        PageDomain pageDomain = TableSupport.buildPageRequest();
        Integer pageNum = pageDomain.getPageNum();
        Integer pageSize = pageDomain.getPageSize();
        return AjaxResult.success(remoteContractManagementService.contractManagementList(pageNum, pageSize).getRows());
    }

    /**
     * 删除合同模板使用记录
     * @param
     * @return
     */
    @GetMapping("/ContractManagement/del")
    public AjaxResult delContractManagement(@RequestParam("id") List<String> id) {
        return remoteContractManagementService.delContractManagement(id.toArray(new String[0]));
    }

    /**
     * 修改合同模板使用记录
     * @param json
     * @return
     */
    @PostMapping("/ContractManagement/put")
    public AjaxResult putContractManagement(@RequestBody String json) {
        return remoteContractManagementService.putContractManagement(json);
    }

    /**
     * 获取合同模板使用记录
     * @param
     * @return
     */
    @GetMapping("/ContractManagement/edit")
    public AjaxResult contractManagementEdit(String id) {
        return remoteContractManagementService.contractManagementEdit(id);
    }
}
