package com.sooka.sponest.mobile.data.digitalagriculture.controller;

import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.common.core.web.page.PageDomain;
import com.ruoyi.common.core.web.page.TableSupport;
import com.sooka.sponest.data.api.digitalagriculture.domain.FarmAgriculturalCooperatives;
import com.sooka.sponest.data.api.digitalagriculture.service.RemoteCooperativesService;
import com.sooka.sponest.mobile.system.camera.service.AppCameraService;
import com.sooka.sponest.mobile.utils.PictureReplaceAll;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.List;
import java.util.Map;

/**
 * 农村合作社信息
*/
@RestController
@RequestMapping("AppCooperativesController")
public class CooperativesController {
    @Resource
    RemoteCooperativesService remoteCooperativesService;
    @Resource
    AppCameraService appCameraService;

    /**
     * 新增农民合作社
     * @param json
     * @return
     */
    @PostMapping("/Cooperatives")
    public AjaxResult addCooperatives(@RequestBody String json) {
        return remoteCooperativesService.addCooperatives(json);
    }

    /**
     * 获取农民合作社列表
     * @param farmAgriculturalCooperatives
     * @return
     */
    @GetMapping("/Cooperatives/list")
    public AjaxResult cooperativesList(FarmAgriculturalCooperatives farmAgriculturalCooperatives) {

        PageDomain pageDomain = TableSupport.buildPageRequest();
        Integer pageNum = pageDomain.getPageNum();
        Integer pageSize = pageDomain.getPageSize();
        return AjaxResult.success(remoteCooperativesService.cooperativesList(pageNum, pageSize).getRows());
    }

    /**
     * 删除农民合作社
     * @param
     * @return
     */
    @GetMapping("/Cooperatives/del")
    public AjaxResult delCooperatives(@RequestParam("id") List<String> id) {
        return remoteCooperativesService.delCooperatives(id.toArray(new String[0]));
    }

    /**
     * 修改农民合作社
     * @param json
     * @return
     */
    @PostMapping("/Cooperatives/put")
    public AjaxResult putCooperatives(@RequestBody String json) {
        return remoteCooperativesService.putCooperatives(json);
    }

    /**
     * 获取农民合作社详情
     * @param
     * @return
     */
    @GetMapping("/Cooperatives/edit")
    public AjaxResult cooperativesEdit(String id) {
        AjaxResult ajaxResult = remoteCooperativesService.cooperativesEdit(id);
        if("200".equals(ajaxResult.get("code").toString())){
            Map<String, Object> info = (Map<String, Object>) ajaxResult.get("data");
            PictureReplaceAll.StringToList(info);
            return appCameraService.selectCameraByIds(info);
        }else{
            return ajaxResult;
        }
    }
}
