package com.sooka.sponest.mobile.data.digitalagriculture.controller;

import com.ruoyi.common.core.constant.EventTypeMenuConstants;
import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.common.core.web.page.PageDomain;
import com.ruoyi.common.core.web.page.TableSupport;
import com.ruoyi.system.api.domain.SysMenuEventType;
import com.sooka.sponest.data.api.digitalagriculture.domain.AgricultureBO;
import com.sooka.sponest.data.api.digitalagriculture.domain.StrawStillField;
import com.sooka.sponest.data.api.digitalagriculture.service.RemoteDataViewService;
import com.sooka.sponest.mobile.aop.NoRepeatSubmit;
import com.sooka.sponest.mobile.appbigdata.domain.vo.VisuForestCloudMapVO;
import com.sooka.sponest.mobile.base.service.AppAttendanceService;
import com.sooka.sponest.mobile.data.digitalagriculture.service.IDataService;
import com.sooka.sponest.mobile.remoteapi.RemoteEventBaseService;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

@RestController
@RequestMapping("/annotation")
public class DataController {
    @Resource
    IDataService dataService;
    @Resource
    RemoteDataViewService remoteDataViewService;
    @Resource
    RemoteEventBaseService remoteEventBaseService;
    @Resource
    AppAttendanceService appAttendanceService;

    /**
     * 手机端农业数据统计 新版 数据、事件汇总 动态获取事件大小类类型
     */
    @ApiOperation(value = "农业统计", notes = "农业统计")
    @NoRepeatSubmit
    @GetMapping("data")
    public AjaxResult data() {
        VisuForestCloudMapVO visuForestCloudMapVO = new VisuForestCloudMapVO();
        SysMenuEventType sysMenuEventType = new SysMenuEventType();
        sysMenuEventType.setMenuId(EventTypeMenuConstants.FARMING);
        Map<String, String[]> stringMap = appAttendanceService.selectByMenuId(sysMenuEventType).getData();
        visuForestCloudMapVO.setEventTypeId(stringMap.get("eventType"));
        List<String> list = new ArrayList<>();
        list.add("forest_event_status_2");
        list.add("forest_event_status_5");
        visuForestCloudMapVO.setEventStatus(list);
        Map<String, Object> map = new HashMap<>();
        //基础数据
        List<Map> dataMap = remoteDataViewService.agricultureViewList().getData();
        for (Map data:dataMap) {
            data.put("name_original", data.get("name").toString().split("\\(")[0]);
            data.put("name_chinese", data.get("name").toString().split("\\(")[0] + "（" + data.get("name").toString().split("\\(")[1].split("\\)")[0] + "）");
        }
        map.put("rows", dataMap);
        //事件
        map.put("event", remoteEventBaseService.getEventCountGroupByEventStatus(visuForestCloudMapVO).getData());
        return AjaxResult.success(map);
    }

    /**
     * 手机端数据中心-标点
     *
     * @param agricultureBO
     * @return com.ruoyi.common.core.web.domain.AjaxResult
     * @author pengyu
     * @date 2023/2/22 10:05
     */
    @ApiOperation(value = "数据中心-标点", notes = "数据中心-标点")
    @GetMapping("point")
    public AjaxResult point(AgricultureBO agricultureBO) {
        return dataService.heZuoShePoint(agricultureBO);
    }


    /**
     * 农业还田
     */
    @PostMapping("/StillField")
    public AjaxResult addStillField(@RequestBody String json) {
        return remoteDataViewService.addStillField(json);
    }

    @GetMapping("/StillField/list")
    public AjaxResult stillFieldList(StrawStillField strawStillField) {
        PageDomain pageDomain = TableSupport.buildPageRequest();
        Integer pageNum = pageDomain.getPageNum();
        Integer pageSize = pageDomain.getPageSize();
        return AjaxResult.success(remoteDataViewService.stillFieldList(pageNum, pageSize, strawStillField.getStillFieldType()).getRows());
    }
    @GetMapping("/StillField/del")
    public AjaxResult delStillField(@RequestParam("id") List<String> id) {
        return remoteDataViewService.delStillField(id.toArray(new String[0]));
    }
    @PostMapping("/StillField/put")
    public AjaxResult putStillField(@RequestBody String json) {
        return remoteDataViewService.putStillField(json);
    }

    @GetMapping("/StillField/edit")
    public AjaxResult stillFieldEdit(String id) {
        return remoteDataViewService.stillFieldEdit(id);
    }



}
