package com.sooka.sponest.mobile.data.digitalagriculture.controller;

import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.common.core.web.page.PageDomain;
import com.ruoyi.common.core.web.page.TableSupport;
import com.sooka.sponest.data.api.digitalagriculture.domain.FarmEnterprise;
import com.sooka.sponest.data.api.digitalagriculture.service.RemoteEnterpriseService;
import com.sooka.sponest.mobile.system.camera.service.AppCameraService;
import com.sooka.sponest.mobile.utils.PictureReplaceAll;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.List;
import java.util.Map;

/**
 * 饲料企业
 */
@RestController
//@RequestMapping("AppenterpriseController")
public class EnterpriseController {
    @Resource
    RemoteEnterpriseService remoteEnterpriseService;

    @Resource
    AppCameraService appCameraService;

    /**
     * 新增饲料企业
     * @param json
     * @return
     */
    @PostMapping("/enterprise")
    public AjaxResult enterprise(@RequestBody String json) {
        return remoteEnterpriseService.addEnterprise(json);
    }

    /**
     * 获取饲料企业列表
     * @param farmEnterprise
     * @return
     */
    @GetMapping("/enterprise/list")
    public AjaxResult enterpriseList(FarmEnterprise farmEnterprise) {
        PageDomain pageDomain = TableSupport.buildPageRequest();
        Integer pageNum = pageDomain.getPageNum();
        Integer pageSize = pageDomain.getPageSize();
        return AjaxResult.success(remoteEnterpriseService.enterpriseList(pageNum, pageSize, farmEnterprise.getType()).getRows());
    }

    /**
     * 删除饲料企业
     * @param
     * @return
     */
    @GetMapping("/enterprise/del")
    public AjaxResult delEnterprise(@RequestParam("id") List<String> id) {
        return remoteEnterpriseService.delEnterprise(id.toArray(new String[0]));
    }

    /**
     * 修改饲料企业
     * @param json
     * @return
     */
    @PostMapping("/enterprise/put")
    public AjaxResult putEnterprise(@RequestBody String json) {
        return remoteEnterpriseService.putEnterprise(json);
    }

    /**
     * 获取饲料企业
     * @param
     * @return
     */
    @GetMapping("/enterprise/edit")
    public AjaxResult enterpriseEdit(String id) {
        AjaxResult ajaxResult = remoteEnterpriseService.enterpriseEdit(id);
        if("200".equals(ajaxResult.get("code").toString())){
            Map<String, Object> info = (Map<String, Object>) ajaxResult.get("data");
            PictureReplaceAll.StringToList(info);
            return appCameraService.selectCameraByIds(info);
        }else{
            return ajaxResult;
        }

    }
}
