package com.sooka.sponest.mobile.data.digitalagriculture.controller;

import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.common.core.web.page.PageDomain;
import com.ruoyi.common.core.web.page.TableSupport;
import com.sooka.sponest.data.api.digitalagriculture.domain.FarmEnterprise;
import com.sooka.sponest.data.api.digitalagriculture.service.RemoteExcrementdisposeService;
import com.sooka.sponest.mobile.system.camera.service.AppCameraService;
import com.sooka.sponest.mobile.utils.PictureReplaceAll;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.List;
import java.util.Map;

/**
 *  区域性粪污处置中心
 */
@RestController
@RequestMapping("AppexcrementdisposeController")
public class ExcrementdisposeController {
    @Resource
    RemoteExcrementdisposeService remoteExcrementdisposeService;
    @Resource
    AppCameraService appCameraService;
    
    /**
     * 新增区域性粪污处置中心
     * @param json
     * @return
     */
    @PostMapping("/excrementdispose")
    public AjaxResult addExcrementdispose(@RequestBody String json) {
        return remoteExcrementdisposeService.addExcrementdispose(json);
    }

    /**
     * 获取区域性粪污处置中心列表
     * @param farmEnterprise
     * @return
     */
    @GetMapping("/excrementdispose/list")
    public AjaxResult excrementdisposeList( FarmEnterprise farmEnterprise) {

        PageDomain pageDomain = TableSupport.buildPageRequest();
        Integer pageNum = pageDomain.getPageNum();
        Integer pageSize = pageDomain.getPageSize();
        return AjaxResult.success(remoteExcrementdisposeService.excrementdisposeList(pageNum, pageSize).getRows());
    }

    /**
     * 删除区域性粪污处置中心
     * @param
     * @return
     */
    @GetMapping("/excrementdispose/del")
    public AjaxResult delExcrementdispose(@RequestParam("id") List<String> id) {
        return remoteExcrementdisposeService.delExcrementdispose(id.toArray(new String[0]));
    }

    /**
     * 修改区域性粪污处置中心
     * @param json
     * @return
     */
    @PostMapping("/excrementdispose/put")
    public AjaxResult putExcrementdispose(@RequestBody String json) {
        return remoteExcrementdisposeService.putExcrementdispose(json);
    }

    /**
     * 获取区域性粪污处置中心
     * @param
     * @return
     */
    @GetMapping("/excrementdispose/edit")
    public AjaxResult excrementdisposeEdit(String id) {
        AjaxResult ajaxResult = remoteExcrementdisposeService.excrementdisposeEdit(id);
        if("200".equals(ajaxResult.get("code").toString())){
            Map<String, Object> info = (Map<String, Object>) ajaxResult.get("data");
            PictureReplaceAll.StringToList(info);
            return appCameraService.selectCameraByIds(info);
        }else{
            return ajaxResult;
        }
    }
}
