package com.sooka.sponest.mobile.data.digitalagriculture.controller;

import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.common.core.web.page.PageDomain;
import com.ruoyi.common.core.web.page.TableSupport;
import com.sooka.sponest.data.api.digitalagriculture.domain.FarmFilingsLivestock;
import com.sooka.sponest.data.api.digitalagriculture.service.RemoteFilingsLivestockService;
import com.sooka.sponest.mobile.system.camera.service.AppCameraService;
import com.sooka.sponest.mobile.utils.PictureReplaceAll;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.List;
import java.util.Map;

/**
 * 备案畜禽规模养殖场
 */
@RestController
@RequestMapping("AppfilingsLivestockController")
public class FilingsLivestockController {

    @Resource
    RemoteFilingsLivestockService remoteFilingsLivestockService;
    @Resource
    AppCameraService appCameraService;

    /**
     * 新增备案畜禽规模养殖场
     * @param json
     * @return
     */
    @PostMapping("/filingsLivestock")
    public AjaxResult filingsLivestock(@RequestBody String json) {
        return remoteFilingsLivestockService.addFilingsLivestock(json);
    }

    /**
     * 获取备案畜禽规模养殖场列表
     * @param farmFilingsLivestock
     * @return
     */
    @GetMapping("/filingsLivestock/list")
    public AjaxResult filingsLivestockList(FarmFilingsLivestock farmFilingsLivestock) {

        PageDomain pageDomain = TableSupport.buildPageRequest();
        Integer pageNum = pageDomain.getPageNum();
        Integer pageSize = pageDomain.getPageSize();
        return AjaxResult.success(remoteFilingsLivestockService.filingsLivestockList(pageNum, pageSize).getRows());
    }

    /**
     * 删除备案畜禽规模养殖场
     * @param
     * @return
     */
    @GetMapping("/filingsLivestock/del")
    public AjaxResult delFilingsLivestock(@RequestParam("id") List<String> id) {
        return remoteFilingsLivestockService.delFilingsLivestock(id.toArray(new String[0]));
    }

    /**
     * 修改 备案畜禽规模养殖场
     * @param json
     * @return
     */
    @PostMapping("/filingsLivestock/put")
    public AjaxResult putFilingsLivestock(@RequestBody String json) {
        return remoteFilingsLivestockService.putFilingsLivestock(json);
    }

    /**
     * 获取 备案畜禽规模养殖场
     * @param
     * @return
     */
    @GetMapping("/filingsLivestock/edit")
    public AjaxResult filingsLivestockEdit(String id) {
        AjaxResult ajaxResult = remoteFilingsLivestockService.filingsLivestockEdit(id);
        if("200".equals(ajaxResult.get("code").toString())){
            Map<String, Object> info = (Map<String, Object>) ajaxResult.get("data");
            PictureReplaceAll.StringToList(info);
            return appCameraService.selectCameraByIds(info);
        }else{
            return ajaxResult;
        }
    }
}
