package com.sooka.sponest.mobile.data.digitalagriculture.controller;

import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.common.core.web.page.PageDomain;
import com.ruoyi.common.core.web.page.TableSupport;
import com.sooka.sponest.data.api.digitalagriculture.domain.FarmGarbageTransfer;
import com.sooka.sponest.data.api.digitalagriculture.service.RemoteGarbageTransferInfoService;
import com.sooka.sponest.mobile.system.camera.service.AppCameraService;
import com.sooka.sponest.mobile.utils.PictureReplaceAll;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.List;
import java.util.Map;

/**
 * 垃圾转输站
 */
@RestController
@RequestMapping("AppGarbageTransferController")
public class GarbageTransferController {

    @Resource
    RemoteGarbageTransferInfoService remoteGarbageTransferInfoService;

    @Resource
    AppCameraService appCameraService;


    /**
     * 新增垃圾转输站
     * @param json
     * @return
     */
    @PostMapping("/GarbageTransferInfo")
    public AjaxResult addGarbageTransferInfo(@RequestBody String json) {
        return remoteGarbageTransferInfoService.addGarbageTransferInfo(json);
    }

    /**
     * 获取垃圾转输站列表
     * @param farmGarbageTransfer
     * @return
     */
    @GetMapping("/GarbageTransferInfo/list")
    public AjaxResult garbageTransferInfoList(FarmGarbageTransfer farmGarbageTransfer) {

        PageDomain pageDomain = TableSupport.buildPageRequest();
        Integer pageNum = pageDomain.getPageNum();
        Integer pageSize = pageDomain.getPageSize();
        return AjaxResult.success(remoteGarbageTransferInfoService.garbageTransferInfoList(pageNum, pageSize , farmGarbageTransfer.getName()).getRows());
    }

    /**
     * 删除垃圾转输站
     * @param
     * @return
     */
    @GetMapping("/GarbageTransferInfo/del")
    public AjaxResult delGarbageTransferInfo(@RequestParam("id") List<String> id) {
        return remoteGarbageTransferInfoService.delGarbageTransferInfo(id.toArray(new String[0]));
    }

    /**
     * 修改垃圾转输站
     * @param json
     * @return
     */
    @PostMapping("/GarbageTransferInfo/put")
    public AjaxResult putGarbageTransferInfo(@RequestBody String json) {
        return remoteGarbageTransferInfoService.putGarbageTransferInfo(json);
    }

    /**
     * 获取垃圾转输站详情
     * @param
     * @return
     */
    @GetMapping("/GarbageTransferInfo/edit")
    public AjaxResult garbageTransferInfoEdit(String id) {
        AjaxResult ajaxResult = remoteGarbageTransferInfoService.garbageTransferInfoEdit(id);
        if("200".equals(ajaxResult.get("code").toString())){
            Map<String, Object> info = (Map<String, Object>) ajaxResult.get("data");
            PictureReplaceAll.StringToList(info);
            return appCameraService.selectCameraByIds(info);
        }else{
            return ajaxResult;
        }
    }
}
