package com.sooka.sponest.mobile.data.digitalagriculture.controller;

import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.common.core.web.page.PageDomain;
import com.ruoyi.common.core.web.page.TableSupport;
import com.sooka.sponest.data.api.digitalagriculture.domain.FarmGreenhouseFilmInfo;
import com.sooka.sponest.data.api.digitalagriculture.service.RemoteGreenhousefilmService;
import com.sooka.sponest.mobile.system.camera.service.AppCameraService;
import com.sooka.sponest.mobile.utils.PictureReplaceAll;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.List;
import java.util.Map;

/**
 * 棚膜信息
 */
@RestController
@RequestMapping("AppgreenhousefilmController")
public class GreenhousefilmController {
    @Resource
    RemoteGreenhousefilmService remoteGreenhousefilmService;
    @Resource
    AppCameraService appCameraService;

    /**
     * 新增棚膜信息
     * @param json
     * @return
     */
    @PostMapping("/greenhousefilm")
    public AjaxResult addGreenhousefilm(@RequestBody String json) {
        return remoteGreenhousefilmService.addGreenhousefilm(json);
    }

    /**
     * 获取棚膜信息列表
     * @param centerdataTFarmGreenhouseFilmVo
     * @return
     */
    @GetMapping("/greenhousefilm/list")
    public AjaxResult greenhousefilmList(FarmGreenhouseFilmInfo centerdataTFarmGreenhouseFilmVo) {

        PageDomain pageDomain = TableSupport.buildPageRequest();
        Integer pageNum = pageDomain.getPageNum();
        Integer pageSize = pageDomain.getPageSize();
        return AjaxResult.success(remoteGreenhousefilmService.greenhousefilmList(pageNum, pageSize).getRows());
    }

    /**
     * 删除棚膜信息
     * @param
     * @return
     */
    @GetMapping("/greenhousefilm/del")
    public AjaxResult delGreenhousefilm(@RequestParam("id") List<String> id) {
        return remoteGreenhousefilmService.delGreenhousefilm(id.toArray(new String[0]));
    }

    /**
     * 修改棚膜信息
     * @param json
     * @return
     */
    @PostMapping("/greenhousefilm/put")
    public AjaxResult putGreenhousefilm(@RequestBody String json) {
        return remoteGreenhousefilmService.putGreenhousefilm(json);
    }

    /**
     * 获取棚膜信息详情
     * @param
     * @return
     */
    @GetMapping("/greenhousefilm/edit")
    public AjaxResult greenhousefilmEdit(String id) {
        AjaxResult ajaxResult = remoteGreenhousefilmService.greenhousefilmEdit(id);
        if("200".equals(ajaxResult.get("code").toString())){
            Map<String, Object> info = (Map<String, Object>) ajaxResult.get("data");
            PictureReplaceAll.StringToList(info);
            return appCameraService.selectCameraByIds(info);
        }else{
            return ajaxResult;
        }
    }
}
