package com.sooka.sponest.mobile.data.digitalagriculture.controller;

import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.common.core.web.page.PageDomain;
import com.ruoyi.common.core.web.page.TableSupport;
import com.sooka.sponest.data.api.digitalagriculture.domain.FarmImplementsInfo;
import com.sooka.sponest.data.api.digitalagriculture.service.RemoteImplementsInfoService;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.List;

/**
 *  农具信息
 */
@RestController
@RequestMapping("AppImplementsInfoController")
public class ImplementsInfoController {
    @Resource
    RemoteImplementsInfoService remoteImplementsInfoService;

    /**
     * 新增农具信息
     * @param json
     * @return
     */
    @PostMapping("/ImplementsInfo")
    public AjaxResult addImplementsInfo(@RequestBody String json) {
        return remoteImplementsInfoService.addImplementsInfo(json);
    }

    /**
     * 获取农具信息列表
     * @param farmImplementsInfo
     * @return
     */
    @GetMapping("/ImplementsInfo/list")
    public AjaxResult implementsInfoList(FarmImplementsInfo farmImplementsInfo) {

        PageDomain pageDomain = TableSupport.buildPageRequest();
        Integer pageNum = pageDomain.getPageNum();
        Integer pageSize = pageDomain.getPageSize();
        return AjaxResult.success(remoteImplementsInfoService.implementsInfoList(pageNum, pageSize).getRows());
    }

    /**
     * 删除农具信息
     * @param
     * @return
     */
    @GetMapping("/ImplementsInfo/del")
    public AjaxResult delImplementsInfo(@RequestParam("id") List<String> id) {
        return remoteImplementsInfoService.delImplementsInfo(id.toArray(new String[0]));
    }

    /**
     * 修改农具信息
     * @param json
     * @return
     */
    @PostMapping("/ImplementsInfo/put")
    public AjaxResult putImplementsInfo(@RequestBody String json) {
        return remoteImplementsInfoService.putImplementsInfo(json);
    }

    /**
     * 获取农具信息详情
     * @param
     * @return
     */
    @GetMapping("/ImplementsInfo/edit")
    public AjaxResult implementsInfoEdit(String id) {
        return remoteImplementsInfoService.implementsInfoEdit(id);
    }
}
