package com.sooka.sponest.mobile.data.digitalagriculture.controller;

import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.common.core.web.page.PageDomain;
import com.ruoyi.common.core.web.page.TableSupport;
import com.sooka.sponest.data.api.digitalagriculture.domain.FarmPesticideInformation;
import com.sooka.sponest.data.api.digitalagriculture.service.RemoteInformationService;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.List;

/**
 * 农药信息
 */
@RestController
@RequestMapping("AppinformationController")
public class InformationController {
    @Resource
    RemoteInformationService remoteInformationService;

    /**
     * 新增农药信息
     * @param json
     * @return
     */
    @PostMapping("/information")
    public AjaxResult addInformation(@RequestBody String json) {
        return remoteInformationService.addInformation(json);
    }

    /**
     * 获取农药信息列表
     * @param farmPesticideInformation
     * @return
     */
    @GetMapping("/information/list")
    public AjaxResult informationList(FarmPesticideInformation farmPesticideInformation) {

        PageDomain pageDomain = TableSupport.buildPageRequest();
        Integer pageNum = pageDomain.getPageNum();
        Integer pageSize = pageDomain.getPageSize();
        return AjaxResult.success(remoteInformationService.informationList(pageNum, pageSize).getRows());
    }

    /**
     * 删除农药信息
     * @param
     * @return
     */
    @GetMapping("/information/del")
    public AjaxResult delInformation(@RequestParam("id") List<String> id) {
        return remoteInformationService.delInformation(id.toArray(new String[0]));
    }

    /**
     * 修改农药信息
     * @param json
     * @return
     */
    @PostMapping("/information/put")
    public AjaxResult putInformation(@RequestBody String json) {
        return remoteInformationService.putInformation(json);
    }

    /**
     * 获取农药信息详情
     * @param
     * @return
     */
    @GetMapping("/information/edit")
    public AjaxResult informationEdit(String id) {
        return remoteInformationService.informationEdit(id);
    }
}
