package com.sooka.sponest.mobile.data.digitalagriculture.controller;

import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.common.core.web.page.PageDomain;
import com.ruoyi.common.core.web.page.TableSupport;
import com.sooka.sponest.data.api.digitalagriculture.domain.FarmLivestock;
import com.sooka.sponest.data.api.digitalagriculture.service.RemoteLivestockService;
import com.sooka.sponest.mobile.system.camera.service.AppCameraService;
import com.sooka.sponest.mobile.utils.PictureReplaceAll;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.List;
import java.util.Map;

/**
 * 种畜禽养殖场
 */
@RestController
@RequestMapping("ApplivestockController")
public class LivestockController {
    @Resource
    RemoteLivestockService remoteLivestockService;
    @Resource
    AppCameraService appCameraService;
    
    /**
     * 新增种畜禽养殖场
     * @param json
     * @return
     */
    @PostMapping("/livestock")
    public AjaxResult addLivestock(@RequestBody String json) {
        return remoteLivestockService.addLivestock(json);
    }

    /**
     * 获取种畜禽养殖场列表
     * @param farmLivestock
     * @return
     */
    @GetMapping("/livestock/list")
    public AjaxResult livestockList(FarmLivestock farmLivestock) {

        PageDomain pageDomain = TableSupport.buildPageRequest();
        Integer pageNum = pageDomain.getPageNum();
        Integer pageSize = pageDomain.getPageSize();
        return AjaxResult.success(remoteLivestockService.livestockList(pageNum, pageSize).getRows());
    }

    /**
     * 删除种畜禽养殖场
     * @param
     * @return
     */
    @GetMapping("/livestock/del")
    public AjaxResult delLivestock(@RequestParam("id") List<String> id) {
        return remoteLivestockService.delLivestock(id.toArray(new String[0]));
    }

    /**
     * 修改种畜禽养殖场
     * @param json
     * @return
     */
    @PostMapping("/livestock/put")
    public AjaxResult putLivestock(@RequestBody String json) {
        return remoteLivestockService.putLivestock(json);
    }

    /**
     * 获取种畜禽养殖场详情
     * @param
     * @return
     */
    @GetMapping("/livestock/edit")
    public AjaxResult livestockEdit(String id) {
        AjaxResult ajaxResult = remoteLivestockService.livestockEdit(id);
        if("200".equals(ajaxResult.get("code").toString())){
            Map<String, Object> info = (Map<String, Object>) ajaxResult.get("data");
            PictureReplaceAll.StringToList(info);
            return appCameraService.selectCameraByIds(info);
        }else{
            return ajaxResult;
        }
    }
}
