package com.sooka.sponest.mobile.data.digitalagriculture.controller;

import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.common.core.web.page.PageDomain;
import com.ruoyi.common.core.web.page.TableSupport;
import com.sooka.sponest.data.api.digitalagriculture.domain.FarmMachineryInfo;
import com.sooka.sponest.data.api.digitalagriculture.service.RemoteMachineryInfoService;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.List;

/**
 * 农机管理
 */
@RestController
@RequestMapping("AppMachineryInfoController")
public class MachineryInfoController {

    @Resource
    RemoteMachineryInfoService remoteMachineryInfoService;

    /**
     * 新增农机管理
     * @param json
     * @return
     */
    @PostMapping("/MachineryInfo")
    public AjaxResult addMachineryInfo(@RequestBody String json) {
        return remoteMachineryInfoService.addMachineryInfo(json);
    }

    /**
     * 获取农机管理列表
     * @param farmMachineryInfo
     * @return
     */
    @GetMapping("/MachineryInfo/list")
    public AjaxResult machineryInfoList(FarmMachineryInfo farmMachineryInfo) {

        PageDomain pageDomain = TableSupport.buildPageRequest();
        Integer pageNum = pageDomain.getPageNum();
        Integer pageSize = pageDomain.getPageSize();
        return AjaxResult.success(remoteMachineryInfoService.machineryInfoList(pageNum, pageSize).getRows());
    }

    /**
     * 删除农机管理
     * @param
     * @return
     */
    @GetMapping("/MachineryInfo/del")
    public AjaxResult delMachineryInfo(@RequestParam("id") List<String> id) {
        return remoteMachineryInfoService.delMachineryInfo(id.toArray(new String[0]));
    }

    /**
     * 修改农机管理
     * @param json
     * @return
     */
    @PostMapping("/MachineryInfo/put")
    public AjaxResult putMachineryInfo(@RequestBody String json) {
        return remoteMachineryInfoService.putMachineryInfo(json);
    }

    /**
     * 获取农机管理详情
     * @param
     * @return
     */
    @GetMapping("/MachineryInfo/edit")
    public AjaxResult machineryInfoEdit(String id) {
        return remoteMachineryInfoService.machineryInfoEdit(id);
    }
}
