package com.sooka.sponest.mobile.data.digitalagriculture.controller;

import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.common.core.web.page.PageDomain;
import com.ruoyi.common.core.web.page.TableSupport;
import com.sooka.sponest.data.api.digitalagriculture.domain.FarmComplexModification;
import com.sooka.sponest.data.api.digitalagriculture.service.RemoteModificationService;
import com.sooka.sponest.mobile.system.camera.service.AppCameraService;
import com.sooka.sponest.mobile.utils.PictureReplaceAll;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.List;
import java.util.Map;

/**
 * 肉牛基层繁改站(点)
 */
@RestController
@RequestMapping("AppmodificationController")
public class ModificationController {
    @Resource
    RemoteModificationService remoteModificationService;

    @Resource
    AppCameraService appCameraService;

    /**
     * 新增肉牛基层繁改站(点)
     * @param json
     * @return
     */
    @PostMapping("/modification")
    public AjaxResult addModification(@RequestBody String json) {
        return remoteModificationService.addModification(json);
    }

    /**
     * 获取肉牛基层繁改站(点)列表
     * @param farmComplexModification
     * @return
     */
    @GetMapping("/modification/list")
    public AjaxResult modificationList( FarmComplexModification farmComplexModification) {

        PageDomain pageDomain = TableSupport.buildPageRequest();
        Integer pageNum = pageDomain.getPageNum();
        Integer pageSize = pageDomain.getPageSize();
        return AjaxResult.success(remoteModificationService.modificationList(pageNum, pageSize).getRows());
    }

    /**
     * 删除肉牛基层繁改站(点)
     * @param
     * @return
     */
    @GetMapping("/modification/del")
    public AjaxResult delModification(@RequestParam("id") List<String> id) {
        return remoteModificationService.delModification(id.toArray(new String[0]));
    }

    /**
     * 修改肉牛基层繁改站(点)
     * @param json
     * @return
     */
    @PostMapping("/modification/put")
    public AjaxResult putModification(@RequestBody String json) {
        return remoteModificationService.putModification(json);
    }

    /**
     * 获取肉牛基层繁改站(点)
     * @param
     * @return
     */
    @GetMapping("/modification/edit")
    public AjaxResult modificationEdit(String id) {
        AjaxResult ajaxResult = remoteModificationService.modificationEdit(id);
        if("200".equals(ajaxResult.get("code").toString())){
            Map<String, Object> info = (Map<String, Object>) ajaxResult.get("data");
            PictureReplaceAll.StringToList(info);
            return appCameraService.selectCameraByIds(info);
        }else{
            return ajaxResult;
        }
    }
}
