package com.sooka.sponest.mobile.data.digitalagriculture.controller;

import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.common.core.web.page.PageDomain;
import com.ruoyi.common.core.web.page.TableSupport;
import com.sooka.sponest.data.api.digitalagriculture.domain.FarmPlantInfo;
import com.sooka.sponest.data.api.digitalagriculture.service.RemotePlantInfoService;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.List;

/**
 * 种植管理
 */
@RestController
@RequestMapping("AppPlantInfoController")
public class PlantInfoController {
    @Resource
    RemotePlantInfoService remotePlantInfoService;

    /**
     * 新增种植管理
     * @param json
     * @return
     */
    @PostMapping("/PlantInfo")
    public AjaxResult addPlantInfo(@RequestBody String json) {
        return remotePlantInfoService.addPlantInfo(json);
    }

    /**
     * 获取种植管理列表
     * @param centerdataTFarmSeedInfo
     * @return
     */
    @GetMapping("/PlantInfo/list")
    public AjaxResult plantInfoList(FarmPlantInfo centerdataTFarmSeedInfo) {

        PageDomain pageDomain = TableSupport.buildPageRequest();
        Integer pageNum = pageDomain.getPageNum();
        Integer pageSize = pageDomain.getPageSize();
        return AjaxResult.success(remotePlantInfoService.plantInfoList(pageNum, pageSize).getRows());
    }

    /**
     * 删除种植管理
     * @param
     * @return
     */
    @GetMapping("/PlantInfo/del")
    public AjaxResult delPlantInfo(@RequestParam("id") List<String> id) {
        return remotePlantInfoService.delPlantInfo(id.toArray(new String[0]));
    }

    /**
     * 修改种植管理
     * @param json
     * @return
     */
    @PostMapping("/PlantInfo/put")
    public AjaxResult putPlantInfo(@RequestBody String json) {
        return remotePlantInfoService.putPlantInfo(json);
    }

    /**
     * 获取种植管理详情
     * @param
     * @return
     */
    @GetMapping("/PlantInfo/edit")
    public AjaxResult plantInfoEdit(String id) {
        return remotePlantInfoService.plantInfoEdit(id);
    }
}
