package com.sooka.sponest.mobile.data.digitalagriculture.controller;

import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.common.core.web.page.PageDomain;
import com.ruoyi.common.core.web.page.TableSupport;
import com.sooka.sponest.data.api.digitalagriculture.domain.FarmVillageAnimalPrevention;
import com.sooka.sponest.data.api.digitalagriculture.service.RemotePreventionService;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.List;

/**
 * 村级动物防疫员
 */
@RestController
@RequestMapping("ApppreventionController")
public class PreventionController {

    @Resource
    RemotePreventionService remotePreventionService;

    /**
     * 新增村级动物防疫员
     * @param json
     * @return
     */
    @PostMapping("/prevention")
    public AjaxResult addPrevention(@RequestBody String json) {
        return remotePreventionService.addPrevention(json);
    }

    /**
     * 获取村级动物防疫员
     * @param farmVillageAnimalPrevention
     * @return
     */
    @GetMapping("/prevention/list")
    public AjaxResult preventionList(FarmVillageAnimalPrevention farmVillageAnimalPrevention) {

        PageDomain pageDomain = TableSupport.buildPageRequest();
        Integer pageNum = pageDomain.getPageNum();
        Integer pageSize = pageDomain.getPageSize();
        return AjaxResult.success(remotePreventionService.preventionList(pageNum, pageSize).getRows());
    }

    /**
     * 删除村级动物防疫员
     * @param
     * @return
     */
    @GetMapping("/prevention/del")
    public AjaxResult delPrevention(@RequestParam("id") List<String> id) {
        return remotePreventionService.delPrevention(id.toArray(new String[0]));
    }

    /**
     * 修改村级动物防疫员
     * @param json
     * @return
     */
    @PostMapping("/prevention/put")
    public AjaxResult putPrevention(@RequestBody  String json) {
        return remotePreventionService.putPrevention(json);
    }

    /**
     * 获取村级动物防疫员详情
     * @param
     * @return
     */
    @GetMapping("/prevention/edit")
    public AjaxResult preventionEdit(String id) {
        return remotePreventionService.preventionEdit(id);
    }
}
