package com.sooka.sponest.mobile.data.digitalagriculture.controller;

import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.common.core.web.page.PageDomain;
import com.ruoyi.common.core.web.page.TableSupport;
import com.sooka.sponest.data.api.digitalagriculture.domain.FarmAutumnHarvestSchedule;
import com.sooka.sponest.data.api.digitalagriculture.service.RemoteScheduleService;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.List;

/**
 * 秋收进度
 */
@RestController
@RequestMapping("AppscheduleController")
public class ScheduleController {
    @Resource
    RemoteScheduleService remoteScheduleService;

    /**
     * 新增秋收进度
     * @param json
     * @return
     */
    @PostMapping("/schedule")
    public AjaxResult addSchedule(@RequestBody String json) {
        return remoteScheduleService.addSchedule(json);
    }

    /**
     * 获取秋收进度
     * @param farmAutumnHarvestSchedule
     * @return
     */
    @GetMapping("/schedule/list")
    public AjaxResult scheduleList(FarmAutumnHarvestSchedule farmAutumnHarvestSchedule) {

        PageDomain pageDomain = TableSupport.buildPageRequest();
        Integer pageNum = pageDomain.getPageNum();
        Integer pageSize = pageDomain.getPageSize();
        return AjaxResult.success(remoteScheduleService.scheduleList(pageNum, pageSize).getRows());
    }

    /**
     * 删除秋收进度
     * @param
     * @return
     */
    @GetMapping("/schedule/del")
    public AjaxResult delSchedule(@RequestParam("id") List<String> id) {
        return remoteScheduleService.delSchedule(id.toArray(new String[0]));
    }

    /**
     * 修改秋收进度
     * @param json
     * @return
     */
    @PostMapping("/schedule/put")
    public AjaxResult putSchedule(@RequestBody String json) {
        return remoteScheduleService.putSchedule(json);
    }

    /**
     * 获取秋收进度详情
     * @param
     * @return
     */
    @GetMapping("/schedule/edit")
    public AjaxResult scheduleEdit(String id) {
        return remoteScheduleService.scheduleEdit(id);
    }
}
