package com.sooka.sponest.mobile.data.digitalagriculture.controller;

import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.common.core.web.page.PageDomain;
import com.ruoyi.common.core.web.page.TableSupport;
import com.sooka.sponest.data.api.digitalagriculture.domain.FarmSeedInfo;
import com.sooka.sponest.data.api.digitalagriculture.service.RemoteSeedInfoService;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.List;

/**
 * 种子信息
 */
@RestController
@RequestMapping("AppSeedInfoController")
public class SeedInfoController {
    @Resource
    RemoteSeedInfoService remoteSeedInfoService;

    /**
     * 新增种子信息
     * @param json
     * @return
     */
    @PostMapping("/SeedInfo")
    public AjaxResult addSeedInfo(@RequestBody String json) {
        return remoteSeedInfoService.addSeedInfo(json);
    }

    /**
     * 获取种子信息
     * @param farmSeedInfo
     * @return
     */
    @GetMapping("/SeedInfo/list")
    public AjaxResult seedInfoList(FarmSeedInfo farmSeedInfo) {

        PageDomain pageDomain = TableSupport.buildPageRequest();
        Integer pageNum = pageDomain.getPageNum();
        Integer pageSize = pageDomain.getPageSize();
        return AjaxResult.success( remoteSeedInfoService.seedInfoList(pageNum, pageSize).getRows());
    }

    /**
     * 删除种子信息
     * @param
     * @return
     */
    @GetMapping("/SeedInfo/del")
    public AjaxResult delSeedInfo(@RequestParam("id") List<String> id) {
        return remoteSeedInfoService.delSeedInfo(id.toArray(new String[0]));
    }

    /**
     * 修改种子信息
     * @param json
     * @return
     */
    @PostMapping("/SeedInfo/put")
    public AjaxResult putSeedInfo(@RequestBody  String json) {
        return remoteSeedInfoService.putSeedInfo(json);
    }

    /**
     * 获取种子信息详情
     * @param
     * @return
     */
    @GetMapping("/SeedInfo/edit")
    public AjaxResult seedInfoEdit(String id) {
        return remoteSeedInfoService.seedInfoEdit(id);
    }
}
