package com.sooka.sponest.mobile.data.digitalagriculture.controller;

import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.common.core.web.page.PageDomain;
import com.ruoyi.common.core.web.page.TableSupport;
import com.sooka.sponest.data.api.digitalagriculture.domain.FarmSeedingProgress;
import com.sooka.sponest.data.api.digitalagriculture.service.RemoteSeedingProgressService;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.List;

/**
 * 春耕播种进度
 */
@RestController
@RequestMapping("AppseedingProgressController")
public class SeedingProgressController {
    @Resource
    RemoteSeedingProgressService remoteSeedingProgressService;

    /**
     * 新增春耕播种进度
     * @param json
     * @return
     */
    @PostMapping("/seedingProgress")
    public AjaxResult addSeedingProgress(@RequestBody String json) {
        return remoteSeedingProgressService.addSeedingProgress(json);
    }

    /**
     * 获取春耕播种进度
     * @param farmSeedingProgress
     * @return
     */
    @GetMapping("/seedingProgress/list")
    public AjaxResult seedingProgressList(FarmSeedingProgress farmSeedingProgress) {

        PageDomain pageDomain = TableSupport.buildPageRequest();
        Integer pageNum = pageDomain.getPageNum();
        Integer pageSize = pageDomain.getPageSize();
        return AjaxResult.success(remoteSeedingProgressService.seedingProgressList(pageNum, pageSize).getRows());
    }

    /**
     * 删除春耕播种进度
     * @param
     * @return
     */
    @GetMapping("/seedingProgress/del")
    public AjaxResult delSeedingProgress(@RequestParam("id") List<String> id) {
        return remoteSeedingProgressService.delSeedingProgress(id.toArray(new String[0]));
    }

    /**
     * 修改春耕播种进度
     * @param json
     * @return
     */
    @PostMapping("/seedingProgress/put")
    public AjaxResult putSeedingProgress(@RequestBody String json) {
        return remoteSeedingProgressService.putSeedingProgress(json);
    }

    /**
     * 获取春耕播种进度详情
     * @param
     * @return
     */
    @GetMapping("/seedingProgress/edit")
    public AjaxResult seedingProgressEdit(String id) {
        return remoteSeedingProgressService.seedingProgressEdit(id);
    }
}
