package com.sooka.sponest.mobile.data.digitalagriculture.controller;

import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.common.core.web.page.PageDomain;
import com.ruoyi.common.core.web.page.TableSupport;
import com.sooka.sponest.data.api.digitalagriculture.domain.FarmSeedlingProgress;
import com.sooka.sponest.data.api.digitalagriculture.service.RemoteSeedlingProgressService;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.List;

/**
 * 春耕出苗进度Controller
 *
 */
@RestController
@RequestMapping("AppseedlingProgressController")
public class SeedlingProgressController {
    @Resource
    RemoteSeedlingProgressService remoteSeedlingProgressService;

    /**
     * 新增春耕出苗进度
     * @param json
     * @return
     */
    @PostMapping("/seedlingProgress")
    public AjaxResult addSeedlingProgress(@RequestBody String json) {
        return remoteSeedlingProgressService.addSeedlingProgress(json);
    }

    /**
     * 获取春耕出苗进度列表
     * @param
     * @return
     */
    @GetMapping("/seedlingProgress/list")
    public AjaxResult seedlingProgressList(FarmSeedlingProgress farmSeedlingProgress) {

        PageDomain pageDomain = TableSupport.buildPageRequest();
        Integer pageNum = pageDomain.getPageNum();
        Integer pageSize = pageDomain.getPageSize();
        return AjaxResult.success(remoteSeedlingProgressService.seedlingProgressList(pageNum, pageSize).getRows());
    }

    /**
     * 删除春耕出苗进度
     * @param
     * @return
     */
    @GetMapping("/seedlingProgress/del")
    public AjaxResult delSeedlingProgress(@RequestParam("id") List<String> id) {
        return remoteSeedlingProgressService.delSeedlingProgress(id.toArray(new String[0]));
    }

    /**
     * 修改春耕出苗进度
     * @param json
     * @return
     */
    @PostMapping("/seedlingProgress/put")
    public AjaxResult putSeedlingProgress(@RequestBody String json) {
        return remoteSeedlingProgressService.putSeedlingProgress(json);
    }

    /**
     * 获取春耕出苗进度详情
     * @param
     * @return
     */
    @GetMapping("/seedlingProgress/edit")
    public AjaxResult seedlingProgressEdit(String id) {
        return remoteSeedlingProgressService.seedlingProgressEdit(id);
    }
}
