package com.sooka.sponest.mobile.data.digitalagriculture.controller;

import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.common.core.web.page.PageDomain;
import com.ruoyi.common.core.web.page.TableSupport;
import com.sooka.sponest.data.api.digitalagriculture.domain.FarmSowingSchedule;
import com.sooka.sponest.data.api.digitalagriculture.service.RemoteSowingScheduleService;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.List;

/**
 * 备春耕进度
 */
@RestController
@RequestMapping("AppsowingScheduleController")
public class SowingScheduleController {
    @Resource
    RemoteSowingScheduleService remoteSowingScheduleService;

    /**
     * 新增备春耕进度
     * @param json
     * @return
     */
    @PostMapping("/sowingSchedule")
    public AjaxResult addSowingSchedule(@RequestBody String json) {
        return remoteSowingScheduleService.addSowingSchedule(json);
    }

    /**
     * 获取备春耕进度列表
     * @param farmSowingSchedule
     * @return
     */
    @GetMapping("/sowingSchedule/list")
    public AjaxResult sowingScheduleList(FarmSowingSchedule farmSowingSchedule) {

        PageDomain pageDomain = TableSupport.buildPageRequest();
        Integer pageNum = pageDomain.getPageNum();
        Integer pageSize = pageDomain.getPageSize();
        return AjaxResult.success(remoteSowingScheduleService.sowingScheduleList(pageNum, pageSize).getRows());
    }

    /**
     * 删除备春耕进度
     * @param
     * @return
     */
    @GetMapping("/sowingSchedule/del")
    public AjaxResult delSowingSchedule(@RequestParam("id") List<String> id) {
        return remoteSowingScheduleService.delSowingSchedule(id.toArray(new String[0]));
    }

    /**
     * 修改备春耕进度
     * @param json
     * @return
     */
    @PostMapping("/sowingSchedule/put")
    public AjaxResult putSowingSchedule(@RequestBody String json) {
        return remoteSowingScheduleService.putSowingSchedule(json);
    }

    /**
     * 获取备春耕进度详情
     * @param
     * @return
     */
    @GetMapping("/sowingSchedule/edit")
    public AjaxResult sowingScheduleEdit(String id) {
        return remoteSowingScheduleService.sowingScheduleEdit(id);
    }
}
