package com.sooka.sponest.mobile.data.digitalagriculture.controller;

import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.common.core.web.page.PageDomain;
import com.ruoyi.common.core.web.page.TableSupport;
import com.sooka.sponest.data.api.digitalagriculture.domain.FarmSubsidyInfo;
import com.sooka.sponest.data.api.digitalagriculture.service.RemoteSubsidyInfoService;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.List;

/**
 * 补贴管理Controller
 *
 * @author 韩福成
 * @date 2023-04-30
 */
@RestController
@RequestMapping("AppSubsidyInfoController")
public class SubsidyInfoController {
    @Resource
    RemoteSubsidyInfoService remoteSubsidyInfoService;

    /**
     * 新增补助管理
     * @param json
     * @return
     */
    @PostMapping("/SubsidyInfo")
    public AjaxResult addSubsidyInfo(@RequestBody String json) {
        return remoteSubsidyInfoService.addSubsidyInfo(json);
    }

    /**
     * 获取补助管理列表
     * @param farmSubsidyInfo
     * @return
     */
    @GetMapping("/SubsidyInfo/list")
    public AjaxResult subsidyInfoList(FarmSubsidyInfo farmSubsidyInfo) {

        PageDomain pageDomain = TableSupport.buildPageRequest();
        Integer pageNum = pageDomain.getPageNum();
        Integer pageSize = pageDomain.getPageSize();
        return AjaxResult.success(remoteSubsidyInfoService.subsidyInfoList(pageNum, pageSize).getRows());
    }

    /**
     * 删除补助管理
     * @param
     * @return
     */
    @GetMapping("/SubsidyInfo/del")
    public AjaxResult delSubsidyInfo(@RequestParam("id") List<String> id) {
        return remoteSubsidyInfoService.delSubsidyInfo(id.toArray(new String[0]));
    }

    /**
     * 修改补助管理
     * @param json
     * @return
     */
    @PostMapping("/SubsidyInfo/put")
    public AjaxResult putSubsidyInfo(@RequestBody String json) {
        return remoteSubsidyInfoService.putSubsidyInfo(json);
    }

    /**
     * 获取补助管理详情
     * @param
     * @return
     */
    @GetMapping("/SubsidyInfo/edit")
    public AjaxResult subsidyInfoEdit(String id) {
        return remoteSubsidyInfoService.subsidyInfoEdit(id);
    }
}
