package com.sooka.sponest.mobile.data.digitalagriculture.controller;

import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.common.core.web.page.PageDomain;
import com.ruoyi.common.core.web.page.TableSupport;
import com.sooka.sponest.data.api.digitalagriculture.domain.FarmAgriculturalSupervise;
import com.sooka.sponest.data.api.digitalagriculture.service.RemoteSuperviseService;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.List;

/**
 * 农资监管Controller
 *
 * @author 韩福成
 * @date 2023-04-30
 */
@RestController
@RequestMapping("AppsuperviseController")
public class SuperviseController {
    @Resource
    RemoteSuperviseService remoteSuperviseService;

    /**
     * 新增农资监管
     * @param json
     * @return
     */
    @PostMapping("/supervise")
    public AjaxResult addSupervise(@RequestBody String json) {
        return remoteSuperviseService.addSupervise(json);
    }

    /**
     * 获取农资监管列表
     * @param farmAgriculturalSupervise
     * @return
     */
    @GetMapping("/supervise/list")
    public AjaxResult superviseList(FarmAgriculturalSupervise farmAgriculturalSupervise) {

        PageDomain pageDomain = TableSupport.buildPageRequest();
        Integer pageNum = pageDomain.getPageNum();
        Integer pageSize = pageDomain.getPageSize();
        return AjaxResult.success(remoteSuperviseService.superviseList(pageNum, pageSize).getRows());
    }

    /**
     * 删除农资监管
     * @param
     * @return
     */
    @GetMapping("/supervise/del")
    public AjaxResult delSupervise(@RequestParam("id") List<String> id) {
        return remoteSuperviseService.delSupervise(id.toArray(new String[0]));
    }

    /**
     * 修改农资监管
     * @param json
     * @return
     */
    @PostMapping("/supervise/put")
    public AjaxResult putSupervise(@RequestBody String json) {
        return remoteSuperviseService.putSupervise(json);
    }

    /**
     * 获取农资监管详情
     * @param
     * @return
     */
    @GetMapping("/supervise/edit")
    public AjaxResult superviseEdit(String id) {
        return remoteSuperviseService.superviseEdit(id);
    }
}
