package com.sooka.sponest.mobile.data.digitalagriculture.controller;

import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.common.core.web.page.PageDomain;
import com.ruoyi.common.core.web.page.TableSupport;
import com.sooka.sponest.data.api.digitalagriculture.domain.FarmTechnologyTrain;
import com.sooka.sponest.data.api.digitalagriculture.service.RemoteTrainService;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.List;

/**
 * 农民科技培训Controller
 *
 * @author 韩福成
 * @date 2023-04-30
 */
@RestController
@RequestMapping("ApptrainController")
public class TrainController {
    @Resource
    RemoteTrainService remoteTrainService;

    /**
     * 新增农民科技培训
     * @param json
     * @return
     */
    @PostMapping("/train")
    public AjaxResult addTrain(@RequestBody String json) {
        return remoteTrainService.addTrain(json);
    }

    /**
     * 获取农民科技培训列表
     * @param json
     * @return
     */
    @GetMapping("/train/list")
    public AjaxResult trainList(FarmTechnologyTrain farmTechnologyTrain) {

        PageDomain pageDomain = TableSupport.buildPageRequest();
        Integer pageNum = pageDomain.getPageNum();
        Integer pageSize = pageDomain.getPageSize();
        return AjaxResult.success(remoteTrainService.trainList(pageNum, pageSize).getRows());
    }

    /**
     * 删除农民科技培训
     * @param
     * @return
     */
    @GetMapping("/train/del")
    public AjaxResult delTrain(@RequestParam("id") List<String> id) {
        return remoteTrainService.delTrain(id.toArray(new String[0]));
    }

    /**
     * 修改农民科技培训
     * @param json
     * @return
     */
    @PostMapping("/train/put")
    public AjaxResult putTrain(@RequestBody String json) {
        return remoteTrainService.putTrain(json);
    }

    /**
     * 获取农民科技培训详情
     * @param
     * @return
     */
    @GetMapping("/train/edit")
    public AjaxResult trainEdit(String id) {
        return remoteTrainService.trainEdit(id);
    }
}
