package com.sooka.sponest.mobile.data.digitalagriculture.controller;

import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.common.core.web.page.PageDomain;
import com.ruoyi.common.core.web.page.TableSupport;
import com.sooka.sponest.data.api.digitalagriculture.domain.FarmTrashCan;
import com.sooka.sponest.data.api.digitalagriculture.service.RemoteTrashCanService;
import com.sooka.sponest.mobile.system.camera.service.AppCameraService;
import com.sooka.sponest.mobile.utils.PictureReplaceAll;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.List;
import java.util.Map;

/**
 * 垃圾桶Controller
 */
@RestController
@RequestMapping("AppTrashCanController")
public class TrashCanController {
    @Resource
    RemoteTrashCanService remoteTrashCanService;

    @Resource
    AppCameraService appCameraService;

    /**
     * 获取垃圾桶列表
     *
     * @param farmTrashCan
     * @return
     */
    @GetMapping("/trash/list")
    public AjaxResult trashList(FarmTrashCan farmTrashCan) {
        PageDomain pageDomain = TableSupport.buildPageRequest();
        Integer pageNum = pageDomain.getPageNum();
        Integer pageSize = pageDomain.getPageSize();
        String name = farmTrashCan.getName();
        String code = farmTrashCan.getCode();
        return AjaxResult.success(remoteTrashCanService.trashList(pageNum, pageSize,name,code).getRows());

    }

    /**
     * 获取垃圾桶详情
     *
     * @param
     * @return
     */
    @GetMapping("/trash/edit")
    public AjaxResult trashEdit(String id) {
        AjaxResult ajaxResult = remoteTrashCanService.trashEdit(id);
        if("200".equals(ajaxResult.get("code").toString())){
            Map<String, Object> info = (Map<String, Object>) ajaxResult.get("data");
            PictureReplaceAll.StringToList(info);
            return appCameraService.selectCameraByIds(info);
        }else{
            return ajaxResult;
        }
    }

    /**
     * 新增垃圾桶
     *
     * @param json
     * @return
     */
    @PostMapping("/trash")
    public AjaxResult trash(@RequestBody String json) {
        return remoteTrashCanService.addTrash(json);
    }

    /**
     * 修改垃圾桶
     *
     * @param json
     * @return
     */
    @PostMapping("/trash/put")
    public AjaxResult putTrash(@RequestBody String json) {
        return remoteTrashCanService.putTrash(json);
    }

    /**
     * 删除垃圾桶
     *
     * @param
     * @return
     */
    @GetMapping("/trash/del")
    public AjaxResult delTrash(@RequestParam("id") List<String> id) {
        return remoteTrashCanService.delTrash(id.toArray(new String[0]));
    }
}
