package com.sooka.sponest.mobile.data.digitalagriculture.service.impl;

import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.common.datascope.annotation.DataScopeMutiDept;
import com.sooka.sponest.data.api.digitalagriculture.domain.AgricultureBO;
import com.sooka.sponest.mobile.data.digitalagriculture.domain.VisuBaseService;
import com.sooka.sponest.mobile.data.digitalagriculture.service.IDataService;
import com.sooka.sponest.mobile.remoteapi.RemoteDataBaseService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

@Service
public class DataServiceImpl extends VisuBaseService implements IDataService {

    @Resource
    RemoteDataBaseService remoteDataBaseService;


    /**
     *
     * 手机端数据中心-标点
     * @author pengyu
     * @date 2023/2/22 10:07
     * @param agricultureBO
     * @return com.ruoyi.common.core.web.domain.AjaxResult
     */
    @Override
    @DataScopeMutiDept(deptAlias = "d",userAlias="u")
    public AjaxResult heZuoShePoint(AgricultureBO agricultureBO){
        if("hezuoshe".equals(agricultureBO.getType())){
            List<AgricultureBO> list =  remoteDataBaseService.HeZuoShePoint(agricultureBO).getData();
            return AjaxResult.success(list);
        }
        if("zhibao".equals(agricultureBO.getType())){
            List<AgricultureBO> list =  remoteDataBaseService.ZhiBaoPoint(agricultureBO).getData();
            return AjaxResult.success(list);
        }

        if("xubao".equals(agricultureBO.getType())){
            List<AgricultureBO> list =  remoteDataBaseService.XuBaoPoint(agricultureBO).getData();
            return AjaxResult.success(list);
        }

        if("nongjizhan".equals(agricultureBO.getType())){
            List<AgricultureBO> list =  remoteDataBaseService.NongJiZhanPoint(agricultureBO).getData();
            return AjaxResult.success(list);
        }

        if("yangzhi".equals(agricultureBO.getType())){
            List<AgricultureBO> list =  remoteDataBaseService.YangZhiPoint(agricultureBO).getData();
            return AjaxResult.success(list);
        }

        return AjaxResult.error("查询失败");

    }
}
