package com.sooka.sponest.mobile.data.digitalemergencycontroller;

import com.ruoyi.common.core.web.controller.BaseController;
import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.common.core.web.page.PageDomain;
import com.ruoyi.common.core.web.page.TableSupport;
import com.sooka.sponest.data.api.digitalemergency.domain.EmergencyEnterprises;
import com.sooka.sponest.data.api.digitalemergency.service.RemoteEmergencyEnterprisesService;
import com.sooka.sponest.mobile.system.camera.service.AppCameraService;
import com.sooka.sponest.mobile.utils.PictureReplaceAll;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.List;
import java.util.Map;

/**
 * 危化企业Controller
 *
 * @author phy
 * @date 2022-07-12
 */
@RestController
@RequestMapping("/AppEmergencyEnterprisesController")
public class AppEmergencyEnterprisesController extends BaseController {

    @Resource
    RemoteEmergencyEnterprisesService remoteEmergencyEnterprisesService;

    @Resource
    AppCameraService appCameraService;

    /**
     * 查询危化企业列表
     */
    @GetMapping("/Enterprises/list")
    public AjaxResult list(EmergencyEnterprises emergencyEnterprises) {
        PageDomain pageDomain = TableSupport.buildPageRequest();
        Integer pageNum = pageDomain.getPageNum();
        Integer pageSize = pageDomain.getPageSize();
        return AjaxResult.success(remoteEmergencyEnterprisesService.selectEnterprisesList(pageNum, pageSize, emergencyEnterprises.getName()).getRows());
    }


    /**
     * 获取危化企业详细信息
     */
    @GetMapping("/Enterprises/edit")
    public AjaxResult getInfo(String id) {
        AjaxResult ajaxResult = remoteEmergencyEnterprisesService.selectEnterprisesById(id);
        if("200".equals(ajaxResult.get("code").toString())){
            Map<String, Object> info = (Map<String, Object>) ajaxResult.get("data");
            PictureReplaceAll.StringToList(info);
            return appCameraService.selectCameraByIds(info);
        }else{
            return ajaxResult;
        }
    }

    /**
     * 新增危化企业集点
     */
    @PostMapping("/Enterprises")
    public AjaxResult add(@RequestBody String json) {
        return remoteEmergencyEnterprisesService.insertEnterprises(json);
    }
    /**
     * 修改危化企业收集点
     */
    @PostMapping("/Enterprises/put")
    public AjaxResult edit(@RequestBody String json) {
        return remoteEmergencyEnterprisesService.updateEnterprises(json);
    }

    /**
     * 删除危化企业收集点
     */
    @GetMapping("/Enterprises/del")
    public AjaxResult remove(@RequestParam("id") List<String> id) {
        return remoteEmergencyEnterprisesService.deleteEnterprisesByIds(id.toArray(new String[0]));
    }


}
