package com.sooka.sponest.mobile.data.digitalemergencycontroller;

import com.ruoyi.common.core.web.controller.BaseController;
import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.common.core.web.page.PageDomain;
import com.ruoyi.common.core.web.page.TableSupport;
import com.sooka.sponest.data.api.digitalemergency.domain.EmergencyMaterial;
import com.sooka.sponest.data.api.digitalemergency.service.RemoteEmergencyMaterialService;
import com.sooka.sponest.data.api.digitalemergency.service.RemoteEmergencyWarehouseService;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.List;

/**
 * 应急物资Controller
 *
 * @author ruoyi
 * @date 2022-07-20
 */
@RestController
@RequestMapping("/AppEmergencyMaterialController")
public class AppEmergencyMaterialController extends BaseController {

    @Resource
    RemoteEmergencyMaterialService remoteEmergencyMaterialService;
    @Resource
    RemoteEmergencyWarehouseService remoteEmergencyWarehouseService;

    /**
     * 查询应急物资列表
     */
    @GetMapping("/EmergencyMaterial/list")
    public AjaxResult list(EmergencyMaterial emergencyMaterial) {
        PageDomain pageDomain = TableSupport.buildPageRequest();
        Integer pageNum = pageDomain.getPageNum();
        Integer pageSize = pageDomain.getPageSize();
        String materialName = emergencyMaterial.getMaterialName();
        String warehouseName = emergencyMaterial.getWarehouseName();
        String depositAddress = emergencyMaterial.getDepositAddress();
        return AjaxResult.success(remoteEmergencyMaterialService.selectCenterdataTEmergencyMaterialList(pageNum, pageSize, materialName, warehouseName, depositAddress).getRows());
    }


    /**
     * 获取应急物资详细信息
     */
    @GetMapping("/EmergencyMaterial/edit")
    public AjaxResult getInfo(String id) {
        return remoteEmergencyMaterialService.selectCenterdataTEmergencyMaterialById(id);
    }

    /**
     * 新增应急物资
     */
    @PostMapping("/EmergencyMaterial")
    public AjaxResult add(@RequestBody String json) {
        return remoteEmergencyMaterialService.insertCenterdataTEmergencyMaterial(json);
    }

    /**
     * 修改应急物资
     */
    @PostMapping("/EmergencyMaterial/put")
    public AjaxResult edit(@RequestBody String json) {
        return remoteEmergencyMaterialService.updateCenterdataTEmergencyMaterial(json);
    }

    /**
     * 删除应急物资
     */
    @GetMapping("/EmergencyMaterial/del")
    public AjaxResult remove(@RequestParam("id") List<String> id) {
        return remoteEmergencyMaterialService.deleteCenterdataTEmergencyMaterialByIds(id.toArray(new String[0]));
    }

    /**
     * 物资仓库
     *
     * @return
     */
    @GetMapping("/selectAppWarehouseList")
    public AjaxResult warehouseList() {
        AjaxResult ajaxResult = remoteEmergencyWarehouseService.warehouseList();
        return AjaxResult.success(ajaxResult.get("data"));
    }
}
