package com.sooka.sponest.mobile.data.digitalemergencycontroller;

import com.ruoyi.common.core.web.controller.BaseController;
import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.common.core.web.page.PageDomain;
import com.ruoyi.common.core.web.page.TableSupport;
import com.sooka.sponest.data.api.digitalemergency.domain.EmergencyPatrolpoint;
import com.sooka.sponest.data.api.digitalemergency.service.RemoteEmergencyPatrolpointService;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.List;

/**
 * 巡更点Controller
 *
 * @author ruoyi
 * @date 2022-07-20
 */
@RestController
@RequestMapping("/AppEmergencyPatrolpointController")
public class AppEmergencyPatrolpointController extends BaseController {

    @Resource
    RemoteEmergencyPatrolpointService remoteEmergencyPatrolpointService;

    /**
     * 查询巡更点列表
     */
    @GetMapping("/EmergencyPatrolpoint/list")
    public AjaxResult list(EmergencyPatrolpoint emergencyPatrolpoint) {
        PageDomain pageDomain = TableSupport.buildPageRequest();
        Integer pageNum = pageDomain.getPageNum();
        Integer pageSize = pageDomain.getPageSize();
        String name = emergencyPatrolpoint.getName();
        return AjaxResult.success(remoteEmergencyPatrolpointService.selectPatrolpointList(pageNum, pageSize, name).getRows());
    }


    /**
     * 获取巡更点详细信息
     */
    @GetMapping("/EmergencyPatrolpoint/edit")
    public AjaxResult getInfo(String id) {
        return remoteEmergencyPatrolpointService.selectPatrolpointById(id);
    }

    /**
     * 新增巡更点
     */
    @PostMapping("/EmergencyPatrolpoint")
    public AjaxResult add(@RequestBody String json) {
        return remoteEmergencyPatrolpointService.insertPatrolpoint(json);
    }

    /**
     * 修改巡更点
     */
    @PostMapping("/EmergencyPatrolpoint/put")
    public AjaxResult edit(@RequestBody String json) {
        return remoteEmergencyPatrolpointService.updatePatrolpoint(json);
    }

    /**
     * 删除巡更点
     */
    @GetMapping("/EmergencyPatrolpoint/del")
    public AjaxResult remove(@RequestParam("id") List<String> id) {
        return remoteEmergencyPatrolpointService.deletePatrolpointByIds(id.toArray(new String[0]));
    }

}
