package com.sooka.sponest.mobile.data.digitalemergencycontroller;

import com.ruoyi.common.core.web.controller.BaseController;
import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.common.core.web.page.PageDomain;
import com.ruoyi.common.core.web.page.TableSupport;
import com.sooka.sponest.data.api.digitalemergency.domain.EmergencyTeam;
import com.sooka.sponest.data.api.digitalemergency.service.RemoteEmergencyTeamService;
import com.sooka.sponest.mobile.system.camera.service.AppCameraService;
import com.sooka.sponest.mobile.utils.PictureReplaceAll;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.List;
import java.util.Map;

/**
 * 应急队伍Controller
 *
 * @author ruoyi
 * @date 2022-07-20
 */
@RestController
@RequestMapping("/AppEmergencyTeamController")
public class AppEmergencyTeamController extends BaseController {

    @Resource
    RemoteEmergencyTeamService remoteEmergencyTeamService;

    @Resource
    AppCameraService appCameraService;

    /**
     * 查询应急队伍列表
     */
    @GetMapping("/EmergencyTeam/list")
    public AjaxResult list(EmergencyTeam emergencyTeam) {
        PageDomain pageDomain = TableSupport.buildPageRequest();
        Integer pageNum = pageDomain.getPageNum();
        Integer pageSize = pageDomain.getPageSize();
        String name = emergencyTeam.getName();
        return AjaxResult.success(remoteEmergencyTeamService.selectCenterdataTEmergencyTeamList(pageNum, pageSize, name).getRows());
    }


    /**
     * 获取应急队伍详细信息
     */
    @GetMapping("/EmergencyTeam/edit")
    public AjaxResult getInfo(String id) {
        AjaxResult ajaxResult = remoteEmergencyTeamService.selectCenterdataTEmergencyTeamById(id);
        if("200".equals(ajaxResult.get("code").toString())){
            Map<String, Object> info = (Map<String, Object>) ajaxResult.get("data");
            PictureReplaceAll.StringToList(info);
            return appCameraService.selectCameraByIds(info);
        }else{
            return ajaxResult;
        }
    }

    /**
     * 新增应急队伍
     */
    @PostMapping("/EmergencyTeam")
    public AjaxResult add(@RequestBody String json) {
        return remoteEmergencyTeamService.insertCenterdataTEmergencyTeam(json);
    }

    /**
     * 修改应急队伍
     */
    @PostMapping("/EmergencyTeam/put")
    public AjaxResult edit(@RequestBody String json) {
        return remoteEmergencyTeamService.updateCenterdataTEmergencyTeam(json);
    }

    /**
     * 删除应急队伍
     */
    @GetMapping("/EmergencyTeam/del")
    public AjaxResult remove(@RequestParam("id") List<String> id) {
        return remoteEmergencyTeamService.deleteCenterdataTEmergencyTeamByIds(id.toArray(new String[0]));
    }

}
