package com.sooka.sponest.mobile.data.digitalemergencycontroller;

import com.ruoyi.common.core.web.controller.BaseController;
import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.common.core.web.page.PageDomain;
import com.ruoyi.common.core.web.page.TableSupport;
import com.sooka.sponest.data.api.digitalemergency.domain.EmergencyWarehouse;
import com.sooka.sponest.data.api.digitalemergency.service.RemoteEmergencyWarehouseService;
import com.sooka.sponest.mobile.system.camera.service.AppCameraService;
import com.sooka.sponest.mobile.utils.PictureReplaceAll;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.List;
import java.util.Map;

/**
 * 仓库信息Controller
 *
 * @author ruoyi
 * @date 2022-07-20
 */
@RestController
@RequestMapping("/AppEmergencyWarehouseController")
public class AppEmergencyWarehouseController extends BaseController {
    @Resource
    RemoteEmergencyWarehouseService remoteEmergencyWarehouseService;

    @Resource
    AppCameraService appCameraService;

    /**
     * 查询仓库信息列表
     */
    @GetMapping("/EmergencyWarehouse/list")
    public AjaxResult list(EmergencyWarehouse emergencyWarehouse) {
        PageDomain pageDomain = TableSupport.buildPageRequest();
        Integer pageNum = pageDomain.getPageNum();
        Integer pageSize = pageDomain.getPageSize();
        String name = emergencyWarehouse.getName();
        return AjaxResult.success(remoteEmergencyWarehouseService.selectCenterdataTEmergencyWarehouseList(pageNum, pageSize, name).getRows());
    }


    /**
     * 获取仓库信息详细信息
     */
    @GetMapping("/EmergencyWarehouse/edit")
    public AjaxResult getInfo(String id) {
        AjaxResult ajaxResult = remoteEmergencyWarehouseService.selectCenterdataTEmergencyWarehouseById(id);
        if("200".equals(ajaxResult.get("code").toString())){
            Map<String, Object> info = (Map<String, Object>) ajaxResult.get("data");
            PictureReplaceAll.StringToList(info);
            return appCameraService.selectCameraByIds(info);
        }else{
            return ajaxResult;
        }
    }

    /**
     * 新增仓库信息
     */
    @PostMapping("/EmergencyWarehouse")
    public AjaxResult add(@RequestBody String json) {
        return remoteEmergencyWarehouseService.insertCenterdataTEmergencyWarehouse(json);
    }

    /**
     * 修改仓库信息
     */
    @PostMapping("/EmergencyWarehouse/put")
    public AjaxResult edit(@RequestBody String json) {
        return remoteEmergencyWarehouseService.updateCenterdataTEmergencyWarehouse(json);
    }

    /**
     * 删除仓库信息
     */
    @GetMapping("/EmergencyWarehouse/del")
    public AjaxResult remove(@RequestParam("id") List<String> id) {
        return remoteEmergencyWarehouseService.deleteCenterdataTEmergencyWarehouseByIds(id.toArray(new String[0]));
    }

}
