package com.sooka.sponest.mobile.data.digitalenvironmentcontroller;

import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.common.core.web.page.PageDomain;
import com.ruoyi.common.core.web.page.TableSupport;
import com.sooka.sponest.data.api.digitalenvironment.domain.EnvironmentKeyEnterprise;
import com.sooka.sponest.data.api.digitalenvironment.domain.EnvironmentSourcePollution;
import com.sooka.sponest.data.api.digitalenvironment.service.RemoteKeyEnterpriseService;
import com.sooka.sponest.mobile.system.camera.service.AppCameraService;
import com.sooka.sponest.mobile.utils.PictureReplaceAll;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.List;
import java.util.Map;

/**
 * @Author LG
 * @Date 2023/9/5 - 14:33
 */
@RestController
@RequestMapping("/AppKeyEnterpriseController")
public class KeyEnterpriseController {
    @Resource
    private RemoteKeyEnterpriseService keyEnterpriseService;

    @Resource
    AppCameraService appCameraService;


    /**
     * 查询重点企业列表
     */
    @GetMapping("/keyEnterprise/list")
    public AjaxResult list(EnvironmentKeyEnterprise keyEnterprise) {
        PageDomain pageDomain = TableSupport.buildPageRequest();
        Integer pageNum = pageDomain.getPageNum();
        Integer pageSize = pageDomain.getPageSize();
        return AjaxResult.success(keyEnterpriseService.getList(pageNum, pageSize).getRows());
    }


    /**
     * 获取重点企业详细信息
     */
    @GetMapping("/keyEnterprise/edit")
    public AjaxResult getInfo(EnvironmentKeyEnterprise keyEnterprise) {
        AjaxResult ajaxResult = keyEnterpriseService.getEdit(keyEnterprise.getId());

        if("200".equals(ajaxResult.get("code").toString())){
            Map<String, Object> info = (Map<String, Object>) ajaxResult.get("data");
            PictureReplaceAll.StringToList(info);
            return appCameraService.selectCameraByIds(info);
        }else{
            return ajaxResult;
        }
    }

    /**
     * 新增重点企业
     */
    @PostMapping("/keyEnterprise")
    public AjaxResult add(@RequestBody String json) {
        return keyEnterpriseService.add(json);
    }

    /**
     * 修改重点企业
     */
    @PostMapping("/keyEnterprise/put")
    public AjaxResult edit(@RequestBody String json) {
        return keyEnterpriseService.edit(json);
    }

    /**
     * 删除重点企业
     */
    @GetMapping("/keyEnterprise/del")
    public AjaxResult remove(@RequestParam("id") List<String> id) {
        return keyEnterpriseService.del(id.toArray(new String[0]));
    }

}
