package com.sooka.sponest.mobile.data.digitalenvironmentcontroller;

import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.common.core.web.page.PageDomain;
import com.ruoyi.common.core.web.page.TableSupport;
import com.sooka.sponest.data.api.digitalenvironment.domain.EnvironmentBiggas;
import com.sooka.sponest.data.api.digitalenvironment.domain.EnvironmentProhibitionArea;
import com.sooka.sponest.data.api.digitalenvironment.service.RemoteProhibitionAreaService;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.List;

/**
 * @Author LG
 * @Date 2023/9/6 - 14:41
 */
@RestController
@RequestMapping("/AppProhibitionAreaController")
public class ProhibitionAreaController {
    @Resource
    private RemoteProhibitionAreaService remoteProhibitionAreaService;


    /**
     * 查询禁烧区管理
     */
    @GetMapping("/prohibitionArea/list")
    public AjaxResult list(EnvironmentProhibitionArea environmentProhibitionArea) {
        PageDomain pageDomain = TableSupport.buildPageRequest();
        Integer pageNum = pageDomain.getPageNum();
        Integer pageSize = pageDomain.getPageSize();
        String name = environmentProhibitionArea.getName();
        String address = environmentProhibitionArea.getAddress();
        String principal = environmentProhibitionArea.getPrincipal();
        return AjaxResult.success(remoteProhibitionAreaService.getList(pageNum, pageSize, name,address,principal).getRows());
    }


    /**
     * 获取禁烧区管理详细信息
     */
    @GetMapping("/prohibitionArea/edit")
    public AjaxResult getInfo(EnvironmentBiggas biggas) {
        return remoteProhibitionAreaService.getEdit(biggas.getId());
    }

    /**
     * 新增禁烧区管理
     */
    @PostMapping("/prohibitionArea")
    public AjaxResult add(@RequestBody String json) {
        return remoteProhibitionAreaService.add(json);
    }

    /**
     * 修改禁烧区管理
     */
    @PostMapping("/prohibitionArea/put")
    public AjaxResult edit(@RequestBody String json) {
        return remoteProhibitionAreaService.edit(json);
    }

    /**
     * 删除禁烧区管理
     */
    @GetMapping("/prohibitionArea/del")
    public AjaxResult remove(@RequestParam("id") List<String> id) {
        return remoteProhibitionAreaService.del(id.toArray(new String[0]));
    }
}
