package com.sooka.sponest.mobile.data.digitalenvironmentcontroller;

import com.ruoyi.common.core.web.controller.BaseController;
import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.common.core.web.page.PageDomain;
import com.ruoyi.common.core.web.page.TableSupport;
import com.sooka.sponest.data.api.digitalenvironment.domain.EnvironmentSewageOutlet;
import com.sooka.sponest.data.api.digitalenvironment.service.RemoteSewageOutetService;
import com.sooka.sponest.mobile.system.camera.service.AppCameraService;
import com.sooka.sponest.mobile.utils.PictureReplaceAll;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.List;
import java.util.Map;


/**
 * 排污口
 * Controller
 *
 * @author 韩福成
 * @date 2023-04-21
 */
@RestController
@RequestMapping("/AppSewageoutletController")
public class SewageOutletController extends BaseController {

    @Autowired
    private RemoteSewageOutetService sewageOutletList;

    @Resource
    AppCameraService appCameraService;

    /**
     * 查询排污口列表
     */
    @GetMapping("/sewageoutlet/list")
    public AjaxResult list(EnvironmentSewageOutlet environmentSewageOutlet) {
        PageDomain pageDomain = TableSupport.buildPageRequest();
        Integer pageNum = pageDomain.getPageNum();
        Integer pageSize = pageDomain.getPageSize();
        String name = environmentSewageOutlet.getName();
        return AjaxResult.success(sewageOutletList.sewageOutletList(pageNum, pageSize, name).getRows());
    }


    /**
     * 获取排污口详细信息
     */
    @GetMapping(value = "/sewageoutlet/edit")
    public AjaxResult getInfo(EnvironmentSewageOutlet environmentSewageOutlet) {
        AjaxResult ajaxResult = sewageOutletList.sewageOutletGetInfo(environmentSewageOutlet.getId());
        if("200".equals(ajaxResult.get("code").toString())){
            Map<String, Object> info = (Map<String, Object>) ajaxResult.get("data");
            PictureReplaceAll.StringToList(info);
            return appCameraService.selectCameraByIds(info);
        }else{
            return ajaxResult;
        }
    }

    /**
     * 新增排污口
     */
    @PostMapping("/sewageoutlet")
    public AjaxResult add(@RequestBody String json) {
        //因客户提供的数据有重复名称
        return sewageOutletList.sewageOutletAdd(json);
    }

    /**
     * 修改排污口
     */
    @PostMapping("/sewageoutlet/put")
    public AjaxResult edit(@RequestBody String json) {
        //因客户提供的数据有重复名称
        return sewageOutletList.sewageOutletEdit(json);
    }

    /**
     * 删除排污口
     */
    @GetMapping("/sewageoutlet/del")
    public AjaxResult remove(@RequestParam("id") List<String> id) {
        return sewageOutletList.sewageOutletRemove(id.toArray(new String[0]));
    }

}
