package com.sooka.sponest.mobile.data.digitalenvironmentcontroller;

import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.common.core.web.page.PageDomain;
import com.ruoyi.common.core.web.page.TableSupport;
import com.sooka.sponest.data.api.digitalenvironment.domain.EnvironmentWaterMonitor;
import com.sooka.sponest.data.api.digitalenvironment.service.RemoteWaterMonitorService;
import com.sooka.sponest.mobile.system.camera.service.AppCameraService;
import com.sooka.sponest.mobile.utils.PictureReplaceAll;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.List;
import java.util.Map;

/**
 * 数字环保-水质断面监测管理
 */
@RestController
@RequestMapping("AppWaterMonitorController")
public class WaterMonitorController {

    @Resource
    private RemoteWaterMonitorService RemoteWaterMonitorService;

    @Resource
    AppCameraService appCameraService;

    /**
     * 手机端查询水质断面监测列表
     * @param monitor
     * @return
     */
    @GetMapping("/waterMonitor/list")
    public AjaxResult getwaterMonitorList(EnvironmentWaterMonitor monitor){
        PageDomain pageDomain = TableSupport.buildPageRequest();
        Integer pageNum = pageDomain.getPageNum();
        Integer pageSize = pageDomain.getPageSize();
        String name = monitor.getName();
        return AjaxResult.success(RemoteWaterMonitorService.getWaterMonitorList(pageNum, pageSize, name).getRows());
    }

    /**
     * 手机端新增水质断面监测数据
     * @param json
     * @return
     */
    @PostMapping("/waterMonitor")
    public AjaxResult addWaterMonitor(@RequestBody String json){
        return RemoteWaterMonitorService.addWaterMonitor(json);
    }

    /**
     * 手机端删除水质断面监测数据
     * @param id
     * @return
     */
    @GetMapping("/waterMonitor/del")
    public AjaxResult deleteWaterMonitor(@RequestParam("id") List<String> id){
        return RemoteWaterMonitorService.deleteWaterMonitor(id.toArray(new String[0]));
    }

    /**
     * 手机端修改水质断面监测数据
     * @param json
     * @return
     */
    @PostMapping("/waterMonitor/put")
    public AjaxResult putWaterMonitor(@RequestBody String json){
        return RemoteWaterMonitorService.putWaterMoniotr(json);
    }

    /**
     * 手机端查询水质断面监测详情
     * @param id
     * @return
     */
    @GetMapping("/waterMonitor/edit")
    public AjaxResult editWaterMonitor(String id){
        AjaxResult ajaxResult = RemoteWaterMonitorService.editWaterMonitor(id);
        if("200".equals(ajaxResult.get("code").toString())){
            Map<String, Object> info = (Map<String, Object>) ajaxResult.get("data");
            PictureReplaceAll.StringToList(info);
            return appCameraService.selectCameraByIds(info);
        }else{
            return ajaxResult;
        }
    }
}
