package com.sooka.sponest.mobile.data.digitalfirecontrol;

import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.common.core.web.page.PageDomain;
import com.ruoyi.common.core.web.page.TableSupport;
import com.sooka.sponest.data.api.digitalfire.domain.BasicLinkageForce;
import com.sooka.sponest.data.api.digitalfire.service.RemoteBasicLinkageForceService;
import com.sooka.sponest.mobile.system.camera.service.AppCameraService;
import com.sooka.sponest.mobile.utils.PictureReplaceAll;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.List;
import java.util.Map;


@RestController
@RequestMapping("/AppBasicLinkageForceController")
public class FirecontrolBasicLinkageForceController {

    @Resource
    RemoteBasicLinkageForceService remoteBasicLinkageForceService;

    @Resource
    AppCameraService appCameraService;

    /**
     * 查询基本联动力量管理列表
     */
    @GetMapping("/BasicLinkageForceInfoList/list")
    public AjaxResult BasicLinkageForceInfoList(BasicLinkageForce basicLinkageForce) {
        PageDomain pageDomain = TableSupport.buildPageRequest();
        Integer pageNum = pageDomain.getPageNum();
        Integer pageSize = pageDomain.getPageSize();
        return AjaxResult.success(remoteBasicLinkageForceService.BasicLinkageForceInfoList(pageNum, pageSize, basicLinkageForce.getInstitutionName(), basicLinkageForce.getCompany()).getRows());
    }


    /**
     * 获取基本联动力量管理详细信息
     */
    @GetMapping("/BasicLinkageForceInfo/edit")
    public AjaxResult BasicLinkageForceInfoedit(String id) {
        AjaxResult ajaxResult = remoteBasicLinkageForceService.BasicLinkageForceInfoedit(id);
        if("200".equals(ajaxResult.get("code").toString())){
            Map<String, Object> info = (Map<String, Object>) ajaxResult.get("data");
            PictureReplaceAll.StringToList(info);
            return appCameraService.selectCameraByIds(info);
        }else{
            return ajaxResult;
        }
    }

    /**
     * 删除基本联动力量
     */
    @GetMapping("/BasicLinkageForceInfo/del")
    public AjaxResult delBasicLinkageForceInfo(@RequestParam("id") List<String> id) {
        return remoteBasicLinkageForceService.deldelBasicLinkageForceInfo(id.toArray(new String[0]));
    }

    /**
     * 修改基本联动力量
     *
     * @param json
     * @return
     */
    @PostMapping("/BasicLinkageForceInfo/put")
    public AjaxResult putBasicLinkageForceInfo(@RequestBody String json) {
        return remoteBasicLinkageForceService.putBasicLinkageForceInfo(json);
    }


    /**
     * 新增基本联动力量
     *
     * @param json
     * @return
     */
    @PostMapping("/BasicLinkageForceInfo")
    public AjaxResult BasicLinkageForceInfo(@RequestBody String json) {
        return remoteBasicLinkageForceService.addBasicLinkageForceInfo(json);
    }

}
