package com.sooka.sponest.mobile.data.digitalfirecontrol;

import com.alibaba.fastjson.JSON;
import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.common.core.web.page.PageDomain;
import com.ruoyi.common.core.web.page.TableSupport;
import com.sooka.sponest.data.api.digitalfire.domain.BasicLinkageForce;
import com.sooka.sponest.data.api.digitalfire.domain.FireKeyPlaces;
import com.sooka.sponest.data.api.digitalfire.service.RemoteFireKeyPlacesService;
import com.sooka.sponest.mobile.system.camera.service.AppCameraService;
import com.sooka.sponest.mobile.utils.PictureReplaceAll;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.List;
import java.util.Map;

@RestController
@RequestMapping("/AppkeyplacesController")
public class FirecontrolFireKeyPlacesController {


    @Resource
    RemoteFireKeyPlacesService remoteFireKeyPlacesService;

    @Resource
    AppCameraService appCameraService;

    /**
     * 查询重点场所管理列表
     *
     * @param fireKeyPlaces
     * @return
     */
    @GetMapping("/keyplacesInfoList/list")
    public AjaxResult keyplacesInfoList(FireKeyPlaces fireKeyPlaces) {
        PageDomain pageDomain = TableSupport.buildPageRequest();
        Integer pageNum = pageDomain.getPageNum();
        Integer pageSize = pageDomain.getPageSize();
        return AjaxResult.success(remoteFireKeyPlacesService.keyplacesInfoList(pageNum, pageSize, fireKeyPlaces.getName()).getRows());
    }

    /**
     * 获取重点场所管理详细信息
     *
     * @param id
     * @return
     */
    @GetMapping("/keyplacesInfo/edit")
    public AjaxResult keyplacesInfoedit(String id) {
        AjaxResult ajaxResult = remoteFireKeyPlacesService.keyplacesInfoedit(id);
        if("200".equals(ajaxResult.get("code").toString())){
            Map<String, Object> info = (Map<String, Object>) ajaxResult.get("data");
            PictureReplaceAll.StringToList(info);
            return appCameraService.selectCameraByIds(info);
        }else{
            return ajaxResult;
        }
    }

    /**
     * 删除重点场所管理
     *
     * @param
     * @return
     */
    @GetMapping("/keyplacesInfo/del")
    public AjaxResult delkeyplacesInfo(@RequestParam("id") List<String> id) {
        return remoteFireKeyPlacesService.delkeyplacesInfo(id.toArray(new String[0]));
    }

    /**
     * 修改重点场所管理
     *
     * @param json
     * @return
     */
    @PostMapping("/keyplacesInfo/put")
    public AjaxResult putkeyplacesInfo(@RequestBody String json) {
        return remoteFireKeyPlacesService.putkeyplacesInfo(json);
    }


    /**
     * 新增重点场所管理
     *
     * @param json
     * @return
     */
    @PostMapping("/keyplacesInfo")
    public AjaxResult keyplacesInfo(@RequestBody String json) {
        return remoteFireKeyPlacesService.addkeyplacesInfo(json);
    }

}
