package com.sooka.sponest.mobile.data.digitalfirecontrol;

import com.alibaba.fastjson.JSON;
import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.common.core.web.page.PageDomain;
import com.ruoyi.common.core.web.page.TableSupport;
import com.sooka.sponest.data.api.digitalfire.domain.BasicLinkageForce;
import com.sooka.sponest.data.api.digitalfire.domain.FirePressureSensor;
import com.sooka.sponest.data.api.digitalfire.service.RemoteFirePressureSensorService;
import com.sooka.sponest.mobile.system.camera.service.AppCameraService;
import com.sooka.sponest.mobile.utils.PictureReplaceAll;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.List;
import java.util.Map;


@RestController
@RequestMapping("/AppFirePressureSensorController")
public class FirecontrolFirePressureSensorController {

    @Resource
    RemoteFirePressureSensorService remoteFirePressureSensorService;

    @Resource
    AppCameraService appCameraService;

    /**
     * 查询压力传感器管理列表
     *
     * @param firePressureSensor
     * @return
     */
    @GetMapping("/FirePressureSensorInfoList/list")
    public AjaxResult FirePressureSensorInfoList(FirePressureSensor firePressureSensor) {
        PageDomain pageDomain = TableSupport.buildPageRequest();
        Integer pageNum = pageDomain.getPageNum();
        Integer pageSize = pageDomain.getPageSize();
        return AjaxResult.success(remoteFirePressureSensorService.FirePressureSensorInfoList(pageNum, pageSize, firePressureSensor.getName()).getRows());
    }


    /**
     * 获取压力传感器管理详细信息
     */
    @GetMapping(value = "/FirePressureSensorInfo/edit")
    public AjaxResult FirePressureSensorInfoedit(String id) {
        AjaxResult ajaxResult = remoteFirePressureSensorService.FirePressureSensorInfoedit(id);
        if("200".equals(ajaxResult.get("code").toString())){
            Map<String, Object> info = (Map<String, Object>) ajaxResult.get("data");
            PictureReplaceAll.StringToList(info);
            return appCameraService.selectCameraByIds(info);
        }else{
            return ajaxResult;
        }
    }

    /**
     * 删除压力传感器
     */
    @GetMapping("/FirePressureSensorInfo/del")
    public AjaxResult delFirePressureSensorInfo(@RequestParam("id") List<String> id) {
        return remoteFirePressureSensorService.delFirePressureSensorInfo(id.toArray(new String[0]));
    }

    /**
     * 修改压力传感器管理
     *
     * @param json
     * @return
     */
    @PostMapping("/FirePressureSensorInfo/put")
    public AjaxResult putFirePressureSensorInfo(@RequestBody String json) {
        return remoteFirePressureSensorService.putFirePressureSensorInfo(json);
    }


    /**
     * 新增压力传感器管理
     *
     * @param json
     * @return
     */
    @PostMapping("/FirePressureSensorInfo")
    public AjaxResult FirePressureSensorInfo(@RequestBody String json) {
        return remoteFirePressureSensorService.addFirePressureSensorInfo(json);
    }
}
