package com.sooka.sponest.mobile.data.digitalfirecontrol;

import com.alibaba.fastjson.JSON;
import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.common.core.web.page.PageDomain;
import com.ruoyi.common.core.web.page.TableSupport;
import com.sooka.sponest.data.api.digitalfire.domain.BasicLinkageForce;
import com.sooka.sponest.data.api.digitalfire.domain.FireForce;
import com.sooka.sponest.data.api.digitalfire.service.RemoteFireForceService;
import com.sooka.sponest.mobile.system.camera.service.AppCameraService;
import com.sooka.sponest.mobile.utils.PictureReplaceAll;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.List;
import java.util.Map;

@RestController
@RequestMapping("/AppFireforceController")
public class FirecontrolFireforceController {


    @Resource
    RemoteFireForceService remoteFireForceService;

    @Resource
    AppCameraService appCameraService;

    /**
     * 查询消防力量管理列表
     *
     * @param fireForce
     * @return
     */
    @GetMapping("/fireforceInfoList/list")
    public AjaxResult fireforceInfoList(FireForce fireForce) {
        PageDomain pageDomain = TableSupport.buildPageRequest();
        Integer pageNum = pageDomain.getPageNum();
        Integer pageSize = pageDomain.getPageSize();
        return AjaxResult.success(remoteFireForceService.FirecontrolFireForceInfoList(pageNum, pageSize, fireForce.getVillage(), fireForce.getAddress(), fireForce.getPrincipal()).getRows());
    }

    /**
     * 获取消防力量管理详细信息
     *
     * @param
     * @return
     */
    @GetMapping("/fireforceInfo/edit")
    public AjaxResult fireforceInfoedit(String id) {
        AjaxResult ajaxResult = remoteFireForceService.FirecontrolFireForceInfoedit(id);
        if("200".equals(ajaxResult.get("code").toString())){
            Map<String, Object> info = (Map<String, Object>) ajaxResult.get("data");
            PictureReplaceAll.StringToList(info);
            return appCameraService.selectCameraByIds(info);
        }else{
            return ajaxResult;
        }
    }

    /**
     * 删除消防力量管理
     *
     * @param
     * @return
     */
    @GetMapping("/fireforceInfo/del")
    public AjaxResult deldelFirecontrolFireForceInfo(@RequestParam("id") List<String> id) {
        return remoteFireForceService.deldelFirecontrolFireForceInfo(id.toArray(new String[0]));
    }

    /**
     * 修改消防力量管理
     *
     * @param json
     * @return
     */
    @PostMapping("/fireforceInfo/put")
    public AjaxResult putFirecontrolFireForceInfo(@RequestBody String json) {
        return remoteFireForceService.putFirecontrolFireForceInfo(json);
    }


    /**
     * 新增消防力量管理
     *
     * @param json
     * @return
     */
    @PostMapping("/fireforceInfo")
    public AjaxResult addFirecontrolFireForceInfo(@RequestBody String json) {
        return remoteFireForceService.addFirecontrolFireForceInfo(json);
    }

}
