package com.sooka.sponest.mobile.data.digitalfirecontrol;

import com.alibaba.fastjson.JSON;
import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.common.core.web.page.PageDomain;
import com.ruoyi.common.core.web.page.TableSupport;
import com.sooka.sponest.data.api.digitalfire.domain.BasicLinkageForce;
import com.sooka.sponest.data.api.digitalfire.domain.FireFoamLiquid;
import com.sooka.sponest.data.api.digitalfire.service.RemoteFireFoamLiquidService;
import com.sooka.sponest.mobile.system.camera.service.AppCameraService;
import com.sooka.sponest.mobile.utils.PictureReplaceAll;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.List;
import java.util.Map;


@RestController
@RequestMapping("/AppFirecontrolFoamLiquidController")
public class FirecontrolFoamLiquidController {

    @Resource
    RemoteFireFoamLiquidService remoteFireFoamLiquidService;

    @Resource
    AppCameraService appCameraService;

    /**
     * 查询泡沫液管理列表
     */
    @GetMapping("/FoamLiquidInfoList/list")
    public AjaxResult FirecontrolFoamLiquidInfoList(FireFoamLiquid fireFoamLiquid) {
        PageDomain pageDomain = TableSupport.buildPageRequest();
        Integer pageNum = pageDomain.getPageNum();
        Integer pageSize = pageDomain.getPageSize();
        return AjaxResult.success(remoteFireFoamLiquidService.FirecontrolFoamLiquidInfoList(pageNum, pageSize, fireFoamLiquid.getCompany(), fireFoamLiquid.getContacts()).getRows());
    }

    /**
     * 获取泡沫液管理详细信息
     *
     * @param
     * @return
     */
    @GetMapping("/FoamLiquidInfo/edit")
    public AjaxResult FoamLiquidInfoedit(String id) {
        AjaxResult ajaxResult = remoteFireFoamLiquidService.FoamLiquidInfoedit(id);
        if("200".equals(ajaxResult.get("code").toString())){
            Map<String, Object> info = (Map<String, Object>) ajaxResult.get("data");
            PictureReplaceAll.StringToList(info);
            return appCameraService.selectCameraByIds(info);
        }else{
            return ajaxResult;
        }
    }

    /**
     * 删除泡沫液管理
     *
     * @param
     * @return
     */
    @GetMapping("/FoamLiquidInfo/del")
    public AjaxResult delFoamLiquidInfo(@RequestParam("id") List<String> id) {
        return remoteFireFoamLiquidService.delFoamLiquidInfo(id.toArray(new String[0]));
    }

    /**
     * 修改泡沫液管理
     *
     * @param json
     * @return
     */
    @PostMapping("/FoamLiquidInfo/put")
    public AjaxResult putFoamLiquidInfo(@RequestBody String json) {
        return remoteFireFoamLiquidService.putFoamLiquidInfo(json);
    }

    /**
     * 新增泡沫液管理
     *
     * @param json
     * @return
     */
    @PostMapping("/FoamLiquidInfo")
    public AjaxResult FoamLiquidInfo(@RequestBody String json) {
        return remoteFireFoamLiquidService.addFoamLiquidInfo(json);
    }

}
