package com.sooka.sponest.mobile.data.digitalfirecontrol;

import com.alibaba.fastjson.JSON;
import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.common.core.web.page.PageDomain;
import com.ruoyi.common.core.web.page.TableSupport;
import com.sooka.sponest.data.api.digitalfire.domain.BasicLinkageForce;
import com.sooka.sponest.data.api.digitalfire.domain.FireFulltimeStation;
import com.sooka.sponest.data.api.digitalfire.service.RemoteFireFulltimeStationService;
import com.sooka.sponest.mobile.system.camera.service.AppCameraService;
import com.sooka.sponest.mobile.utils.PictureReplaceAll;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.List;
import java.util.Map;

@RestController
@RequestMapping("/AppFulltimeStationController")
public class FirecontrolFulltimeStationController {

    @Resource
    RemoteFireFulltimeStationService remoteFireFulltimeStationService;

    @Resource
    AppCameraService appCameraService;

    /**
     * 查询专职站管理列表
     */
    @GetMapping("/FulltimeStationInfoList/list")
    public AjaxResult FulltimeStationInfoList(FireFulltimeStation fireFulltimeStation) {
        PageDomain pageDomain = TableSupport.buildPageRequest();
        Integer pageNum = pageDomain.getPageNum();
        Integer pageSize = pageDomain.getPageSize();
        return AjaxResult.success(remoteFireFulltimeStationService.FulltimeStationInfoList(pageNum, pageSize, fireFulltimeStation.getAddress(), fireFulltimeStation.getPrincipal()).getRows());
    }

    /**
     * 获取专职站管理详细信息
     *
     * @param
     * @return
     */
    @GetMapping("/FulltimeStationInfo/edit")
    public AjaxResult FulltimeStationInfoedit(String id) {
        AjaxResult ajaxResult = remoteFireFulltimeStationService.FulltimeStationInfoedit(id);
        if("200".equals(ajaxResult.get("code").toString())){
            Map<String, Object> info = (Map<String, Object>) ajaxResult.get("data");
            PictureReplaceAll.StringToList(info);
            return appCameraService.selectCameraByIds(info);
        }else{
            return ajaxResult;
        }
    }

    /**
     * 删除专职站管理
     *
     * @param
     * @return
     */
    @GetMapping("/FulltimeStationInfo/del")
    public AjaxResult delFulltimeStationInfo(@RequestParam("id") List<String> id) {
        return remoteFireFulltimeStationService.delFulltimeStationInfo(id.toArray(new String[0]));
    }

    /**
     * 修改专职站管理
     *
     * @param json
     * @return
     */
    @PostMapping("/FulltimeStationInfo/put")
    public AjaxResult putFulltimeStationInfo(@RequestBody String json) {
        return remoteFireFulltimeStationService.putFulltimeStationInfo(json);
    }


    /**
     * 新增专职站管理
     *
     * @param json
     * @return
     */
    @PostMapping("/FulltimeStationInfo")
    public AjaxResult FulltimeStationInfo(@RequestBody String json) {
        return remoteFireFulltimeStationService.addFulltimeStationInfo(json);
    }
}
