package com.sooka.sponest.mobile.data.digitalfirecontrol;

import com.alibaba.fastjson.JSON;
import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.common.core.web.page.PageDomain;
import com.ruoyi.common.core.web.page.TableSupport;
import com.sooka.sponest.data.api.digitalfire.domain.BasicLinkageForce;
import com.sooka.sponest.data.api.digitalfire.domain.FireOtherLinkageForce;
import com.sooka.sponest.data.api.digitalfire.service.RemoteFireOtherLinkageForceService;
import com.sooka.sponest.mobile.system.camera.service.AppCameraService;
import com.sooka.sponest.mobile.utils.PictureReplaceAll;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.List;
import java.util.Map;


@RestController
@RequestMapping("/AppOtherLinkageForceController")
public class FirecontrolOtherLinkageForceController {

    @Resource
    RemoteFireOtherLinkageForceService remoteFireOtherLinkageForceService;

    @Resource
    AppCameraService appCameraService;

    /**
     * 查询其他联动力量管理列表
     */
    @GetMapping("/OtherLinkageForceInfoList/list")
    public AjaxResult OtherLinkageForceInfoList(FireOtherLinkageForce firecontrolOtherLinkageForce) {
        PageDomain pageDomain = TableSupport.buildPageRequest();
        Integer pageNum = pageDomain.getPageNum();
        Integer pageSize = pageDomain.getPageSize();
        return AjaxResult.success(remoteFireOtherLinkageForceService.OtherLinkageForce(pageNum, pageSize, firecontrolOtherLinkageForce.getCompany(), firecontrolOtherLinkageForce.getContacts()).getRows());
    }


    /**
     * 获取其他联动力量管理详细信息
     */
    @GetMapping(value = "/OtherLinkageForceInfo/edit")
    public AjaxResult OtherLinkageForceInfo(String id) {
        AjaxResult ajaxResult = remoteFireOtherLinkageForceService.OtherLinkageForceInfo(id);
        if("200".equals(ajaxResult.get("code").toString())){
            Map<String, Object> info = (Map<String, Object>) ajaxResult.get("data");
            PictureReplaceAll.StringToList(info);
            return appCameraService.selectCameraByIds(info);
        }else{
            return ajaxResult;
        }
    }

    /**
     * 删除其他联动力量
     *
     * @param
     * @return
     */
    @GetMapping("/OtherLinkageForceInfo/del")
    public AjaxResult delOtherLinkageForceInfo(@RequestParam("id") List<String> id) {
        return remoteFireOtherLinkageForceService.delOtherLinkageForceInfo(id.toArray(new String[0]));
    }

    /**
     * 修改其他联动力量
     *
     * @param json
     * @return
     */
    @PostMapping("/OtherLinkageForceInfo/put")
    public AjaxResult putOtherLinkageForceInfo(@RequestBody String json) {
        return remoteFireOtherLinkageForceService.putOtherLinkageForceInfo(json);
    }

    /**
     * 新增其他联动力量
     *
     * @param json
     * @return
     */
    @PostMapping("/OtherLinkageForceInfo")
    public AjaxResult addOtherLinkageForceInfo(@RequestBody String json) {
        return remoteFireOtherLinkageForceService.addOtherLinkageForceInfo(json);
    }
}
