package com.sooka.sponest.mobile.data.digitalfirecontrol;

import com.alibaba.fastjson.JSON;
import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.common.core.web.page.PageDomain;
import com.ruoyi.common.core.web.page.TableSupport;
import com.sooka.sponest.data.api.digitalfire.domain.BasicLinkageForce;
import com.sooka.sponest.data.api.digitalfire.domain.FirePerson;
import com.sooka.sponest.data.api.digitalfire.service.RemoteFirePersonService;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.List;

@RestController
@RequestMapping("/AppFirecontrolPersonController")
public class FirecontrolPersonController {

    @Resource
    RemoteFirePersonService remoteFirePersonService;

    /**
     * 查询消防人员列表
     *
     * @param firePerson
     * @return
     */
    @GetMapping("/FirecontrolPersonInfoList/list")
    public AjaxResult FirecontrolPersonInfoList(FirePerson firePerson) {
        PageDomain pageDomain = TableSupport.buildPageRequest();
        Integer pageNum = pageDomain.getPageNum();
        Integer pageSize = pageDomain.getPageSize();
        return AjaxResult.success(remoteFirePersonService.FirecontrolPersonInfoList(pageNum, pageSize, firePerson.getName()).getRows());
    }

    /**
     * 获取消防人员详细信息
     *
     * @param
     * @return
     */
    @GetMapping("/FirecontrolPersonInfo/edit")
    public AjaxResult FirecontrolPersonInfoedit(String id) {
        return remoteFirePersonService.FirecontrolPersonInfoedit(id);
    }

    /**
     * 删除消防人员
     *
     * @param
     * @return
     */
    @GetMapping("/FirecontrolPersonInfo/del")
    public AjaxResult delFirecontrolPersonInfo(@RequestParam("id") List<String> id) {
        return remoteFirePersonService.delFirecontrolPersonInfo(id.toArray(new String[0]));
    }

    /**
     * 修改消防人员
     *
     * @param json
     * @return
     */
    @PostMapping("/FirecontrolPersonInfo/put")
    public AjaxResult putFirecontrolPersonInfo(@RequestBody String json) {
        return remoteFirePersonService.putFirecontrolPersonInfo(json);
    }


    /**
     * 新增消防人员
     *
     * @param json
     * @return
     */
    @PostMapping("/FirecontrolPersonInfo")
    public AjaxResult FirecontrolPersonInfo(@RequestBody String json) {
        return remoteFirePersonService.addFirecontrolPersonInfo(json);
    }
}
