package com.sooka.sponest.mobile.data.digitalforestController;

import com.alibaba.fastjson.JSON;
import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.common.core.web.page.PageDomain;
import com.ruoyi.common.core.web.page.TableSupport;
import com.sooka.sponest.data.api.digitalfire.domain.BasicLinkageForce;
import com.sooka.sponest.data.api.digitalforest.domain.Afforestation;
import com.sooka.sponest.data.api.digitalforest.service.RemoteAfforestationService;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.Date;
import java.util.List;

@RestController
@RequestMapping("AppAfforestationController")
public class AfforestationController {
    @Resource
    RemoteAfforestationService remoteAfforestationService;

    /**
     * 获取植树计划
     *
     * @param afforestation
     * @return
     */
    @GetMapping("/afforestation/list")
    public AjaxResult afforestationList(Afforestation afforestation) {
        PageDomain pageDomain = TableSupport.buildPageRequest();
        Integer pageNum = pageDomain.getPageNum();
        Integer pageSize = pageDomain.getPageSize();
        Date planStartTime = afforestation.getPlanStartTime();
        Date planEndTime = afforestation.getPlanEndTime();
        String plantingQuantity = afforestation.getPlantingQuantity();
        return AjaxResult.success(remoteAfforestationService.afforestationList(pageNum, pageSize, plantingQuantity, planStartTime, planEndTime).getRows());

    }

    /**
     * 获取植树计划详情
     *
     * @param id
     * @return
     */
    @GetMapping("/afforestation/edit")
    public AjaxResult afforestationEdit(String id) {
        return remoteAfforestationService.afforestationEdit(id);
    }

    /**
     * 新增植树计划
     *
     * @param json
     * @return
     */
    @PostMapping("/afforestation")
    public AjaxResult afforestation(@RequestBody String json) {
        return remoteAfforestationService.addAfforestation(json);
    }

    /**
     * 修改植树计划
     *
     * @param json
     * @return
     */
    @PostMapping("/afforestation/put")
    public AjaxResult putAfforestation(@RequestBody String json) {
        return remoteAfforestationService.putAfforestation(json);
    }

    /**
     * 删除植树计划
     *
     * @param id
     * @return
     */
    @GetMapping("/afforestation/del")
    public AjaxResult delAfforestation(@RequestParam("id") List<String> id) {
        return remoteAfforestationService.delAfforestation(id.toArray(new String[0]));
    }
}
