package com.sooka.sponest.mobile.data.digitalforestController;

import com.alibaba.fastjson.JSON;
import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.common.core.web.page.PageDomain;
import com.ruoyi.common.core.web.page.TableSupport;
import com.sooka.sponest.data.api.digitalfire.domain.BasicLinkageForce;
import com.sooka.sponest.data.api.digitalforest.domain.Changbrand;
import com.sooka.sponest.data.api.digitalforest.service.RemoteChangbrandService;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.List;

@RestController
@RequestMapping("AppChangbrandController")
public class ChangBrandController {
    @Resource
    RemoteChangbrandService remoteChangbrandService;

    /**
     * 获取林长牌
     *
     * @param changbrand
     * @return
     */
    @GetMapping("/changbrand/list")
    public AjaxResult changbrandList(Changbrand changbrand) {
        PageDomain pageDomain = TableSupport.buildPageRequest();
        Integer pageNum = pageDomain.getPageNum();
        Integer pageSize = pageDomain.getPageSize();
        String brandName = changbrand.getBrandName();
        return AjaxResult.success(remoteChangbrandService.changbrandList(pageNum, pageSize, brandName).getRows());

    }

    /**
     * 获取林长牌详情
     *
     * @param id
     * @return
     */
    @GetMapping("/changbrand/edit")
    public AjaxResult changbrandEdit(String id) {
        return remoteChangbrandService.changbrandEdit(id);
    }

    /**
     * 新增林长牌
     *
     * @param json
     * @return
     */
    @PostMapping("/changbrand")
    public AjaxResult changbrand(@RequestBody String json) {
        return remoteChangbrandService.addChangbrand(json);
    }

    /**
     * 修改林长牌
     *
     * @param json
     * @return
     */
    @PostMapping("/changbrand/put")
    public AjaxResult putChangbrand(@RequestBody String json) {
        return remoteChangbrandService.putChangbrand(json);
    }

    /**
     * 删除林长牌
     *
     * @param id
     * @return
     */
    @GetMapping("/changbrand/del")
    public AjaxResult delChangbrand(@RequestParam("id") List<String> id) {
        return remoteChangbrandService.delChangbrand(id.toArray(new String[0]));
    }
}
