package com.sooka.sponest.mobile.data.digitalforestController;

import com.alibaba.fastjson.JSON;
import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.common.core.web.page.PageDomain;
import com.ruoyi.common.core.web.page.TableSupport;
import com.sooka.sponest.data.api.digitalfire.domain.BasicLinkageForce;
import com.sooka.sponest.data.api.digitalforest.domain.Channel;
import com.sooka.sponest.data.api.digitalforest.service.RemoteChannelService;
import com.sooka.sponest.mobile.system.camera.service.AppCameraService;
import com.sooka.sponest.mobile.utils.PictureReplaceAll;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.List;
import java.util.Map;

@RestController
@RequestMapping("AppChannelController")
public class ChannelController {
    @Resource
    RemoteChannelService remoteChannelService;
    @Resource
    AppCameraService appCameraService;

    /**
     * 获取水源渠道信息
     *
     * @param channel
     * @return
     */
    @GetMapping("/channel/list")
    public AjaxResult channelList(Channel channel) {
        PageDomain pageDomain = TableSupport.buildPageRequest();
        Integer pageNum = pageDomain.getPageNum();
        Integer pageSize = pageDomain.getPageSize();
        String channelPerson = channel.getChannelPerson();
        String channelTel = channel.getChannelTel();
        String name = channel.getName();
        return AjaxResult.success(remoteChannelService.channelList(pageNum, pageSize, name, channelPerson, channelTel).getRows());

    }

    /**
     * 获取水源渠道信息详情
     *
     * @param id
     * @return
     */
    @GetMapping("/channel/edit")
    public AjaxResult channelEdit(String id) {
        AjaxResult ajaxResult = remoteChannelService.channelEdit(id);
        if("200".equals(ajaxResult.get("code").toString())){
            Map<String, Object> info = (Map<String, Object>) ajaxResult.get("data");
            PictureReplaceAll.StringToList(info);
            return appCameraService.selectCameraByIds(info);
        }else{
            return ajaxResult;
        }
    }

    /**
     * 新增水源渠道信息
     *
     * @param json
     * @return
     */
    @PostMapping("/channel")
    public AjaxResult channel(@RequestBody String json) {
        return remoteChannelService.addChannel(json);
    }

    /**
     * 修改水源渠道信息
     *
     * @param json
     * @return
     */
    @PostMapping("/channel/put")
    public AjaxResult putchannel(@RequestBody String json) {
        return remoteChannelService.putChannel(json);
    }

    /**
     * 删除水源渠道信息
     *
     * @param id
     * @return
     */
    @GetMapping("/channel/del")
    public AjaxResult delchannel(@RequestParam("id") List<String> id) {
        return remoteChannelService.delChannel(id.toArray(new String[0]));
    }
}
