package com.sooka.sponest.mobile.data.digitalforestController;

import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.common.core.web.page.PageDomain;
import com.ruoyi.common.core.web.page.TableSupport;
import com.sooka.sponest.data.api.digitalforest.domain.Checkpoint;
import com.sooka.sponest.data.api.digitalforest.service.RemoteCheckpointService;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.List;

@RestController
@RequestMapping("AppCheckpointController")
public class CheckpointController {
    @Resource
    RemoteCheckpointService remoteCheckpointService;

    /**
     * 获取防火检查站列表
     *
     * @param checkpoint
     * @return
     */
    @GetMapping("/checkpoint/list")
    public AjaxResult checkpointList(Checkpoint checkpoint) {
        PageDomain pageDomain = TableSupport.buildPageRequest();
        Integer pageNum = pageDomain.getPageNum();
        Integer pageSize = pageDomain.getPageSize();
        String name = checkpoint.getName();
        String checkpointPerson = checkpoint.getCheckpointPerson();
        String checkpointTel = checkpoint.getCheckpointTel();
        return AjaxResult.success(remoteCheckpointService.list(pageNum, pageSize, name, checkpointPerson, checkpointTel).getRows());

    }

    /**
     * 获取防火检查站详情
     *
     * @param id
     * @return
     */
    @GetMapping("/checkpoint/edit")
    public AjaxResult afforestationEdit(String id) {
        return remoteCheckpointService.edit(id);
    }

    /**
     * 新增防火检查站
     *
     * @param json
     * @return
     */
    @PostMapping("/checkpoint")
    public AjaxResult afforestation(@RequestBody String json) {
        return remoteCheckpointService.add(json);
    }

    /**
     * 修改防火检查站
     *
     * @param json
     * @return
     */
    @PostMapping("/checkpoint/put")
    public AjaxResult putAfforestation(@RequestBody String json) {
        return remoteCheckpointService.put(json);
    }

    /**
     * 删除防火检查站
     *
     * @param id
     * @return
     */
    @GetMapping("/checkpoint/del")
    public AjaxResult delAfforestation(@RequestParam("id") List<String> id) {
        return remoteCheckpointService.remove(id.toArray(new String[0]));
    }
}
