package com.sooka.sponest.mobile.data.digitalforestController;

import com.alibaba.fastjson.JSON;
import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.common.core.web.page.PageDomain;
import com.ruoyi.common.core.web.page.TableSupport;
import com.sooka.sponest.data.api.digitalfire.domain.BasicLinkageForce;
import com.sooka.sponest.data.api.digitalforest.domain.Fireteam;
import com.sooka.sponest.data.api.digitalforest.service.RemoteFireteamService;
import com.sooka.sponest.mobile.system.camera.service.AppCameraService;
import com.sooka.sponest.mobile.utils.PictureReplaceAll;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.List;
import java.util.Map;

@RestController
@RequestMapping("AppFireteamController")
public class FireTeamController {
    @Resource
    RemoteFireteamService remoteFireteamService;
    @Resource
    AppCameraService appCameraService;

    /**
     * 获取森林防火队
     *
     * @param fireteam
     * @return
     */
    @GetMapping("/fireteam/list")
    public AjaxResult fireteamList(Fireteam fireteam) {
        PageDomain pageDomain = TableSupport.buildPageRequest();
        Integer pageNum = pageDomain.getPageNum();
        Integer pageSize = pageDomain.getPageSize();
        String name = fireteam.getName();
        return AjaxResult.success(remoteFireteamService.fireteamList(pageNum, pageSize, name).getRows());
    }

    /**
     * 获取森林防火队详情
     *
     * @param id
     * @return
     */
    @GetMapping("/fireteam/edit")
    public AjaxResult fireteamEdit(String id) {
        AjaxResult ajaxResult = remoteFireteamService.fireteamEdit(id);
        if("200".equals(ajaxResult.get("code").toString())){
            Map<String, Object> info = (Map<String, Object>) ajaxResult.get("data");
            PictureReplaceAll.StringToList(info);
            return appCameraService.selectCameraByIds(info);
        }else{
            return ajaxResult;
        }
    }

    /**
     * 新增森林防火队
     *
     * @param json
     * @return
     */
    @PostMapping("/fireteam")
    public AjaxResult fireteam(@RequestBody String json) {
        return remoteFireteamService.addFireteam(json);
    }

    /**
     * 修改森林防火队
     *
     * @param json
     * @return
     */
    @PostMapping("/fireteam/put")
    public AjaxResult putFireteam(@RequestBody String json) {
        return remoteFireteamService.putFireteam(json);
    }

    /**
     * 删除森林防火队
     *
     * @param id
     * @return
     */
    @GetMapping("/fireteam/del")
    public AjaxResult delFireteam(@RequestParam("id") List<String> id) {
        return remoteFireteamService.delFireteam(id.toArray(new String[0]));
    }
}
