package com.sooka.sponest.mobile.data.digitalforestController;

import com.alibaba.fastjson.JSON;
import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.common.core.web.page.PageDomain;
import com.ruoyi.common.core.web.page.TableSupport;
import com.sooka.sponest.data.api.digitalfire.domain.BasicLinkageForce;
import com.sooka.sponest.data.api.digitalforest.domain.Resources;
import com.sooka.sponest.data.api.digitalforest.service.RemoteResourcesService;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.List;

@RestController
@RequestMapping("AppForestResourcesController")
public class ForestResourcesController {
    @Resource
    RemoteResourcesService remoteResourcesService;

    /**
     * 获取林业资源
     *
     * @param resources
     * @return
     */
    @GetMapping("/resources/list")
    public AjaxResult resourcesList(Resources resources) {
        PageDomain pageDomain = TableSupport.buildPageRequest();
        Integer pageNum = pageDomain.getPageNum();
        Integer pageSize = pageDomain.getPageSize();
        String groundClass = resources.getGroundClass();
        String dominantTreeSpecies = resources.getDominantTreeSpecies();
        return AjaxResult.success(remoteResourcesService.resourcesList(pageNum, pageSize, groundClass, dominantTreeSpecies).getRows());

    }

    /**
     * 获取林业资源详情
     *
     * @param id
     * @return
     */
    @GetMapping("/resources/edit")
    public AjaxResult resourcesEdit(String id) {
        return remoteResourcesService.resourcesEdit(id);
    }

    /**
     * 新增林业资源
     *
     * @param json
     * @return
     */
    @PostMapping("/resources")
    public AjaxResult resources(@RequestBody String json) {
        return remoteResourcesService.addResources(json);
    }

    /**
     * 修改林业资源
     *
     * @param json
     * @return
     */
    @PostMapping("/resources/put")
    public AjaxResult putresources(@RequestBody String json) {
        return remoteResourcesService.putResources(json);
    }

    /**
     * 删除林业资源
     *
     * @param id
     * @return
     */
    @GetMapping("/resources/del")
    public AjaxResult delresources(@RequestParam("id") List<String> id) {
        return remoteResourcesService.delResources(id.toArray(new String[0]));
    }
}
