package com.sooka.sponest.mobile.data.digitalforestController;

import com.alibaba.fastjson.JSON;
import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.common.core.web.page.PageDomain;
import com.ruoyi.common.core.web.page.TableSupport;
import com.sooka.sponest.data.api.digitalfire.domain.BasicLinkageForce;
import com.sooka.sponest.data.api.digitalforest.domain.KeyFireproofPlots;
import com.sooka.sponest.data.api.digitalforest.service.RemoteKeyFireproofPlotsService;
import com.sooka.sponest.mobile.system.camera.service.AppCameraService;
import com.sooka.sponest.mobile.utils.PictureReplaceAll;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.List;
import java.util.Map;

@RestController
@RequestMapping("AppKeyFireproofPlotsController")
public class KeyFireproofPlotsController {
    @Resource
    RemoteKeyFireproofPlotsService remoteKeyFireproofPlotsService;
    @Resource
    AppCameraService appCameraService;

    /**
     * 获取重点防火地块
     *
     * @param keyFireproofPlots
     * @return
     */
    @GetMapping("/keyFireproofPlots/list")
    public AjaxResult keyFireproofPlotsList(KeyFireproofPlots keyFireproofPlots) {
        PageDomain pageDomain = TableSupport.buildPageRequest();
        Integer pageNum = pageDomain.getPageNum();
        Integer pageSize = pageDomain.getPageSize();
        String name = keyFireproofPlots.getName();
        String forestSpecies = keyFireproofPlots.getForestSpecies();
        return AjaxResult.success(remoteKeyFireproofPlotsService.keyFireproofPlotsList(pageNum, pageSize, name,forestSpecies).getRows());

    }

    /**
     * 获取重点防火地块详情
     *
     * @param id
     * @return
     */
    @GetMapping("/keyFireproofPlots/edit")
    public AjaxResult keyFireproofPlotsEdit(String id) {
        AjaxResult ajaxResult = remoteKeyFireproofPlotsService.keyFireproofPlotsEdit(id);
        if("200".equals(ajaxResult.get("code").toString())){
            Map<String, Object> info = (Map<String, Object>) ajaxResult.get("data");
            PictureReplaceAll.StringToList(info);
            return appCameraService.selectCameraByIds(info);
        }else{
            return ajaxResult;
        }
    }

    /**
     * 新增重点防火地块
     *
     * @param json
     * @return
     */
    @PostMapping("/keyFireproofPlots")
    public AjaxResult keyFireproofPlots(@RequestBody String json) {
        return remoteKeyFireproofPlotsService.addKeyFireproofPlots(json);
    }

    /**
     * 修改重点防火地块
     *
     * @param json
     * @return
     */
    @PostMapping("/keyFireproofPlots/put")
    public AjaxResult putKeyFireproofPlots(@RequestBody String json) {
        return remoteKeyFireproofPlotsService.putKeyFireproofPlots(json);
    }

    /**
     * 删除重点防火地块
     *
     *
     * @param id
     * @return
     */
    @GetMapping("/keyFireproofPlots/del")
    public AjaxResult delKeyFireproofPlots(@RequestParam("id") List<String> id) {
        return remoteKeyFireproofPlotsService.delKeyFireproofPlots(id.toArray(new String[0]));
    }
}
