package com.sooka.sponest.mobile.data.digitalforestController;

import com.alibaba.fastjson.JSON;
import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.common.core.web.page.PageDomain;
import com.ruoyi.common.core.web.page.TableSupport;
import com.sooka.sponest.data.api.digitalfire.domain.BasicLinkageForce;
import com.sooka.sponest.data.api.digitalforest.domain.Landing;
import com.sooka.sponest.data.api.digitalforest.service.RemoteLandingService;
import com.sooka.sponest.mobile.system.camera.service.AppCameraService;
import com.sooka.sponest.mobile.utils.PictureReplaceAll;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.List;
import java.util.Map;

@RestController
@RequestMapping("AppLandingController")
public class LandingController {
    @Resource
    RemoteLandingService  remoteLandingService;
    @Resource
    AppCameraService appCameraService;

    /**
     * 获取起降点
     *
     * @param landing
     * @return
     */
    @GetMapping("/landing/list")
    public AjaxResult landingList(Landing landing) {
        PageDomain pageDomain = TableSupport.buildPageRequest();
        Integer pageNum = pageDomain.getPageNum();
        Integer pageSize = pageDomain.getPageSize();
        String landingPerson = landing.getLandingPerson();
        String landingTel = landing.getLandingTel();
        String name = landing.getName();
        return AjaxResult.success(remoteLandingService.landingList(pageNum, pageSize, name, landingTel, landingPerson).getRows());

    }

    /**
     * 获取起降点详情
     *
     * @param id
     * @return
     */
    @GetMapping("/landing/edit")
    public AjaxResult landingEdit(String id) {
        AjaxResult ajaxResult = remoteLandingService.landingEdit(id);
        if("200".equals(ajaxResult.get("code").toString())){
            Map<String, Object> info = (Map<String, Object>) ajaxResult.get("data");
            PictureReplaceAll.StringToList(info);
            return appCameraService.selectCameraByIds(info);
        }else{
            return ajaxResult;
        }
    }

    /**
     * 新增起降点
     *
     * @param json
     * @return
     */
    @PostMapping("/landing")
    public AjaxResult landing(@RequestBody String json) {
        return remoteLandingService.addLanding(json);
    }

    /**
     * 修改起降点
     *
     * @param json
     * @return
     */
    @PostMapping("/landing/put")
    public AjaxResult putLanding(@RequestBody String json) {
        return remoteLandingService.putLanding(json);
    }

    /**
     * 删除起降点
     *
     * @param id
     * @return
     */
    @GetMapping("/landing/del")
    public AjaxResult delLanding(@RequestParam("id") List<String> id) {
        return remoteLandingService.delLanding(id.toArray(new String[0]));
    }
}
