package com.sooka.sponest.mobile.data.digitalforestController;

import com.alibaba.fastjson.JSON;
import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.common.core.web.page.PageDomain;
import com.ruoyi.common.core.web.page.TableSupport;
import com.sooka.sponest.data.api.digitalfire.domain.BasicLinkageForce;
import com.sooka.sponest.data.api.digitalforest.domain.Trees;
import com.sooka.sponest.data.api.digitalforest.service.RemoteTreesService;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.List;


@RestController
@RequestMapping("AppTreesController")
public class TreesController {
    @Resource
    RemoteTreesService remoteTreesService;

    /**
     * 获取植树计划
     *
     * @param trees
     * @return
     */
    @GetMapping("/trees/list")
    public AjaxResult treesList(Trees trees) {
        PageDomain pageDomain = TableSupport.buildPageRequest();
        Integer pageNum = pageDomain.getPageNum();
        Integer pageSize = pageDomain.getPageSize();
        String treesName = trees.getTreesName();
        return AjaxResult.success(remoteTreesService.treesList(pageNum, pageSize, treesName).getRows());

    }

    /**
     * 获取植树计划详情
     *
     * @param id
     * @return
     */
    @GetMapping("/trees/edit")
    public AjaxResult treesEdit(String id) {
        return remoteTreesService.treesEdit(id);
    }

    /**
     * 新增植树计划
     *
     * @param json
     * @return
     */
    @PostMapping("/trees")
    public AjaxResult trees(@RequestBody String json) {
        return remoteTreesService.addTrees(json);
    }

    /**
     * 修改植树计划
     *
     * @param json
     * @return
     */
    @PostMapping("/trees/put")
    public AjaxResult putTrees(@RequestBody String json) {
        return remoteTreesService.putTrees(json);
    }

    /**
     * 删除植树计划
     *
     * @param id
     * @return
     */
    @GetMapping("/trees/del")
    public AjaxResult delTrees(@RequestParam("id") List<String> id) {
        return remoteTreesService.delTrees(id.toArray(new String[0]));
    }
}
