package com.sooka.sponest.mobile.data.digitalforestController;

import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.common.core.web.page.PageDomain;
import com.ruoyi.common.core.web.page.TableSupport;
import com.sooka.sponest.data.api.digitalforest.domain.Weatherstation;
import com.sooka.sponest.data.api.digitalforest.service.RemoteWeatherstationService;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.List;

@RestController
@RequestMapping("AppWeatherstationController")
public class WeatherstationController {

    @Resource
    RemoteWeatherstationService remoteWeatherstationService;

    /**
     * 获取气象站
     *
     * @param weatherstation
     * @return
     */
    @GetMapping("/weatherstation/list")
    public AjaxResult weatherstationList(Weatherstation weatherstation) {
        PageDomain pageDomain = TableSupport.buildPageRequest();
        Integer pageNum = pageDomain.getPageNum();
        Integer pageSize = pageDomain.getPageSize();
        String name = weatherstation.getName();
        String weatherstationPerson = weatherstation.getWeatherstationPerson();
        String weatherstationTel = weatherstation.getWeatherstationTel();
        return AjaxResult.success(remoteWeatherstationService.list(pageNum, pageSize, name, weatherstationPerson, weatherstationTel).getRows());

    }

    /**
     * 获取气象站详情
     *
     * @param id
     * @return
     */
    @GetMapping("/weatherstation/edit")
    public AjaxResult weatherstationEdit(String id) {
        return remoteWeatherstationService.edit(id);
    }

    /**
     * 新增气象站
     *
     * @param json
     * @return
     */
    @PostMapping("/weatherstation")
    public AjaxResult weatherstation(@RequestBody String json) {
        return remoteWeatherstationService.add(json);
    }

    /**
     * 修改气象站
     *
     * @param json
     * @return
     */
    @PostMapping("/weatherstation/put")
    public AjaxResult putweatherstation(@RequestBody String json) {
        return remoteWeatherstationService.put(json);
    }

    /**
     * 删除气象站
     *
     * @param id
     * @return
     */
    @GetMapping("/weatherstation/del")
    public AjaxResult delweatherstation(@RequestParam("id") List<String> id) {
        return remoteWeatherstationService.remove(id.toArray(new String[0]));
    }
}
