package com.sooka.sponest.mobile.data.digitalresourcecontorller;

import com.alibaba.fastjson.JSON;
import com.ruoyi.common.core.web.controller.BaseController;
import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.common.core.web.page.PageDomain;
import com.ruoyi.common.core.web.page.TableSupport;
import com.sooka.sponest.data.api.digitalfire.domain.BasicLinkageForce;
import com.sooka.sponest.data.api.digitalresource.domain.Deposit;
import com.sooka.sponest.data.api.digitalresource.service.RemoteDepositService;
import com.sooka.sponest.mobile.system.camera.service.AppCameraService;
import com.sooka.sponest.mobile.utils.PictureReplaceAll;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.List;
import java.util.Map;


/**
 * 矿臧资源Controller
 *
 * @author ruoyi
 * @date 2023-02-21
 */
@RestController
@RequestMapping("/AppResourcesDepositController")
public class ResourcesDepositController extends BaseController {

    @Autowired
    private RemoteDepositService resourcesDepositService;

    @Resource
    AppCameraService appCameraService;

    /**
     * 查询矿臧资源列表
     */
    @GetMapping("/deposit/list")
    public AjaxResult list(Deposit centerdataTResourcesDeposit) {
        PageDomain pageDomain = TableSupport.buildPageRequest();
        Integer pageNum = pageDomain.getPageNum();
        Integer pageSize = pageDomain.getPageSize();
        String name = centerdataTResourcesDeposit.getName();
        String depositArea = centerdataTResourcesDeposit.getDepositArea();
        return AjaxResult.success(resourcesDepositService.resourcesDepositList(pageNum, pageSize, name, depositArea).getRows());
    }


    /**
     * 获取矿臧资源详细信息
     */
    @GetMapping(value = "/deposit/edit")
    public AjaxResult getInfo(Deposit centerdataTResourcesDeposit) {
        AjaxResult ajaxResult = resourcesDepositService.resourcesDepositGetInfo(centerdataTResourcesDeposit.getId());
        if("200".equals(ajaxResult.get("code").toString())){
            Map<String, Object> info = (Map<String, Object>) ajaxResult.get("data");
            PictureReplaceAll.StringToList(info);
            return appCameraService.selectCameraByIds(info);
        }else{
            return ajaxResult;
        }
    }

    /**
     * 新增矿臧资源
     */
    @PostMapping("/deposit")
    public AjaxResult add(@RequestBody String json) {
        return resourcesDepositService.resourcesDepositAdd(json);
    }

    /**
     * 修改矿臧资源
     */
    @PostMapping("/deposit/put")
    public AjaxResult edit(@RequestBody String json) {
        return resourcesDepositService.resourcesDepositEdit(json);
    }

    /**
     * 删除矿臧资源
     */
    @GetMapping("/deposit/del")
    public AjaxResult remove(@RequestParam("id") List<String> id) {
        return resourcesDepositService.resourcesDepositRemove(id.toArray(new String[0]));
    }

}
