package com.sooka.sponest.mobile.data.digitalresourcecontorller;

import com.alibaba.fastjson.JSON;
import com.ruoyi.common.core.web.controller.BaseController;
import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.common.core.web.page.PageDomain;
import com.ruoyi.common.core.web.page.TableSupport;
import com.sooka.sponest.data.api.digitalfire.domain.BasicLinkageForce;
import com.sooka.sponest.data.api.digitalresource.domain.GeologicHazard;
import com.sooka.sponest.data.api.digitalresource.service.RemoteGeologicHazardService;
import com.sooka.sponest.mobile.system.camera.service.AppCameraService;
import com.sooka.sponest.mobile.utils.PictureReplaceAll;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.List;
import java.util.Map;

/**
 * 地质灾害易发区Controller
 *
 * @author ruoyi
 * @date 2023-02-21
 */
@RestController
@RequestMapping("/AppResourcesGeologicHazardController")
public class ResourcesGeologicHazardController extends BaseController {

    @Autowired
    private RemoteGeologicHazardService resourcesGeologicHazardService;

    @Resource
    AppCameraService appCameraService;

    /**
     * 查询地质灾害易发区列表
     */
    @GetMapping("/hazard/list")
    public AjaxResult list(GeologicHazard centerdataTResourcesGeologicHazard) {
        PageDomain pageDomain = TableSupport.buildPageRequest();
        Integer pageNum = pageDomain.getPageNum();
        Integer pageSize = pageDomain.getPageSize();
        String name = centerdataTResourcesGeologicHazard.getName();
        return AjaxResult.success(resourcesGeologicHazardService.resourcesGeologicHazardList(pageNum, pageSize, name).getRows());
    }

    /**
     * 获取地质灾害易发区详细信息
     */
    @GetMapping(value = "/hazard/edit")
    public AjaxResult getInfo(GeologicHazard centerdataTResourcesGeologicHazard) {
        AjaxResult ajaxResult = resourcesGeologicHazardService.resourcesGeologicHazardGetInfo(centerdataTResourcesGeologicHazard.getId());
        if("200".equals(ajaxResult.get("code").toString())){
            Map<String, Object> info = (Map<String, Object>) ajaxResult.get("data");
            PictureReplaceAll.StringToList(info);
            return appCameraService.selectCameraByIds(info);
        }else{
            return ajaxResult;
        }
    }

    /**
     * 新增地质灾害易发区
     */
    @PostMapping("/hazard")
    public AjaxResult add(@RequestBody String json) {
        return resourcesGeologicHazardService.resourcesGeologicHazardAdd(json);
    }

    /**
     * 修改地质灾害易发区
     */
    @PostMapping("/hazard/put")
    public AjaxResult edit(@RequestBody String json) {
        return resourcesGeologicHazardService.resourcesGeologicHazardEdit(json);
    }

    /**
     * 删除地质灾害易发区
     */
    @GetMapping("/hazard/del")
    public AjaxResult remove(@RequestParam("id") List<String> id) {
        return resourcesGeologicHazardService.resourcesGeologicHazardRemove(id.toArray(new String[0]));
    }
}
