package com.sooka.sponest.mobile.data.digitalresourcecontorller;

import com.alibaba.fastjson.JSON;
import com.ruoyi.common.core.web.controller.BaseController;
import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.common.core.web.page.PageDomain;
import com.ruoyi.common.core.web.page.TableSupport;
import com.sooka.sponest.data.api.digitalfire.domain.BasicLinkageForce;
import com.sooka.sponest.data.api.digitalresource.domain.IllegalConstruction;
import com.sooka.sponest.data.api.digitalresource.service.RemoteIllegalConstructionService;
import com.sooka.sponest.mobile.system.camera.service.AppCameraService;
import com.sooka.sponest.mobile.utils.PictureReplaceAll;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.List;
import java.util.Map;

/**
 * 违建信息Controller
 *
 * @author ruoyi
 * @date 2023-02-21
 */
@RestController
@RequestMapping("/AppResourcesIllegalConstructionController")
public class ResourcesIllegalConstructionController extends BaseController {

    @Autowired
    private RemoteIllegalConstructionService digITalresourceService;

    @Resource
    AppCameraService appCameraService;

    /**
     * 查询违建信息列表
     */
    @GetMapping("/construction/list")
    public AjaxResult list(IllegalConstruction centerdataTResourcesIllegalConstruction) {
        PageDomain pageDomain = TableSupport.buildPageRequest();
        Integer pageNum = pageDomain.getPageNum();
        Integer pageSize = pageDomain.getPageSize();
        String name = centerdataTResourcesIllegalConstruction.getName();
        return AjaxResult.success(digITalresourceService.resourcesIllegalConstructionList(pageNum, pageSize, name).getRows());
    }

    /**
     * 获取违建信息详细信息
     */
    @GetMapping("/construction/edit")
    public AjaxResult getInfo(IllegalConstruction centerdataTResourcesIllegalConstruction) {
        AjaxResult ajaxResult = digITalresourceService.resourcesIllegalConstructionGetInfo(centerdataTResourcesIllegalConstruction.getId());
        if("200".equals(ajaxResult.get("code").toString())){
            Map<String, Object> info = (Map<String, Object>) ajaxResult.get("data");
            PictureReplaceAll.StringToList(info);
            return appCameraService.selectCameraByIds(info);
        }else{
            return ajaxResult;
        }
    }

    /**
     * 新增违建信息
     */
    @PostMapping("/construction")
    public AjaxResult add(@RequestBody String json) {
        return digITalresourceService.resourcesIllegalConstructionAdd(json);
    }

    /**
     * 修改违建信息
     */
    @PostMapping("/construction/put")
    public AjaxResult edit(@RequestBody String json) {
        return digITalresourceService.resourcesIllegalConstructionEdit(json);
    }

    /**
     * 删除违建信息
     */
    @GetMapping("/construction/del")
    public AjaxResult remove(@RequestParam("id") List<String> id) {
        return digITalresourceService.resourcesIllegalConstructionRemove(id.toArray(new String[0]));
    }
}
