package com.sooka.sponest.mobile.data.digitaltrafficcontroller;

import com.ruoyi.common.core.web.controller.BaseController;
import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.common.core.web.page.PageDomain;
import com.ruoyi.common.core.web.page.TableSupport;
import com.sooka.sponest.data.api.digitaltraffic.domain.TrafficTransportationHub;
import com.sooka.sponest.data.api.digitaltraffic.servce.RemoteTrafficTransportationHubService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;


/**
 * 重要交通枢纽管理Controller
 *
 * @author ruoyi
 * @date 2023-02-25
 */
@RestController
@RequestMapping("/AppHubController")
public class TrafficTransportationHubController extends BaseController {

    @Autowired
    private RemoteTrafficTransportationHubService digITaltrafficService;

    /**
     * 查询重要交通枢纽管理列表
     */
    @GetMapping("/hub/list")
    public AjaxResult list(TrafficTransportationHub centerdataTTrafficTransportationHub) {
        PageDomain pageDomain = TableSupport.buildPageRequest();
        Integer pageNum = pageDomain.getPageNum();
        Integer pageSize = pageDomain.getPageSize();
        String crossingName = centerdataTTrafficTransportationHub.getCrossingName();
        String sectionName = centerdataTTrafficTransportationHub.getSectionName();
        String congestionPoint = centerdataTTrafficTransportationHub.getCongestionPoint();
        return AjaxResult.success(digITaltrafficService.hubList(pageNum, pageSize, crossingName, sectionName, congestionPoint).getRows());
    }

    /**
     * 获取重要交通枢纽管理详细信息
     */
    @GetMapping(value = "/hub/edit")
    public AjaxResult getInfo(TrafficTransportationHub centerdataTTrafficTransportationHub) {
        return digITaltrafficService.hubGetInfo(centerdataTTrafficTransportationHub.getId());
    }

    /**
     * 新增重要交通枢纽管理
     */
    @PostMapping("/hub")
    public AjaxResult add(@RequestBody String  json) {
        return digITaltrafficService.hubAdd(json);
    }

    /**
     * 修改重要交通枢纽管理
     */
    @PostMapping("/hub/put")
    public AjaxResult edit(@RequestBody String  json) {
        return digITaltrafficService.hubEdit(json);
    }

    /**
     * 删除重要交通枢纽管理
     */
    @GetMapping("/hub/del")
    public AjaxResult remove(@RequestParam("id") List<String> id) {
        return digITaltrafficService.hubRemove(id.toArray(new String[0]));
    }
}
