package com.sooka.sponest.mobile.data.digitaltrafficcontroller;

import com.ruoyi.common.core.web.controller.BaseController;
import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.common.core.web.page.PageDomain;
import com.ruoyi.common.core.web.page.TableSupport;
import com.sooka.sponest.data.api.digitaltraffic.domain.WarningSign;
import com.sooka.sponest.data.api.digitaltraffic.servce.RemoteWarningSignService;
import com.sooka.sponest.mobile.system.camera.service.AppCameraService;
import com.sooka.sponest.mobile.utils.PictureReplaceAll;
import io.swagger.annotations.Api;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.List;
import java.util.Map;

/**
 * 警示牌资源Controller
 *
 * @author lyq
 * @date 2022-11-17
 */
@Api(tags = "警示牌资源控制器")
@RestController
@RequestMapping("/AppWarningSignController")
public class WarningSignController extends BaseController {

    @Autowired
    private RemoteWarningSignService digITaltrafficService;

    @Resource
    AppCameraService appCameraService;

    /**
     * 查询警示牌资源列表
     */
    @GetMapping("/warningSign/list")
    public AjaxResult list(WarningSign centerdataTWarningSign) {
        PageDomain pageDomain = TableSupport.buildPageRequest();
        Integer pageNum = pageDomain.getPageNum();
        Integer pageSize = pageDomain.getPageSize();
        String name = centerdataTWarningSign.getName();
        return AjaxResult.success(digITaltrafficService.warningSignList(pageNum, pageSize, name).getRows());
    }

    /**
     * 获取警示牌资源详细信息
     */
    @GetMapping(value = "/warningSign/edit")
    public AjaxResult getInfo(WarningSign centerdataTWarningSign) {
        AjaxResult ajaxResult = digITaltrafficService.warningSignGetInfo(centerdataTWarningSign.getId());
        if("200".equals(ajaxResult.get("code").toString())){
            Map<String, Object> info = (Map<String, Object>) ajaxResult.get("data");
            PictureReplaceAll.StringToList(info);
            return appCameraService.selectCameraByIds(info);
        }else{
            return ajaxResult;
        }
    }

    /**
     * 新增警示牌资源
     */
    @PostMapping("/warningSign")
    public AjaxResult add(@RequestBody String  json) {
        return digITaltrafficService.warningSignAdd(json);
    }

    /**
     * 修改警示牌资源
     */
    @PostMapping( "/warningSign/put")
    public AjaxResult edit(@RequestBody String  json) {
        return digITaltrafficService.warningSignEdit(json);
    }

    /**
     * 删除警示牌资源
     */
    @GetMapping("/warningSign/del")
    public AjaxResult remove(@RequestParam("id") List<String> id) {
        return digITaltrafficService.warningSignRemove(id.toArray(new String[0]));
    }
}
