package com.sooka.sponest.mobile.data.digitalwatercontroller;

import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.common.core.web.page.PageDomain;
import com.ruoyi.common.core.web.page.TableSupport;
import com.sooka.sponest.data.api.digitalwater.domain.HydraulicBattlefield;
import com.sooka.sponest.data.api.digitalwater.service.RemoteBattlefieldService;
import com.sooka.sponest.mobile.system.camera.service.AppCameraService;
import com.sooka.sponest.mobile.utils.PictureReplaceAll;
import io.swagger.annotations.Api;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.List;
import java.util.Map;

/**
 * @author zhaozhan
 * @date 2023/6/5
 */
@RestController
@RequestMapping("/AppBattlefieldController")
@Api(tags = "沙场资源")
public class CenterdataTHydraulicBattlefieldAppController {
    @Resource
    private RemoteBattlefieldService digitalWaterAppService;
    @Resource
    AppCameraService appCameraService;

    /**
     * 查询沙场资源列表
     */
    @GetMapping("/battlefie/list")
    public AjaxResult list(HydraulicBattlefield hydraulicBattlefield) {
        PageDomain pageDomain = TableSupport.buildPageRequest();
        Integer pageNum = pageDomain.getPageNum();
        Integer pageSize = pageDomain.getPageSize();
        String name = hydraulicBattlefield.getName();
        String scale = hydraulicBattlefield.getScale();
        return AjaxResult.success(digitalWaterAppService.selectCenterdataTHydraulicBattlefieldList(pageNum, pageSize, name, scale).getRows());
    }

    /**
     * 获取沙场资源详细信息
     */
    @GetMapping("/battlefie/edit")
    public AjaxResult getInfo(String id) {
        AjaxResult ajaxResult = digitalWaterAppService.getInfo(id);
        if("200".equals(ajaxResult.get("code").toString())){
            Map<String, Object> info = (Map<String, Object>) ajaxResult.get("data");
            PictureReplaceAll.StringToList(info);
            return appCameraService.selectCameraByIds(info);
        }else{
            return ajaxResult;
        }
    }

    /**
     * 新增沙场资源
     */
    @PostMapping( "/battlefie")
    public AjaxResult add(@RequestBody String json) {
        return digitalWaterAppService.insertCenterdataTHydraulicBattlefield(json);
    }

    /**
     * 修改沙场资源
     */
    @PostMapping( "/battlefie/put")
    public AjaxResult edit(@RequestBody String json) {
       return digitalWaterAppService.updateCenterdataTHydraulicBattlefield(json);
    }

    /**
     * 删除沙场资源
     */
    @GetMapping("/battlefie/del")
    public AjaxResult remove(@RequestParam("id") List<String> id) {
       return digitalWaterAppService.deleteCenterdataTHydraulicBattlefieldByIds(id.toArray(new String[0]));

    }
}
