package com.sooka.sponest.mobile.data.digitalwatercontroller;


import com.ruoyi.common.core.web.controller.BaseController;
import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.common.core.web.page.PageDomain;
import com.ruoyi.common.core.web.page.TableSupport;
import com.sooka.sponest.data.api.digitalwater.domain.HydraulicCeanerApp;
import com.sooka.sponest.data.api.digitalwater.service.RemoteCeanerService;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.List;

/**
 * 保洁员管理Controller
 *
 * @author ruoyi
 * @date 2023-03-02
 */
@RestController
@RequestMapping("/AppTHydraulicCeanerController")
public class CenterdataTHydraulicCeanerAppController extends BaseController {

    @Resource
    private RemoteCeanerService digitalWaterAppService;

    /**
     * 查询保洁员管理列表
     */
    @GetMapping("/THydraulicCeanerInfo/list")
    public AjaxResult list(HydraulicCeanerApp centerdataTHydraulicCeaner) {
        PageDomain pageDomain = TableSupport.buildPageRequest();
        Integer pageNum = pageDomain.getPageNum();
        Integer pageSize = pageDomain.getPageSize();
        String name = centerdataTHydraulicCeaner.getName();
        return AjaxResult.success(digitalWaterAppService.selectCenterdataTHydraulicCeanerList(pageNum, pageSize, name).getRows());
    }


    /**
     * 获取保洁员管理详细信息
     */
    @GetMapping("/THydraulicCeanerInfo/edit")
    public AjaxResult getInfo(String id) {
        return digitalWaterAppService.selectCenterdataTHydraulicCeanerById(id);
    }

    /**
     * 新增保洁员管理
     */
    @PostMapping( "/THydraulicCeanerInfo")
    public AjaxResult add(@RequestBody String  json) {
        return digitalWaterAppService.insertCenterdataTHydraulicCeaner(json);
    }

    /**
     * 修改保洁员管理
     */
    @PostMapping( "/THydraulicCeanerInfo/put")
    public AjaxResult edit(@RequestBody String  json) {
        return digitalWaterAppService.updateCenterdataTHydraulicCeaner(json);
    }

    /**
     * 删除保洁员管理
     */
    @GetMapping("/THydraulicCeanerInfo/del")
    public AjaxResult remove(@RequestParam("id") List<String> id) {
        return digitalWaterAppService.deleteCenterdataTHydraulicCeanerByIds(id.toArray(new String[0]));
    }
}
