package com.sooka.sponest.mobile.data.digitalwatercontroller;


import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.common.core.web.page.PageDomain;
import com.ruoyi.common.core.web.page.TableSupport;
import com.sooka.sponest.data.api.digitalwater.domain.HydraulicChannelBluelineApp;
import com.sooka.sponest.data.api.digitalwater.service.RemoteChannelBluelineService;
import com.sooka.sponest.mobile.system.camera.service.AppCameraService;
import com.sooka.sponest.mobile.utils.PictureReplaceAll;
import io.swagger.annotations.Api;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.List;
import java.util.Map;

/**
 * @author zhaozhan
 * @date 2023/6/5
 */
@RestController
@RequestMapping("/AppCenterdataTHydraulicChannelBluelineController")
@Api(tags = "河道蓝线")
public class CenterdataTHydraulicChannelBluelineAppController {

    @Resource
    private RemoteChannelBluelineService digitalWaterAppService;
    @Resource
    AppCameraService appCameraService;

    /**
     * 查询河道蓝线资源列表
     */
    @GetMapping("/THydraulicChannelBluelineInfo/list")
    public AjaxResult list(HydraulicChannelBluelineApp centerdataTHydraulicChannelBlueline) {
        PageDomain pageDomain = TableSupport.buildPageRequest();
        Integer pageNum = pageDomain.getPageNum();
        Integer pageSize = pageDomain.getPageSize();
        String name = centerdataTHydraulicChannelBlueline.getName();
        Long attrType = centerdataTHydraulicChannelBlueline.getAttrType();
        String riverLeader = centerdataTHydraulicChannelBlueline.getRiverLeader();
        return AjaxResult.success(digitalWaterAppService.selectCenterdataTHydraulicChannelBluelineList(pageNum, pageSize, name, attrType, riverLeader).getRows());
    }

    /**
     * 获取河道蓝线资源详细信息
     */
    @GetMapping("/THydraulicChannelBluelineInfo/edit")
    public AjaxResult getInfo(String id) {
        AjaxResult ajaxResult = digitalWaterAppService.channelbluelineGetInfo(id);
        if("200".equals(ajaxResult.get("code").toString())){
            Map<String, Object> info = (Map<String, Object>) ajaxResult.get("data");
            PictureReplaceAll.StringToList(info);
            return appCameraService.selectCameraByIds(info);
        }else{
            return ajaxResult;
        }
    }

    /**
     * 新增河道蓝线资源
     */
    @PostMapping( "/THydraulicChannelBluelineInfo")
    public AjaxResult add(@RequestBody String json) {
        return digitalWaterAppService.insertCenterdataTHydraulicChannelBlueline(json);
    }

    /**
     * 修改河道蓝线资源
     */
    @PostMapping( "/THydraulicChannelBluelineInfo/put")
    public AjaxResult edit(@RequestBody String json) {
        return digitalWaterAppService.updateCenterdataTHydraulicChannelBlueline(json);
    }

    /**
     * 删除河道蓝线资源
     */
    @GetMapping("/THydraulicChannelBluelineInfo/del")
    public AjaxResult remove(@RequestParam("id") List<String> id) {
        return digitalWaterAppService.deleteCenterdataTHydraulicChannelBluelineByIds(id.toArray(new String[0]));

    }
}
