package com.sooka.sponest.mobile.data.digitalwatercontroller;



import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.common.core.web.page.PageDomain;
import com.ruoyi.common.core.web.page.TableSupport;
import com.sooka.sponest.data.api.digitalwater.domain.HydraulicGarbageStationApp;
import com.sooka.sponest.data.api.digitalwater.service.RemoteGarbageStationService;
import com.sooka.sponest.mobile.system.camera.service.AppCameraService;
import com.sooka.sponest.mobile.utils.PictureReplaceAll;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.List;
import java.util.Map;

/**
 * @author zhaozhan
 * @date 2023/6/5
 */
@RestController
@RequestMapping("/AppTHydraulicGarbageStationController")
public class CenterdataTHydraulicGarbageStationAppController {
    @Resource
    private RemoteGarbageStationService digitalWaterAppService;
    @Resource
    AppCameraService appCameraService;

    /**
     * 查询垃圾站资源列表
     */
    @GetMapping("/THydraulicGarbageStationInfo/list")
    public AjaxResult list(HydraulicGarbageStationApp centerdataTHydraulicGarbageStation) {
        PageDomain pageDomain = TableSupport.buildPageRequest();
        Integer pageNum = pageDomain.getPageNum();
        Integer pageSize = pageDomain.getPageSize();
        String name = centerdataTHydraulicGarbageStation.getName();
        String code = centerdataTHydraulicGarbageStation.getCode();
        String principal = centerdataTHydraulicGarbageStation.getPrincipal();
        return AjaxResult.success(digitalWaterAppService.selectCenterdataTHydraulicGarbageStationList(pageNum, pageSize, name, code, principal).getRows());
    }

    /**
     * 获取垃圾站资源详细信息
     */
    @GetMapping("/THydraulicGarbageStationInfo/edit")
    public AjaxResult getInfo(String id) {
        AjaxResult ajaxResult = digitalWaterAppService.garbagestationGetInfo(id);
        if("200".equals(ajaxResult.get("code").toString())){
            Map<String, Object> info = (Map<String, Object>) ajaxResult.get("data");
            PictureReplaceAll.StringToList(info);
            return appCameraService.selectCameraByIds(info);
        }else{
            return ajaxResult;
        }
    }

    /**
     * 新增垃圾站资源
     */
    @PostMapping( "/THydraulicGarbageStationInfo")
    public AjaxResult add(@RequestBody String json) {
        return digitalWaterAppService.insertCenterdataTHydraulicGarbageStation(json);
    }

    /**
     * 修改垃圾站资源
     */
    @PostMapping( "/THydraulicGarbageStationInfo/put")
    public AjaxResult edit(@RequestBody String json) {
        return digitalWaterAppService.updateCenterdataTHydraulicGarbageStation(json);
    }

    /**
     * 删除垃圾站资源
     */
    @GetMapping("/THydraulicGarbageStationInfo/del")
    public AjaxResult remove(@RequestParam("id") List<String> id) {
        return digitalWaterAppService.deleteCenterdataTHydraulicGarbageStationByIds(id.toArray(new String[0]));
    }
}
