package com.sooka.sponest.mobile.data.digitalwatercontroller;



import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.common.core.web.page.PageDomain;
import com.ruoyi.common.core.web.page.TableSupport;
import com.sooka.sponest.data.api.digitalwater.domain.HydraulicOutletSewageApp;
import com.sooka.sponest.data.api.digitalwater.service.RemoteOutletSewageService;
import com.sooka.sponest.mobile.system.camera.service.AppCameraService;
import com.sooka.sponest.mobile.utils.PictureReplaceAll;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.List;
import java.util.Map;

/**
 * @author zhaozhan
 * @date 2023/6/5
 */
@RestController
@RequestMapping("/AppTHydraulicOutletSewageController")
public class CenterdataTHydraulicOutletSewageAppController {
    @Resource
    private RemoteOutletSewageService digitalWaterAppService;
    @Resource
    AppCameraService appCameraService;

    /**
     * 查询排污口资源列表
     */
    @GetMapping("/THydraulicOutletSewageInfo/list")
    public AjaxResult list(HydraulicOutletSewageApp centerdataTHydraulicOutletSewage) {
        PageDomain pageDomain = TableSupport.buildPageRequest();
        Integer pageNum = pageDomain.getPageNum();
        Integer pageSize = pageDomain.getPageSize();
        String name = centerdataTHydraulicOutletSewage.getName();
        Long sewageAttr = centerdataTHydraulicOutletSewage.getSewageAttr();
        return AjaxResult.success(digitalWaterAppService.selectCenterdataTHydraulicOutletSewageList(pageNum, pageSize, name, sewageAttr).getRows());
    }

    /**
     * 获取排污口资源详细信息
     */
    @GetMapping("/THydraulicOutletSewageInfo/edit")
    public AjaxResult getInfo(String id) {
        AjaxResult ajaxResult = digitalWaterAppService.selectCenterdataTHydraulicOutletSewageById(id);
        if("200".equals(ajaxResult.get("code").toString())){
            Map<String, Object> info = (Map<String, Object>) ajaxResult.get("data");
            PictureReplaceAll.StringToList(info);
            return appCameraService.selectCameraByIds(info);
        }else{
            return ajaxResult;
        }
    }

    /**
     * 新增排污口资源
     */
    @PostMapping( "/THydraulicOutletSewageInfo")
    public AjaxResult add(@RequestBody String json) {
        return digitalWaterAppService.insertCenterdataTHydraulicOutletSewage(json);
    }

    /**
     * 修改排污口资源
     */
    @PostMapping( "/THydraulicOutletSewageInfo/put")
    public AjaxResult edit(@RequestBody String json) {
        return digitalWaterAppService.updateCenterdataTHydraulicOutletSewage(json);
    }

    /**
     * 删除排污口资源
     */
    @GetMapping("/THydraulicOutletSewageInfo/del")
    public AjaxResult remove(@RequestParam("id") List<String> id) {
        return digitalWaterAppService.deleteCenterdataTHydraulicOutletSewageByIds(id.toArray(new String[0]));
    }

}
