package com.sooka.sponest.mobile.data.digitalwatercontroller;



import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.common.core.web.page.PageDomain;
import com.ruoyi.common.core.web.page.TableSupport;
import com.sooka.sponest.data.api.digitalwater.domain.HydraulicReachApp;
import com.sooka.sponest.data.api.digitalwater.service.RemoteReachService;
import com.sooka.sponest.mobile.system.camera.service.AppCameraService;
import com.sooka.sponest.mobile.utils.PictureReplaceAll;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.List;
import java.util.Map;

/**
 * @author zhaozhan
 * @date 2023/6/5
 */
@RestController
@RequestMapping("/AppTHydraulicReachController")
public class CenterdataTHydraulicReachAppController {
    @Resource
    private RemoteReachService digitalWaterAppService;
    @Resource
    AppCameraService appCameraService;

    /**
     * 查询河段资源列表
     */
    @GetMapping("/THydraulicReachInfo/list")
    public AjaxResult list(HydraulicReachApp centerdataTHydraulicReach) {
        PageDomain pageDomain = TableSupport.buildPageRequest();
        Integer pageNum = pageDomain.getPageNum();
        Integer pageSize = pageDomain.getPageSize();
        String name = centerdataTHydraulicReach.getName();
        String code = centerdataTHydraulicReach.getCode();
        String riverLeader = centerdataTHydraulicReach.getRiverLeader();
        return AjaxResult.success(digitalWaterAppService.selectCenterdataTHydraulicReachList(pageNum, pageSize, name, code, riverLeader).getRows());
    }
    /**
     * 查询河段资源列表无分页
     */
    @GetMapping("/THydraulicReachInfo/listAll")
    public AjaxResult listAll(HydraulicReachApp centerdataTHydraulicReach) {
        HydraulicReachApp hydraulicReachApp = new HydraulicReachApp();
        return digitalWaterAppService.selectCenterdataTHydraulicReachListAll(hydraulicReachApp);
    }
    /**
     * 获取河段资源详细信息
     */
    @GetMapping("/THydraulicReachInfo/edit")
    public AjaxResult getInfo(String id) {
        AjaxResult ajaxResult = digitalWaterAppService.reachGetInfo(id);
        if("200".equals(ajaxResult.get("code").toString())){
            Map<String, Object> info = (Map<String, Object>) ajaxResult.get("data");
            PictureReplaceAll.StringToList(info);
            return appCameraService.selectCameraByIds(info);
        }else{
            return ajaxResult;
        }
    }

    /**
     * 新增河段资源
     */
    @PostMapping( "/THydraulicReachInfo")
    public AjaxResult add(@RequestBody String json) {
        return digitalWaterAppService.insertCenterdataTHydraulicReach(json);
    }

    /**
     * 修改河段资源
     */
    @PostMapping( "/THydraulicReachInfo/put")
    public AjaxResult edit(@RequestBody String json) {
        return digitalWaterAppService.updateCenterdataTHydraulicReach(json);
    }

    /**
     * 删除河段资源
     */
    @GetMapping("/THydraulicReachInfo/del")
    public AjaxResult remove(@RequestParam("id") List<String> id) {
       return digitalWaterAppService.deleteCenterdataTHydraulicReachByIds(id.toArray(new String[0]));
    }
}
