package com.sooka.sponest.mobile.data.digitalwatercontroller;



import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.common.core.web.page.PageDomain;
import com.ruoyi.common.core.web.page.TableSupport;
import com.sooka.sponest.data.api.digitalwater.domain.HydraulicReservoirApp;
import com.sooka.sponest.data.api.digitalwater.service.RemoteReservoirService;
import com.sooka.sponest.mobile.system.camera.service.AppCameraService;
import com.sooka.sponest.mobile.utils.PictureReplaceAll;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.List;
import java.util.Map;

/**
 * @author zhaozhan
 * @date 2023/6/5
 */

@RestController
@RequestMapping("/AppTHydraulicReservoirController")
public class CenterdataTHydraulicReservoirAppController {
    @Resource
    private RemoteReservoirService digitalWaterAppService;
    @Resource
    AppCameraService appCameraService;

    /**
     * 查询水库资源列表
     */
    @GetMapping("/THydraulicReservoirInfo/list")
    public AjaxResult list(HydraulicReservoirApp centerdataTHydraulicReservoir) {
        PageDomain pageDomain = TableSupport.buildPageRequest();
        Integer pageNum = pageDomain.getPageNum();
        Integer pageSize = pageDomain.getPageSize();
        String name = centerdataTHydraulicReservoir.getName();
        String scale = centerdataTHydraulicReservoir.getScale();
        String principal = centerdataTHydraulicReservoir.getPrincipal();
        return AjaxResult.success(digitalWaterAppService.selectCenterdataTHydraulicReservoirList(pageNum, pageSize, name, scale, principal).getRows());
    }

    /**
     * 获取水库资源详细信息
     */
    @GetMapping("/THydraulicReservoirInfo/edit")
    public AjaxResult getInfo(String id) {
        AjaxResult ajaxResult = digitalWaterAppService.reservoirGetInfo(id);
        if("200".equals(ajaxResult.get("code").toString())){
            Map<String, Object> info = (Map<String, Object>) ajaxResult.get("data");
            PictureReplaceAll.StringToList(info);
            return appCameraService.selectCameraByIds(info);
        }else{
            return ajaxResult;
        }
    }

    /**
     * 新增水库资源
     */
    @PostMapping("/THydraulicReservoirInfo")
    public AjaxResult add(@RequestBody String json) {
        return digitalWaterAppService.insertCenterdataTHydraulicReservoir(json);
    }

    /**
     * 修改水库资源
     */
    @PostMapping( "/THydraulicReservoirInfo/put")
    public AjaxResult edit(@RequestBody String json) {
        return digitalWaterAppService.updateCenterdataTHydraulicReservoir(json);
    }

    /**
     * 删除水库资源
     */
    @GetMapping("/THydraulicReservoirInfo/del")
    public AjaxResult remove(@RequestParam("id") List<String> id) {
       return digitalWaterAppService.deleteCenterdataTHydraulicReservoirByIds(id.toArray(new String[0]));
    }
}
