package com.sooka.sponest.mobile.data.digitalwatercontroller;


import com.alibaba.fastjson.JSONObject;
import com.ruoyi.common.core.constant.HttpStatus;
import com.ruoyi.common.core.domain.R;
import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.common.core.web.page.PageDomain;
import com.ruoyi.common.core.web.page.TableSupport;
import com.sooka.sponest.data.api.digitalwater.domain.HydraulicRiverApp;
import com.sooka.sponest.data.api.digitalwater.service.RemoteRiverService;
import com.sooka.sponest.mobile.system.camera.service.AppCameraService;
import com.sooka.sponest.mobile.utils.PictureReplaceAll;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.List;
import java.util.Map;

/**
 * @author zhaozhan
 * @date 2023/6/5
 */
@RestController
@RequestMapping("/AppTHydraulicRiverController")
public class CenterdataTHydraulicRiverAppController {
    @Resource
    private RemoteRiverService digitalWaterAppService;
    @Resource
    AppCameraService appCameraService;

    /**
     * 查询河流资源列表
     */
    @GetMapping("/THydraulicRiverInfo/list")
    public AjaxResult list(HydraulicRiverApp centerdataTHydraulicRiver) {
        PageDomain pageDomain = TableSupport.buildPageRequest();
        Integer pageNum = pageDomain.getPageNum();
        Integer pageSize = pageDomain.getPageSize();
        String name = centerdataTHydraulicRiver.getName();
        String riverSource = centerdataTHydraulicRiver.getRiverSource();
        String estuary = centerdataTHydraulicRiver.getEstuary();
        return AjaxResult.success(digitalWaterAppService.selectCenterdataTHydraulicRiverList(pageNum, pageSize, name, riverSource, estuary).getRows());
    }

    /**
     * 查询河流资源列表无分页
     */
    @GetMapping("/THydraulicRiverInfo/listAll")
    public AjaxResult listAll() {
        HydraulicRiverApp hydraulicRiverApp = new HydraulicRiverApp();
        JSONObject json = (JSONObject) JSONObject.toJSON(hydraulicRiverApp);
        R result = digitalWaterAppService.selectCenterdataTHydraulicRiverListAll(json.toJSONString());
        if (HttpStatus.SUCCESS == result.getCode()) {
            return AjaxResult.success(result.getData());
        } else {

            return AjaxResult.error(result.getCode(), result.getMsg());
        }
    }

    /**
     * 获取河流资源详细信息
     */
    @GetMapping("/THydraulicRiverInfo/edit")
    public AjaxResult getInfo(String id) {
        AjaxResult ajaxResult = digitalWaterAppService.selectCenterdataTHydraulicRiverById(id);
        if ("200".equals(ajaxResult.get("code").toString())) {
            Map<String, Object> info = (Map<String, Object>) ajaxResult.get("data");
            PictureReplaceAll.StringToList(info);
            return appCameraService.selectCameraByIds(info);
        } else {
            return ajaxResult;
        }
    }

    /**
     * 新增河流资源
     */
    @PostMapping("/THydraulicRiverInfo")
    public AjaxResult add(@RequestBody String json) {
        return digitalWaterAppService.insertCenterdataTHydraulicRiver(json);
    }

    /**
     * 修改河流资源
     */
    @PostMapping("/THydraulicRiverInfo/put")
    public AjaxResult edit(@RequestBody String json) {
        return digitalWaterAppService.updateCenterdataTHydraulicRiver(json);
    }

    /**
     * 删除河流资源
     */
    @GetMapping("/THydraulicRiverInfo/del")
    public AjaxResult remove(@RequestParam("id") List<String> id) {
        return digitalWaterAppService.deleteCenterdataTHydraulicRiverByIds(id.toArray(new String[0]));
    }

}
