package com.sooka.sponest.mobile.data.digitalwatercontroller;

import com.ruoyi.common.core.web.controller.BaseController;
import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.common.core.web.page.PageDomain;
import com.ruoyi.common.core.web.page.TableSupport;
import com.sooka.sponest.data.api.digitalwater.domain.HydraulicRiverHechangApp;
import com.sooka.sponest.data.api.digitalwater.service.RemoteRiverHechangService;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.List;

/**
 * 河长牌Controller
 *
 * @author ruoyi
 * @date 2023-03-02
 */
@RestController
@RequestMapping("/AppTHydraulicRiverHechangController")
public class CenterdataTHydraulicRiverHechangAppController extends BaseController {

    @Resource
    private RemoteRiverHechangService digitalWaterAppService;

    /**
     * 查询河长牌列表
     */
    @GetMapping("/THydraulicRiverHechangInfo/list")
    public AjaxResult list(HydraulicRiverHechangApp centerdataTHydraulicRiverHechang) {
        PageDomain pageDomain = TableSupport.buildPageRequest();
        Integer pageNum = pageDomain.getPageNum();
        Integer pageSize = pageDomain.getPageSize();
        String name = centerdataTHydraulicRiverHechang.getName();
        return AjaxResult.success(digitalWaterAppService.selectCenterdataTHydraulicRiverHechangList(pageNum, pageSize, name).getRows());
    }


    /**
     * 获取河长牌详细信息
     */
    @GetMapping("/THydraulicRiverHechangInfo/edit")
    public AjaxResult getInfo(String id) {
        return digitalWaterAppService.selectCenterdataTHydraulicRiverHechangById(id);
    }
    /**
     * 查询所属河长名录
     */
    @GetMapping("/THydraulicRiverHechangInfo/hzList")
    public AjaxResult hzList(String type) {
        return digitalWaterAppService.selectCenterdataTHydraulicRiverLengthList(type);
    }
    /**
     * 新增河长牌
     */
    @PostMapping( "/THydraulicRiverHechangInfo")
    public AjaxResult add(@RequestBody String json) {
        return digitalWaterAppService.insertCenterdataTHydraulicRiverHechang(json);
    }

    /**
     * 修改河长牌
     */
    @PostMapping( "/THydraulicRiverHechangInfo/put")
    public AjaxResult edit(@RequestBody String json) {
        return digitalWaterAppService.updateCenterdataTHydraulicRiverHechang(json);
    }

    /**
     * 删除河长牌
     */
    @GetMapping("/THydraulicRiverHechangInfo/del")
    public AjaxResult remove(@RequestParam("id") List<String> id) {
        return digitalWaterAppService.deleteCenterdataTHydraulicRiverHechangByIds(id.toArray(new String[0]));
    }
}
