package com.sooka.sponest.mobile.data.digitalwatercontroller;

import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.common.core.web.page.PageDomain;
import com.ruoyi.common.core.web.page.TableSupport;
import com.sooka.sponest.data.api.digitalwater.domain.HydraulicWadeBridgeCulvertApp;
import com.sooka.sponest.data.api.digitalwater.service.RemoteWadeBridgeCulvertService;
import com.sooka.sponest.mobile.system.camera.service.AppCameraService;
import com.sooka.sponest.mobile.utils.PictureReplaceAll;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.List;
import java.util.Map;

/**
 * @author zhaozhan
 * @date 2023/6/5
 */
@RestController
@RequestMapping("/AppTHydraulicWadeBridgeCulvertController")
public class CenterdataTHydraulicWadeBridgeCulvertAppController {
    @Resource
    private RemoteWadeBridgeCulvertService digitalWaterAppService;
    @Resource
    AppCameraService appCameraService;

    /**
     * 查询涉水桥涵资源列表
     */
    @GetMapping("/THydraulicWadeBridgeCulvertInfo/list")
    public AjaxResult list(HydraulicWadeBridgeCulvertApp centerdataTHydraulicWadeBridgeCulvert) {
        PageDomain pageDomain = TableSupport.buildPageRequest();
        Integer pageNum = pageDomain.getPageNum();
        Integer pageSize = pageDomain.getPageSize();
        String name = centerdataTHydraulicWadeBridgeCulvert.getName();
        String texture = centerdataTHydraulicWadeBridgeCulvert.getTexture();
        return AjaxResult.success(digitalWaterAppService.selectCenterdataTHydraulicWadeBridgeCulvertList(pageNum, pageSize, name, texture).getRows());
    }

    /**
     * 获取涉水桥涵资源详细信息
     */
    @GetMapping("/THydraulicWadeBridgeCulvertInfo/edit")
    public AjaxResult getInfo(String id) {
        AjaxResult ajaxResult = digitalWaterAppService.selectCenterdataTHydraulicWadeBridgeCulvertById(id);
        if("200".equals(ajaxResult.get("code").toString())){
            Map<String, Object> info = (Map<String, Object>) ajaxResult.get("data");
            PictureReplaceAll.StringToList(info);
            return appCameraService.selectCameraByIds(info);
        }else{
            return ajaxResult;
        }
    }

    /**
     * 新增涉水桥涵资源
     */
    @PostMapping("/THydraulicWadeBridgeCulvertInfo")
    public AjaxResult add(@RequestBody String json) {
        return digitalWaterAppService.insertCenterdataTHydraulicWadeBridgeCulvert(json);
    }

    /**
     * 修改涉水桥涵资源
     */
    @PostMapping( "/THydraulicWadeBridgeCulvertInfo/put")
    public AjaxResult edit(@RequestBody String json) {
        return digitalWaterAppService.updateCenterdataTHydraulicWadeBridgeCulvert(json);
    }

    /**
     * 删除涉水桥涵资源
     */
    @GetMapping("/THydraulicWadeBridgeCulvertInfo/del")
    public AjaxResult remove(@RequestParam("id") List<String> id) {
        return digitalWaterAppService.deleteCenterdataTHydraulicWadeBridgeCulvertByIds(id.toArray(new String[0]));
    }
}
