package com.sooka.sponest.mobile.data.digitalwatercontroller;


import com.ruoyi.common.core.web.controller.BaseController;
import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.common.core.web.page.PageDomain;
import com.ruoyi.common.core.web.page.TableSupport;
import com.sooka.sponest.data.api.digitalwater.domain.HydraulicWaterGateApp;
import com.sooka.sponest.data.api.digitalwater.service.RemoteWaterGateService;
import com.sooka.sponest.mobile.system.camera.service.AppCameraService;
import com.sooka.sponest.mobile.utils.PictureReplaceAll;
import org.springframework.web.bind.annotation.*;
import javax.annotation.Resource;
import java.util.List;
import java.util.Map;

@RestController
@RequestMapping("/AppTHydraulicWaterGateController")
public class CenterdataTHydraulicWaterGateAppController extends BaseController {

    @Resource
    private RemoteWaterGateService digitalWaterAppService;
    @Resource
    AppCameraService appCameraService;

    /**
     * 查询闸口资源列表
     */
    @GetMapping("/THydraulicWaterGateInfo/list")
    public AjaxResult list(HydraulicWaterGateApp centerdataTHydraulicWaterGate) {
        PageDomain pageDomain = TableSupport.buildPageRequest();
        Integer pageNum = pageDomain.getPageNum();
        Integer pageSize = pageDomain.getPageSize();
        String name = centerdataTHydraulicWaterGate.getName();
        return AjaxResult.success( digitalWaterAppService.selectCenterdataTHydraulicWaterGateList(pageNum,pageSize,name).getRows());
    }


    /**
     * 获取闸口资源详细信息
     */
    @GetMapping("/THydraulicWaterGateInfo/edit")
    public AjaxResult getInfo(String id) {
        AjaxResult ajaxResult = digitalWaterAppService.selectCenterdataTHydraulicWaterGateById(id);
        if("200".equals(ajaxResult.get("code").toString())){
            Map<String, Object> info = (Map<String, Object>) ajaxResult.get("data");
            PictureReplaceAll.StringToList(info);
            return appCameraService.selectCameraByIds(info);
        }else{
            return ajaxResult;
        }
    }

    /**
     * 新增闸口资源
     */
    @PostMapping( "/THydraulicWaterGateInfo")
    public AjaxResult add(@RequestBody String json) {
        return digitalWaterAppService.insertCenterdataTHydraulicWaterGate(json);
    }

    /**
     * 修改闸口资源
     */
    @PostMapping("/THydraulicWaterGateInfo/put")
    public AjaxResult edit(@RequestBody String json) {
        return digitalWaterAppService.updateCenterdataTHydraulicWaterGate(json);
    }

    /**
     * 删除闸口资源
     */
    @GetMapping("/THydraulicWaterGateInfo/del")
    public AjaxResult remove(@RequestParam("id") List<String> id) {
        return digitalWaterAppService.deleteCenterdataTHydraulicWaterGateByIds(id.toArray(new String[0]));
    }

}
