package com.sooka.sponest.mobile.data.digitalwatercontroller;

import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.common.core.web.page.PageDomain;
import com.ruoyi.common.core.web.page.TableSupport;
import com.sooka.sponest.data.api.digitalwater.domain.HydraulicWaterProject;
import com.sooka.sponest.data.api.digitalwater.service.RemoteWaterProjectService;
import com.sooka.sponest.mobile.system.camera.service.AppCameraService;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.List;
import java.util.Map;

/**
 * @Author LG
 * @Date 2023/9/7 - 10:12
 */
@RestController
@RequestMapping("/AppWaterProjectController")
public class WaterProjectController {
    @Resource
    private RemoteWaterProjectService waterProjectService;

    /**
     * 查询水利工程资源列表
     */
    @GetMapping("/waterproject/list")
    public AjaxResult list(HydraulicWaterProject waterProject) {
        PageDomain pageDomain = TableSupport.buildPageRequest();
        Integer pageNum = pageDomain.getPageNum();
        Integer pageSize = pageDomain.getPageSize();
        return AjaxResult.success( waterProjectService.list(pageNum,pageSize).getRows());
    }


    /**
     * 获取水利工程资源详细信息
     */
    @GetMapping("/waterproject/edit")
    public AjaxResult edit(String id) {
        return waterProjectService.edit(id);
    }

    /**
     * 新增水利工程资源
     */
    @PostMapping( "/waterproject")
    public AjaxResult add(@RequestBody String json) {
        return waterProjectService.add(json);
    }

    /**
     * 修改水利工程资源
     */
    @PostMapping("/waterproject/put")
    public AjaxResult put(@RequestBody String json) {
        return waterProjectService.put(json);
    }

    /**
     * 删除水利工程资源
     */
    @GetMapping("/waterproject/del")
    public AjaxResult del(@RequestParam("id") List<String> id) {
        return waterProjectService.del(id.toArray(new String[0]));
    }

}
