package com.sooka.sponest.mobile.data.emergency.controller;

import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.common.core.web.page.PageDomain;
import com.ruoyi.common.core.web.page.TableSupport;
import com.sooka.sponest.mobile.data.emergency.domain.AppEnterpriseVO;
import com.sooka.sponest.mobile.data.emergency.feign.service.RemoteEnterpriseService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

@RestController
@RequestMapping("/AppEnterpriseController")
public class AppEnterpriseController {


    @Autowired
    private RemoteEnterpriseService enterpriseService;

    /**
     * 获取企业列表
     *
     * @param vo
     * @return
     */
    @GetMapping("/getInitEnterpriseList")
    public AjaxResult getInitEnterpriseList(AppEnterpriseVO vo) {
        PageDomain pageDomain = TableSupport.buildPageRequest();
        Integer pageNum = pageDomain.getPageNum();
        Integer pageSize = pageDomain.getPageSize();
        String searchValue = vo.getSearchValue();
        return AjaxResult.success(enterpriseService.getEnterpriseList(pageNum, pageSize, searchValue).getRows());
    }

    @RequestMapping("/getEnterpriseDetails")
    public AjaxResult getEnterpriseDetails(@RequestBody AppEnterpriseVO vo) {
        return enterpriseService.getEnterpriseDetails(vo.getBusEnterpriseId());
    }

    @PostMapping("/addEnterprise")
    public AjaxResult addEnterprise(@RequestBody AppEnterpriseVO vo) {
        return enterpriseService.addEnterprise(vo);
    }
}
