package com.sooka.sponest.mobile.data.emergency.controller;

import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.common.core.web.page.PageDomain;
import com.ruoyi.common.core.web.page.TableSupport;
import com.sooka.sponest.mobile.data.emergency.domain.AppPatrolstationVO;
import com.sooka.sponest.mobile.data.emergency.feign.service.RemotePatrolstationService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

@RestController
@RequestMapping("/AppPatrolstationController")
public class AppPatrolstationController {

    @Autowired
    private RemotePatrolstationService patrolstationService;


    @PostMapping("/addPatrolstation")
    public AjaxResult addPatrolstation(@RequestBody AppPatrolstationVO vo){
        return patrolstationService.addPatrolstation(vo);
    }

    @GetMapping("/getPatrolstationList")
    public AjaxResult getPatrolstationList(AppPatrolstationVO vo){
        PageDomain pageDomain = TableSupport.buildPageRequest();
        Integer pageNum = pageDomain.getPageNum();
        Integer pageSize = pageDomain.getPageSize();
        String busEnterpriseId = vo.getBusEnterpriseId();
        String searchValue = vo.getSearchValue();
        return patrolstationService.getPatrolstationList(pageNum,pageSize,busEnterpriseId,searchValue);
    }

    @PostMapping("/edittPatrolstationList")
    public AjaxResult edittPatrolstationList(@RequestBody AppPatrolstationVO vo){
        return patrolstationService.edittPatrolstationList(vo);
    }

    @RequestMapping("/deletePatrolstationList")
    public AjaxResult deletePatrolstationList(@RequestBody AppPatrolstationVO vo){
        return patrolstationService.deletePatrolstationList(vo);
    }
}
