package com.sooka.sponest.mobile.data.emergency.feign.service;

import com.ruoyi.common.core.constant.ServiceNameConstants;
import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.common.core.web.page.TableDataInfo;
import com.sooka.sponest.mobile.data.emergency.domain.AppEnterpriseVO;
import com.sooka.sponest.mobile.data.emergency.feign.factory.RemoteEnterpriseServiceFallbackFactory;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.*;

/**
 * @Author LG
 * @Date 2023/9/6 - 15:39
 */
@FeignClient(
        contextId = "AppRemoteEnterpriseService",
        value = ServiceNameConstants.DATA_SERVICE,
        fallbackFactory = RemoteEnterpriseServiceFallbackFactory.class
        , url = "${sooka.service.data}"
)
public interface RemoteEnterpriseService {
    @RequestMapping("/AppEnterpriseController/getInitEnterpriseList")
    TableDataInfo getEnterpriseList(@RequestParam(value = "pageNum")Integer pageNum, @RequestParam(value = "pageSize")Integer pageSize, @RequestParam(value = "searchValue")String searchValue);

    @GetMapping("/AppEnterpriseController/getEnterpriseDetails")
    AjaxResult getEnterpriseDetails(@RequestParam("busEnterpriseId") String busEnterpriseId);

    @PostMapping("/AppEnterpriseController/addEnterprise")
    AjaxResult addEnterprise(@RequestBody AppEnterpriseVO vo);
}
