package com.sooka.sponest.mobile.data.emergency.feign.service;

import com.ruoyi.common.core.constant.ServiceNameConstants;
import com.ruoyi.common.core.web.domain.AjaxResult;
import com.sooka.sponest.mobile.data.emergency.domain.AppIndexVO;
import com.sooka.sponest.mobile.data.emergency.feign.factory.RemoteIndexServiceFallbackFactory;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

@FeignClient(
        contextId = "AppRemoteIndexService",
        value = ServiceNameConstants.DATA_SERVICE,
        fallbackFactory = RemoteIndexServiceFallbackFactory.class
        , url = "${sooka.service.data}"
)
public interface RemoteIndexService {
    @PostMapping("/AppIndexController/getIndexPageData")
    AjaxResult getIndexPageData(@RequestBody AppIndexVO vo);

    @GetMapping("/AppIndexController/getLateInspectionList")
    AjaxResult getLateInspectionList();
}
