package com.sooka.sponest.mobile.data.emergency.feign.service;

import com.ruoyi.common.core.constant.ServiceNameConstants;
import com.ruoyi.common.core.web.domain.AjaxResult;
import com.sooka.sponest.mobile.data.emergency.domain.AppPatrolstationVO;
import com.sooka.sponest.mobile.data.emergency.feign.factory.RemotePatrolstationServiceFallbackFactory;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;

@FeignClient(
        contextId = "AppRemotePatrolstationService",
        value = ServiceNameConstants.DATA_SERVICE,
        fallbackFactory = RemotePatrolstationServiceFallbackFactory.class
        , url = "${sooka.service.data}"
)
public interface RemotePatrolstationService {

    @PostMapping("/AppPatrolstationController/addPatrolstation")
    AjaxResult addPatrolstation(@RequestBody AppPatrolstationVO vo);

    @GetMapping("/AppPatrolstationController/getPatrolstationList")
    AjaxResult getPatrolstationList(@RequestParam("pageNum") Integer pageNum, @RequestParam("pageSize") Integer pageSize, @RequestParam("busEnterpriseId") String busEnterpriseId, @RequestParam("searchValue")String searchValue);

    @PostMapping("/AppPatrolstationController/edittPatrolstationList")
    AjaxResult edittPatrolstationList(@RequestBody AppPatrolstationVO vo);

    @PostMapping("/AppPatrolstationController/deletePatrolstationList")
    AjaxResult deletePatrolstationList(@RequestBody AppPatrolstationVO vo);
}
