package com.sooka.sponest.mobile.data.emergency.feign.service;

import com.ruoyi.common.core.constant.ServiceNameConstants;
import com.ruoyi.common.core.web.domain.AjaxResult;
import com.sooka.sponest.mobile.data.emergency.feign.factory.RemoteIndexServiceFallbackFactory;
import com.sooka.sponest.mobile.data.emergency.feign.factory.RemoteWarehouseServiceFallbackFactory;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;

@FeignClient(
        contextId = "AppRemoteWarehouseService",
        value = ServiceNameConstants.DATA_SERVICE,
        fallbackFactory = RemoteWarehouseServiceFallbackFactory.class
        , url = "${sooka.service.data}"
)
public interface RemoteWarehouseService {
    @GetMapping("/AppWarehouseController/getWarehouseList")
    AjaxResult getWarehouseList(@RequestParam("pageNum") Integer pageNum, @RequestParam("pageSize") Integer pageSize, @RequestParam("longitude") String longitude, @RequestParam("latitude") String latitude);
}
