package com.sooka.sponest.mobile.data.emergency.feign.service;

import com.ruoyi.common.core.constant.ServiceNameConstants;
import com.ruoyi.common.core.web.domain.AjaxResult;
import com.sooka.sponest.mobile.data.emergency.domain.AppXungengVO;
import com.sooka.sponest.mobile.data.emergency.feign.factory.RemoteXungengServiceFallbackFactory;
import com.sooka.sponest.mobile.emergency.domain.CentereventTEmergencyPatrolrecord;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;

@FeignClient(
        contextId = "RemoteRemoteXungengService",
        value = ServiceNameConstants.DATA_SERVICE,
        fallbackFactory = RemoteXungengServiceFallbackFactory.class
        , url = "${sooka.service.data}"
)
public interface RemoteXungengService {
    @GetMapping("/AppXungengController/getXungengInfo")
    AjaxResult getXungengInfo(@RequestParam("pageNum") Integer pageNum, @RequestParam("pageSize") Integer pageSize,  @RequestParam("busPatrolstationId")String busPatrolstationId);


    @PostMapping("/AppXungengController/doXungeng")
    AjaxResult doXungeng(@RequestBody AppXungengVO vo);

    @PostMapping("/patrolrecord")
    AjaxResult addXungengPoint(@RequestBody CentereventTEmergencyPatrolrecord vo);
}
