package com.sooka.sponest.mobile.data.emergency.feign.service;

import com.ruoyi.common.core.constant.ServiceNameConstants;
import com.ruoyi.common.core.domain.R;
import com.ruoyi.common.core.web.domain.AjaxResult;
import com.sooka.sponest.mobile.data.emergency.domain.AppXunjianInspectionVO;
import com.sooka.sponest.mobile.data.emergency.domain.AppXunjianVO;
import com.sooka.sponest.mobile.data.emergency.feign.factory.RemoteXunjianServiceFallbackFactory;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;

@FeignClient(
        contextId = "AppRemoteXunjianService",
        value = ServiceNameConstants.DATA_SERVICE,
        fallbackFactory = RemoteXunjianServiceFallbackFactory.class
        , url = "${sooka.service.data}"
)
public interface RemoteXunjianService {
    @PostMapping("/AppXunjianController/getXqzggzs2")
    AjaxResult getXqzggzs2(@RequestBody AppXunjianVO vo);

    @PostMapping("/AppXunjianController/getXunjianczData")
    AjaxResult getXunjianczData(@RequestBody AppXunjianVO vo);

    @PostMapping("/AppXunjianController/getItemsLast")
    AjaxResult getItemsLast(@RequestBody AppXunjianVO vo);

    @PostMapping("/AppXunjianController/getXunjianItems")
    AjaxResult getXunjianItems(@RequestBody AppXunjianVO vo);

    @PostMapping("/AppXunjianController/saveXunjianItems")
    AjaxResult saveXunjianItems(@RequestBody AppXunjianVO vo);

    @PostMapping("/AppXunjianController/getBusInspectionIsRiskByEnterpriseCount")
    AjaxResult getBusInspectionIsRiskByEnterpriseCount(@RequestBody AppXunjianVO vo);

    @PostMapping("/AppXunjianController/changeInspection")
    AjaxResult changeInspection(@RequestBody AppXunjianInspectionVO vo);

    @PostMapping("/AppXunjianController/deleteXunjianItem")
    AjaxResult deleteXunjianItem(@RequestBody AppXunjianVO vo);

    @PostMapping("/AppXunjianController/getItems")
    AjaxResult getItems(@RequestBody AppXunjianVO vo);

    @PostMapping("/AppXunjianController/submitXunjian")
    AjaxResult submitXunjian(@RequestBody AppXunjianVO vo);

    @GetMapping("/AppXunjianController/saveZGTZS")
    R<Object> saveZGTZS(@RequestParam("tel") String tel);
}
