package com.sooka.sponest.mobile.data.generalbusiness;

import com.ruoyi.common.core.web.domain.AjaxResult;
import com.sooka.sponest.mobile.data.generalbusiness.domain.AppDailyVO;
import com.sooka.sponest.mobile.data.generalbusiness.service.AppDailyService;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

@RestController
@RequestMapping("AppDailyController")
public class AppDailyController {

    @Resource
    AppDailyService appDailyService;

    /**
     * 手机端添加日报
     *
     * @return com.ruoyi.common.core.web.domain.AjaxResult
     * @author pengyu
     * @date 2023/2/22 9:09
     */
    @ApiOperation(value = "添加日报", notes = "添加日报")
    @PostMapping("addDaily")
    public AjaxResult addDaily(@RequestBody AppDailyVO appDailyVO) {
        return appDailyService.addDaily(appDailyVO);
    }

    /**
     * 手机端查询本人-本月 日报情况
     *
     * @param appDailyVO
     * @return com.ruoyi.common.core.web.domain.AjaxResult
     * @author pengyu
     * @date 2023/2/22 14:11
     */
    @ApiOperation(value = "查询本人-本月  日报情况", notes = "查询本人-本月  日报情况")
    @PostMapping("queryDailyByMonth")
    public AjaxResult queryDailyByMonth(@RequestBody AppDailyVO appDailyVO) {
        return appDailyService.queryDailyByMonth(appDailyVO);
    }

    /**
     * 手机端查询本人-指定日期 日报情况
     *
     * @param appDailyVO
     * @return com.ruoyi.common.core.web.domain.AjaxResult
     * @author pengyu
     * @date 2023/2/22 9:11
     */
    @ApiOperation(value = "查询本人-指定日期 日报情况", notes = "查询本人-指定日期 日报情况")
    @PostMapping("queryDailyByDay")
    public AjaxResult queryDailyByDay(@RequestBody AppDailyVO appDailyVO) {
        return appDailyService.queryDailyByDay(appDailyVO);
    }


}
