package com.sooka.sponest.mobile.data.generalbusiness;

import com.ruoyi.common.core.web.controller.BaseController;
import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.common.core.web.page.PageDomain;
import com.ruoyi.common.core.web.page.TableSupport;
import com.sooka.sponest.data.api.generalbusiness.domain.AppDealtEventVO;
import com.sooka.sponest.data.api.generalbusiness.service.RemoteGeneralbusinessService;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;

@RestController
@RequestMapping("AppDealtEventController")
public class AppDealtEventController extends BaseController {

    @Resource
    RemoteGeneralbusinessService remoteDataBaseService;


    /**
     * 手机端请假列表
     *
     * @author pengyu
     * @date 2023/2/22 9:13
     * @param vo
     * @return com.ruoyi.common.core.web.domain.AjaxResult
     */
    @ApiOperation(value = "请假列表", notes = "请假列表")
    @GetMapping("list")
    public AjaxResult list(AppDealtEventVO vo) {
        PageDomain pageDomain = TableSupport.buildPageRequest();
        Integer pageNum = pageDomain.getPageNum();
        Integer pageSize = pageDomain.getPageSize();
        Long leaveUserId = vo.getUserId();
        return AjaxResult.success(remoteDataBaseService.listApp(leaveUserId,pageNum,pageSize));
    }

    /**
     * 请假详情
     * @Version 1.0
     * @return
     * @author wang_xy
     * @since 2023/2/23 9:21
     */
    @ApiOperation(value = "请假详情", notes = "请假详情")
    @PostMapping("detail")
    public AjaxResult detail(@RequestBody AppDealtEventVO vo){
        String id = vo.getLeaveId();
        return remoteDataBaseService.getInfoApp(id);
    }

}
