package com.sooka.sponest.mobile.data.generalbusiness;

import com.ruoyi.common.core.web.domain.AjaxResult;
import com.sooka.sponest.data.api.generalbusiness.domain.AppDigitalForestWeather;
import com.sooka.sponest.data.api.generalbusiness.service.RemoteGeneralbusinessService;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.text.SimpleDateFormat;
import java.util.Date;

@RequestMapping("AppDigitalForestController")
@RestController
public class AppDigitalForestController {

    @Resource
    RemoteGeneralbusinessService remoteDataBaseService;

    /**
     * 查询天气信息
     *
     * @return com.ruoyi.common.core.web.domain.AjaxResult
     * @author pengyu
     * @date 2023/2/21 15:28
     */
    @ApiOperation(value = "查询天气信息", notes = "查询天气信息")
    @GetMapping("mainPage")
    public AjaxResult mainPage(AppDigitalForestWeather appDigitalForestWeather) {
        appDigitalForestWeather.setWeatherinformationTime(new SimpleDateFormat("yyyy-MM-dd").format(new Date()));
        return remoteDataBaseService.selectWeather(appDigitalForestWeather);
    }

}
