package com.sooka.sponest.mobile.data.generalbusiness;

import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.common.core.web.page.PageDomain;
import com.ruoyi.common.core.web.page.TableDataInfo;
import com.ruoyi.common.core.web.page.TableSupport;
import com.sooka.sponest.data.api.generalbusiness.service.RemoteGeneralbusinessService;
import com.sooka.sponest.mobile.base.controller.AppBaseController;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

@RequestMapping("AppRegulationsController")
@RestController
public class AppRegulationsController extends AppBaseController {


    @Resource
    RemoteGeneralbusinessService remoteDataBaseService;

    /**
     * 手机端政策法规列表
     *
     * @return com.ruoyi.common.core.web.domain.AjaxResult
     * @author pengyu
     * @date 2023/2/22 9:18
     */
    @ApiOperation(value = "手机端政策法规列表", notes = "手机端政策法规列表")
    @GetMapping("list")
    public AjaxResult list() {
        PageDomain pageDomain = TableSupport.buildPageRequest();
        Integer pageNum = pageDomain.getPageNum();
        Integer pageSize = pageDomain.getPageSize();
        AjaxResult ajax = new AjaxResult();
        String state = "centerdata_release_status_yes";
        TableDataInfo select = remoteDataBaseService.select(pageNum, pageSize, state);
        ajax.put("total", select.getTotal());
        ajax.put("list", select.getRows());
        return AjaxResult.success(ajax);
    }
}
