package com.sooka.sponest.mobile.data.generalbusiness;

import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.common.core.web.page.PageDomain;
import com.ruoyi.common.core.web.page.TableDataInfo;
import com.ruoyi.common.core.web.page.TableSupport;
import com.sooka.sponest.data.api.generalbusiness.domain.CenterdataTReserve;
import com.sooka.sponest.data.api.generalbusiness.service.RemoteGeneralbusinessService;
import com.sooka.sponest.mobile.base.controller.AppBaseController;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

@RestController
@RequestMapping("AppReserveController")
public class AppReserveController extends AppBaseController {

    @Resource
    RemoteGeneralbusinessService remoteDataBaseService;

    /**
     * 手机端应急预案列表
     *
     * @param centerdataTReserve
     * @return com.ruoyi.common.core.web.domain.AjaxResult
     * @author pengyu
     * @date 2023/2/22 9:17
     */
    @ApiOperation(value = "应急预案列表", notes = "应急预案列表")
    @GetMapping("list")
    public AjaxResult list(CenterdataTReserve centerdataTReserve) {
        PageDomain pageDomain = TableSupport.buildPageRequest();
        Integer pageNum = pageDomain.getPageNum();
        Integer pageSize = pageDomain.getPageSize();
        AjaxResult ajax = new AjaxResult();
        TableDataInfo tableDataInfo = remoteDataBaseService.yuAnlist(pageNum, pageSize);
        ajax.put("list", tableDataInfo.getRows());
        ajax.put("total", tableDataInfo.getTotal());
        return AjaxResult.success(ajax);
    }

}
