package com.sooka.sponest.mobile.data.generalbusiness.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.datascope.base.domain.BaseBusinessEntity;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

@Data
public class AppDailyBO extends BaseBusinessEntity {


    private static final long serialVersionUID = 1L;

    /** 主键id */
    private String id;

    /** 数据状态(1-可用 2-不可用 ) */
    @Excel(name = "数据状态(1-可用 2-不可用 )")
    private String dataStatus;

    /** 数据所属部门(政或党的id) */
    @Excel(name = "数据所属部门(政或党的id)")
    private Long dataDeptId;

    /** 日报类型(字典) */
    @Excel(name = "日报类型(字典)")
    private String dailyType;

    /** 日报时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "日报时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date dailyTime;

    /** 日报标题 */
    @Excel(name = "日报标题")
    private String dailyTitle;

    /** 日报内容 */
    @Excel(name = "日报内容")
    private String dailyContent;

    /** 部门id */
    @Excel(name = "部门id")
    private Long deptId;

    /** 部门名称 */
    @Excel(name = "部门名称")
    private String deptName;
}
