package com.sooka.sponest.mobile.data.other.controller;


import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.common.core.web.page.PageDomain;
import com.ruoyi.common.core.web.page.TableSupport;
import com.sooka.sponest.data.api.other.domain.CenterdataTFarmBreedResources;
import com.sooka.sponest.data.api.other.service.OtherService;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.List;

@RestController
@RequestMapping("AppBreedResourcesController")
public class BreedResourcesController {
    @Resource
    OtherService otherService;

    /**
     * 获取养殖资源
     * @param centerdataTFarmBreedResources
     * @return
     */
    @GetMapping("/BreedResources/list")
    public AjaxResult breedResourcesList(CenterdataTFarmBreedResources centerdataTFarmBreedResources) {

        PageDomain pageDomain = TableSupport.buildPageRequest();
        Integer pageNum = pageDomain.getPageNum();
        Integer pageSize = pageDomain.getPageSize();
        String name = centerdataTFarmBreedResources.getName();
        return AjaxResult.success(otherService.breedResourcesList(pageNum, pageSize,name).getRows());
    }

    /**
     * 获取养殖资源详情
     * @param
     * @return
     */
    @GetMapping("/BreedResources/edit")
    public AjaxResult breedResourcesEdit(String id) {
        return otherService.breedResourcesEdit(id);
    }

    /**
     * 新增养殖资源
     * @param
     * @return
     */
    @PostMapping(value = "/BreedResources",headers = {"Content-Type=application/json"})
    public AjaxResult breedResources(@RequestBody String json) {
        return otherService.addBreedResources(json);
    }

    /**
     * 修改养殖资源
     * @param
     * @return
     */
    @PostMapping(value = "/BreedResources/put",headers = {"Content-Type=application/json"})
    public AjaxResult putBreedResources(@RequestBody String json) {
        return otherService.putBreedResources(json);
    }
    /**
     * 删除养殖资源
     * @param
     * @return
     */
    @GetMapping("/BreedResources/del")
    public AjaxResult delBreedResources(@RequestParam("id") List<String> id) {
        return otherService.delBreedResources(id.toArray(new String[0]));
    }
}
