package com.sooka.sponest.mobile.data.other.controller;


import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.common.core.web.page.PageDomain;
import com.ruoyi.common.core.web.page.TableSupport;
import com.sooka.sponest.data.api.other.domain.CenterdataTResourcesForest;
import com.sooka.sponest.data.api.other.service.OtherService;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.List;

@RestController
@RequestMapping("AppForestController")
public class ForestController {
    @Resource
    OtherService otherService;

    /**
     * 获取森林资源管理信息
     * @param centerdataTResourcesForest
     * @return
     */
    @GetMapping("/forest/list")
    public AjaxResult forestList(CenterdataTResourcesForest centerdataTResourcesForest) {

        PageDomain pageDomain = TableSupport.buildPageRequest();
        Integer pageNum = pageDomain.getPageNum();
        Integer pageSize = pageDomain.getPageSize();
        String name = centerdataTResourcesForest.getName();
        return AjaxResult.success(otherService.forestList(pageNum, pageSize,name).getRows());
    }

    /**
     * 获取森林资源管理信息详情
     * @param
     * @return
     */
    @GetMapping("/forest/edit")
    public AjaxResult forestEdit(String id) {
        return otherService.forestEdit(id);
    }

    /**
     * 新增森林资源管理信息
     * @param
     * @return
     */
    @PostMapping(value = "/forest",headers = {"Content-Type=application/json"})
    public AjaxResult forest(@RequestBody String json) {
        return otherService.addForest(json);
    }

    /**
     * 修改森林资源管理信息
     * @param
     * @return
     */
    @PostMapping(value = "/forest/put",headers = {"Content-Type=application/json"})
    public AjaxResult putForest(@RequestBody String json) {
        return otherService.putForest(json);
    }
    /**
     * 删除森林资源管理信息
     * @param
     * @return
     */
    @GetMapping("/forest/del")
    public AjaxResult delForest(@RequestParam("id") List<String> id) {
        return otherService.delForest(id.toArray(new String[0]));
    }
}
