package com.sooka.sponest.mobile.data.other.controller;


import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.common.core.web.page.PageDomain;
import com.ruoyi.common.core.web.page.TableSupport;
import com.sooka.sponest.data.api.other.domain.CenterdataTResourcesHydroenergy;
import com.sooka.sponest.data.api.other.service.OtherService;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.List;

@RestController
@RequestMapping("AppHydroenergyController")
public class HydroenergyController {
    @Resource
    OtherService otherService;

    /**
     * 获取水能资源
     * @param centerdataTResourcesHydroenergy
     * @return
     */
    @GetMapping("/hydroenergy/list")
    public AjaxResult hydroenergyList(CenterdataTResourcesHydroenergy centerdataTResourcesHydroenergy) {

        PageDomain pageDomain = TableSupport.buildPageRequest();
        Integer pageNum = pageDomain.getPageNum();
        Integer pageSize = pageDomain.getPageSize();
        String name = centerdataTResourcesHydroenergy.getName();
        return AjaxResult.success(otherService.hydroenergyList(pageNum, pageSize,name).getRows());
    }

    /**
     * 获取水能资源详情
     * @param
     * @return
     */
    @GetMapping("/hydroenergy/edit")
    public AjaxResult hydroenergyEdit(String id) {
        return otherService.hydroenergyEdit(id);
    }

    /**
     * 新增水能资源
     * @param
     * @return
     */
    @PostMapping(value = "/hydroenergy",headers = {"Content-Type=application/json"})
    public AjaxResult hydroenergy(@RequestBody String json) {
        return otherService.addHydroenergy(json);
    }

    /**
     * 修改水能资源
     * @param
     * @return
     */
    @PostMapping(value = "/hydroenergy/put",headers = {"Content-Type=application/json"})
    public AjaxResult putHydroenergy(@RequestBody String json) {
        return otherService.putHydroenergy(json);
    }
    /**
     * 删除水能资源
     * @param
     * @return
     */
    @GetMapping("/hydroenergy/del")
    public AjaxResult delHydroenergy(@RequestParam("id") List<String> id) {
        return otherService.delHydroenergy(id.toArray(new String[0]));
    }
}
