package com.sooka.sponest.mobile.data.other.controller;


import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.common.core.web.page.PageDomain;
import com.ruoyi.common.core.web.page.TableSupport;
import com.sooka.sponest.data.api.other.domain.CenterdataTResourcesLand;
import com.sooka.sponest.data.api.other.service.OtherService;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.List;

@RestController
@RequestMapping("AppLandController")
public class LandController {
    @Resource
    OtherService otherService;

    /**
     * 获取土地资源管理信息
     * @param centerdataTResourcesLand
     * @return
     */
    @GetMapping("/land/list")
    public AjaxResult landList(CenterdataTResourcesLand centerdataTResourcesLand) {

        PageDomain pageDomain = TableSupport.buildPageRequest();
        Integer pageNum = pageDomain.getPageNum();
        Integer pageSize = pageDomain.getPageSize();
        String landArea = centerdataTResourcesLand.getLandArea();
        String name = centerdataTResourcesLand.getName();
        return AjaxResult.success(otherService.landList(pageNum, pageSize,name,landArea).getRows());
    }

    /**
     * 获取土地资源管理信息详情
     * @param
     * @return
     */
    @GetMapping("/land/edit")
    public AjaxResult landEdit(String id) {
        return otherService.landEdit(id);
    }

    /**
     * 新增土地资源管理信息
     * @param
     * @return
     */
    @PostMapping(value = "/land",headers = {"Content-Type=application/json"})
    public AjaxResult land(@RequestBody String json) {
        return otherService.addLand(json);
    }

    /**
     * 修改土地资源管理信息
     * @param
     * @return
     */
    @PostMapping(value = "/land/put",headers = {"Content-Type=application/json"})
    public AjaxResult putLand(@RequestBody String json) {
        return otherService.putLand(json);
    }
    /**
     * 删除土地资源管理信息
     * @param
     * @return
     */
    @GetMapping("/land/del")
    public AjaxResult delLand(@RequestParam("id") List<String> id) {
        return otherService.delLand(id.toArray(new String[0]));
    }
}
