package com.sooka.sponest.mobile.data.other.controller;


import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.common.core.web.page.PageDomain;
import com.ruoyi.common.core.web.page.TableSupport;
import com.sooka.sponest.mobile.data.other.domain.CenterdataTFarmLandInfo;
import com.sooka.sponest.data.api.other.service.OtherService;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.List;

@RestController
@RequestMapping("AppLandInfoController")
public class LandInfoController {
    @Resource
    OtherService otherService;

    /**
     * 获取耕地信息
     * @param centerdataTFarmLandInfo
     * @return
     */
    @GetMapping("/LandInfo/list")
    public AjaxResult landInfoList(CenterdataTFarmLandInfo centerdataTFarmLandInfo) {

        PageDomain pageDomain = TableSupport.buildPageRequest();
        Integer pageNum = pageDomain.getPageNum();
        Integer pageSize = pageDomain.getPageSize();
        String name = centerdataTFarmLandInfo.getName();
        String city = centerdataTFarmLandInfo.getCity();
        return AjaxResult.success(otherService.landInfoList(pageNum, pageSize,name,city).getRows());
    }

    /**
     * 获取耕地信息详情
     * @param
     * @return
     */
    @GetMapping("/LandInfo/edit")
    public AjaxResult landInfoEdit(String id) {
        return otherService.landInfoEdit(id);
    }

    /**
     * 新增耕地信息
     * @param
     * @return
     */
    @PostMapping(value = "/LandInfo",headers = {"Content-Type=application/json"})
    public AjaxResult landInfo(@RequestBody String json) {
        return otherService.addLandInfo(json);
    }

    /**
     * 修改耕地信息
     * @param
     * @return
     */
    @PostMapping(value = "/LandInfo/put",headers = {"Content-Type=application/json"})
    public AjaxResult putLandInfo(@RequestBody String json) {
        return otherService.putLandInfo(json);
    }
    /**
     * 删除耕地信息
     * @param
     * @return
     */
    @GetMapping("/LandInfo/del")
    public AjaxResult delLandInfo(@RequestParam("id") List<String> id) {
        return otherService.delLandInfo(id.toArray(new String[0]));
    }
}
