package com.sooka.sponest.mobile.data.other.controller;


import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.common.core.web.page.PageDomain;
import com.ruoyi.common.core.web.page.TableSupport;
import com.sooka.sponest.data.api.other.domain.CenterdataTFarmLivestockProtectInfo;
import com.sooka.sponest.data.api.other.service.OtherService;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.List;

@RestController
@RequestMapping("AppLivestockProtectInfoController")
public class LiveStockProtectInfoController {
    @Resource
    OtherService otherService;

    /**
     * 获取畜保站信息
     * @param centerdataTFarmLivestockProtectInfo
     * @return
     */
    @GetMapping("/LivestockProtectInfo/list")
    public AjaxResult livestockProtectInfoList(CenterdataTFarmLivestockProtectInfo centerdataTFarmLivestockProtectInfo) {

        PageDomain pageDomain = TableSupport.buildPageRequest();
        Integer pageNum = pageDomain.getPageNum();
        Integer pageSize = pageDomain.getPageSize();
        String name = centerdataTFarmLivestockProtectInfo.getName();
        String phone = centerdataTFarmLivestockProtectInfo.getPhone();
        return AjaxResult.success(otherService.livestockProtectInfoList(pageNum, pageSize,name,phone).getRows());
    }

    /**
     * 获取畜保站信息详情
     * @param
     * @return
     */
    @GetMapping("/LivestockProtectInfo/edit")
    public AjaxResult livestockProtectInfoEdit(String id) {
        return otherService.livestockProtectInfoEdit(id);
    }

    /**
     * 新增畜保站信息
     * @param
     * @return
     */
    @PostMapping(value = "/LivestockProtectInfo",headers = {"Content-Type=application/json"})
    public AjaxResult livestockProtectInfo(@RequestBody String json) {
        return otherService.addLivestockProtectInfo(json);
    }

    /**
     * 修改畜保站信息
     * @param
     * @return
     */
    @PostMapping(value = "/LivestockProtectInfo/put",headers = {"Content-Type=application/json"})
    public AjaxResult putLivestockProtectInfo(@RequestBody String json) {
        return otherService.putLivestockProtectInfo(json);
    }
    /**
     * 删除畜保站信息
     * @param
     * @return
     */
    @GetMapping("/LivestockProtectInfo/del")
    public AjaxResult delLivestockProtectInfo(@RequestParam("id") List<String> id) {
        return otherService.delLivestockProtectInfo(id.toArray(new String[0]));
    }
}
