package com.sooka.sponest.mobile.data.other.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.datascope.base.domain.BaseBusinessEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 耕地信息对象 centerdata_t_farm_land_info
 *
 * @author ruoyi
 * @date 2022-10-10
 */
@Getter
@Setter
@ApiModel(description = "耕地信息对象")

public class CenterdataTFarmLandInfo extends BaseBusinessEntity
{
    private static final long serialVersionUID = 1L;

    /** 部门组（数据权限） */
    private Long[] deptIds;

    /** $column.columnComment */
    @ApiModelProperty(value = "主键id", required = false)

    private String id;

    /** 地块名称 */
    @ApiModelProperty(value = "地块名称", required = false)

    @Excel(name = "地块名称")
    private String name;

    /** 地块编码 */
    @ApiModelProperty(value = "地块编码", required = false)

    @Excel(name = "地块编码")
    private String code;

    /** 地块属性（字典） */
    @ApiModelProperty(value = "地块属性", required = false)

    @Excel(name = "地块属性", dictType = "farm_field_attribute")
    private String attribute;

    private String attributeLabel;

    /** 城市 */
    @ApiModelProperty(value = "城市", required = false)

    @Excel(name = "城市")
    private String city;

    /** 县区 */
    @ApiModelProperty(value = "县区", required = false)

    @Excel(name = "县区")
    private String district;

    /** 村屯 */
    @ApiModelProperty(value = "村屯", required = false)

    @Excel(name = "村屯")
    private String village;

    /** 面积 */
    @ApiModelProperty(value = "面积(单位㎡)", required = false)

    @Excel(name = "面积(单位㎡)")
    private String area;

    /** 土地年限（公历年） */
    @ApiModelProperty(value = "土地年限", required = false)

    @Excel(name = "土地年限（公历年）")
    private String landCalendarYears;

    /** 土地年限 */

    @ApiModelProperty(value = "土地年限", required = false)

    @Excel(name = "土地年限")
    private String landYears;

    /** 状态 */
//    @Excel(name = "状态", dictType = "sys_normal_disable")
    private String type;

    public String getAttributeLabel() {
        return attributeLabel;
    }

    public void setAttributeLabel(String attributeLabel) {
        this.attributeLabel = attributeLabel;
    }

    public String getTypeLabel() {
        return typeLabel;
    }

    public void setTypeLabel(String typeLabel) {
        this.typeLabel = typeLabel;
    }

    private String typeLabel;

    /** 地图编码 */
    @ApiModelProperty(value = "地图编码", required = false)

    @Excel(name = "地图编码")
    private String supermapCode;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
//    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date createDate;

    /** 修改时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
//    @Excel(name = "修改时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date updateDate;

    /** 备注 */
//    @Excel(name = "备注")
    private String remarks;

    /** 删除标识 */
    private String delFlag;

    /** 部门ID */
//    @Excel(name = "部门ID")
    @ApiModelProperty(value = "部门ID", required = false)

    private String deptId;

    /** 部门名称 */
    @Excel(name = "所属部门")
    @ApiModelProperty(value = "部门名称", required = false)

    private String deptName;

    public void setId(String id)
    {
        this.id = id;
    }

    public String getId()
    {
        return id;
    }
    public void setName(String name)
    {
        this.name = name;
    }

    public String getName()
    {
        return name;
    }
    public void setCode(String code)
    {
        this.code = code;
    }

    public String getCode()
    {
        return code;
    }
    public void setAttribute(String attribute)
    {
        this.attribute = attribute;
    }

    public String getAttribute()
    {
        return attribute;
    }
    public void setCity(String city)
    {
        this.city = city;
    }

    public String getCity()
    {
        return city;
    }
    public void setDistrict(String district)
    {
        this.district = district;
    }

    public String getDistrict()
    {
        return district;
    }
    public void setVillage(String village)
    {
        this.village = village;
    }

    public String getVillage()
    {
        return village;
    }
    public void setArea(String area)
    {
        this.area = area;
    }

    public String getArea()
    {
        return area;
    }
    public void setLandCalendarYears(String landCalendarYears)
    {
        this.landCalendarYears = landCalendarYears;
    }

    public String getLandCalendarYears()
    {
        return landCalendarYears;
    }
    public void setLandYears(String landYears)
    {
        this.landYears = landYears;
    }

    public String getLandYears()
    {
        return landYears;
    }
    public void setType(String type)
    {
        this.type = type;
    }

    public String getType()
    {
        return type;
    }
    public void setSupermapCode(String supermapCode)
    {
        this.supermapCode = supermapCode;
    }

    public String getSupermapCode()
    {
        return supermapCode;
    }
    public void setCreateDate(Date createDate)
    {
        this.createDate = createDate;
    }

    public Date getCreateDate()
    {
        return createDate;
    }
    public void setUpdateDate(Date updateDate)
    {
        this.updateDate = updateDate;
    }

    public Date getUpdateDate()
    {
        return updateDate;
    }
    public void setRemarks(String remarks)
    {
        this.remarks = remarks;
    }

    public String getRemarks()
    {
        return remarks;
    }
    public void setDelFlag(String delFlag)
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag()
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("name", getName())
            .append("code", getCode())
            .append("attribute", getAttribute())
            .append("city", getCity())
            .append("district", getDistrict())
            .append("village", getVillage())
            .append("area", getArea())
            .append("landCalendarYears", getLandCalendarYears())
            .append("landYears", getLandYears())
            .append("type", getType())
            .append("supermapCode", getSupermapCode())
            .append("createBy", getCreateBy())
            .append("createDate", getCreateDate())
            .append("updateBy", getUpdateBy())
            .append("updateDate", getUpdateDate())
            .append("remarks", getRemarks())
            .append("delFlag", getDelFlag())
            .toString();
    }
}
