package com.sooka.sponest.mobile.emergency.controller;

import com.ruoyi.common.core.domain.R;
import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.common.security.utils.SecurityUtils;
import com.sooka.sponest.mobile.event.domain.CenterdataTAttach;
import com.sooka.sponest.mobile.remoteapi.RemoteCenterBaseService;
import com.sooka.sponest.mobile.remoteapi.RemoteDataBaseService;
import com.sooka.sponest.mobile.remoteapi.RemoteSystemBaseService;
import com.sooka.sponest.mobile.remoteapi.domain.CentereventTEmergencyDanger;
import com.sooka.sponest.mobile.remoteapi.domain.CentereventTEmergencyDangerprocess;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * 二道应急手机端接口
 *
 * @author liu_yq
 * @Version 1.0
 * @return
 * @since 2023/3/22 19:47
 */
@RequestMapping("AppDangerController")
@RestController
public class AppDangerController {

    @Autowired
    private RemoteCenterBaseService remoteCenterBaseService;

    @Autowired
    private RemoteSystemBaseService remoteSystemBaseService;

    @Autowired
    private RemoteDataBaseService remoteDataBaseService;

    // 应急-查询安全隐患列表
    @PostMapping("/dangerList")
    public R dangerList(@RequestBody CentereventTEmergencyDanger centereventTEmergencyDanger) {
        return remoteDataBaseService.selectDanger(centereventTEmergencyDanger.getDangerTitle(),centereventTEmergencyDanger.getEnterpriseId(), centereventTEmergencyDanger.getEnterpriseName());
    }

    // 查询全部部门
    @GetMapping("/treeselectAll")
    public R addDanger() {
        return remoteSystemBaseService.treeselectAll();
    }

    // 应急-上报安全隐患
    @PostMapping("/addDanger")
    public R addDanger(@RequestBody CentereventTEmergencyDanger centereventTEmergencyDanger) {
        return remoteDataBaseService.insertDanger(centereventTEmergencyDanger);
    }

    // 应急-隐患信息
    @PostMapping("/queryDangerDetail")
    public AjaxResult queryDangerDetail(@RequestBody CentereventTEmergencyDanger centereventTEmergencyDanger) {
        CentereventTEmergencyDanger cted = remoteDataBaseService.selectDangerById(centereventTEmergencyDanger.getId()).getData();
        List<CenterdataTAttach> list = cted.getAttachs();
        for (CenterdataTAttach cta:list) {
            cta.setAttachPath(cta.getAttachPath().replaceAll("172.18.1.32:8081","218.27.3.115:9301"));
        }
        cted.setAttachs(list);
        return AjaxResult.success(cted);
    }

    // 应急-更改流程
    @PostMapping("/editDanger")
    public R editDanger(@RequestBody CentereventTEmergencyDanger centereventTEmergencyDanger) {
        return remoteDataBaseService.updateDanger(centereventTEmergencyDanger);
    }

    // 应急-反馈列表
    @PostMapping("/queryDangerProcess")
    public R GetDangerProcess(@RequestBody CentereventTEmergencyDangerprocess centereventTEmergencyDangerprocess) {
        return remoteDataBaseService.selectDangerprocess(centereventTEmergencyDangerprocess.getDangerId());
    }

    // 应急-反馈
    @PostMapping("/addDangerprocess")
    public R addDangerprocess(@RequestBody CentereventTEmergencyDangerprocess centereventTEmergencyDangerprocess) {
        centereventTEmergencyDangerprocess.setUserId(SecurityUtils.getUserId());
        centereventTEmergencyDangerprocess.setUserName(SecurityUtils.getLoginUser().getSysUser().getNickName());
        return remoteDataBaseService.insertDangerprocess(centereventTEmergencyDangerprocess);
    }
}
