package com.sooka.sponest.mobile.emergency.controller;

import com.ruoyi.common.core.web.domain.AjaxResult;
import com.sooka.sponest.mobile.emergency.domain.CentereventTEmergencyInspectionrecordBdody;
import com.sooka.sponest.mobile.emergency.domain.CentereventTEmergencyInspectionrecordBody;
import com.sooka.sponest.mobile.emergency.domain.CentereventTEmergencyPatrolrecord;
import com.sooka.sponest.mobile.emergency.service.AppEmergencyService;
import com.sooka.sponest.mobile.emergency.domain.CenterdataTEmergencyEnterindesmap;
import com.sooka.sponest.mobile.remoteapi.domain.CentereventTEmergencyInspectionrecord;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;

/**
 * 二道应急手机端接口
 *
 * @author wang_xy
 * @Version 1.0
 * @return
 * @since 2023/3/22 14:36
 */
@RequestMapping("AppEmergencyController")
@RestController
public class AppEmergencyController {

    @Resource
    AppEmergencyService appEmergencyService;

    /**
     * 数字应急-企业列表
     *
     * @return
     * @Version 1.0
     * @author wang_xy
     * @since 2023/3/22 14:08
     */
    @PostMapping("/appComplayList")
    public AjaxResult appComplayList(@RequestBody CenterdataTEmergencyEnterindesmap centerdataTEmergencyEnterindesmap) {
        Integer pageNum = centerdataTEmergencyEnterindesmap.getPageNum();
        Integer pageSize = centerdataTEmergencyEnterindesmap.getPageSize();
        return AjaxResult.success(appEmergencyService.appComplayList(pageNum, pageSize, centerdataTEmergencyEnterindesmap));
    }

    /**
     * 数字应急-企业详情
     *
     * @return
     * @Version 1.0
     * @author wang_xy
     * @since 2023/3/22 14:08
     */
    @GetMapping("/appComplayById")
    public AjaxResult appComplayById(String id) {
        return appEmergencyService.appComplayById(id);
    }

    /**
     * 应急-巡检详情
     *
     * @return
     * @Version 1.0
     * @author wang_xy
     * @since 2023/3/22 14:08
     */
    @GetMapping("inspectionrecord")
    public AjaxResult getInspectionrecordInfo(String id) {
        return appEmergencyService.getInspectionrecordInfo(id);
    }

    /**
     * 应急-新增巡更记录
     *
     * @return
     * @Version 1.0
     * @author wang_xy
     * @since 2023/3/22 14:08
     */
    @PostMapping("/addPatrolrecord")
    public AjaxResult addPatrolrecord(@RequestBody CentereventTEmergencyPatrolrecord centereventTEmergencyPatrolrecord) {
        return AjaxResult.success(appEmergencyService.addPatrolrecord(centereventTEmergencyPatrolrecord));
    }

    /**
     * 应急-查询巡检记录
     *
     * @return
     * @Version 1.0
     * @author wang_xy
     * @since 2023/3/22 14:08
     */
    @PostMapping("/appSelectRecord")
    public AjaxResult appSelectRecord(@RequestBody CentereventTEmergencyInspectionrecord centereventTEmergencyInspectionrecord) {
        return appEmergencyService.appSelectRecord(centereventTEmergencyInspectionrecord);
    }

    /**
     * 应急-查询巡检模板
     *
     * @return
     * @Version 1.0
     * @author wang_xy
     * @since 2023/3/22 14:08
     */
    @PostMapping("/selectTBasicEnterpriseByentErpriseMessage")
    public AjaxResult selectTBasicEnterpriseByentErpriseMessage(@RequestBody CenterdataTEmergencyEnterindesmap centerdataTEmergencyEnterindesmap) {
        return appEmergencyService.selectTBasicEnterpriseByentErpriseMessage(centerdataTEmergencyEnterindesmap);
    }

    /**
     * 应急-添加巡检记录
     *
     * @return
     * @Version 1.0
     * @author wang_xy
     * @since 2023/3/22 14:08
     */
    @PostMapping("/insertCentereventTEmergencyInspectionrecordMessage")
    public AjaxResult insertCentereventTEmergencyInspectionrecordMessage(@RequestBody CentereventTEmergencyInspectionrecordBody list) {
        return appEmergencyService.insertCentereventTEmergencyInspectionrecordMessage(list);
    }

    @PostMapping("/selectCentereventTEmergencyInspectionrecordMessageList")
    public AjaxResult selectCentereventTEmergencyInspectionrecordMessageList(@RequestBody CentereventTEmergencyInspectionrecordBdody centereventTEmergencyInspectionrecordBdody) {
        return appEmergencyService.selectCentereventTEmergencyInspectionrecordMessageList(centereventTEmergencyInspectionrecordBdody);
    }
}
