package com.sooka.sponest.mobile.event.controller;

import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.common.security.utils.SecurityUtils;
import com.ruoyi.system.api.domain.SysMenuEventType;
import com.ruoyi.system.api.model.LoginUser;
import com.sooka.sponest.mobile.appbigdata.domain.vo.VisuForestCloudMapVO;
import com.sooka.sponest.mobile.remoteapi.RemoteEventBaseService;
import com.sooka.sponest.mobile.remoteapi.RemoteSystemBaseService;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.ArrayList;
import java.util.List;
import java.util.stream.Collectors;

@RestController
@RequestMapping("/AppVillageController")
public class AppVillageController {

    @Resource
    RemoteEventBaseService remoteEventBaseService;

    @Resource
    RemoteSystemBaseService remoteSystemBaseService;

    /**
     * 乡村振兴事件状态
     *
     * @return
     * @Version 1.0
     * @author wang_xy
     * @since 2023/2/23 9:23
     */
    @ApiOperation(value = "乡村振兴事件状态", notes = "乡村振兴事件状态")
    @PostMapping("getEventCountGroupByEventStatus")
    public AjaxResult getEventCountGroupByEventStatus(@RequestBody VisuForestCloudMapVO visuForestCloudMapVO) {

        List<String> list = new ArrayList<>();
        list.add("forest_event_status_2");
        list.add("forest_event_status_5");
        list.add("forest_event_status_6");
        visuForestCloudMapVO.setEventStatus(list);
        List<LoginUser.uservisu> uservisuList = SecurityUtils.getLoginUser().getUservisuList();
        if (uservisuList != null && uservisuList.size() > 0) {
            List<Long> ids = uservisuList.stream().map(LoginUser.uservisu::getMenuId).collect(Collectors.toList());
            List<String> collect = ids.stream().map(String::valueOf).collect(Collectors.toList());
            List<SysMenuEventType> data = remoteSystemBaseService.selectByMenuIds(collect.toArray(new String[collect.size()])).getData();
            if (data != null && data.size() > 0) {
                List<String> stringList = data.stream().map(SysMenuEventType::getEventTypeXl).collect(Collectors.toList());
                visuForestCloudMapVO.setEventTypeId(stringList.toArray(new String[stringList.size()]));
                return AjaxResult.success(remoteEventBaseService.getEventCountGroupByEventStatus(visuForestCloudMapVO).getData());
            }
            return AjaxResult.success();
        }
        return AjaxResult.success();

    }

    /**
     * 乡村振兴事件类型
     *
     * @param visuForestCloudMapVO
     * @return com.ruoyi.common.core.web.domain.AjaxResult
     * @author pengyu
     * @date 2023/2/22 13:18
     **/
    @ApiOperation(value = "乡村振兴事件类型", notes = "乡村振兴事件类型")
    @PostMapping("/getEventCountGroupByEventType")
    public AjaxResult getEventCountGroupByEventType(@RequestBody VisuForestCloudMapVO visuForestCloudMapVO) {
        List<LoginUser.uservisu> uservisuList = SecurityUtils.getLoginUser().getUservisuList();
        if (uservisuList != null && uservisuList.size() > 0) {
            List<Long> ids = uservisuList.stream().map(LoginUser.uservisu::getMenuId).collect(Collectors.toList());
            List<String> collect = ids.stream().map(String::valueOf).collect(Collectors.toList());
            List<SysMenuEventType> data = remoteSystemBaseService.selectByMenuIds(collect.toArray(new String[collect.size()])).getData();
            if (data != null && data.size() > 0) {
                List<String> stringList = data.stream().map(SysMenuEventType::getEventTypeXl).collect(Collectors.toList());
                visuForestCloudMapVO.setEventTypeId(stringList.toArray(new String[stringList.size()]));
                return AjaxResult.success(remoteEventBaseService.getEventCountGroupByEventType(visuForestCloudMapVO).getData());
            }
            return AjaxResult.success();
        }
        return AjaxResult.success();
    }
}
