package com.sooka.sponest.mobile.event.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.core.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import javax.validation.constraints.NotBlank;
import java.util.Date;
import java.util.List;

/**
 * 事件目录对象 centerevent_t_eventcatalogue
 *
 * @author ruoyi
 * @date 2022-08-27
 */
public class AppCentereventTEventcatalogueVO extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    private String id;

    private List<CenterdataTAttach> attach;

    public String getEventTypeXlName() {
        return eventTypeXlName;
    }

    public void setEventTypeXlName(String eventTypeXlName) {
        this.eventTypeXlName = eventTypeXlName;
    }

    public List<CenterdataTAttach> getAttach() {
        return attach;
    }

    public void setAttach(List<CenterdataTAttach> attach) {
        this.attach = attach;
    }

    /**
     * 事件编号
     */
    @Excel(name = "事件编号")
    private String eventCode;
    private String fileName;

    public String getFileName() {
        return fileName;
    }

    public void setFileName(String fileName) {
        this.fileName = fileName;
    }



    /**
     * 事件分类(大类)
     */
    @Excel(name = "事件分类(大类)")
    @NotBlank(message = "事件分类大类不能为空")
    private String eventType;
    /**
     * 事件分类(小类)
     */
    @NotBlank(message = "事件分类小类不能为空")
    private String eventTypeXl;

    public String getEventTypeXl() {
        return eventTypeXl;
    }

    public void setEventTypeXl(String eventTypeXl) {
        this.eventTypeXl = eventTypeXl;
    }

    /**
     * 事件名称
     */
    @Excel(name = "事件名称")
    @NotBlank(message = "事件名称不能为空")
    private String eventName;

    /**
     * 事件描述
     */
    @Excel(name = "事件描述")
    @NotBlank(message = "事件描述不能为空")
    private String eventDescription;

    /**
     * 事件上报来源
     */
    @Excel(name = "事件上报来源")
    private String reportSource;

    /**
     * 经度
     */
    @Excel(name = "经度")
    @NotBlank(message = "经度不能为空")
    private String longitude;

    /**
     * 纬度
     */
    @Excel(name = "纬度")
    @NotBlank(message = "纬度不能为空")
    private String latitude;

    /**
     * 纬度
     */

    public String getFireRadius() {
        return fireRadius;
    }

    public void setFireRadius(String fireRadius) {
        this.fireRadius = fireRadius;
    }

    /**
     * 火灾半径
     */
    private String fireRadius;

    private String eventTypeXlName;

    public String getReserve() {
        return reserve;
    }

    public void setReserve(String reserve) {
        this.reserve = reserve;
    }

    /**
     * 关联预案
     */
    private String reserve;
    /**
     * 上报人名称
     */
    @Excel(name = "上报人名称")
    private String reportor;

    /**
     * 上报时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "上报时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date reportTime;

    /**
     * 是否被催办
     */
    @Excel(name = "是否被催办")
    private String isUrged;

    /**
     * 事件状态key
     */
    @Excel(name = "事件状态key")
    private String eventStatus;

    /**
     * 事件状态value
     */
    @Excel(name = "事件状态value")
    private String eventStatusValue;

    /**
     * 创建人名称
     */
    @Excel(name = "创建人名称")
    private String createName;

    /**
     * 更新人名称
     */
    @Excel(name = "更新人名称")
    private String updateName;
    private String address;

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    /**
     * 数据状态(可用 、不可用 ) 字典
     */
    @Excel(name = "数据状态(可用 、不可用 ) 字典")
    private String dataStatus;

    /**
     * 数据所属部门id
     */
    @Excel(name = "数据所属部门id")
    private Long deptId;

    /**
     * 数据所属部门名称
     */
    @Excel(name = "数据所属部门名称")
    private String deptName;

    private String hgjDeptId;

    public String getHgjDeptId() {
        return hgjDeptId;
    }

    public void setHgjDeptId(String hgjDeptId) {
        this.hgjDeptId = hgjDeptId;
    }

    public String getHgjDeptName() {
        return hgjDeptName;
    }

    public void setHgjDeptName(String hgjDeptName) {
        this.hgjDeptName = hgjDeptName;
    }

    public String[] getEventStaTus() {
        return eventStaTus;
    }

    public void setEventStaTus(String[] eventStaTus) {
        this.eventStaTus = eventStaTus;
    }

    @JsonIgnore
    private String eventStaTus[];
    private String hgjDeptName;
    public void setId(String id) {
        this.id = id;
    }

    public String getId() {
        return id;
    }

    public void setEventCode(String eventCode) {
        this.eventCode = eventCode;
    }

    public String getEventCode() {
        return eventCode;
    }

    public void setEventType(String eventType) {
        this.eventType = eventType;
    }

    public String getEventType() {
        return eventType;
    }

    public void setEventName(String eventName) {
        this.eventName = eventName;
    }

    public String getEventName() {
        return eventName;
    }

    public void setEventDescription(String eventDescription) {
        this.eventDescription = eventDescription;
    }

    public String getEventDescription() {
        return eventDescription;
    }

    public void setReportSource(String reportSource) {
        this.reportSource = reportSource;
    }

    public String getReportSource() {
        return reportSource;
    }

    public void setLongitude(String longitude) {
        this.longitude = longitude;
    }

    public String getLongitude() {
        return longitude;
    }

    public void setLatitude(String latitude) {
        this.latitude = latitude;
    }

    public String getLatitude() {
        return latitude;
    }

    public void setReportor(String reportor) {
        this.reportor = reportor;
    }

    public String getReportor() {
        return reportor;
    }

    public void setReportTime(Date reportTime) {
        this.reportTime = reportTime;
    }

    public Date getReportTime() {
        return reportTime;
    }

    public void setIsUrged(String isUrged) {
        this.isUrged = isUrged;
    }

    public String getIsUrged() {
        return isUrged;
    }

    public void setEventStatus(String eventStatus) {
        this.eventStatus = eventStatus;
    }

    public String getEventStatus() {
        return eventStatus;
    }

    public void setEventStatusValue(String eventStatusValue) {
        this.eventStatusValue = eventStatusValue;
    }

    public String getEventStatusValue() {
        return eventStatusValue;
    }

    public void setCreateName(String createName) {
        this.createName = createName;
    }

    public String getCreateName() {
        return createName;
    }

    public void setUpdateName(String updateName) {
        this.updateName = updateName;
    }

    public String getUpdateName() {
        return updateName;
    }

    public void setDataStatus(String dataStatus) {
        this.dataStatus = dataStatus;
    }

    public String getDataStatus() {
        return dataStatus;
    }

    public void setDeptId(Long deptId) {
        this.deptId = deptId;
    }

    public Long getDeptId() {
        return deptId;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public String getDeptName() {
        return deptName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("eventCode", getEventCode())
                .append("eventType", getEventType())
                .append("eventName", getEventName())
                .append("eventDescription", getEventDescription())
                .append("reportSource", getReportSource())
                .append("longitude", getLongitude())
                .append("latitude", getLatitude())
                .append("reportor", getReportor())
                .append("reportTime", getReportTime())
                .append("isUrged", getIsUrged())
                .append("eventStatus", getEventStatus())
                .append("eventStatusValue", getEventStatusValue())
                .append("createBy", getCreateBy())
                .append("createName", getCreateName())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateName", getUpdateName())
                .append("updateTime", getUpdateTime())
                .append("dataStatus", getDataStatus())
                .append("deptId", getDeptId())
                .append("deptName", getDeptName())
                .toString();
    }
}
