package com.sooka.sponest.mobile.event.domain;

import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.core.web.domain.BaseEntity;
import lombok.Getter;
import lombok.Setter;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.ArrayList;
import java.util.List;

/**
 * 事件操作日志对象 centerevent_t_fire_log
 *
 * @author 朱哲
 * @date 2022-08-29
 */
public class CentereventTFireLog extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    private List<CenterdataTAttach> fileList;

    public List<CenterdataTAttach> getFileList() {
        return fileList;
    }

    public void setFileList(List<CenterdataTAttach> fileList) {
        this.fileList = fileList;
    }

    /** 主键 */
    private String id;

    /** 事件编码 */
    @Excel(name = "事件编码")
    private String eventCode;

    /** 操作内容 */
    @Excel(name = "操作内容")
    private String logContent;

    /** 填报纬度 */
    @Excel(name = "填报纬度")
    private String latitude;

    /** 填报经度 */
    @Excel(name = "填报经度")
    private String longitude;

    /** 业务操作 */
    @Excel(name = "业务操作")
    private String operation;

    /** 操作类型（PC/手机/AI） */
    @Excel(name = "操作类型", readConverterExp = "P=C/手机/AI")
    private String operationType;
    private String fileName;

    public String getFileName() {
        return fileName;
    }

    public void setFileName(String fileName) {
        this.fileName = fileName;
    }

    /** 创建人名称 */
    @Excel(name = "创建人名称")
    private String createName;
    private String url;
    private String webUrl;
    private String BusSource;
    private String mpurl;



    public String getWebUrl() {
        return webUrl;
    }

    public void setWebUrl(String webUrl) {
        this.webUrl = webUrl;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }


    public List<AppDataTAttach> getAttachs() {
        return attachs;
    }

    public void setAttachs(List<AppDataTAttach> attachs) {
        this.attachs = attachs;
    }

    public List<AppDataTAttach> getAttachsMp() {
        return attachsMp;
    }

    public void setAttachsMp(List<AppDataTAttach> attachsMp) {
        this.attachsMp = attachsMp;
    }

    private String attach[];

    public String[] getAttach() {
        return attach;
    }

    public void setAttach(String[] attach) {
        this.attach = attach;
    }

    private List<AppDataTAttach> attachs = new ArrayList<AppDataTAttach>();
    @Getter
    @Setter
    public static class AttachObject{
        String url;
    }


    private List<AppDataTAttach> attachsMp = new ArrayList<AppDataTAttach>();
    @Getter
    @Setter
    public static class AttachObjectMp{
        String mpurl;
    }


    public String getMpurl() {
        return mpurl;
    }

    public void setMpurl(String mpurl) {
        this.mpurl = mpurl;
    }


    public void setId(String id)
    {
        this.id = id;
    }

    public String getId()
    {
        return id;
    }
    public void setEventCode(String eventCode)
    {
        this.eventCode = eventCode;
    }

    public String getEventCode()
    {
        return eventCode;
    }
    public void setLogContent(String logContent)
    {
        this.logContent = logContent;
    }

    public String getLogContent()
    {
        return logContent;
    }
    public void setLatitude(String latitude)
    {
        this.latitude = latitude;
    }

    public String getLatitude()
    {
        return latitude;
    }
    public void setLongitude(String longitude)
    {
        this.longitude = longitude;
    }

    public String getLongitude()
    {
        return longitude;
    }
    public void setOperation(String operation)
    {
        this.operation = operation;
    }

    public String getOperation()
    {
        return operation;
    }
    public void setOperationType(String operationType)
    {
        this.operationType = operationType;
    }

    public String getOperationType()
    {
        return operationType;
    }
    public void setCreateName(String createName)
    {
        this.createName = createName;
    }

    public String getCreateName()
    {
        return createName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("eventCode", getEventCode())
            .append("logContent", getLogContent())
            .append("latitude", getLatitude())
            .append("longitude", getLongitude())
            .append("operation", getOperation())
            .append("operationType", getOperationType())
            .append("createBy", getCreateBy())
            .append("createName", getCreateName())
            .append("createTime", getCreateTime())
            .toString();
    }
}
