package com.sooka.sponest.mobile.message.controller;

import com.ruoyi.common.core.web.domain.AjaxResult;
import com.sooka.sponest.mobile.message.domain.AppMessageVO;
import com.sooka.sponest.mobile.message.service.AppMessageService;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

import static com.ruoyi.common.core.utils.PageUtils.startPage;

@RestController
@RequestMapping("AppMessageController")
public class AppMessageController {

    @Resource
    AppMessageService appMessageService;

    /**
     * 消息列表
     * @Version 1.0
     * @return
     * @author wang_xy
     * @since 2023/2/23 9:19
     */
    @ApiOperation(value = "消息列表", notes = "消息列表")
    @GetMapping("list")
    public AjaxResult list(AppMessageVO vo) {
        startPage();
        return appMessageService.list(vo);
    }

    /**
     * 手机端列表通知
     *
     * @return com.ruoyi.common.core.web.domain.AjaxResult
     * @author pengyu
     * @date 2023/2/22 13:04
     **/
    @ApiOperation(value = "列表通知", notes = "列表通知")
    @GetMapping("listNotice")
    public AjaxResult listNotice(AppMessageVO vo) {
        return appMessageService.listNotice(vo);
    }

    /**
     * 手机端消息详情
     *
     * @return com.ruoyi.common.core.web.domain.AjaxResult
     * @author pengyu
     * @date 2023/2/22 13:04
     **/
    @ApiOperation(value = "消息详情", notes = "消息详情")
    @GetMapping("detail")
    public AjaxResult detail(AppMessageVO vo) {
        return appMessageService.detail(vo);
    }


}
