package com.sooka.sponest.mobile.message.service.impl;

import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.common.core.web.page.PageDomain;
import com.ruoyi.common.core.web.page.TableSupport;
import com.sooka.sponest.mobile.message.domain.AppMessageVO;
import com.sooka.sponest.mobile.message.service.AppMessageService;
import com.sooka.sponest.mobile.remoteapi.RemoteMessageBaseService;
import com.sooka.sponest.mobile.remoteapi.RemoteSystemBaseService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.HashMap;
import java.util.Map;

@Service
public class AppMessageServiceImpl implements AppMessageService {
    @Resource
    RemoteMessageBaseService remoteMessageBaseService;

    @Resource
    RemoteSystemBaseService remoteSystemBaseService;

    @Override
    public AjaxResult list(AppMessageVO vo) {
        Map<String, Object> map = new HashMap<>();
        map.put("list", remoteMessageBaseService.selectAppMessageList(vo.getUserId()).get("data"));
        map.put("Total", remoteMessageBaseService.selectAppMessageCount(vo.getUserId()).get("data"));
        return AjaxResult.success(map);
    }


    /**
     * 列表通知
     *
     * @return com.ruoyi.common.core.web.domain.AjaxResult
     * @author pengyu
     * @date 2023/2/22 13:05
     **/
    @Override
    public AjaxResult listNotice(AppMessageVO vo) {
        AjaxResult ajax = new AjaxResult();
        PageDomain pageDomain = TableSupport.buildPageRequest();
        Integer pageNum = pageDomain.getPageNum();
        Integer pageSize = pageDomain.getPageSize();
        return remoteSystemBaseService.noticlist(pageNum, pageSize);
//        AjaxResult tableDataInfo = remoteSystemBaseService.noticlist(pageNum, pageSize);
//        ajax.put("list", tableDataInfo.getRows());
//        ajax.put("Total", tableDataInfo.getTotal());
//        return AjaxResult.success(ajax);
    }

    /**
     * 手机端消息详情
     *
     * @param vo
     * @return com.ruoyi.common.core.web.domain.AjaxResult
     * @author pengyu
     * @date 2023/2/22 13:27
     **/
    @Override
    public AjaxResult detail(AppMessageVO vo) {
        if ("1".equals(vo.getMessageType())) {
            return AjaxResult.success(remoteMessageBaseService.selectAppMessageById(vo.getMessageId()).get("data"));
        } else {
            return AjaxResult.success(remoteSystemBaseService.getInfoApp(Long.valueOf(vo.getMessageId())));
        }
    }

}
