package com.sooka.sponest.mobile.remoteapi;

import com.ruoyi.common.core.domain.R;
import com.ruoyi.common.core.web.domain.AjaxResult;
import com.sooka.sponest.mobile.log.LogFeignCall;
import com.sooka.sponest.mobile.base.domain.ModulesServiceNameContants;
import com.sooka.sponest.mobile.remoteapi.factory.RemoteAuthServiceFallbackFactory;
import com.sooka.sponest.mobile.remoteapi.domain.LoginBody;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

@FeignClient(contextId = "remoteAuthService", value = ModulesServiceNameContants.CENTER_AUTH,
        fallbackFactory = RemoteAuthServiceFallbackFactory.class, url = "${sooka.service.auth}")
public interface RemoteAuthService {

    /**
     * 手机端获取秘钥
     *
     * @return
     * @Version 1.0
     * @author wang_xy
     * @since 2023/2/22 8:43
     */
    @PostMapping("/getSecretKeys/{sessionId}")
    @LogFeignCall
    AjaxResult getSecretKeys(@PathVariable("sessionId") String sessionId);

    /**
     * APP登录
     *
     * @return
     * @Version 1.0
     * @author wang_xy
     * @since 2023/2/22 8:46
     */
    @PostMapping("loginApp")
    @LogFeignCall
    R<?> loginApp(@RequestBody LoginBody form);
}
