package com.sooka.sponest.mobile.remoteapi;

import com.ruoyi.common.core.domain.R;
import com.ruoyi.common.core.web.domain.AjaxResult;
import com.sooka.sponest.mobile.base.domain.ModulesServiceNameContants;
import com.sooka.sponest.mobile.event.domain.AppCentereventTEventcatalogueVO;
import com.sooka.sponest.mobile.event.domain.CentereventTFireLog;
import com.sooka.sponest.mobile.log.LogFeignCall;
import com.sooka.sponest.mobile.remoteapi.factory.RemoteBaseServiceCenterFactory;
import com.sooka.sponest.mobile.remoteapi.domain.CentereventTEmergencyDanger;
import com.sooka.sponest.mobile.remoteapi.domain.CentereventTEmergencyDangerprocess;
import com.sooka.sponest.mobile.remoteapi.domain.CentereventtDeptEventBO;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.*;

import java.util.List;

@FeignClient(contextId = "remoteCenterEventService", value = ModulesServiceNameContants.CENTER_EVENT,
        fallbackFactory = RemoteBaseServiceCenterFactory.class, url = "${sooka.service.event}")
public interface RemoteCenterBaseService {

    //查询大类二类
    @GetMapping("/eventtype/getCentereventTEventtypeByParentId")
    public AjaxResult listSJfl(@RequestParam("parentId") String parentId);


    //根据二类查询行管局
    @RequestMapping("/eventtypemapdept/getCentereventTEventtypemapdeptByEventtype")
    public AjaxResult listHgjXl(@RequestParam("eventTypeValue") String eventTypeValue);

    //上报事件
    @PostMapping("/eventcatalogue/addOpenFen")
    public AjaxResult addOpenFen(@RequestBody AppCentereventTEventcatalogueVO vo);

    /**
     * 反馈列表
     *
     * @return
     * @Version 1.0
     * @author wang_xy
     * @since 2023/2/22 13:57
     */
    @GetMapping("/centereventtfirelog/getAllCentereventTFireLog")
    public AjaxResult eventLogList(@RequestParam("pageNum") String pageNum, @RequestParam("pageSize") String pageSize, @RequestParam("eventCode") String eventCode);


    /**
     * 反馈上报
     *
     * @return
     * @Version 1.0
     * @author wang_xy
     * @since 2023/2/22 13:57
     */
    @PostMapping("/centereventtfirelog")
    public AjaxResult eventLogAdd(@RequestBody CentereventTFireLog centereventTFireLog);

    /**
     * 修改事件状态
     *
     * @return
     * @Version 1.0
     * @author wang_xy
     * @since 2023/2/22 13:57
     */
    @PostMapping("/eventcatalogue/editEventStatus")
    public R EventFeignedit(@RequestBody CentereventtDeptEventBO centereventtDeptEventBO);

    //根据事件编码查询事件部门信息
    @GetMapping("/centereventtdeptevent/selectByEventCode")
    public AjaxResult selectByeventCodeFeign(@RequestParam(value = "eventCode") String eventCode);

    /**
     * 新增事件日志
     *
     * @param centereventTFireLog
     * @return com.ruoyi.common.core.domain.R
     * @author pengyu
     * @date 2023/2/22 13:36
     **/
    @PostMapping("/centereventtfirelog")
    public R add(@RequestBody CentereventTFireLog centereventTFireLog);

    /**
     * 查询事件部门信息
     *
     * @param eventCode
     * @return com.ruoyi.common.core.domain.R
     **/
    @GetMapping("/centereventtdeptevent/getAllCentereventDeptEvent")
    public R remotecentereventtdepteventList(@RequestParam("eventCode") String eventCode);

    @GetMapping("/centereventtfirelog/getAllCentereventTFireLog")
    AjaxResult eventLogListAll(@RequestParam("eventCode") String eventCode);
}
