package com.sooka.sponest.mobile.remoteapi;

import com.ruoyi.common.core.domain.R;
import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.common.core.web.page.TableDataInfo;
import com.sooka.sponest.data.api.digitalagriculture.domain.AgricultureBO;
import com.sooka.sponest.mobile.appbigdata.domain.CenterdataTEnvironmentRyList;
import com.sooka.sponest.mobile.appbigdata.domain.vo.ForestCloudMapVO;
import com.sooka.sponest.mobile.appbigdata.domain.ForestCloudRYList;
import com.sooka.sponest.mobile.appbigdata.domain.bo.VisuForestResourceBO;
import com.sooka.sponest.mobile.base.domain.CenterdataTHydraulicPatrolPlanRecord;
import com.sooka.sponest.mobile.base.domain.CenterdataTHydraulicPatrolTask;
import com.sooka.sponest.mobile.base.domain.CenterdataTHydraulicTrack;
import com.sooka.sponest.mobile.base.domain.ModulesServiceNameContants;
import com.sooka.sponest.mobile.data.generalbusiness.domain.AppDailyBO;
import com.sooka.sponest.mobile.data.generalbusiness.domain.AppDailyVO;
import com.sooka.sponest.mobile.emergency.domain.*;
import com.sooka.sponest.mobile.event.domain.AppDataTAttach;
import com.sooka.sponest.mobile.log.LogFeignCall;
import com.sooka.sponest.mobile.remoteapi.domain.*;
import com.sooka.sponest.mobile.remoteapi.factory.RemoteBaseServiceFallbackFactory;
import com.sooka.sponest.mobile.zhsq.danyuan.domain.AppDanyuanVO;
import com.sooka.sponest.mobile.zhsq.dbrw.domain.AppDbrwVO;
import com.sooka.sponest.mobile.zhsq.fangjian.domain.AppFangjianVO;
import com.sooka.sponest.mobile.zhsq.loudong.domain.AppLoudongVO;
import com.sooka.sponest.mobile.zhsq.person.domain.AppPersonVO;
import com.sooka.sponest.mobile.zhsq.qiye.domain.AppQiyeVO;
import com.sooka.sponest.mobile.zhsq.shzz.domain.AppShzzVO;
import com.sooka.sponest.mobile.zhsq.tzgg.domain.AppTzggVo;
import com.sooka.sponest.mobile.zhsq.xcgj.domain.App_ZhsqPatrolrecord_VO;
import com.sooka.sponest.mobile.zhsq.xcgj.domain.App_ZhsqXcgj_VO;
import com.sooka.sponest.mobile.zhsq.xiaoqu.domain.AppXiaoquVO;
import com.sooka.sponest.mobile.zhsq.zhishiku.domain.AppZhishikuVO;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.*;

import java.util.List;
import java.util.Map;

@FeignClient(contextId = "remoteDataMobileService", value = ModulesServiceNameContants.CENTER_DATA,
        fallbackFactory = RemoteBaseServiceFallbackFactory.class, url = "${sooka.service.data}")
public interface RemoteDataBaseService {

    /**
     * 查询待办任务列表
     *
     * @param pageNum
     * @param pageSize
     * @param vo
     * @return com.ruoyi.common.core.web.domain.AjaxResult
     * @author pengyu
     * @date 2023/2/22 16:24
     **/
    @PostMapping("/AppDbrwController/list")
    public AjaxResult listDbrw(@RequestParam(value = "pageNum") Integer pageNum, @RequestParam(value = "pageSize") Integer pageSize, AppDbrwVO vo);

    /**
     * 待办任务详情
     *
     * @param vo
     * @return com.ruoyi.common.core.web.domain.AjaxResult
     * @author pengyu
     * @date 2023/2/22 16:26
     **/
    @PostMapping("/AppDbrwController/detail")
    public AjaxResult detailDbrw(AppDbrwVO vo);

    /**
     * 获取用户所在多部门
     *
     * @return java.util.Map
     * @author pengyu
     * @date 2023/2/22 16:58
     **/
    @RequestMapping("/community/getMultiCommunityDept")
    public Map getMultiCommunityDept();

    /**
     * 手机端获取全部事件
     *
     * @return com.ruoyi.common.core.domain.R
     * @author pengyu
     * @date 2023/2/22 13:34
     **/
    @PostMapping("/AppBigDataController/getAllData")
    public R getAllData();

    /**
     * 手机端获取林业事件统计
     *
     * @return com.ruoyi.common.core.domain.R
     * @author pengyu
     * @date 2023/2/22 13:43
     **/
    @GetMapping("/forestView/forestViewList")
    public R getFireData();

    /**
     * 数字农业可视化-数据中心
     * 列表接口
     *
     * @return com.ruoyi.common.core.domain.R
     **/
    @GetMapping("/agricultureView/agricultureViewPoint")
    public R<AjaxResult> agricultureViewPoint(@RequestParam("longitude") String longitude, @RequestParam("latitude") String latitude, @RequestParam("type") String type);

    /**
     * 数字农业可视化-落点+按部门统计
     * 列表接口
     *
     * @return com.ruoyi.common.core.domain.R
     **/
    @GetMapping("/agricultureView/agricultureViewList")
    public R<List> agricultureViewList();

    /**
     * 消防基础数据
     *
     * @return com.ruoyi.common.core.domain.R
     * @author pengyu
     * @date 2023/2/22 11:24
     */
    @GetMapping("fireControlView/fireControlViewList")
    public R<List> fireControlViewList();

    /**
     * 环保基础数据
     *
     * @return com.ruoyi.common.core.domain.R
     * @author pengyu
     * @date 2023/2/22 9:55
     */
    @GetMapping("/environmentView/environmentViewList")
    public R getEnvironmentControlData();

    @PostMapping("/AppBigDataController/getCountGroupByDept")
    R getCountGroupByDept(@RequestBody VisuForestResourceBO visuForestResourceBO);

    @PostMapping("/AppBigDataController/getLocation")
    R getLocation(@RequestBody VisuForestResourceBO visuForestResourceBO);

    /**
     * 手机端环保 数据中心接口 附近点位
     *
     * @param type
     * @return com.ruoyi.common.core.domain.R<java.util.List < com.sooka.sponest.mobile.remoteapi.service.center.data.domain.DataVO>>
     * @author pengyu
     * @date 2023/2/22 9:59
     */
    @GetMapping("/emergencyView/getPointByDeptId")
    public AjaxResult FjPoint(@RequestParam("longitude") String longitude, @RequestParam("latitude") String latitude, @RequestParam("type") String type, @RequestParam("radius") String radius);

    @GetMapping("/resourceView/getPointByDeptId")
    public AjaxResult FjPointresource(@RequestParam("longitude") String longitude, @RequestParam("latitude") String latitude, @RequestParam("type") String type, @RequestParam("radius") String radius);


    @GetMapping("/trafficView/getPointByDeptId")
    public AjaxResult FjPointtraffic(@RequestParam("longitude") String longitude, @RequestParam("latitude") String latitude, @RequestParam("type") String type, @RequestParam("radius") String radius);


    @GetMapping("/waterConservancyView/getPointByDeptId")
    public AjaxResult FjPointwater(@RequestParam("longitude") String longitude, @RequestParam("latitude") String latitude, @RequestParam("type") String type, @RequestParam("radius") String radius);


    @GetMapping("/environmentView/getPointByDeptId")
    public AjaxResult FjPointenvironment(@RequestParam("longitude") String longitude, @RequestParam("latitude") String latitude, @RequestParam("type") String type, @RequestParam("radius") String radius);


    // ----------- 数据中心远程调用 ------------

    /**
     * 手机端环保 数据中心接口 附近点位
     *
     * @param type
     * @return com.ruoyi.common.core.domain.R<java.util.List < com.sooka.sponest.mobile.remoteapi.service.center.data.domain.DataVO>>
     * @author pengyu
     * @date 2023/2/22 9:59
     */
    @GetMapping("/fireControlView/getPointByDeptId")
    public AjaxResult FjPointNew(@RequestParam("longitude") String longitude, @RequestParam("latitude") String latitude, @RequestParam("type") String type, @RequestParam("radius") String radius);

    // ----------- 数据中心远程调用 ------------
    //查询小区列表、新增、修改、详情、删除
    @PostMapping("/AppXiaoquController/list")
    public TableDataInfo listXiaoqu(@RequestParam(value = "pageNum") Integer pageNum, @RequestParam(value = "pageSize") Integer pageSize, AppXiaoquVO vo);

    @PostMapping("/AppXiaoquController/add")
    public AjaxResult addXiaoqu(AppXiaoquVO vo);

    @PostMapping("/AppXiaoquController/update")
    public AjaxResult updateXiaoqu(AppXiaoquVO vo);

    @PostMapping("/AppXiaoquController/detail")
    public AjaxResult detailXiaoqu(AppXiaoquVO vo);

    @PostMapping("/AppXiaoquController/delete")
    public AjaxResult deleteXiaoqu(AppXiaoquVO vo);

    //查询楼栋列表、新增、修改、详情、删除
    @PostMapping("/AppLoudongController/list")
    public TableDataInfo listLoudong(@RequestParam(value = "pageNum") Integer pageNum, @RequestParam(value = "pageSize") Integer pageSize, AppLoudongVO vo);

    @PostMapping("/AppLoudongController/add")
    public AjaxResult addLoudong(AppLoudongVO vo);

    //查询单元列表、新增、修改、详情、删除
    @PostMapping("/AppDanyuanController/list")
    public TableDataInfo listDanyuan(@RequestParam(value = "pageNum") Integer pageNum, @RequestParam(value = "pageSize") Integer pageSize, AppDanyuanVO vo);

    @PostMapping("/AppDanyuanController/add")
    public AjaxResult addDanyuan(AppDanyuanVO vo);

    /**
     * 查询房间信息列表接口
     *
     * @return
     * @Version 1.0
     * @author wang_xy
     * @since 2023/2/22 16:02
     */
    @PostMapping("/AppFangjianController/list")
    public TableDataInfo listFangjian(@RequestParam(value = "pageNum") Integer pageNum, @RequestParam(value = "pageSize") Integer pageSize, AppFangjianVO vo);

    /**
     * 查询房间信息新增
     *
     * @return
     * @Version 1.0
     * @author wang_xy
     * @since 2023/2/22 16:02
     */
    @PostMapping("/AppFangjianController/add")
    public R<AjaxResult> addFangjian(AppFangjianVO vo);

    /**
     * 人房户人员信息列表
     *
     * @return
     * @Version 1.0
     * @author wang_xy
     * @since 2023/2/22 16:02
     */
    @PostMapping("/AppPersonController/list")
    public TableDataInfo listPerson(@RequestParam(value = "pageNum") Integer pageNum, @RequestParam(value = "pageSize") Integer pageSize, AppPersonVO vo);

    /**
     * 人房户人员信息新增
     *
     * @return
     * @Version 1.0
     * @author wang_xy
     * @since 2023/2/22 16:02
     */
    @PostMapping("/AppPersonController/add")
    public R<AjaxResult> addPerson(AppPersonVO vo);

    /**
     * 人房户人员信息详情
     *
     * @return
     * @Version 1.0
     * @author wang_xy
     * @since 2023/2/22 16:02
     */
    @PostMapping("/AppPersonController/detail")
    public R<AjaxResult> detailPerson(AppPersonVO vo);

    /**
     * 企业信息列表
     *
     * @return
     * @Version 1.0
     * @author wang_xy
     * @since 2023/2/22 16:02
     */
    @PostMapping("/AppQiyeController/list")
    public TableDataInfo listQiye(@RequestParam(value = "pageNum") Integer pageNum, @RequestParam(value = "pageSize") Integer pageSize, AppQiyeVO vo);

    /**
     * 企业信息新增
     *
     * @return
     * @Version 1.0
     * @author wang_xy
     * @since 2023/2/22 16:02
     */
    @PostMapping("/AppQiyeController/add")
    public R<AjaxResult> addQiye(AppQiyeVO vo);

    /**
     * 企业信息修改
     *
     * @return
     * @Version 1.0
     * @author wang_xy
     * @since 2023/2/22 16:02
     */
    @PostMapping("/AppQiyeController/update")
    public R<AjaxResult> updateQiye(AppQiyeVO vo);

    /**
     * 企业信息详情
     *
     * @return
     * @Version 1.0
     * @author wang_xy
     * @since 2023/2/22 16:02
     */
    @PostMapping("/AppQiyeController/detail")
    public R<AjaxResult> detailQiye(AppQiyeVO vo);

    /**
     * 企业信息删除
     *
     * @return
     * @Version 1.0
     * @author wang_xy
     * @since 2023/2/22 16:02
     */
    @PostMapping("/AppQiyeController/delete")
    public R<AjaxResult> deleteQiye(AppQiyeVO vo);

    /**
     * 社会组织信息列表
     *
     * @return
     * @Version 1.0
     * @author wang_xy
     * @since 2023/2/22 16:10
     */
    @PostMapping("/AppShzzController/list")
    public TableDataInfo listShzz(@RequestParam(value = "pageNum") Integer pageNum, @RequestParam(value = "pageSize") Integer pageSize, AppShzzVO vo);

    /**
     * 社会组织信息新增
     *
     * @return
     * @Version 1.0
     * @author wang_xy
     * @since 2023/2/22 16:10
     */
    @PostMapping("/AppShzzController/add")
    public R<AjaxResult> addShzz(AppShzzVO vo);

    /**
     * 社会组织信息修改
     *
     * @return
     * @Version 1.0
     * @author wang_xy
     * @since 2023/2/22 16:10
     */
    @PostMapping("/AppShzzController/update")
    public R<AjaxResult> updateShzz(AppShzzVO vo);

    /**
     * 社会组织信息详情
     *
     * @return
     * @Version 1.0
     * @author wang_xy
     * @since 2023/2/22 16:10
     */
    @PostMapping("/AppShzzController/detail")
    public R<AjaxResult> detailShzz(AppShzzVO vo);

    /**
     * 社会组织信息删除
     *
     * @return
     * @Version 1.0
     * @author wang_xy
     * @since 2023/2/22 16:10
     */
    @PostMapping("/AppShzzController/delete")
    public R<AjaxResult> deleteShzz(AppShzzVO vo);

    /**
     * 通知公告列表
     *
     * @param pageNum
     * @param pageSize
     * @param vo
     * @return com.ruoyi.common.core.web.page.TableDataInfo
     * @author pengyu
     * @date 2023/2/22 16:30
     **/
    @PostMapping("/AppTzggController/list")
    public TableDataInfo listTzgg(@RequestParam(value = "pageNum") Integer pageNum, @RequestParam(value = "pageSize") Integer pageSize, AppTzggVo vo);

    /**
     * 添加通知公告
     *
     * @param vo
     * @return com.ruoyi.common.core.web.domain.AjaxResult
     * @author pengyu
     * @date 2023/2/22 16:34
     **/
    @PostMapping("/AppTzggController/add")
    public AjaxResult addTzgg(AppTzggVo vo);

    /**
     * 通知公告详情
     *
     * @param vo
     * @return com.ruoyi.common.core.web.domain.AjaxResult
     * @author pengyu
     * @date 2023/2/22 16:31
     **/
    @PostMapping("/AppTzggController/detail")
    public AjaxResult detailTzgg(AppTzggVo vo);


    /**
     * 知识库列表
     *
     * @param vo
     * @return com.ruoyi.common.core.web.page.TableDataInfo
     * @author pengyu
     * @date 2023/2/22 16:07
     **/
    @PostMapping("/AppZhishikuController/list")
    public TableDataInfo listZhishiku(@RequestParam(value = "pageNum") Integer pageNum, @RequestParam(value = "pageSize") Integer pageSize, AppZhishikuVO vo);


    /**
     * 详情知识库
     *
     * @param vo
     * @return com.ruoyi.common.core.web.domain.AjaxResult
     * @author pengyu
     * @date 2023/2/22 16:08
     **/
    @PostMapping("/AppZhishikuController/detail")
    public R<AjaxResult> detailZhishiku(AppZhishikuVO vo);

    /**
     * 开始巡查
     *
     * @param vo
     * @return com.ruoyi.common.core.web.domain.AjaxResult
     * @author pengyu
     * @date 2023/2/22 16:51
     **/
    @PostMapping("/AppXcgjController/startXunCha")
    public AjaxResult startXunCha(App_ZhsqXcgj_VO vo);

    /**
     * 推送轨迹
     *
     * @param vo
     * @return com.ruoyi.common.core.web.domain.AjaxResult
     * @author pengyu
     * @date 2023/2/22 16:50
     **/
    @PostMapping("/AppXcgjController/addGuiJi")
    public AjaxResult addGuiJi(App_ZhsqPatrolrecord_VO vo);

    /**
     * 手机端添加日报-远端调用
     *
     * @param bo
     * @return com.ruoyi.common.core.domain.R
     * @author pengyu
     * @date 2023/2/22 9:10
     */
    @PostMapping("/AppDailyController/addDaily")
//    @PostMapping("/daily")
    public R addDaily(@RequestBody AppDailyBO bo);

    /**
     * 手机端查询日报-远端调用
     *
     * @param bo
     * @return com.ruoyi.common.core.domain.R<java.lang.Integer>
     * @author pengyu
     * @date 2023/2/22 9:10
     */
    @PostMapping("/AppDailyController/selectRepeatDaily")
    public R<Integer> selectRepeatDaily(@RequestBody AppDailyBO bo);


    @PostMapping("/AppDailyController/queryDailyByMonth")
    public R<List<AppDailyBO>> queryDailyByMonth(@RequestBody AppDailyVO appDailyVO);


    /**
     * 手机端查询本人-指定日期 日报情况-远端调用
     *
     * @param appDailyVO
     * @return com.ruoyi.common.core.domain.R<com.sooka.sponest.mobile.data.generalbusiness.domain.AppDailyBO>
     * @author pengyu
     * @date 2023/2/22 9:11
     */
    @PostMapping("/AppDailyController/queryDailyByDay")
    public R<AppDailyBO> queryDailyByDay(@RequestBody AppDailyVO appDailyVO);

    /**
     * 查询天气信息-远端调用
     *
     * @param appDigitalForestWeather
     * @return com.ruoyi.common.core.domain.R<com.sooka.sponest.mobile.forest.digitalforest.domain.AppDigitalForestWeather>
     * @author pengyu
     * @date 2023/2/21 16:31
     */
    /*@PostMapping("/AppDigitalForestController/selectWeather")
    public R<AppDigitalForestWeather> selectWeather(@RequestBody AppDigitalForestWeather appDigitalForestWeather);*/


    /**
     * 手机端  林业数据中心点位
     *
     * @return com.ruoyi.common.core.web.domain.AjaxResult
     * @author pengyu
     * @date 2023/2/22 11:20
     */
    @GetMapping("/forestView/getPointByDeptId")
    public AjaxResult resourceList(@RequestParam("longitude") String longitude, @RequestParam("latitude") String latitude, @RequestParam("type") String type, @RequestParam("radius") String radius);

    /**
     * 数字农业可视化-落点
     *
     * @author hanfucheng
     * @date 2023/7/18 14:03
     */
    @GetMapping("/agricultureView/getPointByDeptId")
    public AjaxResult getPointByDeptId(@RequestParam("longitude") String longitude, @RequestParam("latitude") String latitude, @RequestParam("type") String type, @RequestParam("radius") String radius);


    /**
     * 手机端添加请假
     *
     * @return
     * @Version 1.0
     * @author wang_xy
     * @since 2023/2/21 16:27
     */
    /*@PostMapping("/AppLeaveController/addLeave")
    public R addLeave(@RequestBody AppLeaveBo bo);*/

    /**
     * 手机端数据中心-标点-合作社
     *
     * @param agricultureBO
     * @return com.ruoyi.common.core.domain.R<java.util.List < com.sooka.sponest.mobile.event.domain.AppDataTAttach>>
     * @author pengyu
     * @date 2023/2/22 10:24
     */
    @PostMapping("/AppDigitalForestController/HeZuoShePoint")
    public R<List<AgricultureBO>> HeZuoShePoint(@RequestBody AgricultureBO agricultureBO);

    /**
     * 手机端数据中心-标点-植保站
     *
     * @param agricultureBO
     * @return com.ruoyi.common.core.domain.R<java.util.List < com.sooka.sponest.mobile.event.domain.AppDataTAttach>>
     * @author pengyu
     * @date 2023/2/22 10:24
     */
    @PostMapping("/AppDigitalForestController/ZhiBaoPoint")
    public R<List<AgricultureBO>> ZhiBaoPoint(@RequestBody AgricultureBO agricultureBO);

    /**
     * 手机端数据中心-标点-畜保站
     *
     * @param agricultureBO
     * @return com.ruoyi.common.core.domain.R<java.util.List < com.sooka.sponest.mobile.event.domain.AppDataTAttach>>
     * @author pengyu
     * @date 2023/2/22 10:24
     */
    @PostMapping("/AppDigitalForestController/XuBaoPoint")
    public R<List<AgricultureBO>> XuBaoPoint(@RequestBody AgricultureBO agricultureBO);

    /**
     * 手机端数据中心-标点-农机站
     *
     * @param agricultureBO
     * @return com.ruoyi.common.core.domain.R<java.util.List < com.sooka.sponest.mobile.event.domain.AppDataTAttach>>
     * @author pengyu
     * @date 2023/2/22 10:24
     */
    @PostMapping("/AppDigitalForestController/NongJiZhanPoint")
    public R<List<AgricultureBO>> NongJiZhanPoint(@RequestBody AgricultureBO agricultureBO);

    /**
     * 手机端数据中心-标点-养殖站
     *
     * @param agricultureBO
     * @return com.ruoyi.common.core.domain.R<java.util.List < com.sooka.sponest.mobile.event.domain.AppDataTAttach>>
     * @author pengyu
     * @date 2023/2/22 10:24
     */
    @PostMapping("/AppDigitalForestController/YangZhiPoint")
    public R<List<AgricultureBO>> YangZhiPoint(@RequestBody AgricultureBO agricultureBO);

    /**
     * 反馈信息查询涉及接口
     *
     * @return
     * @Version 1.0
     * @author wang_xy
     * @since 2023/2/22 14:34
     */
//    @GetMapping("/attach/attachBFireLogById/{id}")
    @GetMapping("/attach/urlAttch/{busId}")
    public R<List<AppDataTAttach>> attachBFireLogById(@PathVariable("busId") String id);

    /**
     * 反馈信息查询涉及接口
     *
     * @return
     * @Version 1.0
     * @author wang_xy
     * @since 2023/2/22 14:34
     */
//    @GetMapping("/attach/attachBFireLogByIdMp/{id}")
    @GetMapping("/attach/urlAttchMpF/{busId}")
    public R<List<AppDataTAttach>> attachBFireLogByIdMp(@PathVariable("busId") String id);

    /*********************************************应急接口start**********************************/

    /**
     * 数字应急-企业列表
     *
     * @return
     * @Version 1.0
     * @author wang_xy
     * @since 2023/3/22 14:08
     */
    @PostMapping("/emergency/enterprise/appList")
    public TableDataInfo appComplayList(@RequestParam(value = "pageNum") Integer pageNum, @RequestParam(value = "pageSize") Integer pageSize, @RequestBody CenterdataTEmergencyEnterindesmap centerdataTEmergencyEnterindesmap);

    /**
     * 数字应急-企业详情
     *
     * @return
     * @Version 1.0
     * @author wang_xy
     * @since 2023/3/22 14:08
     */
    @GetMapping("/emergency/enterprise/selectById/{id}")
    public R<CenterdataTEmergencyEnterprise> appComplayById(@PathVariable("id") String id);

    /**
     * 应急-巡检模板
     * @Version 1.0
     * @return
     * @author wang_xy
     * @since 2023/3/22 14:08
     */
//    @PostMapping("/emergency/enterindesmap/appList")
//    public AjaxResult appList(CenterdataTEmergencyEnterindesmap centerdataTEmergencyEnterindesmap);

    /**
     * 应急-修改巡更点
     * 应急-解绑巡更点(数据删除标识为不可用)
     *
     * @return
     * @Version 1.0
     * @author wang_xy
     * @since 2023/3/22 14:08
     */
    @PostMapping("/emergency/patrolpoint/editApp")
    public AjaxResult editApp(@RequestBody CenterdataTEmergencyPatrolpoint centerdataTEmergencyPatrolpoint);

    /**
     * 应急-新增巡更点
     *
     * @return
     * @Version 1.0
     * @author wang_xy
     * @since 2023/3/22 14:08
     */
    @PostMapping("/emergency/patrolpoint/addappPatrolpoint")
    public AjaxResult addAppPatrolpoint(@RequestBody CenterdataTEmergencyPatrolpoint centerdataTEmergencyPatrolpoint);


    /*********************************************应急接口end**********************************/

    /**
     * 应急-查询巡检模板
     *
     * @return
     * @Version 1.0
     * @author wang_xy
     * @since 2023/3/22 14:08
     */
    @PostMapping("/emergency/enterindesmap/selectTBasicEnterpriseByentErpriseMessage")
    public R<List<CenterdataTEmergencyInspectionitemBody>> selectTBasicEnterpriseByentErpriseMessage(@RequestBody CenterdataTEmergencyEnterindesmap centerdataTEmergencyEnterindesmap);

    /**
     * 应急-查询巡检记录
     *
     * @return
     * @Version 1.0
     * @author wang_xy
     * @since 2023/3/22 14:08
     */
    @PostMapping("/inspectionrecord/appSelectRecord")
    public R<List<CentereventTEmergencyInspectionrecord>> appSelectRecord(@RequestBody CentereventTEmergencyInspectionrecord centereventTEmergencyInspectionrecord);

    /**
     * 应急-保存巡检记录
     *
     * @return
     * @Version 1.0
     * @author wang_xy
     * @since 2023/3/22 14:08
     */
    @PostMapping("/inspectionrecord/insertCentereventTEmergencyInspectionrecordMessage")
    public R insertCentereventTEmergencyInspectionrecordMessage(@RequestBody CentereventTEmergencyInspectionrecordBody centereventTEmergencyInspectionrecordBody);

    @PostMapping("/inspectionrecord/selectCentereventTEmergencyInspectionrecordMessageList")
    public R selectCentereventTEmergencyInspectionrecordMessageList(@RequestBody CentereventTEmergencyInspectionrecordBdody centereventTEmergencyInspectionrecordBdody);
    /*********************************************应急接口end**********************************/

    //水利
    @GetMapping("waterConservancyView/waterConservancyViewList")
    public R getWaterResourceCount();

    //资源
    @GetMapping("resourceView/resourceViewList")
    public R<List> getResourcesResourceCount();

    //应急
    @GetMapping("emergencyView/emergencyViewList")
    public R<List> getEmergencyResourceCount();

    //交通
    @GetMapping("/trafficView/trafficViewList")
    public R<List> getTrafficResourcesCount();

    //开始巡查
    @PostMapping("/record/startRecoed")
    public AjaxResult startRecoed(@RequestBody CenterdataTHydraulicPatrolPlanRecord vo);

    //结束巡查
    @PostMapping("/record/finishThisRecoed")
    public AjaxResult finishThisRecoed(@RequestBody CenterdataTHydraulicPatrolPlanRecord vo);

    //新增人员巡查
    @PostMapping("/patrolTrack/add")
    public AjaxResult addTrack(@RequestBody CenterdataTHydraulicTrack vo);

    @PostMapping("/task/taskList")
    public TableDataInfo taskList(@RequestParam(value = "pageNum") Integer pageNum, @RequestParam(value = "pageSize") Integer pageSize, @RequestBody CenterdataTHydraulicPatrolTask centerdataTHydraulicPatrolTask);

    //获取重点工程
    @GetMapping("/commandCenter/getKeyProjects")
    public AjaxResult getKeyProjects(@RequestParam("deptId") Long deptId,@RequestParam("state") String state);

    //获取重点区域
    @GetMapping("/commandCenter/getImportAreaList")
    public AjaxResult getImportAreaList(@RequestParam("deptId") Long deptId);

    //四长统计接口
    @GetMapping("/commandCenter/fourLengthOverview")
    public AjaxResult fourLengthOverview(@RequestParam("deptId") Long deptId);


    /**
     * 应急预案列表-远端调用
     *
     * @param pageNum
     * @param pageSize
     * @return com.ruoyi.common.core.web.page.TableDataInfo
     * @author pengyu
     * @date 2023/2/22 9:17
     */
    @GetMapping("/reserve/listapp")
    TableDataInfo yuAnlist(@RequestParam(value = "pageNum") Integer pageNum, @RequestParam(value = "pageSize") Integer pageSize);


    @PostMapping("/waterintake/insert")
    public AjaxResult insert(@RequestBody CenterdataTForestWaterintake centerdataTForestWaterintake);

    @GetMapping("/commandCenter/fourLengthOverviewOther")
    public AjaxResult fourLengthOverviewOther(@RequestParam(value = "deptId") String deptId);

    @GetMapping("/commandCenter/fourLengthOver")
    public AjaxResult fourLengthOver(@RequestParam(value = "deptId") String deptId, @RequestParam(value = "timeTag") String timeTag, @RequestParam(value = "keyWord") String keyWord);

    @GetMapping("/communication/getCommunicationByDeptId")
    public AjaxResult getCommunicationByDeptId(@RequestParam(value = "deptId") String deptId, @RequestParam(value = "selectParam") String selectParam, @RequestParam(value = "pageNum") int pageNum, @RequestParam(value = "pageSize") int pageSize);

    @PostMapping("/fireteam/selectBigDataFireTeamList")
    public R forestViewPointApp(@RequestBody CenterdataTForestFireteam centerdataTForestFireteam);


    @GetMapping("greatdeeds/selectOneRecentDataByDeptId/{deptId}")
    public AjaxResult greatdeedsApp(@PathVariable("deptId") Long deptId);

    @GetMapping("/projectsSchedule/getScheduleByTime")
    AjaxResult appGetScheduleByTime(@RequestParam("keyProjectsId") String keyProjectsId, @RequestParam("startTime") String startTime, @RequestParam("endTime") String endTime);

    @GetMapping("/commandCenter/getKeyProjectsListOne")
    TableDataInfo getKeyProjectsByParams(@RequestParam("pageNum")String pageNum, @RequestParam("pageSize") String pageSize, @RequestParam("deptId") String deptId, @RequestParam("params%5Bpark%5D") String park, @RequestParam("params%5BprojectName%5D") String projectName, @RequestParam("params%5Bterritoriality%5D") String territoriality, @RequestParam("params%5Bnature%5D") String nature, @RequestParam("state") String state, @RequestParam("params%5Byear%5D") String year, @RequestParam("params%5BadministrativeRegion%5D") String administrativeRegion);


    /**************************************************人员轨迹多级联动******************************************************/

    @PostMapping("/forestView/getRyList")
    R<ForestCloudRYList> getRyListToForestView(@RequestBody ForestCloudMapVO forestMapVo);//查询林长人员类型

    @GetMapping("/waterConservancyView/getRyList")
    AjaxResult getRyListToWaterConservancyViewByType(@RequestParam("deptId")Long deptId, @RequestParam("leadType")String leadType);//查询河路田 人员类型

    @PostMapping("/environmentView/getRyList")
    R<CenterdataTEnvironmentRyList> getRyListToEnvironmentView(@RequestBody ForestCloudMapVO forestMapVo);//查询环保人员类型

    @GetMapping("/fireControlView/getRYList")
    R<Map<String,Object>> getRyListToFireControlView(@RequestParam("deptId")Long deptId);//查询消防人员类型

    @GetMapping("/commandCenter/getImportAreaListOne")
    TableDataInfo getImportAreaListByParams(@RequestParam("params%5BareaName%5D") String areaName, @RequestParam("params%5BprojectType%5D") String projectType, @RequestParam("params%5BprojectLevel%5D") String projectLevel,@RequestParam("pageNum")Integer pageNum, @RequestParam("pageSize")Integer pageSize);

    //查询安全隐患列表
    @GetMapping("/danger/getAllDanger")
    R<List<CentereventTEmergencyDanger>> selectDanger(@RequestParam("dangerTitle") String dangerTitle, @RequestParam("enterpriseId") String enterpriseId, @RequestParam("enterpriseName") String enterpriseName);

    //新增安全隐患
    @PostMapping("/danger")
    @LogFeignCall
    R insertDanger(@RequestBody CentereventTEmergencyDanger centereventTEmergencyDanger);

    //根据id查询安全隐患
    @GetMapping("/danger/{id}")
    R<CentereventTEmergencyDanger> selectDangerById(@PathVariable("id") String id);

    //更改安全隐患流程
    @PutMapping("/danger")
    R updateDanger(@RequestBody CentereventTEmergencyDanger centereventTEmergencyDanger);

    //查询隐患处理过程列表
    @GetMapping("/danger/getInfoView/{id}")
    R selectDangerprocess(@PathVariable("id") String id);

    //新增隐患处理过程
    @PostMapping("/dangerprocess")
    R insertDangerprocess(@RequestBody CentereventTEmergencyDangerprocess centereventTEmergencyDangerprocess);

}

