package com.sooka.sponest.mobile.remoteapi;

import com.ruoyi.common.core.domain.R;
import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.common.core.web.page.TableDataInfo;
import com.sooka.sponest.mobile.appbigdata.domain.vo.VisuFireSendingSMSVo;
import com.sooka.sponest.mobile.appbigdata.domain.vo.VisuForestCloudMapVO;
import com.sooka.sponest.mobile.base.domain.ModulesServiceNameContants;
import com.sooka.sponest.mobile.emergency.domain.CentereventTEmergencyInspectionrecordBdody;
import com.sooka.sponest.mobile.emergency.domain.CentereventTEmergencyInspectionrecordBody;
import com.sooka.sponest.mobile.emergency.domain.CentereventTEmergencyPatrolrecord;
import com.sooka.sponest.mobile.event.domain.*;
import com.sooka.sponest.mobile.remoteapi.factory.RemoteEventBaseServiceCenterFactory;
import com.sooka.sponest.mobile.remoteapi.domain.CentereventTEmergencyInspectionrecord;
import com.sooka.sponest.mobile.zhsq.shijian.domain.AppShijianFenleiVO;
import com.sooka.sponest.mobile.zhsq.shijian.domain.AppShijianVO;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.*;

import java.util.List;
import java.util.Map;

@FeignClient(contextId = "remoteEventService", value = ModulesServiceNameContants.CENTER_EVENT,
        fallbackFactory = RemoteEventBaseServiceCenterFactory.class, url = "${sooka.service.event}")
public interface RemoteEventBaseService {

    @PostMapping("/eventcatalogue/sendingSMS")
    public AjaxResult firesendingSMSApp(@RequestBody VisuFireSendingSMSVo visuFireSendingSMSVo);

    @PostMapping("/eventcatalogue/reportFirePreventionOffice")
    public AjaxResult eventcatalogueApp(@RequestBody VisuFireSendingSMSVo visuFireSendingSMSVo);

    @PostMapping("/centereventtdeptevent")
    public AjaxResult remoteAdd(@RequestBody CentereventDeptEvent centereventTDeptEvent);

    /**
     * 事件状态统计
     *
     * @param visuForestCloudMapVO
     * @return com.ruoyi.common.core.domain.R
     * @author pengyu
     * @date 2023/2/22 9:55
     */
    @PostMapping("/eventapp/getEventCountGroupByEventStatus")
    public R getEventCountGroupByEventStatus(@RequestBody VisuForestCloudMapVO visuForestCloudMapVO);


    /***
     *乡村振兴事件类型--远端调用
     *
     * @return com.ruoyi.common.core.domain.R
     * @author pengyu
     * @date 2023/2/22 13:03
     **/
    @PostMapping("/eventapp/getEventCountGroupByEventType")
    public R getEventCountGroupByEventType(@RequestBody VisuForestCloudMapVO visuForestCloudMapVO);

// ----------- APP事件中心远程调用 ------------


    /**
     * 手机端事件查询
     *
     * @param vo
     * @return com.ruoyi.common.core.web.domain.AjaxResult
     * @author pengyu
     * @date 2023/2/22 18:11
     **/
    //查询事件列表、新增、修改、详情、删除、分类、核查
    @PostMapping("/AppShijianController/listShijian")
    public AjaxResult listShijian(@RequestParam(value = "pageNum") Integer pageNum, @RequestParam(value = "pageSize") Integer pageSize, AppShijianVO vo);

    @PostMapping("/AppShijianController/listFenlei")
    public AjaxResult listFenlei(AppShijianFenleiVO vo);

    @PostMapping("/AppShijianController/listFenleiOne")
    public AjaxResult listFenleiOne(AppShijianFenleiVO vo);

    @PostMapping("/AppShijianController/listFenleiTwo")
    public AjaxResult listFenleiTwo(AppShijianFenleiVO vo);

    @PostMapping("/AppShijianController/listFenleiThree")
    public AjaxResult listFenleiThree(AppShijianFenleiVO vo);

    /**
     * 事件审核查询
     *
     * @param vo
     * @return com.ruoyi.common.core.web.domain.AjaxResult
     * @author pengyu
     * @date 2023/2/22 18:36
     **/
    @PostMapping("/AppShijianController/listCheck")
    public AjaxResult listCheck(@RequestParam(value = "pageNum") Integer pageNum, @RequestParam(value = "pageSize") Integer pageSize, AppShijianVO vo);

    /**
     * 事件上报
     *
     * @param vo
     * @return com.ruoyi.common.core.web.domain.AjaxResult
     * @author pengyu
     * @date 2023/2/22 17:07
     **/
    @PostMapping("/AppShijianController/addShijian")
    public AjaxResult addShijian(AppShijianVO vo);

    @PostMapping("/AppShijianController/updateShijian")
    public AjaxResult updateShijian(AppShijianVO vo);

    /**
     * 事件审核同意或不同意
     *
     * @param vo
     * @return com.ruoyi.common.core.web.domain.AjaxResult
     * @author pengyu
     * @date 2023/2/22 19:56
     **/
    @PostMapping("/AppShijianController/checkShijian")
    public AjaxResult checkShijian(AppShijianVO vo);

    /**
     * 手机端事件详情
     *
     * @param vo
     * @return com.ruoyi.common.core.web.domain.AjaxResult
     * @author pengyu
     * @date 2023/2/22 18:25
     **/
    @PostMapping("/AppShijianController/detailShijian")
    public AjaxResult detailShijian(AppShijianVO vo);
    // ----------- APP事件中心远程调用 ------------

    //事件预案
    @GetMapping("/centereventtfireevent/getYuAnByEventCode")
    public R<Map<String, Object>> getYuAnByEventCode(@RequestParam("eventCode") String eventCode);


    /**
     * 手机端事件列表
     *
     * @return
     * @Version 1.0
     * @author wang_xy
     * @since 2023/2/21 15:31
     */
    @PostMapping("/eventapp/listByApp")
    R<List<AppEventSalBO>> listByApp(@RequestBody AppEventSalVO appEventSalVO);

    /**
     * 获取事件目录详细信息
     *
     * @param eventCode
     * @return com.ruoyi.common.core.domain.R
     * @author pengyu
     * @date 2023/2/21 14:13
     */
    @GetMapping("/eventapp/getCentereventTEventcatalogueByCode")
    public R<AppEventSalBO> getCentereventTEventcatalogueByCode(@RequestParam("eventCode") String eventCode);

    /**
     * 手机端获取事件大小类
     *
     * @return
     * @Version 1.0
     * @author wang_xy
     * @since 2023/2/21 13:37
     */
    @GetMapping("/eventtype/getCentereventTEventtypeByParentId")
    public R<List<AppEventTypeBO>> getCentereventTEventtypeByParentId(@RequestParam("parentId") String parentId);

    /**
     * 手机端获取事件大小类
     *
     * @return
     * @Version 1.0
     * @author wang_xy
     * @since 2023/2/21 13:37
     */
    @GetMapping("/centereventtfirelog/{id}")
    public R<CentereventTFireLog> selectCentereventTFireLogById(@PathVariable("id") String id);


    /*********************************************应急接口start**********************************/

    /**
     * 应急-巡检详情
     *
     * @return
     * @Version 1.0
     * @author wang_xy
     * @since 2023/3/22 14:08
     */
    @GetMapping(value = "inspectionrecord/{id}")
    public AjaxResult getInspectionrecordInfo(@PathVariable("id") String id);

    /**
     * 应急-巡更详情
     *
     * @return
     * @Version 1.0
     * @author wang_xy
     * @since 2023/3/22 14:08
     */
    @GetMapping(value = "patrolrecord/{id}")
    public AjaxResult getPatrolrecordInfo(@PathVariable("id") String id);

    /**
     * 应急-新增巡更记录
     *
     * @return
     * @Version 1.0
     * @author wang_xy
     * @since 2023/3/22 14:08
     */
    @PostMapping(value = "patrolrecord/addPatrolrecord")
    public AjaxResult addPatrolrecord(@RequestBody CentereventTEmergencyPatrolrecord centereventTEmergencyPatrolrecord);

    /**
     * 应急- 巡更记录列表
     *
     * @return
     * @Version 1.0
     * @author wang_xy
     * @since 2023/3/22 14:08
     */
    @PostMapping(value = "patrolrecord/listPatrolrecord")
    public TableDataInfo listPatrolrecord(@RequestParam(value = "pageNum") Integer pageNum, @RequestParam(value = "pageSize") Integer pageSize, @RequestBody CentereventTEmergencyPatrolrecord centereventTEmergencyPatrolrecord);

    @GetMapping("/commandCenter/getDeptEventCount")
    public AjaxResult getDeptEventCount(@RequestParam("deptId") Long deptId);

    @GetMapping("/commandCenter/appEventStatistics")
    public AjaxResult appEventStatistics(@RequestParam("deptId") Long deptId);

    /**
     * 获取火灾蔓延
     *
     * @param
     * @return
     */
    @GetMapping("/spread/getFireSpreadInfo")
    public AjaxResult getFireSpreadInfo();

    /**
     * 插入火灾蔓延
     *
     * @param centereventTFireSpread
     * @return
     */
    @PostMapping(value = "/spread",headers = {"Content-Type=application/json"})
    public AjaxResult addspread(@RequestBody String centereventTFireSpread);
}
