package com.sooka.sponest.mobile.remoteapi;

import com.ruoyi.common.core.domain.R;
import com.ruoyi.common.core.web.domain.AjaxResult;
import com.sooka.sponest.mobile.log.LogFeignCall;
import com.sooka.sponest.mobile.base.domain.ModulesServiceNameContants;
import com.sooka.sponest.mobile.event.domain.CentereventMeetingSystemBO;
import com.sooka.sponest.mobile.remoteapi.factory.RemoteBaseServiceMessageFactory;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

@FeignClient(contextId = "remoteCenterMessqgeService", value = ModulesServiceNameContants.CENTER_MESSAGE,
        fallbackFactory = RemoteBaseServiceMessageFactory.class, url = "${sooka.service.message}")
public interface RemoteMessageBaseService {

    @GetMapping("/centerMessageFeign/selectMessageList/{userId}")
    @LogFeignCall
    public AjaxResult selectAppMessageList(@PathVariable("userId") String userId);

    @GetMapping("/centerMessageFeign/selectMessageCount/{userId}")
    @LogFeignCall
    public AjaxResult selectAppMessageCount(@PathVariable("userId") String userId);

    @GetMapping("/centerMessageFeign/selectMessageById/{id}")
    @LogFeignCall
    public AjaxResult selectAppMessageById(@PathVariable("id") String id);

    /**
     * 发送会议短信
     *
     * @param centereventMeetingSystemBO
     * @return
     */
    @PostMapping("/centerMessageFeign/sendMeetingMsg")
    @LogFeignCall
    public R remoteSendMeetingMsg(@RequestBody CentereventMeetingSystemBO centereventMeetingSystemBO);
}
