package com.sooka.sponest.mobile.remoteapi;


import com.ruoyi.common.core.domain.R;
import com.sooka.sponest.mobile.log.LogFeignCall;
import com.sooka.sponest.mobile.appbigdata.domain.bo.VisualBO;
import com.sooka.sponest.mobile.base.domain.ModulesServiceNameContants;
import com.sooka.sponest.mobile.remoteapi.domain.DataVO;
import com.sooka.sponest.mobile.remoteapi.factory.RemoteAuthServiceFallbackFactory;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;

@FeignClient(contextId = "remoteMiddlewareService", value = ModulesServiceNameContants.SOOKA_MIDDLEWARE,
        fallbackFactory = RemoteAuthServiceFallbackFactory.class, url = "${sooka.service.middleware}")
public interface RemoteMiddlewareService {
    @GetMapping("/visual/getResourceList")
    @LogFeignCall
    R getResourceList(@RequestParam("assort") String assort, @RequestParam("name") String name, @RequestParam("type") String type, @RequestParam("deptId") Long deptId, @RequestParam("longitude") String longitude, @RequestParam("latitude") String latitude, @RequestParam("radius") Long radius);

    @PostMapping("/visual/getResourcePoint")
    @LogFeignCall
    R<List<DataVO>> getResourcePoint(@RequestBody VisualBO bo);

    @GetMapping("/visual/getResourceDetail")
    @LogFeignCall
    R getResourcePointById(@RequestParam("id") String id, @RequestParam("type") String type);
}
