package com.sooka.sponest.mobile.remoteapi;

import com.ruoyi.common.core.domain.R;
import com.ruoyi.common.core.web.domain.AjaxResult;
import com.sooka.sponest.mobile.log.LogFeignCall;
import com.sooka.sponest.mobile.base.domain.ModulesServiceNameContants;
import com.sooka.sponest.mobile.remoteapi.factory.RemoteMonitorBaseServiceFallbackFactory;
import com.sooka.sponest.mobile.system.camera.domain.AppCameraChannelBO;
import com.sooka.sponest.mobile.system.camera.domain.AppCameraDetailsBO;
import com.sooka.sponest.mobile.system.camera.domain.CentermonitorTCamera;
import com.sooka.sponest.mobile.system.camera.domain.VisuForestMonitorCenterVO;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.*;

import java.util.List;

@FeignClient(contextId = "remoteMonitorService", value = ModulesServiceNameContants.CENTER_MONITOR,
        fallbackFactory = RemoteMonitorBaseServiceFallbackFactory.class, url = "${sooka.service.monitor}")
public interface RemoteMonitorBaseService {

    /**
     * 附近摄像头列表
     *
     * @return
     * @Version 1.0
     * @author wang_xy
     * @since 2023/2/22 10:47
     */
    @GetMapping("/camera/selectFjsxt/{longitude}/{latitude}")
    @LogFeignCall
    public AjaxResult selectFjsxt(@PathVariable("longitude") String longitude, @PathVariable("latitude") String latitude);

    @PostMapping("/camera/cameraList")
    @LogFeignCall
    public AjaxResult cameraList(@RequestBody CentermonitorTCamera centermonitorTCamera);

    @GetMapping("/centerMonitorFeign/selectByCameraId/{id}")
    @LogFeignCall
    public R<AppCameraDetailsBO> getInfo(@PathVariable("id") String id);

    @GetMapping("/camerachannel/selectCameraChannelList")
    @LogFeignCall
    public R<List<AppCameraChannelBO>> selectCameraChannelList(@RequestParam("cameraId") String cameraId);

    @GetMapping("/DahuaController/getDahuaVideoServerApp")
    @LogFeignCall
    public AjaxResult getDahuaVideoServer();

    @PostMapping("/camera/selectCameraByDeptId")
    @LogFeignCall
    public AjaxResult selectCameraByDeptId(@RequestBody VisuForestMonitorCenterVO vo);

    @GetMapping("/broadcast/getDlblistBydeptId")
    @LogFeignCall
    public AjaxResult getDlblistBydeptId(@RequestParam("deptId") Long deptId, @RequestParam("broadcastUse") String broadcastUse, @RequestParam("type") String type, @RequestParam("name") String name);

    @GetMapping("device/getSensorListByDeptId")
    @LogFeignCall
    public AjaxResult getSensorListByDeptId(@RequestParam("deptId") Long deptId);

    @GetMapping("/DahuaController/rotation")
    @LogFeignCall
    public AjaxResult rotation(@RequestParam("lng") String lng, @RequestParam("lat") String lat, @RequestParam("list") List<String> list);

    @GetMapping("/camera/findCameraByEventCoordinate/{longitude}/{latitude}/{type}")
    @LogFeignCall
    public AjaxResult findCameraByEventCoordinate(@PathVariable("longitude") String lng, @PathVariable("latitude") String lat, @PathVariable("type") String type);

    @GetMapping("/device/getMonitorDeviceAndDataList")
    @LogFeignCall
    public AjaxResult getMonitorDeviceAndDataList(@RequestParam("deptId") String deptId, @RequestParam("deviceType") String deviceType, @RequestParam("deviceName") String deviceName);

    @GetMapping("/DahuaController/getToken")
    @LogFeignCall
    String getToken();

    @PostMapping("centerMonitorFeign/remoteList")
    @LogFeignCall
    R<List<CentermonitorTCamera>> remoteList(@RequestBody CentermonitorTCamera camera);

    @GetMapping("/camera/selectIdTCameraByIds/{ids}")
    @LogFeignCall
    AjaxResult selectIdTCameraByIds(@PathVariable("ids") String[] ids);

    @GetMapping("/camera/selectByCameraId/{id}")
    @LogFeignCall
    AjaxResult selectByCameraId(@PathVariable("id") String cameraId);

    @GetMapping("/device/selectByDeviceId/{id}")
    @LogFeignCall
    AjaxResult selectByDeviceId(@PathVariable("id")String id);

    @GetMapping("/broadcast/selectByBroadcastId/{id}")
    @LogFeignCall
    AjaxResult selectByBroadcastId(@PathVariable("id")String id);
}
