package com.sooka.sponest.mobile.remoteapi;

import com.ruoyi.common.core.domain.R;
import com.ruoyi.common.core.web.domain.AjaxResult;
import com.sooka.sponest.mobile.log.LogFeignCall;
import com.sooka.sponest.mobile.base.domain.ModulesServiceNameContants;
import com.sooka.sponest.mobile.event.domain.CenterTaskSelectTaskVO;
import com.sooka.sponest.mobile.event.domain.CenterTaskTaskDeptVO;
import com.sooka.sponest.mobile.event.domain.ReceiveTaskVO;
import com.sooka.sponest.mobile.event.domain.RefusedTaskVO;
import com.sooka.sponest.mobile.remoteapi.factory.RemoteBaseServiceTaskFactory;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

@FeignClient(contextId = "remoteTaskService", value = ModulesServiceNameContants.CENTER_TASK,
        fallbackFactory = RemoteBaseServiceTaskFactory.class, url = "${sooka.service.task}")
public interface RemoteTaskBaseService {

    /**
     * 查询任务部门
     *
     * @param vo
     * @return com.ruoyi.common.core.domain.R
     * @author pengyu
     * @date 2023/2/22 15:00
     **/
    @PostMapping("/centerTaskFeign/selectTaskDtpts")
    @LogFeignCall
    R selectTaskDtpts(@RequestBody CenterTaskTaskDeptVO vo);

    /**
     * 领取任务
     *
     * @param vo
     * @return com.ruoyi.common.core.web.domain.AjaxResult
     * @author pengyu
     * @date 2023/2/22 15:03
     **/
    @PostMapping("/centerTaskFeign/receiveTask")
    @LogFeignCall
    AjaxResult receiveTask(@RequestBody ReceiveTaskVO vo);

    /**
     * 拒绝任务
     *
     * @param vo
     * @return com.ruoyi.common.core.web.domain.AjaxResult
     * @author pengyu
     * @date 2023/2/22 15:03
     **/
    @PostMapping("/centerTaskFeign/refusedTask")
    @LogFeignCall
    AjaxResult refusedTask(@RequestBody RefusedTaskVO vo);

    @PostMapping("/centerTaskFeign/selectReceivedTaskBO")
    @LogFeignCall
    R selectReceivedTaskBO(@RequestBody CenterTaskSelectTaskVO vo);

    @PostMapping("/centerTaskFeign/selectUnclaimedTaskBO")
    @LogFeignCall
    R selectUnclaimedTaskBO(@RequestBody CenterTaskSelectTaskVO vo);
}
