package com.sooka.sponest.mobile.remoteapi.domain;

import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.datascope.base.domain.BaseBusinessEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;

/**
 * 森林防火队对象 centerdata_t_forest_fireteam
 *
 * @author ruoyi
 * @date 2022-05-03
 */
@ApiModel(description = "数据中心森林防火队实体类对象")
@Data
public class CenterdataTForestFireteam extends BaseBusinessEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @ApiModelProperty(value = "主键id")
    private String id;

    /**
     * 名称
     */
    @ApiModelProperty(value = "名称")
    @Excel(name = "名称")
    @NotBlank(message = "名称不能为空")
    private String name;

    /**
     * 经度
     */
    @ApiModelProperty(value = "经度")
    @Excel(name = "经度")
    private String longitude;

    /**
     * 纬度
     */
    @ApiModelProperty(value = "纬度")
    @Excel(name = "纬度")
    private String latitude;

    /**
     * 联系人
     */
    @ApiModelProperty(value = "联系人")
    @Excel(name = "联系人")
    private String fireteamPerson;

    /**
     * 电话
     */
    @ApiModelProperty(value = "电话")
    @Excel(name = "电话")
    @NotBlank(message = "电话不能为空")
    private String fireteamTel;

    /**
     * 部门ID
     */
    @ApiModelProperty(value = "部门id")
    private Long deptId;

    /**
     * 部门名称
     */
    @ApiModelProperty(value = "部门名称")
    @Excel(name = "部门名称")
    private String deptName;

    /**
     * 数据状态(1-可用 2-不可用 ) - 字典
     */
    private String dataStatus;

    /**
     * 数据所属部门(政或党的id)
     */
    private Long dataDeptId;

    /**
     * 距离
     */
    private String radius;

    @Override
    public String toString() {
        return "CenterdataTForestFireteam{" + "id='" + id + '\'' + ", name='" + name + '\'' + ", longitude='" + longitude + '\'' + ", latitude='" + latitude + '\'' + ", fireteamPerson='" + fireteamPerson + '\'' + ", fireteamTel='" + fireteamTel + '\'' + ", deptId=" + deptId + ", deptName='" + deptName + '\'' + ", dataStatus='" + dataStatus + '\'' + ", dataDeptId=" + dataDeptId + '}';
    }
}
