package com.sooka.sponest.mobile.remoteapi.domain;

import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.datascope.base.domain.BaseBusinessEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 取水口（同四平平台）对象 centerdata_t_forest_waterintake
 *
 * @author ruoyi
 * @date 2022-05-03
 */
@ApiModel(description = "数据中心取水口实体类对象")

public class CenterdataTForestWaterintake extends BaseBusinessEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @ApiModelProperty(value = "主键id", required = false)
    private String id;

    /**
     * 名称
     */
    @ApiModelProperty(value = "名称", required = false)
    @Excel(name = "名称")
    private String waterintakeName;

    /**
     * 经度
     */
    @ApiModelProperty(value = "经度", required = false)
    @Excel(name = "经度")
    private String longitude;

    /**
     * 纬度
     */
    @ApiModelProperty(value = "纬度", required = false)
    @Excel(name = "纬度")
    private String latitude;

    /**
     * 联系人
     */
    @ApiModelProperty(value = "联系人", required = false)
    @Excel(name = "联系人")
    private String waterintakePerson;

    /**
     * 电话
     */
    @ApiModelProperty(value = "电话", required = false)
    @Excel(name = "电话")
    private String waterintakeTel;

    /**
     * 数据状态(1-可用 2-不可用 ) - 字典
     */
    @Excel(name = "数据状态(1-可用 2-不可用 ) - 字典")
    private String dataStatus;

    /**
     * 所属部门
     */
    @ApiModelProperty(value = "部门id", required = false)

    private Long deptId;
    @ApiModelProperty(value = "部门名称", required = false)

    @Excel(name = "所属部门")
    private String deptName;

    public void setId(String id) {
        this.id = id;
    }

    public String getId() {
        return id;
    }

    public void setWaterintakeName(String waterintakeName) {
        this.waterintakeName = waterintakeName;
    }

    public String getWaterintakeName() {
        return waterintakeName;
    }

    public void setLongitude(String longitude) {
        this.longitude = longitude;
    }

    public String getLongitude() {
        return longitude;
    }

    public void setLatitude(String latitude) {
        this.latitude = latitude;
    }

    public String getLatitude() {
        return latitude;
    }

    public void setWaterintakePerson(String waterintakePerson) {
        this.waterintakePerson = waterintakePerson;
    }

    public String getWaterintakePerson() {
        return waterintakePerson;
    }

    public void setWaterintakeTel(String waterintakeTel) {
        this.waterintakeTel = waterintakeTel;
    }

    public String getWaterintakeTel() {
        return waterintakeTel;
    }

    public void setDataStatus(String dataStatus) {
        this.dataStatus = dataStatus;
    }

    public String getDataStatus() {
        return dataStatus;
    }

    public Long getDeptId() {
        return deptId;
    }

    public void setDeptId(Long deptId) {
        this.deptId = deptId;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("waterintakeName", getWaterintakeName())
                .append("longitude", getLongitude())
                .append("latitude", getLatitude())
                .append("waterintakePerson", getWaterintakePerson())
                .append("waterintakeTel", getWaterintakeTel())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("dataStatus", getDataStatus())
                .append("deptId", getDeptId())
                .append("deptName", getDeptName())
                .toString();
    }
}
