package com.sooka.sponest.mobile.remoteapi.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.core.web.domain.BaseEntity;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import java.util.Date;

/**
 * 隐患处理过程对象 centerevent_t_emergency_dangerprocess
 *
 * @author ruoyi
 * @date 2022-07-20
 */
@Data
public class CentereventTEmergencyDangerprocess extends BaseEntity {

    private static final long serialVersionUID = 1L;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    /**
     * 主键ID
     */
    private String id;

    /**
     * 删除人
     */
    @Excel(name = "删除人")
    private String deleteBy;

    /**
     * 删除时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "删除时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date deleteTime;

    /**
     * 数据状态
     */
    @Excel(name = "数据状态")
    private String dataStatus;

    /**
     * 隐患id
     */
    @Excel(name = "隐患id")
    private String dangerId;

    /**
     * 处理人id
     */
    @Excel(name = "处理人id")
    private Long userId;

    /**
     * 处理人姓名
     */
    @Excel(name = "处理人姓名")
    private String userName;

    /**
     * 处理描述
     */
    @Excel(name = "处理描述")
    private String processDes;

    /**
     * 处理人所属部门id
     */
    @Excel(name = "处理人所属部门id")
    private Long deptId;

    /**
     * 处理人所属部门名称
     */
    @Excel(name = "处理人所属部门名称")
    private String deptName;

    /**
     * $column.columnComment
     */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String processType;

    /**
     * $column.columnComment
     */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Long owndeptid;

    @NotBlank
    private String telphone;
}
