package com.sooka.sponest.mobile.remoteapi.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.core.web.domain.BaseEntity;
import lombok.Getter;
import lombok.Setter;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

/**
 * 巡检记录明细对象 centerevent_t_emergency_inspectionrecorddetail
 *
 * @author ruoyi
 * @date 2022-07-20
 */
public class CentereventTEmergencyInspectionrecorddetail extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键ID */
    private String id;

    /** 删除人 */
    @Excel(name = "删除人")
    private String deleteBy;

    /** 删除时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "删除时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date deleteTime;

    /** 数据状态 */
    @Excel(name = "数据状态")
    private String dataStatus;

    /** 巡检记录id */
    @Excel(name = "巡检记录id")
    private String inspectionrecordId;

    /** 巡检项目id */
    @Excel(name = "巡检项目id")
    private String inspectionitemId;

    /** 巡检项目名称 */
    @Excel(name = "巡检项目名称")
    private String inspectionitemName;

    /** 巡检结果(通过1，不通过0) */
    @Excel(name = "巡检结果(通过1，不通过0)")
    private String inspectionResult;

    /** 巡检描述 */
    @Excel(name = "巡检描述")
    private String inspectionitemDesc;
    private String weburl;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Long owndeptid;

    /** 数据所属部门(政或党的id) */
    @Excel(name = "数据所属部门(政或党的id)")
    private Long deptId;

    private List<AttachObject> attachs = new ArrayList<AttachObject>();

    private boolean inspectionitemCheck;

    public boolean getInspectionitemCheck() {
        return inspectionitemCheck;
    }

    public void setInspectionitemCheck(boolean inspectionitemCheck) {
        this.inspectionitemCheck = inspectionitemCheck;
    }

    public String getWeburl() {
        return weburl;
    }

    public void setWeburl(String weburl) {
        this.weburl = weburl;
    }

    @Getter
    @Setter
    public static class AttachObject{
        String url;
        String webUrl;

        public String getUrl() {
            return url;
        }

        public void setUrl(String url) {
            this.url = url;
        }

        public String getWebUrl() {
            return webUrl;
        }

        public void setWebUrl(String webUrl) {
            this.webUrl = webUrl;
        }
    }

    public List<AttachObject> getAttachs() {
        return attachs;
    }

    public void setAttachs(List<AttachObject> attachs) {
        this.attachs = attachs;
    }

    public void setId(String id)
    {
        this.id = id;
    }

    public String getId()
    {
        return id;
    }
    public void setDeleteBy(String deleteBy)
    {
        this.deleteBy = deleteBy;
    }

    public String getDeleteBy()
    {
        return deleteBy;
    }
    public void setDeleteTime(Date deleteTime)
    {
        this.deleteTime = deleteTime;
    }

    public Date getDeleteTime()
    {
        return deleteTime;
    }
    public void setDataStatus(String dataStatus)
    {
        this.dataStatus = dataStatus;
    }

    public String getDataStatus()
    {
        return dataStatus;
    }
    public void setInspectionrecordId(String inspectionrecordId)
    {
        this.inspectionrecordId = inspectionrecordId;
    }

    public String getInspectionrecordId()
    {
        return inspectionrecordId;
    }
    public void setInspectionitemId(String inspectionitemId)
    {
        this.inspectionitemId = inspectionitemId;
    }

    public String getInspectionitemId()
    {
        return inspectionitemId;
    }
    public void setInspectionitemName(String inspectionitemName)
    {
        this.inspectionitemName = inspectionitemName;
    }

    public String getInspectionitemName()
    {
        return inspectionitemName;
    }
    public void setInspectionResult(String inspectionResult)
    {
        this.inspectionResult = inspectionResult;
    }

    public String getInspectionResult()
    {
        return inspectionResult;
    }

    public String getInspectionitemDesc() {
        return inspectionitemDesc;
    }

    public void setInspectionitemDesc(String inspectionitemDesc) {
        this.inspectionitemDesc = inspectionitemDesc;
    }

    public void setOwndeptid(Long owndeptid)
    {
        this.owndeptid = owndeptid;
    }

    public Long getOwndeptid()
    {
        return owndeptid;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("deleteBy", getDeleteBy())
            .append("deleteTime", getDeleteTime())
            .append("dataStatus", getDataStatus())
            .append("inspectionrecordId", getInspectionrecordId())
            .append("inspectionitemId", getInspectionitemId())
            .append("inspectionitemName", getInspectionitemName())
            .append("inspectionResult", getInspectionResult())
            .append("inspectionitemDesc", getInspectionitemDesc())
            .append("owndeptid", getOwndeptid())
            .append("deptId", getDeptId())
            .toString();
    }
}
