package com.sooka.sponest.mobile.remoteapi.factory;

import com.ruoyi.common.core.domain.R;
import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.system.api.factory.RemoteUserFallbackFactory;
import com.sooka.sponest.mobile.remoteapi.RemoteAuthService;
import com.sooka.sponest.mobile.remoteapi.domain.LoginBody;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.cloud.openfeign.FallbackFactory;
import org.springframework.stereotype.Component;

@Component
public class RemoteAuthServiceFallbackFactory implements FallbackFactory<RemoteAuthService> {

    private static final Logger log = LoggerFactory.getLogger(RemoteUserFallbackFactory.class);

    @Override
    public RemoteAuthService create(Throwable cause) {
        log.error("认证中心-服务调用失败:{}", cause.getMessage());

        return new RemoteAuthService() {
            @Override
            public AjaxResult getSecretKeys(String sessionId) {
                return null;
            }

            @Override
            public R<?> loginApp(LoginBody form) {
                return null;
            }
        };

    }
}
