package com.sooka.sponest.mobile.remoteapi.factory;

import com.ruoyi.common.core.domain.R;
import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.system.api.factory.RemoteUserFallbackFactory;
import com.sooka.sponest.mobile.event.domain.CentereventMeetingSystemBO;
import com.sooka.sponest.mobile.remoteapi.RemoteMessageBaseService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.cloud.openfeign.FallbackFactory;
import org.springframework.stereotype.Component;

@Component
public class RemoteBaseServiceMessageFactory implements FallbackFactory<RemoteMessageBaseService> {

    private static final Logger log = LoggerFactory.getLogger(RemoteUserFallbackFactory.class);

    @Override
    public RemoteMessageBaseService create(Throwable cause) {
        log.error("数据中心-服务调用失败:{}", cause.getMessage());

        return new RemoteMessageBaseService() {
            @Override
            public AjaxResult selectAppMessageList(String userId) {
                return null;
            }

            @Override
            public AjaxResult selectAppMessageCount(String userId) {
                return null;
            }

            @Override
            public AjaxResult selectAppMessageById(String id) {
                return null;
            }

            @Override
            public R remoteSendMeetingMsg(CentereventMeetingSystemBO centereventMeetingSystemBO) {
                return null;
            }
        };
    }
}
