package com.sooka.sponest.mobile.remoteapi.factory;

import com.ruoyi.common.core.domain.R;
import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.system.api.factory.RemoteUserFallbackFactory;
import com.sooka.sponest.mobile.remoteapi.RemoteMonitorBaseService;
import com.sooka.sponest.mobile.system.camera.domain.AppCameraChannelBO;
import com.sooka.sponest.mobile.system.camera.domain.AppCameraDetailsBO;
import com.sooka.sponest.mobile.system.camera.domain.CentermonitorTCamera;
import com.sooka.sponest.mobile.system.camera.domain.VisuForestMonitorCenterVO;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.cloud.openfeign.FallbackFactory;
import org.springframework.stereotype.Component;

import java.util.List;
import java.util.Map;

/**
 * @program: ruoyi
 * @description: yy
 * @author: yy
 * @create: 2022-06-17 15:54
 **/
@Component
public class RemoteMonitorBaseServiceFallbackFactory implements FallbackFactory<RemoteMonitorBaseService> {
    private static final Logger log = LoggerFactory.getLogger(RemoteUserFallbackFactory.class);

    @Override
    public RemoteMonitorBaseService create(Throwable cause) {
        log.error("监控中心-服务调用失败:{}", cause.getMessage());
        return new RemoteMonitorBaseService() {
            @Override
            public AjaxResult selectFjsxt(String longitude, String latitude) {
                return null;
            }

            @Override
            public AjaxResult cameraList(CentermonitorTCamera centermonitorTCamera) {
                return null;
            }


            @Override
            public R<AppCameraDetailsBO> getInfo(String id) {
                return null;
            }

            @Override
            public R<List<AppCameraChannelBO>> selectCameraChannelList(String cameraId) {
                return null;
            }

            @Override
            public AjaxResult getDahuaVideoServer() {
                return null;
            }

            @Override
            public AjaxResult selectCameraByDeptId(VisuForestMonitorCenterVO vo) {
                return null;
            }

            @Override
            public AjaxResult getDlblistBydeptId(Long deptId,String broadcastUse, String type, String name) {
                return null;
            }

            @Override
            public AjaxResult getSensorListByDeptId(Long deptId) {
                return null;
            }

            @Override
            public AjaxResult rotation(String lng, String lat, List<String> list) {
                return null;
            }

            @Override
            public AjaxResult findCameraByEventCoordinate(String lng, String lat, String type) {
                return null;
            }

            @Override
            public AjaxResult getMonitorDeviceAndDataList(String deptId, String deviceType, String deviceName) {
                return null;
            }

            @Override
            public String getToken() {
                return null;
            }

            @Override
            public R<List<CentermonitorTCamera>> remoteList(CentermonitorTCamera camera) {
                return null;
            }

            @Override
            public AjaxResult selectIdTCameraByIds(String[] ids) {
                return null;
            }

            @Override
            public AjaxResult selectByCameraId(String cameraId) {
                return null;
            }

            @Override
            public AjaxResult selectByDeviceId(String id) {
                return null;
            }

            @Override
            public AjaxResult selectByBroadcastId(String id) {
                return null;
            }
        };
    }
}
