package com.sooka.sponest.mobile.remoteapi.factory;

import com.alibaba.fastjson.JSONObject;
import com.ruoyi.common.core.domain.R;
import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.common.core.web.page.TableDataInfo;
import com.ruoyi.system.api.domain.SysDept;
import com.ruoyi.system.api.domain.SysMenuEventType;
import com.ruoyi.system.api.domain.SysUser;
import com.ruoyi.system.api.factory.RemoteUserFallbackFactory;
import com.ruoyi.system.api.model.LoginUser;
import com.sooka.sponest.mobile.base.domain.SysAttendance;
import com.sooka.sponest.mobile.event.domain.SysUserSystem;
import com.sooka.sponest.mobile.remoteapi.RemoteSystemBaseService;
import com.sooka.sponest.mobile.system.login.domain.AppUpPwd;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.cloud.openfeign.FallbackFactory;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;
import java.util.Map;

/**
 * @program: ruoyi
 * @description: yy
 * @author: yy
 * @create: 2022-06-16 11:05
 **/
@Component
public class RemoteSystemBaseServiceFallbackFactory implements FallbackFactory<RemoteSystemBaseService> {

    private static final Logger log = LoggerFactory.getLogger(RemoteUserFallbackFactory.class);

    @Override
    public RemoteSystemBaseService create(Throwable throwable) {
        log.error("运管中心-服务调用失败:{}", throwable.getMessage());
        return new RemoteSystemBaseService() {

            @Override
            public TableDataInfo selectList() {
                return null;
            }

            @Override
            public AjaxResult getVersionInfo(String packageName) {
                return null;
            }

            @Override
            public AjaxResult noticlist(Integer pageNum, Integer pageSize) {
                return null;
            }

            @Override
            public AjaxResult getInfoApp(Long noticeId) {
                return null;
            }

            @Override
            public AjaxResult getConfigKey(String configKey) {
                return null;
            }

            @Override
            public R<SysUser> selectById(Long userId) {
                return null;
            }

            @Override
            public R<SysDept> selectDeptById(Long deptId) {
                return null;
            }

            @Override
            public R<List<SysDept>> treeselectAll() {
                return null;
            }

            @Override
            public R<String> selectConfigKey(String configKey) {
                return null;
            }

            @Override
            public R<Map<String, String>> remotegetConfigMap(List<String> keys) {
                return null;
            }

            @Override
            public R<LoginUser> getUserInfo(String username, String source) {
                return null;
            }

            @Override
            public R updateUserJg(String userName, String deviceid) {
                return null;
            }

            @Override
            public AjaxResult addAttendance(SysAttendance sys) {
                return null;
            }

            @Override
            public AjaxResult getAttendance(Long userId) {
                return null;
            }

            @Override
            public AjaxResult deptselector(String userName) {
                return null;
            }

            @Override
            public AjaxResult getDeptList(String deptName) {
                return null;
            }

            @Override
            public R<List<SysMenuEventType>> selectByMenuId(SysMenuEventType sysMenuEventType) {
                return null;
            }

            @Override
            public AjaxResult selectRoleMenuVisuTreest() {
                return null;
            }

            @Override
            public R<List<SysMenuEventType>> selectByMenuIds(String[] ids) {
                return null;
            }

            @Override
            public R<List<SysUserSystem>> selectUserWithPostByDeptId(Long deptId) {
                return null;
            }

            @Override
            public AjaxResult joinConferences(String eventId, String meetingSubject, String userName) {
                return null;
            }

            @Override
            public AjaxResult getAppChildrenMenuOrButtonByParentId(String parentId, String menuType) {
                return null;
            }

            @Override
            public AjaxResult getSortByType(String dictType) {
                return null;
            }

            @Override
            public AjaxResult getMenuListByParentId(@PathVariable("parentId") String parentId) {
                return null;
            }

            @Override
            public R<List<SysUser>> getUserList(@RequestBody SysUser sysUser) {
                return null;
            }

            @Override
            public List<SysUser> getUserListByPage(@RequestBody SysUser sysUser) {
                return null;
            }

            @Override
            public AjaxResult userDeptSelectIncludeChildren(String deptId) {
                return null;
            }

            @Override
            public AjaxResult getUserDeptSelect() {
                return null;
            }

            @Override
            public AjaxResult getChildren(String deptId, String postId) {
                return null;
            }

            @Override
            public AjaxResult getSortByTypeAndCount(String dictType) {
                return null;
            }

            @Override
            public AjaxResult getDeptsByDeptType(SysDept sysDept) {
                return null;
            }

            @Override
            public AjaxResult forceUpdatePwd(String username) {
                return null;
            }

            @Override
            public AjaxResult updatPwd(AppUpPwd appUpPwd) {
                return null;
            }
        };
    }

}
