package com.sooka.sponest.mobile.system.camera.domain;

import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.datascope.base.domain.BaseBusinessEntity;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.ArrayList;
import java.util.List;

/**
 * 摄像头对象 centermonitor_t_camera
 *
 * @author ruoyi
 * @date 2022-06-08
 */
@Data
public class CentermonitorTCamera extends BaseBusinessEntity
{
    private static final long serialVersionUID = 1L;

    private List<CentermonitorTCamera> list = new ArrayList<>();

    private Integer pageNum;

    private Integer pageSize;

    /** 主键id */
    private String id;

    private String type;

    private String typeName;

    /** 数据状态(1-可用 2-不可用 ) */
    @Excel(name = "数据状态(1-可用 2-不可用 )")
    private String dataStatus;

    /** 数据所属部门(政或党的id) */
    @Excel(name = "数据所属部门(政或党的id)")
    private Long deptId;

    /** 摄像头id */
    @Excel(name = "摄像头名称")
    private String cameraId;

    /** 摄像头名称 */
    @Excel(name = "摄像头名称")
    private String cameraName;

    /** ip */
    @Excel(name = "ip")
    private String cameraIp;

    /** 端口 */
    @Excel(name = "端口")
    private Long cameraPort;

    /** 账号 */
    @Excel(name = "账号")
    private String cameraAccount;

    /** 密码 */
    @Excel(name = "密码")
    private String cameraPasword;

    /** 摄像头编码 */
    @Excel(name = "摄像头编码")
    private String cameraCode;

    /** 摄像头厂家(海康、大华) */
    @Excel(name = "摄像头厂家(海康、大华)")
    private String cameraFactory;

    /** 所属区域 */
    @Excel(name = "所属区域")
    private String cameraRegion;

    /** 半径 */
    @Excel(name = "半径")
    private String cameraRadius;

    /** 高度 */
    @Excel(name = "高度")
    private String height;

    /** 经度 */
    @Excel(name = "经度")
    private String longitude;

    /** 维度 */
    @Excel(name = "维度")
    private String latitude;

    /** 摄像头类型 */
    @Excel(name = "摄像头类型")
    private String cameraType;

    /** 运营商类型 */
    @Excel(name = "运营商类型")
    private String operatorType;



    /** 摄像头距离 */
    @Excel(name = "摄像头距离")
    private String distance;

    private String channelCode;

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("dataStatus", getDataStatus())
            .append("dataDeptId", getDataDeptId())
            .append("cameraName", getCameraName())
            .append("cameraIp", getCameraIp())
            .append("cameraPort", getCameraPort())
            .append("cameraAccount", getCameraAccount())
            .append("cameraPasword", getCameraPasword())
            .append("cameraCode", getCameraCode())
            .append("cameraFactory", getCameraFactory())
            .append("cameraRegion", getCameraRegion())
            .append("cameraRadius", getCameraRadius())
            .append("height", getHeight())
            .append("longitude", getLongitude())
            .append("latitude", getLatitude())
            .append("cameraType", getCameraType())
            .append("operatorType", getOperatorType())
            .toString();
    }


    private String deptLongitude;
    private String deptLatitude;

    public String getDeptLongitude() {
        return deptLongitude;
    }

    public void setDeptLongitude(String deptLongitude) {
        this.deptLongitude = deptLongitude;
    }

    public String getDeptLatitude() {
        return deptLatitude;
    }

    public void setDeptLatitude(String deptLatitude) {
        this.deptLatitude = deptLatitude;
    }

}
