package com.sooka.sponest.mobile.system.login.domain;

import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.core.web.domain.BaseEntity;
import com.ruoyi.system.api.domain.SysMenuEventType;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;

@Data
public class SysMenuApp extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 菜单ID
     */
    private Long menuId;

    /**
     * 菜单名称
     */
    @Excel(name = "菜单名称")
    private String menuName;

    /**
     * 父菜单ID
     */
    @Excel(name = "父菜单ID")
    private String parentId;

    /**
     * 显示顺序
     */
    @Excel(name = "显示顺序")
    private Integer orderNum;

    /**
     * 路由地址
     */
    @Excel(name = "路由地址")
    private String path;

    /**
     * 组件路径
     */
    @Excel(name = "组件路径")
    private String component;

    /**
     * 路由参数
     */
    @Excel(name = "路由参数")
    private String query;

    /**
     * 是否为外链（0是 1否）
     */
    private String isFrame;

    /**
     * 菜单状态（0显示 1隐藏）
     */
    @Excel(name = "菜单状态", readConverterExp = "0=显示,1=隐藏")
    private String visible;

    /**
     * 菜单状态（0正常 1停用）
     */
    @Excel(name = "菜单状态", readConverterExp = "0=正常,1=停用")
    private String status;

    /**
     * 权限标识
     */
    @Excel(name = "权限标识")
    private String perms;

    /**
     * 菜单图标
     */
    @Excel(name = "菜单图标")
    private String icon;

    /**
     * 菜单类型（M目录 C菜单 F按钮）
     */
    @Excel(name = "菜单类型", readConverterExp = "M=目录,C=菜单,F=按钮")
    private String menuType;

    private List<SysMenuEventType> sysMenuEventTypes;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 子菜单
     */
    private List<SysMenuApp> children = new ArrayList<SysMenuApp>();
}
