package com.sooka.sponest.mobile.system.mainpage.service.impl;

import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.common.core.web.page.TableDataInfo;
import com.sooka.sponest.mobile.system.mainpage.service.AppMainPageService;
import com.sooka.sponest.mobile.remoteapi.RemoteSystemBaseService;
import com.sooka.sponest.mobile.utils.PictureReplaceAll;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.LinkedHashMap;
import java.util.List;
import java.util.Optional;

@Service
public class AppMainPageServiceImpl implements AppMainPageService {
    @Autowired
    RemoteSystemBaseService remoteSystemBaseService;

    /**
     * 获取主页信息
     *
     * @return com.ruoyi.common.core.web.domain.AjaxResult
     * @author pengyu
     * @date 2023/2/22 14:43
     **/
    @Override
    public AjaxResult getMainPageInfo() {
        AjaxResult ajax = new AjaxResult();
        TableDataInfo info = remoteSystemBaseService.selectList();
        List<LinkedHashMap<String, Object>> list = (List<LinkedHashMap<String, Object>>) info.getRows();
        PictureReplaceAll.replaceAllPictureUrl(list,"path");
        ajax.put("total", info.getTotal());
        ajax.put("list", list);
        return AjaxResult.success(ajax);
    }
}
