package com.sooka.sponest.mobile.system.users;

import com.ruoyi.common.core.constant.HttpStatus;
import com.ruoyi.common.core.domain.R;
import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.common.core.web.page.TableDataInfo;
import com.ruoyi.system.api.domain.SysUser;
import com.sooka.sponest.mobile.remoteapi.RemoteSystemBaseService;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;

/**
 * @Author LG
 * @Date 2023/10/11 - 9:57
 */
@RestController
@RequestMapping("/user")
public class UserController {

    @Resource
    RemoteSystemBaseService remoteSystemBaseService;

    @PostMapping("/userFeginList")
    public AjaxResult getUserList(@RequestBody SysUser sysUser){
        R<List<SysUser>> userList = remoteSystemBaseService.getUserList(sysUser);
        if(HttpStatus.SUCCESS == userList.getCode()){
            return AjaxResult.success(userList.getData());
        }else{
            return AjaxResult.error(userList.getCode(), userList.getMsg());
        }
    }

    @PostMapping("/userFeginListByPage")
    public AjaxResult getUserListByPage(@RequestBody SysUser sysUser){
        List<SysUser> userList = remoteSystemBaseService.getUserListByPage(sysUser);
        return AjaxResult.success(userList);
    }
}
