package com.sooka.sponest.mobile.utils;

import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.common.security.utils.DictUtils;
import com.ruoyi.system.api.domain.SysDictData;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

@RestController
@RequestMapping("AppDictUtilController")
public class DictUtil {


    /**
     * 获取字典
     * @author pengyu
     * @date 2023/2/22 16:31
     * @param dict
     * @return com.ruoyi.common.core.web.domain.AjaxResult
     **/
    @PostMapping("getDict")
    public AjaxResult getDict(@RequestBody Map dict){
        AjaxResult ajax = new AjaxResult();
        ajax.put("dict", getDict((String)dict.get("key")));
        return AjaxResult.success(ajax);
    }

    public List<List<Map>> getDict(String keys){
        List<List<Map>> list = new ArrayList();
        String[] keyArr = keys.split(",");
        for (String key :keyArr) {
            List<Map> dictList = new ArrayList();
            List<SysDictData> dataList = DictUtils.getDictCache(key);
            for (SysDictData dict :dataList) {
                Map map = new HashMap();
                map.put("value", dict.getDictValue());
                map.put("label", dict.getDictLabel());
                dictList.add(map);
            }
            list.add(dictList);
        }
        return list;
    }

    public static String getLabel(String key, String value){
        List<SysDictData> list =  DictUtils.getDictCache(key);
        if(list == null || list.size() == 0){
            return "";
        }else {
            for(SysDictData dictData: list){
                if(dictData.getDictValue().equals(value)){
                    return dictData.getDictLabel();
                }
            }
        }
        return "";
    }

    public static String getLabels(String key, String values){
        String[] valueArr = values.split(",");
        String[] labelArr = new String[valueArr.length];
        for (int i = 0; i < valueArr.length; i++) {
            labelArr[i] = DictUtil.getLabel(key, valueArr[i]);
        }
        return String.join(",", labelArr);
    }
}
