package com.sooka.sponest.mobile.utils;

import com.ruoyi.common.core.utils.SpringUtils;
import com.ruoyi.common.core.utils.StringUtils;
import com.sooka.sponest.mobile.remoteapi.RemoteSystemBaseService;
import org.apache.commons.collections4.MapUtils;

import java.util.*;

/**
 * @Author LG
 * @Date 2023/8/16 - 22:49
 * @Api 移动端图片处理类
 */
public class PictureReplaceAll {

    /**
     * 替换前缀
     *
     * @author LG
     * @Date 2023/8/16 22:52
     */
    public static void replaceAllPictureUrl(List<LinkedHashMap<String, Object>> list, String replaceKey) {
        String oldIp = SpringUtils.getBean(RemoteSystemBaseService.class).selectConfigKey("fileUrl").getData();
        String newIp = SpringUtils.getBean(RemoteSystemBaseService.class).selectConfigKey("appUrl").getData();
        list.replaceAll(map -> replaceSchedulePictures(map, replaceKey, oldIp, newIp));
    }

    public static List<LinkedHashMap<String, Object>> replaceAllPictureUrl2(List<String> list, String replaceKey) {
        String oldIp = SpringUtils.getBean(RemoteSystemBaseService.class).selectConfigKey("fileUrl").getData();
        String newIp = SpringUtils.getBean(RemoteSystemBaseService.class).selectConfigKey("appUrl").getData();
        List<LinkedHashMap<String, Object>> result = new ArrayList<>();
        list.forEach(item -> {
            LinkedHashMap<String, Object> map = new LinkedHashMap<>();
            map.put(replaceKey, item.replaceAll(oldIp, newIp));
            result.add(map);
        });
        return result;
    }

    public static LinkedHashMap<String, Object> replaceSchedulePictures(LinkedHashMap<String, Object> map, String replaceKey, String oldIp, String newIp) {
        String url = Optional.ofNullable(map.get(replaceKey)).map(Object::toString).map(s -> s.replaceAll(oldIp, newIp)).orElse("");
        map.put(replaceKey, url);
        return map;
    }

    public static List<String> replacePicturesList(List<String> picturesList) {
        List<String> result = new ArrayList<>();
        String oldIp = SpringUtils.getBean(RemoteSystemBaseService.class).selectConfigKey("fileUrl").getData();
        String newIp = SpringUtils.getBean(RemoteSystemBaseService.class).selectConfigKey("appUrl").getData();
        picturesList.forEach(s -> {
            result.add(s.replaceAll(oldIp, newIp));
        });
        return result;
    }

    public static void StringToList(Map<String, Object> info) {
        if (StringUtils.isNotBlank(MapUtils.getString(info, "attachPaths"))) {
            List<String> attachPaths = Arrays.asList(MapUtils.getString(info, "attachPaths").split(","));
            info.put("attachPaths", replacePicturesList(attachPaths));
        }else {
            info.put("attachPaths", new ArrayList<>());
        }
    }
}
