package com.sooka.sponest.mobile.zhsq.danyuan.controller;

import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.common.core.web.page.TableDataInfo;
import com.sooka.sponest.mobile.base.controller.AppBaseController;
import com.sooka.sponest.mobile.zhsq.danyuan.domain.AppDanyuanVO;
import com.sooka.sponest.mobile.zhsq.danyuan.service.AppDanyuanService;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;

/**
 * 网格化单元接口信息（全用）
 *
 * @author pengyu
 * @date 2023/2/23 9:17
 **/
@RestController
@RequestMapping("AppDanyuanController")
public class AppDanyuanController extends AppBaseController {

    @Resource
    AppDanyuanService service;

    @ApiOperation(value = "单元列表", notes = "单元列表")
    @GetMapping("list")
    public AjaxResult list(AppDanyuanVO vo) {
        TableDataInfo dataTable = service.list(vo);
        AjaxResult ajax = new AjaxResult();
        ajax.put("list", dataTable.getRows());
        ajax.put("total", dataTable.getTotal());
        return AjaxResult.success(ajax);
    }

    @ApiOperation(value = "新增单元", notes = "新增单元")
    @PostMapping("add")
    public AjaxResult add(@RequestBody AppDanyuanVO vo) {
        return service.add(vo);
    }
}
