package com.sooka.sponest.mobile.zhsq.danyuan.service.impl;

import com.ruoyi.common.core.utils.DateUtils;
import com.ruoyi.common.core.utils.uuid.UUID;
import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.common.core.web.page.PageDomain;
import com.ruoyi.common.core.web.page.TableDataInfo;
import com.ruoyi.common.core.web.page.TableSupport;
import com.ruoyi.common.datascope.annotation.DataScopeMutiDept;
import com.ruoyi.common.security.utils.SecurityUtils;
import com.ruoyi.system.api.domain.SysUser;
import com.sooka.sponest.mobile.data.digitalagriculture.domain.VisuBaseService;
import com.sooka.sponest.mobile.remoteapi.RemoteDataBaseService;
import com.sooka.sponest.mobile.zhsq.danyuan.domain.AppDanyuanVO;
import com.sooka.sponest.mobile.zhsq.danyuan.service.AppDanyuanService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

/**
 * 网格化单元接口信息（全用）
 *
 * @author pengyu
 * @date 2023/2/23 9:17
 **/
@Service
public class AppDanyuanServiceImpl extends VisuBaseService implements AppDanyuanService {

    @Resource
    RemoteDataBaseService remoteDataBaseService;

    @Override
    @DataScopeMutiDept(deptAlias = "d", userAlias = "u")
    public TableDataInfo list(AppDanyuanVO vo) {
        PageDomain pageDomain = TableSupport.buildPageRequest();
        Integer pageNum = pageDomain.getPageNum();
        Integer pageSize = pageDomain.getPageSize();
        return remoteDataBaseService.listDanyuan(pageNum, pageSize, vo);
    }

    @Override
    public AjaxResult add(AppDanyuanVO vo) {
        vo.setId(UUID.getUUID());
        SysUser sysUser = SecurityUtils.getLoginUser().getSysUser();
        vo.setCreateBy(String.valueOf(sysUser.getUserId()));
        vo.setCreateName(sysUser.getNickName());
        vo.setCreateTime(DateUtils.getNowDate());
        return remoteDataBaseService.addDanyuan(vo);
    }
}
