package com.sooka.sponest.mobile.zhsq.dbrw.controller;

import com.ruoyi.common.core.web.domain.AjaxResult;
import com.sooka.sponest.mobile.base.controller.AppBaseController;
import com.sooka.sponest.mobile.zhsq.dbrw.domain.AppDbrwVO;
import com.sooka.sponest.mobile.zhsq.dbrw.service.AppDbrwService;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;

@RestController
@RequestMapping("AppDbrwController")
public class AppDbrwController extends AppBaseController {

    @Resource
    AppDbrwService service;


    /**
     * 查询待办任务列表
     *
     * @param vo
     * @return com.ruoyi.common.core.web.domain.AjaxResult
     * @author pengyu
     * @date 2023/2/22 16:23
     **/
    @ApiOperation(value = "查询待办任务列表", notes = "查询待办任务列表")
    @GetMapping("list")
    public AjaxResult list(AppDbrwVO vo) {
        return service.list(vo);
    }

    /**
     * 待办任务详情
     *
     * @param vo
     * @return com.ruoyi.common.core.web.domain.AjaxResult
     * @author pengyu
     * @date 2023/2/22 16:23
     **/
    @ApiOperation(value = "待办任务详情", notes = "待办任务详情")
    @PostMapping("detail")
    public AjaxResult detail(@RequestBody AppDbrwVO vo) {
        return service.detail(vo);
    }


}
