package com.sooka.sponest.mobile.zhsq.fangjian.controller;

import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.common.core.web.page.TableDataInfo;
import com.sooka.sponest.mobile.base.controller.AppBaseController;
import com.sooka.sponest.mobile.zhsq.fangjian.domain.AppFangjianVO;
import com.sooka.sponest.mobile.zhsq.fangjian.service.AppFangjianService;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;

/**
 * 网格化房间接口信息（全用）
 *
 * @author wang_xy
 * @Version 1.0
 * @return
 * @since 2023/2/22 15:49
 */
@RestController
@RequestMapping("AppFangjianController")
public class AppFangjianController extends AppBaseController {

    @Resource
    AppFangjianService service;

    @ApiOperation(value = "房间列表", notes = "房间列表")
    @GetMapping("list")
    public AjaxResult list(AppFangjianVO vo) {
        TableDataInfo dataTable = service.list(vo);
        AjaxResult ajax = new AjaxResult();
        ajax.put("list", dataTable.getRows());
        ajax.put("total", dataTable.getTotal());
        return AjaxResult.success(ajax);
    }

    @ApiOperation(value = "添加房间", notes = "添加房间")
    @PostMapping("add")
    public AjaxResult add(@RequestBody AppFangjianVO vo) {
        return service.add(vo);
    }
}
