package com.sooka.sponest.mobile.zhsq.fangjian.service.impl;

import com.ruoyi.common.core.utils.DateUtils;
import com.ruoyi.common.core.utils.uuid.UUID;
import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.common.core.web.page.PageDomain;
import com.ruoyi.common.core.web.page.TableDataInfo;
import com.ruoyi.common.core.web.page.TableSupport;
import com.ruoyi.common.datascope.annotation.DataScopeMutiDept;
import com.ruoyi.common.security.utils.SecurityUtils;
import com.ruoyi.system.api.domain.SysUser;
import com.sooka.sponest.mobile.data.digitalagriculture.domain.VisuBaseService;
import com.sooka.sponest.mobile.remoteapi.RemoteDataBaseService;
import com.sooka.sponest.mobile.zhsq.fangjian.domain.AppFangjianVO;
import com.sooka.sponest.mobile.zhsq.fangjian.service.AppFangjianService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

/**
 * 网格化房间接口信息（全用）
 *
 * @author wang_xy
 * @Version 1.0
 * @return
 * @since 2023/2/22 15:49
 */
@Service
public class AppFangjianServiceImpl extends VisuBaseService implements AppFangjianService {

    @Resource
    RemoteDataBaseService remoteDataBaseService;

    @Override
    @DataScopeMutiDept(deptAlias = "d", userAlias = "u")
    public TableDataInfo list(AppFangjianVO vo) {
        PageDomain pageDomain = TableSupport.buildPageRequest();
        Integer pageNum = pageDomain.getPageNum();
        Integer pageSize = pageDomain.getPageSize();
        return remoteDataBaseService.listFangjian(pageNum, pageSize, vo);
    }

    @Override
    public AjaxResult add(AppFangjianVO vo) {
        vo.setId(UUID.getUUID());
        SysUser sysUser = SecurityUtils.getLoginUser().getSysUser();
        vo.setCreateBy(String.valueOf(sysUser.getUserId()));
        vo.setCreateName(sysUser.getNickName());
        vo.setCreateTime(DateUtils.getNowDate());
        return remoteDataBaseService.addFangjian(vo).getData();
    }
}
