package com.sooka.sponest.mobile.zhsq.loudong.controller;

import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.common.core.web.page.TableDataInfo;
import com.sooka.sponest.mobile.base.controller.AppBaseController;
import com.sooka.sponest.mobile.zhsq.loudong.domain.AppLoudongVO;
import com.sooka.sponest.mobile.zhsq.loudong.service.AppLoudongService;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;

/**
 * 网格化楼栋接口信息（全用）
 *
 * @author pengyu
 * @date 2023/2/23 9:17
 **/
@RestController
@RequestMapping("AppLoudongController")
public class AppLoudongController extends AppBaseController {

    @Resource
    AppLoudongService service;

    @ApiOperation(value = "楼栋", notes = "楼栋")
    @GetMapping("list")
    public AjaxResult list(AppLoudongVO vo) {
        TableDataInfo dataTable = service.list(vo);
        AjaxResult ajax = new AjaxResult();
        ajax.put("list", dataTable.getRows());
        ajax.put("total", dataTable.getTotal());
        return AjaxResult.success(ajax);
    }

    @ApiOperation(value = "添加楼栋", notes = "添加楼栋")
    @PostMapping("add")
    public AjaxResult add(@RequestBody AppLoudongVO vo) {
        return service.add(vo);
    }
}
