package com.sooka.sponest.mobile.zhsq.loudong.service.impl;

import com.ruoyi.common.core.utils.DateUtils;
import com.ruoyi.common.core.utils.uuid.UUID;
import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.common.core.web.page.PageDomain;
import com.ruoyi.common.core.web.page.TableDataInfo;
import com.ruoyi.common.core.web.page.TableSupport;
import com.ruoyi.common.datascope.annotation.DataScopeMutiDept;
import com.ruoyi.common.security.utils.SecurityUtils;
import com.ruoyi.system.api.domain.SysUser;
import com.sooka.sponest.mobile.data.digitalagriculture.domain.VisuBaseService;
import com.sooka.sponest.mobile.remoteapi.RemoteDataBaseService;
import com.sooka.sponest.mobile.zhsq.loudong.domain.AppLoudongVO;
import com.sooka.sponest.mobile.zhsq.loudong.service.AppLoudongService;
import com.sooka.sponest.mobile.zhsq.person.service.AppPersonService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

/**
 * 楼栋信息采集（全用）
 *
 * @author pengyu
 * @date 2023/2/23 9:17
 **/
@Service
public class AppLoudongServiceImpl extends VisuBaseService implements AppLoudongService {

    @Resource
    AppPersonService service;
    @Resource
    RemoteDataBaseService remoteDataBaseService;

    @Override
    @DataScopeMutiDept(deptAlias = "d", userAlias = "u")
    public TableDataInfo list(AppLoudongVO vo) {
        PageDomain pageDomain = TableSupport.buildPageRequest();
        Integer pageNum = pageDomain.getPageNum();
        Integer pageSize = pageDomain.getPageSize();
        return remoteDataBaseService.listLoudong(pageNum, pageSize, vo);
    }

    @Override
    public AjaxResult add(AppLoudongVO vo) {
        setSookaDataBase(vo);
        vo.setId(UUID.getUUID());
        SysUser sysUser = SecurityUtils.getLoginUser().getSysUser();
        vo.setCreateBy(String.valueOf(sysUser.getUserId()));
        vo.setCreateName(sysUser.getNickName());
        vo.setCreateTime(DateUtils.getNowDate());
        return remoteDataBaseService.addLoudong(vo);
    }
}
