package com.sooka.sponest.mobile.zhsq.person.controller;

import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.common.core.web.page.TableDataInfo;
import com.sooka.sponest.mobile.base.controller.AppBaseController;
import com.sooka.sponest.mobile.zhsq.person.domain.AppPersonVO;
import com.sooka.sponest.mobile.zhsq.person.service.AppPersonService;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;

/**
 * 人员信息采集（全用）
 *
 * @author wang_xy
 * @Version 1.0
 * @return
 * @since 2023/2/22 15:53
 */
@RestController
@RequestMapping("AppPersonController")
public class AppPersonController extends AppBaseController {

    @Resource
    AppPersonService service;

    @ApiOperation(value = "人员列表", notes = "人员列表")
    @GetMapping("list")
    public AjaxResult list(AppPersonVO vo) {
        TableDataInfo dataTable = service.list(vo);
        AjaxResult ajax = new AjaxResult();
        ajax.put("list", dataTable.getRows());
        ajax.put("total", dataTable.getTotal());
        return AjaxResult.success(ajax);
    }

    @ApiOperation(value = "添加人员", notes = "添加人员")
    @PostMapping("add")
    public AjaxResult add(@RequestBody AppPersonVO vo) {
        return service.add(vo);
    }

    @ApiOperation(value = "人员详情", notes = "人员详情")
    @PostMapping("detail")
    public AjaxResult detail(@RequestBody AppPersonVO vo) {
        return service.detail(vo);
    }
}
