package com.sooka.sponest.mobile.zhsq.person.domain;

import com.sooka.sponest.mobile.utils.DictUtil;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class AppPersonDetail {

    /**
     * 基础信息
     */

    /** 主键id */
    private String id;

    /** 特殊人群组 */
    private String tsrqIdsStr;
    private String tsrqIdsLabel;
    public String getTsrqIdsLabel(){
        if(tsrqIdsStr == null){
            return null;
        }else {
            String tsrqLabel = "";
            String[] tsrqIds = tsrqIdsStr.split(",");
            for (String tsrqId :tsrqIds) {
                tsrqLabel += DictUtil.getLabel("rfh_per_tsrq", tsrqId);
            }
            return tsrqLabel;
        }
    }

    /** 人员姓名 */
    private String perName;

    /** 性别 */
    private String perSex;
    private String perSexLabel;
    public String getPerSexLabel(){
        return DictUtil.getLabel("sys_user_sex", perSex);
    }

    /** 民族 */
    private String perNation;
    private String perNationLabel;
    public String getPerNationLabel(){
        return DictUtil.getLabel("rfh_per_mz", perNation);
    }

    /** 年龄 */
    private String perAge;

    /** 身份证号 */
    private String perIdcard;

    /** 联系方式 */
    private String perTel;

    /** 政治面貌 */
    private String perZzmm;
    private String perZzmmLabel;
    public String getPerZzmmLabel(){
        return DictUtil.getLabel("rfh_per_zzmm", perZzmm);
    }

    /** 文化程度 */
    private String perDegree;
    private String perDegreeLabel;
    public String getPerDegreeLabel(){
        return DictUtil.getLabel("rfh_per_whcd", perDegree);
    }

    /** 与房主关系 */
    private String perFzgx;
    private String perFzgxLabel;
    public String getPerFzgxLabel(){
        return DictUtil.getLabel("rfh_per_fzgx", perFzgx);
    }

    /** 是否空挂 */
    private String perSfkg;
    private String perSfkgLabel;
    public String getPerSfkgLabel(){
        return DictUtil.getLabel("sys_yes_no", perSfkg);
    }

    /** 与户主关系 */
    private String perHzgx;
    private String perHzgxLabel;
    public String getPerHzgxLabel(){
        return DictUtil.getLabel("rfh_per_hzgx", perHzgx);
    }

    /** 户籍地址 */
    private String perHj;

    /** 工作单位 */
    private String perDw;

    /** 是否一汽退休老干部 */
    private String perYqtx;
    private String perYqtxLabel;
    public String getPerYqtxLabel(){
        return DictUtil.getLabel("sys_yes_no", perYqtx);
    }

    /** 宗教集会场所 */
    private String perZjcs;

    /** 是否为人大代表或委员 */
    private String perRddb;
    private String perRddbLabel;
    public String getPerRddbLabel(){
        return DictUtil.getLabel("sys_yes_no", perRddb);
    }

    /** 流动属性 */
    private String perLdsx;
    private String perLdsxLabel;
    public String getPerLdsxLabel(){
        return DictUtil.getLabel("rfh_per_ldsx", perLdsx);
    }

    /** 房间主键ID */
    private String fjId;

    /** 部门ID */
    private String deptId;

    /** 部门名称 */
    private String deptName;

    /**
     * 房间信息
     */

    /** 小区主键ID */
    private String xqId;

    /** 小区名称 */
    private String xqName;

    /** 楼栋主键ID */
    private String ldId;

    /** 楼栋名称 */
    private String ldName;

    /** 单元主键ID */
    private String dyId;

    /** 单元名称 */
    private String dyName;

    /** 房间名称 */
    private String fjName;

    /** 所在楼层 */
    private String fjLc;

    /** 所在街道ID */
    private Long jdId;

    /** 所在街道名称 */
    private String jdName;

    /** 所在社区ID */
    private Long sqId;

    /** 所在社区名称 */
    private String sqName;

    /** 所在网格ID */
    private Long wgId;

    /** 所在网格名称 */
    private String wgName;

    /** 是否是平房 */
    private String fjSfpf;
    private String fjSfpfLabel;
    public String getFjSfpfLabel(){
        return DictUtil.getLabel("sys_yes_no", fjSfpf);
    }

    /** 是否有地下室 */
    private String fjSfydxs;
    private String fjSfydxsLabel;
    public String getFjSfydxsLabel(){
        return DictUtil.getLabel("sys_yes_no", fjSfydxs);
    }

    /** 地下室是否住人 */
    private String fjSfzr;
    private String fjSfzrLabel;
    public String getFjSfzrLabel(){
        return DictUtil.getLabel("sys_yes_no", fjSfzr);
    }

    /** 是否有危房 */
    private String fjSffw;
    private String fjSffwLabel;
    public String getFjSffwLabel(){
        return DictUtil.getLabel("sys_yes_no", fjSffw);
    }

    /** 管理方式 */
    private String fjGlfs;
    private String fjGlfsLabel;
    public String getFjGlfsLabel(){
        return DictUtil.getLabel("rfh_fj_glfs", fjGlfs);
    }

    /** 管理委员会情况 */
    private String fjWyh;
    private String fjWyhLabel;
    public String getFjWyhLabel(){
        return DictUtil.getLabel("rfh_fj_wyh", fjWyh);
    }

    /** 是否有违法建筑 */
    private String fjWfjz;
    private String fjWfjzLabel;
    public String getFjWfjzLabel(){
        return DictUtil.getLabel("sys_yes_no", fjWfjz);
    }

    /** 是否养殖有宠物 */
    private String fjSfcw;
    private String fjSfcwLabel;
    public String getFjSfcwLabel(){
        return DictUtil.getLabel("sys_yes_no", fjSfcw);
    }

    /** 是否养殖鸽子或鸡等禽畜 */
    private String fjSfgz;
    private String fjSfgzLabel;
    public String getFjSfgzLabel(){
        return DictUtil.getLabel("sys_yes_no", fjSfgz);
    }

    /** 是否为门市房 */
    private String fjSfmsf;
    private String fjSfmsfLabel;
    public String getFjSfmsfLabel(){
        return DictUtil.getLabel("sys_yes_no", fjSfmsf);
    }

    /** 商户类型 */
    private String fjShlx;
    private String fjShlxLabel;
    public String getFjShlxLabel(){
        return DictUtil.getLabel("rfh_fj_shlx", fjShlx);
    }

    /** 餐饮业是否有高空排烟设备 */
    private String fjSfgkpy;
    private String fjSfgkpyLabel;
    public String getFjSfgkpyLabel(){
        return DictUtil.getLabel("sys_yes_no", fjSfgkpy);
    }

    /** 餐饮业是否有油烟净化器 */
    private String fjSfjhq;
    private String fjSfjhqLabel;
    public String getFjSfjhqLabel(){
        return DictUtil.getLabel("sys_yes_no", fjSfjhq);
    }

    /** 是否烧炉子（煤/木头） */
    private String fjSfslz;
    private String fjSfslzLabel;
    public String getFjSfslzLabel(){
        return DictUtil.getLabel("sys_yes_no", fjSfslz);
    }

    /** 房间性质 */
    private String rfhFjxz;
    private String rfhFjxzLabel;
    public String getRfhFjxzLabel(){
        return DictUtil.getLabel("rfh_fj_fjxz", rfhFjxz);
    }

    /**
     * 保险信息
     */

    /** 城职保是否参保 */
    private String bxCzbYanglaoSfcb;
    private String bxCzbYanglaoSfcbLabel;
    public String getBxCzbYanglaoSfcbLabel(){
        return DictUtil.getLabel("sys_yes_no", bxCzbYanglaoSfcb);
    }

    /** 城职保参保时间 */
    private String bxCzbYanglaoCbsj;

    /** 城职保是否享待 */
    private String bxCzbYanglaoSfxd;
    private String bxCzbYanglaoSfxdLabel;
    public String getBxCzbYanglaoSfxdLabel(){
        return DictUtil.getLabel("sys_yes_no", bxCzbYanglaoSfxd);
    }

    /** 城居保是否参保 */
    private String bxCjbYanglaoSfcb;
    private String bxCjbYanglaoSfcbLabel;
    public String getBxCjbYanglaoSfcbLabel(){
        return DictUtil.getLabel("sys_yes_no", bxCjbYanglaoSfcb);
    }

    /** 城居保参保时间 */
    private String bxCjbYanglaolCbsj;

    /** 城居保是否享待 */
    private String bxCjbYanglaoSfxd;
    private String bxCjbYanglaoSfxdLabel;
    public String getBxCjbYanglaoSfxdLabel(){
        return DictUtil.getLabel("sys_yes_no", bxCjbYanglaoSfxd);
    }

    /** 城镇职工医疗保险是否参保 */
    private String bxCzbYiliaoSfcb;
    private String bxCzbYiliaoSfcbLabel;
    public String getBxCzbYiliaoSfcbLabel(){
        return DictUtil.getLabel("sys_yes_no", bxCzbYiliaoSfcb);
    }

    /** 城镇职工医疗保险参保时间 */
    private String bxCzbYiliaoCbsj;

    /** 城镇职工医疗保险停保时间 */
    private String bxCzbYiliaoTbsj;

    /** 城镇居民医疗保险是否参保 */
    private String bxCjbYiliaoSfcb;
    private String bxCjbYiliaoSfcbLabel;
    public String getBxCjbYiliaoSfcbLabel(){
        return DictUtil.getLabel("sys_yes_no", bxCjbYiliaoSfcb);
    }

    /** 城镇居民医疗保险参保时间 */
    private String bxCjbYiliaoCbsj;

    /** 城镇居民医疗保险停保时间 */
    private String bxCjbYiliaoTbsj;

    /**
     * 残联信息
     */

    /** 残疾人证等级 */
    private String canjiCjz;

    /** 残疾种类 */
    private String canjiType;


    /** 是否享受重度残疾人补贴情况 */
    private String canjiBt;
    private String canjiBtLabel;
    public String getCanjiBtLabel(){
        return DictUtil.getLabel("rfh_cj_btqk", canjiBt);
    }

    /** 是否居家关爱巡防对象 */
    private String canjiSfxf;
    private String canjiSfxfLabel;
    public String getCanjiSfxfLabel(){
        return DictUtil.getLabel("sys_yes_no", canjiSfxf);
    }

    /** 巡防频次 */
    private String canjiXfpc;

    /**
     * 低保信息
     */

    /** 是否重病 */
    private String dbSfzb;
    private String dbSfzbLabel;
    public String getDbSfzbLabel(){
        return DictUtil.getLabel("sys_yes_no", dbSfzb);
    }

    /** 是否重残 */
    private String dbSfzc;
    private String dbSfzcLabel;
    public String getDbSfzcLabel(){
        return DictUtil.getLabel("sys_yes_no", dbSfzc);
    }

    /** 现住地 */
    private String dbXzz;

    /** 家庭情况 */
    private String dbJt;

    /** 是否集中供养 */
    private String dbSfjzgy;
    private String dbSfjzgyLabel;
    public String getDbSfjzgyLabel(){
        return DictUtil.getLabel("sys_yes_no", dbSfjzgy);
    }

    /** 是否分散供养 */
    private String dbSffsgy;
    private String dbSffsgyLabel;
    public String getDbSffsgyLabel(){
        return DictUtil.getLabel("sys_yes_no", dbSffsgy);
    }

    /** 监护人 */
    private String dbJhr;

    /** 监护人现住址 */
    private String dbJhrzz;

    /** 监护人与本人关系 */
    private String dbGx;
    private String dbGxLabel;
    public String getDbGxLabel(){
        return DictUtil.getLabel("rfh_db_gx", dbGx);
    }

    /**
     * 计生信息
     */

    /** 初婚时间 */
    private String jsChsj;

    /** 再婚时间 */
    private String jsZhsj;

    /** 避孕措施 */
    private String jsBycs;

    /** 独生子女情况 */
    private String jsDsznqk;
    private String jsDsznqkLabel;
    public String getJsDsznqkLabel(){
        return DictUtil.getLabel("rfh_js_dsznqk", jsDsznqk);
    }

    /** 扶助账号 */
    private String jsFzzh;

    /** 是否困难家庭妇女儿童 */
    private String jsSfkn;
    private String jsSfknLabel;
    public String getJsSfknLabel(){
        return DictUtil.getLabel("sys_yes_no", jsSfkn);
    }

    /** 是否孤儿 */
    private String jsSfge;
    private String jsSfgeLabel;
    public String getJsSfgeLabel(){
        return DictUtil.getLabel("sys_yes_no", jsSfge);
    }

    /** 监护人 */
    private String jsJhr;

    /** 监护人与本人关系 */
    private String jsGx;
    private String jsGxLabel;
    public String getJsGxLabel(){
        return DictUtil.getLabel("rfh_db_gx", jsGx);
    }

    /** 是否事实无抚养儿童 */
    private String jsSfsswfyet;
    private String jsSfsswfyetLabel;
    public String getJsSfsswfyetLabel(){
        return DictUtil.getLabel("sys_yes_no", jsSfsswfyet);
    }

    /** 家庭情况 */
    private String jsJtqk;

    /**
     * 军人信息
     */

    /** 状态 */
    private String junrenState;
    private String junrenStateLabel;
    public String getJunrenStateLabel(){
        return DictUtil.getLabel("rfh_jr_zt", junrenState);
    }

    /** 是否为优抚对象 */
    private String junrenSfyf;
    private String junrenSfyfLabel;
    public String getJunrenSfyfLabel(){
        return DictUtil.getLabel("sys_yes_no", junrenSfyf);
    }

    /** 优抚种类 */
    private String junrenYfzl;
    private String junrenYfzlLabel;
    public String getJunrenYfzlLabel(){
        return DictUtil.getLabel("rfh_jr_yfzl", junrenYfzl);
    }

    /**
     * 流动信息
     */

    /** 流入地址 */
    private String liudongLiuru;

    /** 流出地址 */
    private String liudongLiuchu;

    /** 流动类型 */
    private String liudongType;
    private String liudongTypeLabel;
    public String getLiudongTypeLabel(){
        return DictUtil.getLabel("rfh_ld_lx", liudongType);
    }

    /** 备注 */
    private String liudongRemarks;

    /**
     * 老龄信息
     */

    /** 是否享受政府购买服务 */
    private String llrZfgm;
    private String llrZfgmLabel;
    public String getLlrZfgmLabel(){
        return DictUtil.getLabel("sys_yes_no", llrZfgm);
    }

    /** 享受高龄津贴情况 */
    private String llrGljt;
    private String llrGljtLabel;
    public String getLlrGljtLabel(){
        return DictUtil.getLabel("rfh_llr_jtqk", llrGljt);
    }

    /** 是否空巢 */
    private String llrSfkc;
    private String llrSfkcLabel;
    public String getLlrSfkcLabel(){
        return DictUtil.getLabel("sys_yes_no", llrSfkc);
    }

    /** 失能情况 */
    private String llrSnqk;
    private String llrSnqkLabel;
    public String getLlrSnqkLabel(){
        return DictUtil.getLabel("rfh_llr_snqk", llrSnqk);
    }

    /** 是否居家巡防重点对象 */
    private String llrSfzdxf;
    private String llrSfzdxfLabel;
    public String getLlrSfzdxfLabel(){
        return DictUtil.getLabel("rfh_llr_xfdx", llrSfzdxf);
    }

    /** 家庭情况 */
    private String llrJtqk;

    /** 巡防频次 */
    private String llrXfpc;

    /**
     * 疫苗信息
     */

    /** 是否接种第一针 */
    private String ymOneIs;
    private String ymOneIsLabel;
    public String getYmOneIsLabel(){
        return DictUtil.getLabel("sys_yes_no", ymOneIs);
    }

    /** 第一针接种时间 */
    private String ymOneDate;

    /** 第一针疫苗种类 */
    private String ymOneType;
    private String ymOneTypeLabel;
    public String getYmOneTypeLabel(){
        return DictUtil.getLabel("rfh_ym_zl", ymOneType);
    }

    /** 第一针接种地点 */
    private String ymOnePlace;

    /** 是否接种第二针 */
    private String ymTwoIs;
    private String ymTwoIsLabel;
    public String getYmTwoIsLabel(){
        return DictUtil.getLabel("sys_yes_no", ymTwoIs);
    }

    /** 第二针接种时间 */
    private String ymTwoDate;

    /** 第二针接种疫苗种类 */
    private String ymTwoType;
    private String ymTwoTypeLabel;
    public String getYmTwoTypeLabel(){
        return DictUtil.getLabel("rfh_ym_zl", ymTwoType);
    }

    /** 第二针接种地点 */
    private String ymTwoPlace;

    /** 是否已接种第三针 */
    private String ymThreeIs;
    private String ymThreeIsLabel;
    public String getYmThreeIsLabel(){
        return DictUtil.getLabel("sys_yes_no", ymThreeIs);
    }

    /** 第三针接种时间 */
    private String ymThreeDate;

    /** 第三针接种疫苗种类 */
    private String ymThreeType;
    private String ymThreeTypeLabel;
    public String getYmThreeTypeLabel(){
        return DictUtil.getLabel("rfh_ym_zl", ymThreeType);
    }

    /** 第三针接种地点 */
    private String ymThreePlace;
}
