package com.sooka.sponest.mobile.zhsq.person.service.impl;

import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.common.core.web.page.PageDomain;
import com.ruoyi.common.core.web.page.TableDataInfo;
import com.ruoyi.common.core.web.page.TableSupport;
import com.ruoyi.common.datascope.annotation.DataScopeMutiDept;
import com.sooka.sponest.mobile.data.digitalagriculture.domain.VisuBaseService;
import com.sooka.sponest.mobile.remoteapi.RemoteDataBaseService;
import com.sooka.sponest.mobile.zhsq.person.domain.AppPersonVO;
import com.sooka.sponest.mobile.zhsq.person.service.AppPersonService;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;

/**
 * 人员信息采集（全用）
 *
 * @author wang_xy
 * @Version 1.0
 * @return
 * @since 2023/2/22 15:54
 */
@Service
@Transactional
public class AppPersonServiceImpl extends VisuBaseService implements AppPersonService {

    @Resource
    RemoteDataBaseService remoteDataBaseService;

    @Override
    @DataScopeMutiDept(deptAlias = "d", userAlias = "u")
    public TableDataInfo list(AppPersonVO vo) {
        PageDomain pageDomain = TableSupport.buildPageRequest();
        Integer pageNum = pageDomain.getPageNum();
        Integer pageSize = pageDomain.getPageSize();
        return remoteDataBaseService.listPerson(pageNum, pageSize, vo);
    }

    @Override
    public AjaxResult add(AppPersonVO vo) {
        return remoteDataBaseService.addPerson(vo).getData();
    }


    @Override
    public AjaxResult detail(AppPersonVO vo) {
        return remoteDataBaseService.detailPerson(vo).getData();
    }

}
