package com.sooka.sponest.mobile.zhsq.qiye.controller;

import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.common.core.web.page.TableDataInfo;
import com.sooka.sponest.mobile.base.controller.AppBaseController;
import com.sooka.sponest.mobile.zhsq.qiye.domain.AppQiyeVO;
import com.sooka.sponest.mobile.zhsq.qiye.service.AppQiyeService;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;

/**
 * 企业信息接口（全用）
 *
 * @author wang_xy
 * @Version 1.0
 * @return
 * @since 2023/2/22 16:07
 */
@RestController
@RequestMapping("AppQiyeController")
public class AppQiyeController extends AppBaseController {

    @Resource
    AppQiyeService service;

    @ApiOperation(value = "企业列表", notes = "企业列表")
    @GetMapping("list")
    public AjaxResult list(AppQiyeVO vo) {
        TableDataInfo dataTable = service.list(vo);
        AjaxResult ajax = new AjaxResult();
        ajax.put("list", dataTable.getRows());
        ajax.put("total", dataTable.getTotal());
        return AjaxResult.success(ajax);
    }

    @ApiOperation(value = "添加企业", notes = "添加企业")
    @PostMapping("add")
    public AjaxResult add(@RequestBody AppQiyeVO vo) {
        return service.add(vo);
    }

    @ApiOperation(value = "企业详情", notes = "企业详情")
    @PostMapping("detail")
    public AjaxResult detail(@RequestBody AppQiyeVO vo) {
        return service.detail(vo);
    }
}
