package com.sooka.sponest.mobile.zhsq.qiye.service.impl;

import com.ruoyi.common.core.utils.DateUtils;
import com.ruoyi.common.core.utils.uuid.UUID;
import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.common.core.web.page.PageDomain;
import com.ruoyi.common.core.web.page.TableDataInfo;
import com.ruoyi.common.core.web.page.TableSupport;
import com.ruoyi.common.datascope.annotation.DataScopeMutiDept;
import com.ruoyi.common.security.utils.SecurityUtils;
import com.ruoyi.system.api.domain.SysUser;
import com.sooka.sponest.mobile.data.digitalagriculture.domain.VisuBaseService;
import com.sooka.sponest.mobile.remoteapi.RemoteDataBaseService;
import com.sooka.sponest.mobile.zhsq.qiye.domain.AppQiyeVO;
import com.sooka.sponest.mobile.zhsq.qiye.service.AppQiyeService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

/**
 * 企业信息接口（全用）
 *
 * @author wang_xy
 * @Version 1.0
 * @return
 * @since 2023/2/22 16:07
 */
@Service
public class AppQiyeServiceImpl extends VisuBaseService implements AppQiyeService {

    @Resource
    RemoteDataBaseService remoteDataBaseService;

    @Override
    @DataScopeMutiDept(deptAlias = "d", userAlias = "u")
    public TableDataInfo list(AppQiyeVO vo) {
        PageDomain pageDomain = TableSupport.buildPageRequest();
        Integer pageNum = pageDomain.getPageNum();
        Integer pageSize = pageDomain.getPageSize();
        return remoteDataBaseService.listQiye(pageNum, pageSize, vo);
    }

    @Override
    public AjaxResult add(AppQiyeVO vo) {
        vo.setId(UUID.getUUID());
        SysUser sysUser = SecurityUtils.getLoginUser().getSysUser();
        vo.setCreateBy(String.valueOf(sysUser.getUserId()));
        vo.setCreateName(sysUser.getNickName());
        vo.setCreateTime(DateUtils.getNowDate());
        return remoteDataBaseService.addQiye(vo).getData();
    }


    @Override
    public AjaxResult detail(AppQiyeVO vo) {
        return remoteDataBaseService.detailQiye(vo).getData();
    }

}
