package com.sooka.sponest.mobile.zhsq.shijian.controller;

import com.ruoyi.common.core.web.domain.AjaxResult;
import com.sooka.sponest.mobile.base.controller.AppBaseController;
import com.sooka.sponest.mobile.zhsq.shijian.domain.AppShijianFenleiVO;
import com.sooka.sponest.mobile.zhsq.shijian.domain.AppShijianVO;
import com.sooka.sponest.mobile.zhsq.shijian.service.AppShijianService;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;

@RestController
@RequestMapping("AppShijianController")
public class AppShijianController extends AppBaseController {

    @Resource
    AppShijianService service;

    /**
     * 手机端事件查询
     *
     * @param vo
     * @return com.ruoyi.common.core.web.domain.AjaxResult
     * @author pengyu
     * @date 2023/2/22 18:11
     **/
    @ApiOperation(value = "事件查询", notes = "事件查询")
    @GetMapping("list")
    public AjaxResult list(AppShijianVO vo) {
        return service.list(vo);
    }

    /**
     * 一级分类查询
     * @Version 1.0
     * @return
     * @author wang_xy
     * @since 2023/2/22 16:52
     */
    @ApiOperation(value = "一级分类查询", notes = "一级分类查询")
    @GetMapping("listFenleiOne")
    public AjaxResult listFenleiOne(AppShijianFenleiVO vo) {
        return service.listFenleiOne(vo);
    }

    /**
     * 二级分类查询
     * @Version 1.0
     * @return
     * @author wang_xy
     * @since 2023/2/22 16:52
     */
    @ApiOperation(value = "二级分类查询", notes = "二级分类查询")
    @GetMapping("listFenleiTwo")
    public AjaxResult listFenleiTwo(AppShijianFenleiVO vo) {
        return service.listFenleiTwo(vo);
    }

    /**
     * 三级分类查询
     * @Version 1.0
     * @return
     * @author wang_xy
     * @since 2023/2/22 16:52
     */
    @ApiOperation(value = "三级分类查询", notes = "三级分类查询")
    @GetMapping("listFenleiThree")
    public AjaxResult listFenleiThree(AppShijianFenleiVO vo) {
        return service.listFenleiThree(vo);
    }

    /**
     * 事件审核查询
     *
     * @param vo
     * @return com.ruoyi.common.core.web.domain.AjaxResult
     * @author pengyu
     * @date 2023/2/22 18:36
     **/
    @ApiOperation(value = "事件审核查询", notes = "事件审核查询")
    @GetMapping("listCheck")
    public AjaxResult listCheck(AppShijianVO vo) {
        return service.listCheck(vo);
    }

    /**
     * 事件上报
     *
     * @param vo
     * @return com.ruoyi.common.core.web.domain.AjaxResult
     * @author pengyu
     * @date 2023/2/22 17:07
     **/
    @ApiOperation(value = "事件上报", notes = "事件上报")
    @PostMapping("add")
    public AjaxResult add(@RequestBody AppShijianVO vo) {
        return service.add(vo);
    }


    /**
     * 事件审核同意或不同意
     *
     * @param vo
     * @return com.ruoyi.common.core.web.domain.AjaxResult
     * @author pengyu
     * @date 2023/2/23 9:06
     **/
    @ApiOperation(value = "事件审核", notes = "事件审核")
    @PostMapping("check")
    public AjaxResult check(@RequestBody AppShijianVO vo) {
        return service.check(vo);
    }

    /**
     * 手机端事件详情
     *
     * @param vo
     * @return com.ruoyi.common.core.web.domain.AjaxResult
     * @author pengyu
     * @date 2023/2/22 18:25
     **/
    @ApiOperation(value = "事件详情", notes = "事件详情")
    @PostMapping("detail")
    public AjaxResult detail(@RequestBody AppShijianVO vo) {
        return service.detail(vo);
    }

}
