package com.sooka.sponest.mobile.zhsq.shijian.service.impl;

import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.common.core.web.page.PageDomain;
import com.ruoyi.common.core.web.page.TableSupport;
import com.sooka.sponest.mobile.remoteapi.RemoteEventBaseService;
import com.sooka.sponest.mobile.zhsq.shijian.domain.AppShijianFenleiVO;
import com.sooka.sponest.mobile.zhsq.shijian.domain.AppShijianVO;
import com.sooka.sponest.mobile.zhsq.shijian.service.AppShijianService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;


@Service
public class AppShijianServiceImpl implements AppShijianService {


    @Resource
    RemoteEventBaseService remoteEventBaseService;

    /**
     * 手机端事件查询
     *
     * @param vo
     * @return com.ruoyi.common.core.web.domain.AjaxResult
     * @author pengyu
     * @date 2023/2/22 18:11
     **/
    @Override
    public AjaxResult list(AppShijianVO vo) {
        PageDomain pageDomain = TableSupport.buildPageRequest();
        Integer pageNum = pageDomain.getPageNum();
        Integer pageSize = pageDomain.getPageSize();
        return remoteEventBaseService.listShijian(pageNum, pageSize, vo);
    }

    /**
     * 一级分类查询
     *
     * @param vo
     * @return com.ruoyi.common.core.web.domain.AjaxResult
     * @author pengyu
     * @date 2023/2/23 9:04
     **/
    @Override
    public AjaxResult listFenleiOne(AppShijianFenleiVO vo) {
        return remoteEventBaseService.listFenleiOne(vo);
    }

    /**
     * 二级分类查询
     *
     * @param vo
     * @return com.ruoyi.common.core.web.domain.AjaxResult
     * @author pengyu
     * @date 2023/2/23 9:04
     **/
    @Override
    public AjaxResult listFenleiTwo(AppShijianFenleiVO vo) {
        return remoteEventBaseService.listFenleiTwo(vo);
    }

    /**
     * 三级分类查询
     *
     * @param vo
     * @return com.ruoyi.common.core.web.domain.AjaxResult
     * @author pengyu
     * @date 2023/2/23 9:04
     **/
    @Override
    public AjaxResult listFenleiThree(AppShijianFenleiVO vo) {
        return remoteEventBaseService.listFenleiThree(vo);
    }

    /**
     * 事件审核查询
     *
     * @param vo
     * @return com.ruoyi.common.core.web.domain.AjaxResult
     * @author pengyu
     * @date 2023/2/22 18:36
     **/
    @Override
    public AjaxResult listCheck(AppShijianVO vo) {
        PageDomain pageDomain = TableSupport.buildPageRequest();
        Integer pageNum = pageDomain.getPageNum();
        Integer pageSize = pageDomain.getPageSize();
        return remoteEventBaseService.listCheck(pageNum, pageSize, vo);
    }

    /**
     * 事件上报
     *
     * @param vo
     * @return com.ruoyi.common.core.web.domain.AjaxResult
     * @author pengyu
     * @date 2023/2/22 17:07
     **/
    @Override
    public AjaxResult add(AppShijianVO vo) {
        return remoteEventBaseService.addShijian(vo);
    }


    /**
     * 事件审核同意或不同意
     *
     * @param vo
     * @return com.ruoyi.common.core.web.domain.AjaxResult
     * @author pengyu
     * @date 2023/2/22 19:56
     **/
    @Override
    public AjaxResult check(AppShijianVO vo) {
        return remoteEventBaseService.checkShijian(vo);
    }

    /**
     * 手机端事件详情
     *
     * @param vo
     * @return com.ruoyi.common.core.web.domain.AjaxResult
     * @author pengyu
     * @date 2023/2/22 18:25
     **/
    @Override
    public AjaxResult detail(AppShijianVO vo) {
        return remoteEventBaseService.detailShijian(vo);
    }

}
