package com.sooka.sponest.mobile.zhsq.shzz.controller;

import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.common.core.web.page.TableDataInfo;
import com.sooka.sponest.mobile.base.controller.AppBaseController;
import com.sooka.sponest.mobile.zhsq.shzz.domain.AppShzzVO;
import com.sooka.sponest.mobile.zhsq.shzz.service.AppShzzService;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;

/**
 * 社会组织接口（全用）
 *
 * @author wang_xy
 * @Version 1.0
 * @return
 * @since 2023/2/22 16:09
 */
@RestController
@RequestMapping("AppShzzController")
public class AppShzzController extends AppBaseController {

    @Resource
    AppShzzService service;

    @ApiOperation(value = "社会组织列表", notes = "社会组织列表")
    @GetMapping("list")
    public AjaxResult list(AppShzzVO vo) {
        TableDataInfo dataTable = service.list(vo);
        AjaxResult ajax = new AjaxResult();
        ajax.put("list", dataTable.getRows());
        ajax.put("total", dataTable.getTotal());
        return AjaxResult.success(ajax);
    }

    @ApiOperation(value = "添加社会组织", notes = "添加社会组织")
    @PostMapping("add")
    public AjaxResult add(@RequestBody AppShzzVO vo) {
        return service.add(vo);
    }

    @ApiOperation(value = "修改社会组织", notes = "修改社会组织")
    @PostMapping("update")
    public AjaxResult update(@RequestBody AppShzzVO vo) {
        return service.update(vo);
    }

    @ApiOperation(value = "社会组织详情", notes = "社会组织详情")
    @PostMapping("detail")
    public AjaxResult detail(@RequestBody AppShzzVO vo) {
        return service.detail(vo);
    }

    @ApiOperation(value = "删除社会组织", notes = "删除社会组织")
    @PostMapping("delete")
    public AjaxResult delete(@RequestBody AppShzzVO vo) {
        return service.delete(vo);
    }

}
