package com.sooka.sponest.mobile.zhsq.shzz.service.impl;

import com.ruoyi.common.core.utils.DateUtils;
import com.ruoyi.common.core.utils.uuid.UUID;
import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.common.core.web.page.PageDomain;
import com.ruoyi.common.core.web.page.TableDataInfo;
import com.ruoyi.common.core.web.page.TableSupport;
import com.ruoyi.common.datascope.annotation.DataScopeMutiDept;
import com.ruoyi.common.security.utils.SecurityUtils;
import com.ruoyi.system.api.domain.SysUser;
import com.sooka.sponest.mobile.data.digitalagriculture.domain.VisuBaseService;
import com.sooka.sponest.mobile.remoteapi.RemoteDataBaseService;
import com.sooka.sponest.mobile.zhsq.shzz.domain.AppShzzVO;
import com.sooka.sponest.mobile.zhsq.shzz.service.AppShzzService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

/**
 * 社会组织接口（全用）
 *
 * @author wang_xy
 * @Version 1.0
 * @return
 * @since 2023/2/22 16:09
 */
@Service
public class AppShzzServiceImpl extends VisuBaseService implements AppShzzService {

    @Resource
    RemoteDataBaseService remoteDataBaseService;

    @Override
    @DataScopeMutiDept(deptAlias = "d", userAlias = "u")
    public TableDataInfo list(AppShzzVO vo) {
        PageDomain pageDomain = TableSupport.buildPageRequest();
        Integer pageNum = pageDomain.getPageNum();
        Integer pageSize = pageDomain.getPageSize();
        return remoteDataBaseService.listShzz(pageNum, pageSize, vo);
    }

    @Override
    public AjaxResult add(AppShzzVO vo) {
        vo.setId(UUID.getUUID());
        SysUser sysUser = SecurityUtils.getLoginUser().getSysUser();
        vo.setCreateBy(String.valueOf(sysUser.getUserId()));
        vo.setCreateName(sysUser.getNickName());
        vo.setCreateTime(DateUtils.getNowDate());
        return remoteDataBaseService.addShzz(vo).getData();
    }

    @Override
    public AjaxResult update(AppShzzVO vo) {
        SysUser sysUser = SecurityUtils.getLoginUser().getSysUser();
        vo.setUpdateBy(sysUser.getUserId());
        vo.setUpdateName(sysUser.getNickName());
        vo.setUpdateTime(DateUtils.getNowDate());
        return remoteDataBaseService.updateShzz(vo).getData();
    }

    @Override
    public AjaxResult detail(AppShzzVO vo) {
        return remoteDataBaseService.detailShzz(vo).getData();
    }

    @Override
    public AjaxResult delete(AppShzzVO vo) {
        return remoteDataBaseService.deleteShzz(vo).getData();
    }
}
