package com.sooka.sponest.mobile.zhsq.tzgg.controller;

import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.common.core.web.page.TableDataInfo;
import com.sooka.sponest.mobile.base.controller.AppBaseController;
import com.sooka.sponest.mobile.zhsq.tzgg.domain.AppTzggVo;
import com.sooka.sponest.mobile.zhsq.tzgg.service.AppTzggService;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;

@RestController
@RequestMapping("AppTzggController")
public class AppTzggController extends AppBaseController {
    @Resource
    AppTzggService service;

    /**
     * 通知公告列表
     *
     * @param vo
     * @return com.ruoyi.common.core.web.domain.AjaxResult
     * @author pengyu
     * @date 2023/2/22 16:29
     **/
    @ApiOperation(value = "通知公告列表", notes = "通知公告列表")
    @GetMapping("list")
    public AjaxResult list(AppTzggVo vo) {
        TableDataInfo dataTable = service.list(vo);
        AjaxResult ajax = new AjaxResult();
        ajax.put("list", dataTable.getRows());
        ajax.put("total", dataTable.getTotal());
        return AjaxResult.success(ajax);
    }

    /**
     * 添加通知公告
     *
     * @param vo
     * @return com.ruoyi.common.core.web.domain.AjaxResult
     * @author pengyu
     * @date 2023/2/22 16:33
     **/
    @ApiOperation(value = "添加通知公告", notes = "添加通知公告")
    @PostMapping("add")
    public AjaxResult add(@RequestBody AppTzggVo vo) {
        return service.add(vo);
    }

    /**
     * 通知公告详情
     *
     * @param vo
     * @return com.ruoyi.common.core.web.domain.AjaxResult
     * @author pengyu
     * @date 2023/2/22 16:30
     **/
    @ApiOperation(value = "通知公告详情", notes = "通知公告详情")
    @PostMapping("detail")
    public AjaxResult detail(@RequestBody AppTzggVo vo) {
        return service.detail(vo);
    }

}
