package com.sooka.sponest.mobile.zhsq.tzgg.service.impl;

import com.ruoyi.common.core.utils.DateUtils;
import com.ruoyi.common.core.utils.uuid.UUID;
import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.common.core.web.page.PageDomain;
import com.ruoyi.common.core.web.page.TableDataInfo;
import com.ruoyi.common.core.web.page.TableSupport;
import com.ruoyi.common.security.utils.SecurityUtils;
import com.ruoyi.system.api.domain.SysUser;
import com.sooka.sponest.mobile.remoteapi.RemoteDataBaseService;
import com.sooka.sponest.mobile.zhsq.tzgg.domain.AppTzggVo;
import com.sooka.sponest.mobile.zhsq.tzgg.service.AppTzggService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

@Service
public class AppTzggServiceImpl  implements AppTzggService {
    @Resource
    RemoteDataBaseService remoteDataBaseService;

    /**
     * 通知公告列表
     *
     * @param vo
     * @return com.ruoyi.common.core.web.page.TableDataInfo
     * @author pengyu
     * @date 2023/2/22 16:30
     **/
    @Override
    public TableDataInfo list(AppTzggVo vo) {
        PageDomain pageDomain = TableSupport.buildPageRequest();
        Integer pageNum = pageDomain.getPageNum();
        Integer pageSize = pageDomain.getPageSize();
        return remoteDataBaseService.listTzgg(pageNum, pageSize, vo);
    }

    /**
     * 添加通知公告
     *
     * @param vo
     * @return com.ruoyi.common.core.web.domain.AjaxResult
     * @author pengyu
     * @date 2023/2/22 16:34
     **/
    @Override
    public AjaxResult add(AppTzggVo vo) {
        vo.setId(UUID.getUUID());
        SysUser sysUser = SecurityUtils.getLoginUser().getSysUser();
        vo.setCreateBy(sysUser.getUserId().toString());
        vo.setCreateName(sysUser.getNickName());
        vo.setCreateTime(DateUtils.getNowDate());
        return remoteDataBaseService.addTzgg(vo);
    }


    /**
     * 通知公告详情
     *
     * @param vo
     * @return com.ruoyi.common.core.web.domain.AjaxResult
     * @author pengyu
     * @date 2023/2/22 16:31
     **/
    @Override
    public AjaxResult detail(AppTzggVo vo) {
        return remoteDataBaseService.detailTzgg(vo);
    }

}
