package com.sooka.sponest.mobile.zhsq.xcgj.controller;

import com.ruoyi.common.core.web.domain.AjaxResult;
import com.sooka.sponest.mobile.base.controller.AppBaseController;
import com.sooka.sponest.mobile.zhsq.xcgj.domain.App_ZhsqPatrolrecord_VO;
import com.sooka.sponest.mobile.zhsq.xcgj.domain.App_ZhsqXcgj_VO;
import com.sooka.sponest.mobile.zhsq.xcgj.service.AppXcgjService;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

@RestController
@RequestMapping("AppXcgjController")
public class AppXcgjController extends AppBaseController {
    @Resource
    AppXcgjService service;

    /**
     * 获取用户所在多部门
     *
     * @return com.ruoyi.common.core.web.domain.AjaxResult
     * @author pengyu
     * @date 2023/2/22 16:58
     **/
    @ApiOperation(value = "获取街道", notes = "获取街道")
    @PostMapping("getMultiCommunityDept")
    public AjaxResult getMultiCommunityDept() {
        return service.getMultiCommunityDept();
    }

    /**
     * 开始巡查
     *
     * @param vo
     * @return com.ruoyi.common.core.web.domain.AjaxResult
     * @author pengyu
     * @date 2023/2/22 16:50
     **/
    @ApiOperation(value = "开始巡查", notes = "开始巡查")
    @PostMapping("addXunCha")
    public AjaxResult addXunCha(@RequestBody App_ZhsqXcgj_VO vo) {
        return service.addXunCha(vo);
    }


    /**
     * 推送轨迹
     *
     * @param vo
     * @return com.ruoyi.common.core.web.domain.AjaxResult
     * @author pengyu
     * @date 2023/2/22 16:50
     **/
    @ApiOperation(value = "推送轨迹", notes = "推送轨迹")
    @PostMapping("addGuiJi")
    public AjaxResult addGuiJi(@RequestBody App_ZhsqPatrolrecord_VO vo) {
        return service.addGuiJi(vo);
    }

}
