package com.sooka.sponest.mobile.zhsq.xiaoqu.controller;

import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.common.core.web.page.TableDataInfo;
import com.sooka.sponest.mobile.base.controller.AppBaseController;
import com.sooka.sponest.mobile.zhsq.xiaoqu.domain.AppXiaoquVO;
import com.sooka.sponest.mobile.zhsq.xiaoqu.service.AppXiaoquService;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;

@RestController
@RequestMapping("AppXiaoquController")
public class AppXiaoquController extends AppBaseController {

    @Resource
    AppXiaoquService service;

    /**
     * 手机端小区列表
     *
     * @param vo
     * @return com.ruoyi.common.core.web.domain.AjaxResult
     * @author pengyu
     * @date 2023/2/23 8:58
     **/
    @ApiOperation(value = "小区列表", notes = "小区列表")
    @GetMapping("list")
    public AjaxResult list(AppXiaoquVO vo) {
        TableDataInfo dataTable = service.list(vo);
        AjaxResult ajax = new AjaxResult();
        ajax.put("list", dataTable.getRows());
        ajax.put("total", dataTable.getTotal());
        return AjaxResult.success(ajax);
    }

    /**
     * 手机端添加小区
     *
     * @param vo
     * @return com.ruoyi.common.core.web.domain.AjaxResult
     * @author pengyu
     * @date 2023/2/23 8:58
     **/
    @ApiOperation(value = "添加小区", notes = "添加小区")
    @PostMapping("add")
    public AjaxResult add(@RequestBody AppXiaoquVO vo) {
        return service.add(vo);
    }
}
