package com.sooka.sponest.mobile.zhsq.zhishiku.controller;

import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.common.core.web.page.TableDataInfo;
import com.sooka.sponest.mobile.base.controller.AppBaseController;
import com.sooka.sponest.mobile.zhsq.zhishiku.domain.AppZhishikuVO;
import com.sooka.sponest.mobile.zhsq.zhishiku.service.AppZhishikuService;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;

@RestController
@RequestMapping("AppZhishikuController")
public class AppZhishikuController extends AppBaseController {

    @Resource
    AppZhishikuService service;


    /**
     * 知识库列表
     *
     * @param vo
     * @return com.ruoyi.common.core.web.domain.AjaxResult
     * @author pengyu
     * @date 2023/2/22 16:06
     **/
    @ApiOperation(value = "知识库列表", notes = "知识库列表")
    @GetMapping("list")
    public AjaxResult list(AppZhishikuVO vo) {
        TableDataInfo dataTable = service.list(vo);
        AjaxResult ajax = new AjaxResult();
        ajax.put("list", dataTable.getRows());
        ajax.put("total", dataTable.getTotal());
        return AjaxResult.success(ajax);
    }

    /**
     * 详情知识库
     *
     * @param vo
     * @return com.ruoyi.common.core.web.domain.AjaxResult
     * @author pengyu
     * @date 2023/2/22 16:07
     **/
    @ApiOperation(value = "详情知识库", notes = "详情知识库")
    @PostMapping("detail")
    public AjaxResult detail(@RequestBody AppZhishikuVO vo) {
        return service.detail(vo).getData();
    }


}
