package com.sooka.sponest.mobile.zhsq.zhishiku.service.impl;

import com.ruoyi.common.core.domain.R;
import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.common.core.web.page.PageDomain;
import com.ruoyi.common.core.web.page.TableDataInfo;
import com.ruoyi.common.core.web.page.TableSupport;
import com.sooka.sponest.mobile.data.digitalagriculture.domain.VisuBaseService;
import com.sooka.sponest.mobile.remoteapi.RemoteDataBaseService;
import com.sooka.sponest.mobile.zhsq.zhishiku.domain.AppZhishikuVO;
import com.sooka.sponest.mobile.zhsq.zhishiku.service.AppZhishikuService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

@Service
public class AppZhishikuServiceImpl extends VisuBaseService implements AppZhishikuService {

    @Resource
    RemoteDataBaseService remoteDataBaseService;

    /**
     * 知识库列表
     *
     * @param vo
     * @return com.ruoyi.common.core.web.page.TableDataInfo
     * @author pengyu
     * @date 2023/2/22 16:07
     **/
    @Override
    public TableDataInfo list(AppZhishikuVO vo) {
        PageDomain pageDomain = TableSupport.buildPageRequest();
        Integer pageNum = pageDomain.getPageNum();
        Integer pageSize = pageDomain.getPageSize();
        return remoteDataBaseService.listZhishiku(pageNum, pageSize, vo);
    }


    /**
     * 详情知识库
     *
     * @param vo
     * @return com.ruoyi.common.core.web.domain.AjaxResult
     * @author pengyu
     * @date 2023/2/22 16:08
     **/
    @Override
    public R<AjaxResult> detail(AppZhishikuVO vo) {
        return remoteDataBaseService.detailZhishiku(vo);
    }

}
